%global _smp_mflags %{nil}
%global tl_epoch 12
%global source_date 20230311
%global tl_version %{source_date}
%global source_name texlive-%{source_date}-source
%{!?_texdir: %global _texdir %{_datadir}/%{name}}
%{!?_texmf_var: %global _texmf_var %{_var}/lib/texmf}

%global etc_fmtutil_cnf %{_sysconfdir}/texlive/web2c/fmtutil.cnf
%global usr_fmtutil_cnf %{_texdir}/texmf-dist/web2c/fmtutil.cnf
%global fmtutil_cnf_d %{_texdir}/fmtutil.cnf.d

# We do not want this.
%global __brp_mangle_shebangs /usr/bin/true

# don't export private perl modules
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre)\\)

# We do not want exec perms changing.
%global __brp_mangle_shebangs_exclude ^$

Name: texlive
Version: %{source_date}
Release: 19%{?dist}
Epoch: %{tl_epoch}
Summary: TeX formatting system
Group: Applications/Publishing
License: Apache-2.0 AND Artistic-2.0 AND BSD-3-Clause AND GFDL-1.1-or-later AND GPL-1.0-or-later AND GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only AND GPL-3.0-or-later AND Knuth-CTAN AND LGPL-2.1-or-later AND LGPL-3.0-or-later AND LPPL-1.3a+ AND LPPL-1.3c AND MIT AND OFL-1.1 AND LicenseRef-Fedora-Public-Domain
URL: http://tug.org/texlive/
BuildRequires: make
BuildRequires: gcc gcc-c++
BuildRequires: xz libXaw-devel libXi-devel ncurses-devel bison flex file perl(Digest::MD5) texinfo gcc-c++
BuildRequires: gd-devel
BuildRequires: teckit-devel >= 2.5.7
BuildRequires: freetype-devel libpng-devel zlib-devel
BuildRequires: zziplib-devel libicu-devel cairo-devel harfbuzz-devel perl-generators pixman-devel graphite2-devel
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires: libgs-devel
%else
BuildRequires: ghostscript-devel
%endif
BuildRequires: libpaper-devel potrace-devel autoconf automake libtool
BuildRequires: gmp-devel mpfr-devel
# This is really for macros.
BuildRequires: python3-devel
BuildRequires: python3-setuptools
# RPATH DIE DIE DIE
BuildRequires: chrpath

Requires: texlive-scheme-basic
Requires: texlive-collection-latexrecommended
Requires: tex-kpathsea

## Use create-clean-texlive.sh to generate clean tarball from released build tarballs, found here:
# https://ctan.math.illinois.edu/systems/texlive/Source/%%{source_name}.tar.xz
Source0: texlive-%{source_date}-source-clean.tar.xz
Source1: macros.texlive
Source2: https://tug.ctan.org/systems/texlive/tlnet/tlpkg/texlive.tlpdb
Source3: texlive-licenses.tar.xz
Source4: generate-fmtutilcnf
Source5: gnu-freefont.metainfo.xml
# script to generate clean tarball from released build tarballs
Source6: create-clean-texlive.sh
Source28: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/attachfile2.doc.tar.xz
Source29: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/attachfile2.tar.xz
Source0100: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ae.tar.xz
Source0101: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ae.doc.tar.xz
Source0103: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/algorithms.tar.xz
Source0104: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/algorithms.doc.tar.xz
Source0106: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amscls.tar.xz
Source0107: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amscls.doc.tar.xz
Source0109: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amsfonts.tar.xz
Source0110: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amsfonts.doc.tar.xz
Source0112: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amsmath.tar.xz
Source0113: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/amsmath.doc.tar.xz
Source0115: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/anysize.tar.xz
Source0116: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/anysize.doc.tar.xz
Source0117: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/appendix.tar.xz
Source0118: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/appendix.doc.tar.xz
#Source0120: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/arabxetex.tar.xz
#Source0121: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/arabxetex.doc.tar.xz
Source0123: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/arphic.tar.xz
Source0124: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/arphic.doc.tar.xz
Source0125: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/attachfile.tar.xz
Source0126: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/attachfile.doc.tar.xz
Source0128: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/avantgar.tar.xz
Source0129: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babelbib.tar.xz
Source0130: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babelbib.doc.tar.xz
Source0131: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babel.tar.xz
Source0132: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babel.doc.tar.xz
Source0134: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/beamer.tar.xz
Source0135: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/beamer.doc.tar.xz
Source0136: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pgf.tar.xz
Source0137: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pgf.doc.tar.xz
Source0139: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xkeyval.tar.xz
Source0140: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xkeyval.doc.tar.xz
Source0142: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xcolor.tar.xz
Source0143: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xcolor.doc.tar.xz
Source0145: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bera.tar.xz
Source0146: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bera.doc.tar.xz
Source0147: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/beton.tar.xz
Source0148: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/beton.doc.tar.xz
Source0150: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bibtex.tar.xz
Source0151: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bibtex.doc.tar.xz
Source0152: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kpathsea.tar.xz
Source0153: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kpathsea.doc.tar.xz
Source0154: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bibtopic.tar.xz
Source0155: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bibtopic.doc.tar.xz
Source0157: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bidi.tar.xz
Source0158: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bidi.doc.tar.xz
Source0160: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bigfoot.tar.xz
Source0161: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bigfoot.doc.tar.xz
Source0163: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bookman.tar.xz
Source0164: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/booktabs.tar.xz
Source0165: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/booktabs.doc.tar.xz
Source0167: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/breakurl.tar.xz
Source0168: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/breakurl.doc.tar.xz
Source0170: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/caption.tar.xz
Source0171: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/caption.doc.tar.xz
Source0173: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/carlisle.tar.xz
Source0174: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/carlisle.doc.tar.xz
Source0176: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/changebar.tar.xz
Source0177: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/changebar.doc.tar.xz
Source0179: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/changepage.tar.xz
Source0180: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/changepage.doc.tar.xz
Source0182: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/charter.tar.xz
Source0183: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/charter.doc.tar.xz
Source0184: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/chngcntr.tar.xz
Source0185: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/chngcntr.doc.tar.xz
Source0186: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cite.tar.xz
Source0187: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cite.doc.tar.xz
#Source0188: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cjk.tar.xz
#Source0189: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cjk.doc.tar.xz
Source0191: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cns.tar.xz
Source0192: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cns.doc.tar.xz
Source0193: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/garuda-c90.tar.xz
Source0195: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/norasi-c90.tar.xz
Source0197: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fonts-tlwg.tar.xz
Source0198: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fonts-tlwg.doc.tar.xz
Source0200: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/uhc.tar.xz
Source0201: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/uhc.doc.tar.xz
Source0202: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wadalab.tar.xz
Source0203: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wadalab.doc.tar.xz
Source0204: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cmap.tar.xz
Source0205: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cmap.doc.tar.xz
Source0206: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cmextra.tar.xz
Source0207: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm-lgc.tar.xz
Source0208: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm-lgc.doc.tar.xz
Source0209: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm-super.tar.xz
Source0210: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm-super.doc.tar.xz
Source0211: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm.tar.xz
Source0212: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/cm.doc.tar.xz
Source0215: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvipdfmx.tar.xz
Source0216: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvipdfmx.doc.tar.xz
Source0217: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/glyphlist.tar.xz
Source0219: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvips.tar.xz
Source0220: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvips.doc.tar.xz
Source0221: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/enctex.tar.xz
Source0222: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/enctex.doc.tar.xz
Source0223: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etex.tar.xz
Source0224: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etex.doc.tar.xz
Source0225: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etex-pkg.tar.xz
Source0226: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etex-pkg.doc.tar.xz
Source0227: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gsftopk.tar.xz
Source0228: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gsftopk.doc.tar.xz
Source0229: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyph-utf8.tar.xz
Source0230: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyph-utf8.doc.tar.xz
Source0232: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyphen-base.tar.xz
Source0239: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lua-alt-getopt.tar.xz
Source0240: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lua-alt-getopt.doc.tar.xz
Source0241: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatex.tar.xz
Source0242: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatex.doc.tar.xz
Source0243: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/makeindex.tar.xz
Source0244: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/makeindex.doc.tar.xz
Source0245: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metafont.tar.xz
Source0246: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metafont.doc.tar.xz
Source0247: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mflogo.tar.xz
Source0248: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mflogo.doc.tar.xz
Source0250: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mfware.tar.xz
Source0251: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mfware.doc.tar.xz
Source0253: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdftex.tar.xz
Source0254: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdftex.doc.tar.xz
Source0255: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/plain.tar.xz
Source0258: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex.tar.xz
Source0259: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex.doc.tar.xz
Source0262: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive.infra.tar.xz
Source0263: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive.infra.doc.tar.xz
Source0264: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xdvi.tar.xz
Source0265: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xdvi.doc.tar.xz
Source0266: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/courier.tar.xz
Source0267: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euro.tar.xz
Source0268: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euro.doc.tar.xz
Source0270: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eurosym.tar.xz
Source0271: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eurosym.doc.tar.xz
Source0272: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fpl.tar.xz
Source0273: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fpl.doc.tar.xz
Source0275: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/helvetic.tar.xz
Source0276: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lm.tar.xz
Source0277: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lm.doc.tar.xz
Source0279: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lm-math.tar.xz
Source0280: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lm-math.doc.tar.xz
Source0281: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/marvosym.tar.xz
Source0282: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/marvosym.doc.tar.xz
Source0284: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathpazo.tar.xz
Source0285: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathpazo.doc.tar.xz
Source0287: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ncntrsbk.tar.xz
Source0288: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/palatino.tar.xz
Source0289: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pxfonts.tar.xz
Source0290: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pxfonts.doc.tar.xz
Source0291: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rsfs.tar.xz
Source0292: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rsfs.doc.tar.xz
Source0293: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/symbol.tar.xz
Source0294: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-gyre.tar.xz
Source0295: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-gyre.doc.tar.xz
Source0296: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-gyre-math.tar.xz
Source0297: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-gyre-math.doc.tar.xz
Source0298: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/times.tar.xz
Source0299: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tipa.tar.xz
Source0300: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tipa.doc.tar.xz
Source0301: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/txfonts.tar.xz
Source0302: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/txfonts.doc.tar.xz
Source0303: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/utopia.tar.xz
Source0304: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/utopia.doc.tar.xz
Source0305: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasy.tar.xz
Source0306: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasy.doc.tar.xz
Source0307: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasysym.tar.xz
Source0308: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasysym.doc.tar.xz
Source0310: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/zapfchan.tar.xz
Source0311: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/zapfding.tar.xz
Source0312: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/jadetex.tar.xz
Source0313: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/jadetex.doc.tar.xz
Source0315: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex.tar.xz
Source0316: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex.doc.tar.xz
Source0318: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latexconfig.tar.xz
Source0319: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex-fonts.tar.xz
Source0320: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex-fonts.doc.tar.xz
Source0321: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/passivetex.tar.xz
Source0322: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex4ht.tar.xz
Source0323: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex4ht.doc.tar.xz
Source0324: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xmltex.tar.xz
Source0325: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xmltex.doc.tar.xz
Source0326: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/colortbl.tar.xz
Source0327: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/colortbl.doc.tar.xz
Source0329: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyhdr.tar.xz
Source0330: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyhdr.doc.tar.xz
Source0331: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fix2col.tar.xz
Source0332: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fix2col.doc.tar.xz
Source0334: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/geometry.tar.xz
Source0335: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/geometry.doc.tar.xz
Source0337: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/graphics.tar.xz
Source0338: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/graphics.doc.tar.xz
Source0340: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyperref.tar.xz
Source0341: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyperref.doc.tar.xz
Source0345: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ltxmisc.tar.xz
Source0346: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mfnfss.tar.xz
Source0347: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mfnfss.doc.tar.xz
Source0349: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mptopdf.tar.xz
Source0350: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mptopdf.doc.tar.xz
Source0351: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/natbib.tar.xz
Source0352: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/natbib.doc.tar.xz
Source0354: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/oberdiek.tar.xz
Source0355: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/oberdiek.doc.tar.xz
Source0358: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pslatex.tar.xz
Source0360: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/psnfss.tar.xz
Source0361: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/psnfss.doc.tar.xz
Source0363: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pspicture.tar.xz
Source0364: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pspicture.doc.tar.xz
Source0366: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tools.tar.xz
Source0367: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tools.doc.tar.xz
Source0369: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/crop.tar.xz
Source0370: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/crop.doc.tar.xz
Source0372: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ctable.tar.xz
Source0373: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ctable.doc.tar.xz
Source0375: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ec.tar.xz
Source0376: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ec.doc.tar.xz
Source0377: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eso-pic.tar.xz
Source0378: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eso-pic.doc.tar.xz
Source0380: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euler.tar.xz
Source0381: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euler.doc.tar.xz
Source0383: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/extsizes.tar.xz
Source0384: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/extsizes.doc.tar.xz
Source0385: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancybox.tar.xz
Source0386: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancybox.doc.tar.xz
Source0387: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyref.tar.xz
Source0388: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyref.doc.tar.xz
Source0390: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyvrb.tar.xz
Source0391: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fancyvrb.doc.tar.xz
Source0393: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/float.tar.xz
Source0394: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/float.doc.tar.xz
Source0396: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontspec.tar.xz
Source0397: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontspec.doc.tar.xz
Source0399: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kastrup.tar.xz
Source0400: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kastrup.doc.tar.xz
Source0402: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fp.tar.xz
Source0403: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fp.doc.tar.xz
Source0404: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/index.tar.xz
Source0405: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/index.doc.tar.xz
Source0407: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/jknapltx.tar.xz
Source0408: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/jknapltx.doc.tar.xz
Source0409: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/koma-script.tar.xz
Source0410: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3kernel.tar.xz
Source0411: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3kernel.doc.tar.xz
Source0413: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3packages.tar.xz
Source0414: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3packages.doc.tar.xz
Source0416: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3experimental.tar.xz
Source0417: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3experimental.doc.tar.xz
Source0419: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/listings.tar.xz
Source0420: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/listings.doc.tar.xz
Source0422: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mdwtools.tar.xz
Source0423: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mdwtools.doc.tar.xz
Source0425: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/memoir.tar.xz
Source0426: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/memoir.doc.tar.xz
Source0428: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metalogo.tar.xz
Source0429: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metalogo.doc.tar.xz
Source0434: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/microtype.tar.xz
Source0435: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/microtype.doc.tar.xz
Source0437: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ms.tar.xz
Source0438: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ms.doc.tar.xz
Source0440: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ntgclass.tar.xz
Source0441: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ntgclass.doc.tar.xz
Source0443: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/parskip.tar.xz
Source0444: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/parskip.doc.tar.xz
Source0445: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfpages.tar.xz
Source0446: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfpages.doc.tar.xz
Source0448: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/powerdot.tar.xz
Source0449: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/powerdot.doc.tar.xz
Source0450: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/psfrag.tar.xz
Source0451: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/psfrag.doc.tar.xz
Source0453: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rcs.tar.xz
Source0454: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rcs.doc.tar.xz
Source0459: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sansmath.tar.xz
Source0460: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sansmath.doc.tar.xz
Source0461: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/section.tar.xz
Source0462: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/section.doc.tar.xz
Source0463: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/seminar.tar.xz
Source0464: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/seminar.doc.tar.xz
Source0465: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sepnum.tar.xz
Source0466: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sepnum.doc.tar.xz
Source0467: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/setspace.tar.xz
Source0468: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/setspace.doc.tar.xz
Source0469: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/subfig.tar.xz
Source0470: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/subfig.doc.tar.xz
Source0472: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/textcase.tar.xz
Source0473: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/textcase.doc.tar.xz
Source0475: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/thumbpdf.tar.xz
Source0476: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/thumbpdf.doc.tar.xz
Source0477: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/typehtml.tar.xz
Source0478: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/typehtml.doc.tar.xz
Source0480: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/underscore.tar.xz
Source0481: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/underscore.doc.tar.xz
Source0482: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/url.tar.xz
Source0483: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/url.doc.tar.xz
Source0484: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euenc.tar.xz
Source0485: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/euenc.doc.tar.xz
Source0487: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fixlatvian.tar.xz
Source0488: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fixlatvian.doc.tar.xz
Source0490: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontbook.tar.xz
Source0491: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontbook.doc.tar.xz
Source0493: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontwrap.tar.xz
Source0494: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontwrap.doc.tar.xz
Source0495: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathspec.tar.xz
Source0496: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathspec.doc.tar.xz
Source0497: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/philokalia.tar.xz
Source0498: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/philokalia.doc.tar.xz
Source0500: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/polyglossia.tar.xz
Source0501: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/polyglossia.doc.tar.xz
Source0503: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ptext.tar.xz
Source0504: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ptext.doc.tar.xz
Source0505: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/realscripts.tar.xz
Source0506: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/realscripts.doc.tar.xz
Source0508: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucharclasses.tar.xz
Source0509: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucharclasses.doc.tar.xz
Source0510: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unisugar.tar.xz
Source0511: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unisugar.doc.tar.xz
#Source0512: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecjk.tar.xz
#Source0513: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecjk.doc.tar.xz
Source0515: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecolor.tar.xz
Source0516: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecolor.doc.tar.xz
Source0517: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecyr.tar.xz
Source0518: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xecyr.doc.tar.xz
Source0519: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xeindex.tar.xz
Source0520: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xeindex.doc.tar.xz
Source0521: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xepersian.tar.xz
Source0522: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xepersian.doc.tar.xz
Source0524: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xesearch.tar.xz
Source0525: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xesearch.doc.tar.xz
Source0526: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex.tar.xz
Source0527: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex.doc.tar.xz
Source0528: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetexconfig.tar.xz
Source0530: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-itrans.tar.xz
Source0531: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-itrans.doc.tar.xz
Source0532: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-pstricks.tar.xz
Source0533: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-pstricks.doc.tar.xz
#Source0534: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-tibetan.tar.xz
#Source0535: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetex-tibetan.doc.tar.xz
Source0536: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetexfontinfo.tar.xz
Source0537: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xetexfontinfo.doc.tar.xz
Source0538: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xltxtra.tar.xz
Source0539: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xltxtra.doc.tar.xz
Source0541: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xunicode.tar.xz
Source0542: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xunicode.doc.tar.xz
Source0543: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/csquotes.tar.xz
Source0544: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/csquotes.doc.tar.xz
Source0545: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/currfile.tar.xz
Source0546: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/currfile.doc.tar.xz
Source0548: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/datetime.tar.xz
Source0549: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/datetime.doc.tar.xz
Source0551: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fmtcount.tar.xz
Source0552: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fmtcount.doc.tar.xz
Source0554: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvipng.tar.xz
Source0555: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvipng.doc.tar.xz
Source0556: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eepic.tar.xz
Source0557: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eepic.doc.tar.xz
Source0558: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/enumitem.tar.xz
Source0559: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/enumitem.doc.tar.xz
Source0560: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epsf.tar.xz
Source0561: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epsf.doc.tar.xz
Source0562: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epstopdf.tar.xz
Source0563: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epstopdf.doc.tar.xz
Source0564: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etoolbox.tar.xz
Source0565: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etoolbox.doc.tar.xz
Source0566: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/filecontents.tar.xz
Source0567: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/filecontents.doc.tar.xz
Source0569: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/filehook.tar.xz
Source0570: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/filehook.doc.tar.xz
Source0572: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fncychap.tar.xz
Source0573: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fncychap.doc.tar.xz
Source0575: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontware.doc.tar.xz
Source0576: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/footmisc.tar.xz
Source0577: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/footmisc.doc.tar.xz
Source0579: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/framed.tar.xz
Source0580: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/framed.doc.tar.xz
Source0581: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyphenat.tar.xz
Source0582: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyphenat.doc.tar.xz
Source0587: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifmtarg.tar.xz
Source0588: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifmtarg.doc.tar.xz
Source0590: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/iftex.tar.xz
Source0591: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/iftex.doc.tar.xz
Source0592: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kerkis.tar.xz
Source0593: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kerkis.doc.tar.xz
Source0594: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lastpage.tar.xz
Source0595: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lastpage.doc.tar.xz
Source0597: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lettrine.tar.xz
Source0598: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lettrine.doc.tar.xz
Source0600: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lualatex-math.tar.xz
Source0601: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lualatex-math.doc.tar.xz
Source0603: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luaotfload.tar.xz
Source0604: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luaotfload.doc.tar.xz
Source0606: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatexbase.tar.xz
Source0607: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatexbase.doc.tar.xz
Source0609: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/makecmds.tar.xz
Source0610: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/makecmds.doc.tar.xz
Source0612: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/marginnote.tar.xz
Source0613: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/marginnote.doc.tar.xz
Source0615: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mnsymbol.tar.xz
Source0616: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mnsymbol.doc.tar.xz
Source0618: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mparhack.tar.xz
Source0619: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mparhack.doc.tar.xz
Source0621: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/multido.tar.xz
Source0622: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/multido.doc.tar.xz
Source0624: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/multirow.tar.xz
Source0625: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/multirow.doc.tar.xz
Source0626: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ncctools.tar.xz
Source0627: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ncctools.doc.tar.xz
Source0629: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/overpic.tar.xz
Source0630: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/overpic.doc.tar.xz
Source0631: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/paralist.tar.xz
Source0632: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/paralist.doc.tar.xz
Source0634: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/parallel.tar.xz
Source0635: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/parallel.doc.tar.xz
Source0637: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/placeins.tar.xz
Source0638: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/placeins.doc.tar.xz
Source0639: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/preprint.tar.xz
Source0640: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/preprint.doc.tar.xz
Source0642: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-3d.tar.xz
Source0643: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-3d.doc.tar.xz
Source0645: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-blur.tar.xz
Source0646: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-blur.doc.tar.xz
Source0648: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-coil.tar.xz
Source0649: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-coil.doc.tar.xz
Source0651: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-eps.tar.xz
Source0652: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-eps.doc.tar.xz
Source0654: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-fill.tar.xz
Source0655: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-fill.doc.tar.xz
Source0657: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-grad.tar.xz
Source0658: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-grad.doc.tar.xz
Source0659: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-math.tar.xz
Source0660: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-math.doc.tar.xz
Source0662: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-node.tar.xz
Source0663: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-node.doc.tar.xz
Source0665: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-plot.tar.xz
Source0666: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-plot.doc.tar.xz
Source0668: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pstricks-add.tar.xz
Source0669: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pstricks-add.doc.tar.xz
Source0671: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pstricks.tar.xz
Source0672: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pstricks.doc.tar.xz
Source0673: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-slpe.tar.xz
Source0674: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-slpe.doc.tar.xz
Source0676: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-text.tar.xz
Source0677: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-text.doc.tar.xz
Source0679: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-tree.tar.xz
Source0680: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-tree.doc.tar.xz
Source0682: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/qstest.tar.xz
Source0683: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/qstest.doc.tar.xz
Source0685: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sauerj.tar.xz
Source0686: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sauerj.doc.tar.xz
Source0688: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sectsty.tar.xz
Source0689: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sectsty.doc.tar.xz
Source0691: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/showexpl.tar.xz
Source0692: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/showexpl.doc.tar.xz
Source0694: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/soul.tar.xz
Source0695: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/soul.doc.tar.xz
Source0697: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stmaryrd.tar.xz
Source0698: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stmaryrd.doc.tar.xz
Source0700: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/subfigure.tar.xz
Source0701: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/subfigure.doc.tar.xz
Source0703: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/svn-prov.tar.xz
Source0704: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/svn-prov.doc.tar.xz
Source0706: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/t2.tar.xz
Source0707: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/t2.doc.tar.xz
Source0708: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/textpos.tar.xz
Source0709: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/textpos.doc.tar.xz
Source0711: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/threeparttable.tar.xz
Source0712: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/threeparttable.doc.tar.xz
Source0713: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/titlesec.tar.xz
Source0714: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/titlesec.doc.tar.xz
Source0715: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tocloft.tar.xz
Source0716: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tocloft.doc.tar.xz
Source0718: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/type1cm.tar.xz
Source0719: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/type1cm.doc.tar.xz
Source0721: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucs.tar.xz
Source0722: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucs.doc.tar.xz
Source0723: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ulem.tar.xz
Source0724: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ulem.doc.tar.xz
Source0725: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unicode-math.tar.xz
Source0726: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unicode-math.doc.tar.xz
Source0728: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/varwidth.tar.xz
Source0729: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/varwidth.doc.tar.xz
Source0730: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/was.tar.xz
Source0731: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/was.doc.tar.xz
Source0733: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wrapfig.tar.xz
Source0734: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wrapfig.doc.tar.xz
Source0735: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xifthen.tar.xz
Source0736: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xifthen.doc.tar.xz
Source0737: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xstring.tar.xz
Source0738: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xstring.doc.tar.xz
Source0739: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xtab.tar.xz
Source0740: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xtab.doc.tar.xz
Source0742: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metapost.tar.xz
Source0743: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metapost.doc.tar.xz
Source0744: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/metapost-examples.doc.tar.xz
Source0746: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/titling.tar.xz
Source0747: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/titling.doc.tar.xz
Source0749: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/adjustbox.tar.xz
Source0750: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/adjustbox.doc.tar.xz
Source0752: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifoddpage.tar.xz
Source0753: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifoddpage.doc.tar.xz
Source0755: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collectbox.tar.xz
Source0756: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collectbox.doc.tar.xz
Source0758: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/environ.tar.xz
Source0759: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/environ.doc.tar.xz
Source1571: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hyphenex.tar.xz
Source1885: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gnu-freefont.tar.xz
Source1886: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gnu-freefont.doc.tar.xz
Source2046: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sansmathaccent.tar.xz
Source2047: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sansmathaccent.doc.tar.xz
Source3896: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etoc.tar.xz
Source3897: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etoc.doc.tar.xz
Source4235: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hanging.tar.xz
Source4236: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hanging.doc.tar.xz
Source4295: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifplatform.tar.xz
Source4296: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ifplatform.doc.tar.xz
Source4756: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/newunicodechar.tar.xz
Source4757: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/newunicodechar.doc.tar.xz
Source4630: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/minitoc.tar.xz
Source4805: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/notoccite.tar.xz
Source4806: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/notoccite.doc.tar.xz
Source5099: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/relsize.tar.xz
Source5100: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/relsize.doc.tar.xz
Source5197: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/sfmath.tar.xz
Source5306: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stackengine.tar.xz
Source5307: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stackengine.doc.tar.xz
Source5716: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xpatch.tar.xz
Source5717: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xpatch.doc.tar.xz
Source5821: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucharcat.tar.xz
Source5822: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ucharcat.doc.tar.xz
Source6002: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collection-basic.tar.xz
Source6018: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collection-fontsrecommended.tar.xz
Source6023: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collection-latex.tar.xz
Source6026: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collection-latexrecommended.tar.xz
Source6028: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/collection-xetex.tar.xz
Source6034: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/scheme-basic.tar.xz
Source6035: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/knuth-lib.tar.xz
Source6036: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/knuth-local.tar.xz
Source6037: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-ini-files.tar.xz
Source6038: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tex-ini-files.doc.tar.xz
Source6039: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-common.doc.tar.xz
Source6043: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-en.doc.tar.xz
Source6044: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-msg-translations.tar.xz
Source6045: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-scripts.tar.xz
Source6046: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-scripts.doc.tar.xz
Source6047: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-scripts-extra.doc.tar.xz
Source6048: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/texlive-scripts-extra.tar.xz
Source6049: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/trimspaces.tar.xz
Source6050: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/trimspaces.doc.tar.xz
Source6051: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unicode-data.tar.xz
Source6052: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/unicode-data.doc.tar.xz
Source6054: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/xmltexconfig.tar.xz
Source6055: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/graphics-def.tar.xz
Source6056: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lualibs.tar.xz
Source6057: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lualibs.doc.tar.xz
Source6059: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/import.tar.xz
Source6060: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/import.doc.tar.xz
Source6061: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tabu.tar.xz
Source6062: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tabu.doc.tar.xz
Source6064: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/linegoal.tar.xz
Source6065: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/linegoal.doc.tar.xz
Source6067: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/graphics-cfg.tar.xz
Source6068: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/graphics-cfg.doc.tar.xz
Source6071: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ltabptch.tar.xz
Source6072: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ltabptch.doc.tar.xz
Source6073: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/manfnt-font.tar.xz
Source6074: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/finstrut.tar.xz
Source6075: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/finstrut.doc.tar.xz
Source6077: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lineno.tar.xz
Source6078: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lineno.doc.tar.xz
Source6080: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/breqn.tar.xz
Source6081: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/breqn.doc.tar.xz
Source6083: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathtools.tar.xz
Source6084: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mathtools.doc.tar.xz
Source6086: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mflogo-font.tar.xz
Source6087: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/mflogo-font.doc.tar.xz
Source6088: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/capt-of.tar.xz
Source6089: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/capt-of.doc.tar.xz
Source6091: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eqparbox.tar.xz
Source6092: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/eqparbox.doc.tar.xz
Source6094: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/needspace.tar.xz
Source6095: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/needspace.doc.tar.xz
Source6097: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tabulary.tar.xz
Source6098: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/tabulary.doc.tar.xz
Source6100: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/upquote.tar.xz
Source6101: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/upquote.doc.tar.xz
Source6103: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/anyfontsize.tar.xz
Source6104: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/anyfontsize.doc.tar.xz
Source6106: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/classpack.tar.xz
Source6107: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/classpack.doc.tar.xz
Source6109: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex2man.tar.xz
Source6110: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latex2man.doc.tar.xz
Source6111: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ctablestack.tar.xz
Source6112: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ctablestack.doc.tar.xz
Source6114: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatex85.tar.xz
Source6115: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luatex85.doc.tar.xz
Source6117: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvisvgm.tar.xz
Source6118: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dvisvgm.doc.tar.xz
Source6119: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babel-english.tar.xz
Source6120: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/babel-english.doc.tar.xz
Source6122: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/awesomebox.tar.xz
Source6123: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/awesomebox.doc.tar.xz
Source6156: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontawesome.tar.xz
Source6157: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/fontawesome.doc.tar.xz
Source6158: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-tools.tar.xz
Source6159: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-tools.doc.tar.xz
Source6160: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-arrow.tar.xz
Source6161: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pst-arrow.doc.tar.xz
Source6255: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/context.doc.tar.xz
Source6256: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/context.tar.xz
Source7342: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/footnotehyper.tar.xz
Source7343: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/footnotehyper.doc.tar.xz
Source7615: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/listofitems.tar.xz
Source7616: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/listofitems.doc.tar.xz
Source7818: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latexbug.tar.xz
Source7819: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/latexbug.doc.tar.xz
Source8032: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/translator.tar.xz
Source8033: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/translator.doc.tar.xz
Source8455: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/colorprofiles.doc.tar.xz
Source8456: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/colorprofiles.tar.xz
Source8651: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ragged2e.doc.tar.xz
Source8652: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ragged2e.tar.xz
Source8726: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/dehyph.tar.xz
Source8727: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3backend.tar.xz
Source8728: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/l3backend.doc.tar.xz
Source8733: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/atbegshi.tar.xz
Source8734: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/atbegshi.doc.tar.xz
Source8735: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/atveryend.tar.xz
Source8736: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/atveryend.doc.tar.xz
Source8737: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/auxhook.tar.xz
Source8738: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/auxhook.doc.tar.xz
Source8739: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bigintcalc.tar.xz
Source8740: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bigintcalc.doc.tar.xz
Source8741: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bitset.tar.xz
Source8742: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bitset.doc.tar.xz
Source8743: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etexcmds.tar.xz
Source8744: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/etexcmds.doc.tar.xz
Source8745: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hycolor.tar.xz
Source8746: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hycolor.doc.tar.xz
Source8747: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/infwarerr.tar.xz
Source8748: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/infwarerr.doc.tar.xz
Source8749: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/intcalc.tar.xz
Source8750: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/intcalc.doc.tar.xz
Source8751: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvdefinekeys.tar.xz
Source8752: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvdefinekeys.doc.tar.xz
Source8753: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvoptions.tar.xz
Source8754: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvoptions.doc.tar.xz
Source8755: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvsetkeys.tar.xz
Source8756: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/kvsetkeys.doc.tar.xz
Source8757: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/letltxmacro.tar.xz
Source8758: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/letltxmacro.doc.tar.xz
Source8759: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ltxcmds.tar.xz
Source8760: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/ltxcmds.doc.tar.xz
Source8761: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfescape.tar.xz
Source8762: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfescape.doc.tar.xz
Source8763: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdftexcmds.tar.xz
Source8764: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdftexcmds.doc.tar.xz
Source8765: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rerunfilecheck.tar.xz
Source8766: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/rerunfilecheck.doc.tar.xz
Source8767: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/uniquecounter.tar.xz
Source8768: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/uniquecounter.doc.tar.xz
Source8771: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/modes.tar.xz
Source8772: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/modes.doc.tar.xz
Source8773: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/grfext.tar.xz
Source8774: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/grfext.doc.tar.xz
Source8775: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/grffile.tar.xz
Source8776: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/grffile.doc.tar.xz
Source8787: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/alphalph.tar.xz
Source8788: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/alphalph.doc.tar.xz
Source8815: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bookmark.tar.xz
Source8816: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/bookmark.doc.tar.xz
Source8855: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epstopdf-pkg.tar.xz
Source8856: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/epstopdf-pkg.doc.tar.xz
Source8881: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gettitlestring.tar.xz
Source8882: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/gettitlestring.doc.tar.xz
Source8895: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hobsub.tar.xz
Source8896: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hobsub.doc.tar.xz
Source8897: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hologo.tar.xz
Source8898: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hologo.doc.tar.xz
Source8954: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/newfloat.tar.xz
Source8955: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/newfloat.doc.tar.xz
Source8966: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfcolmk.tar.xz
Source8967: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfcolmk.doc.tar.xz
Source8968: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdflscape.tar.xz
Source8969: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdflscape.doc.tar.xz
Source9051: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasy-type1.tar.xz
Source9052: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/wasy-type1.doc.tar.xz
Source9067: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/zref.tar.xz
Source9068: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/zref.doc.tar.xz
Source9069: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/refcount.tar.xz
Source9070: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/refcount.doc.tar.xz
Source9071: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stringenc.tar.xz
Source9072: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/stringenc.doc.tar.xz
Source9073: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/catchfile.tar.xz
Source9074: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/catchfile.doc.tar.xz
Source9235: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hopatch.tar.xz
Source9236: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hopatch.doc.tar.xz
Source9269: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lua-uni-algos.tar.xz
Source9270: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lua-uni-algos.doc.tar.xz
Source9656: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hypdoc.tar.xz
Source9657: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/hypdoc.doc.tar.xz
Source9804: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfcol.tar.xz
Source9805: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/pdfcol.doc.tar.xz
Source10000: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luahbtex.doc.tar.xz
Source10001: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/luahbtex.tar.xz
Source10002: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lwarp.doc.tar.xz
Source10003: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/lwarp.tar.xz
Source10004: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/acronym.tar.xz
Source10005: http://ftp.tu-chemnitz.de/pub/tug/historic/systems/texlive/2023/tlnet-final/archive/acronym.doc.tar.xz

Patch1: tl-kpfix.patch
Patch2: tl-format.patch
Patch5: texlive-2016-kpathsea-texlive-path.patch

# fix texmf.cnf so that it finds texinfo bits in Fedora
Patch8: texlive-20230311-texinfo-path-fix.patch

# fix annocheck issue detected by rpmdiff
Patch17: texlive-20180414-annocheck.patch

# Fix libgs detection in configure/configure.ac in dvisvgm
# Patch20: texlive-20190410-dvisvgm-fix-libgs-detection.patch
# Since we need to include tlmgr.pl for texconfig
# lets try to keep people from shooting themselves with it
Patch21: texlive-20190410-tlmgr-ignore-warning.patch

# Fix pdflatex run out of memory
Patch30: texlive-base-20220321-out-of-memory.patch

# Just remove obsolete decRefCnt check from configure, valid in either case.
Patch32: texlive-base-20220321-xpdf-no-GfxFont-decRefCnt.patch

# libpaper v2 changes
# 1. one psutils test needs adjustment, see https://github.com/rrthomas/libpaper/issues/23
Patch37: texlive-base-libpaperv2.patch

# Fix issue where off_t could be set incorrectly on i686 due to order of header load
Patch44: texlive-base-20220321-pdf-header-order-fix.patch

# Fix texmfcnf.lua for Fedora layout (thanks to Preining Norbert)
Patch45: texlive-fedora-texmfcnf.lua.patch

# Fix interpreter on perl scripts (thanks again to Debian)
Patch46: texlive-base-20230311-fix-scripts.patch

# Fix build error with GCC 14
Patch47: texlive-base-20230311-typecasts.patch
Patch48: texlive-base-20230311-typefixes.patch

# luatex CVE-2023-32700
Patch50: texlive-2023-luatex-CVE-2023-32700.patch

Patch101: etex-addlanguage-fix-bz1215257.patch
Patch108: texlive-2017-xepersian-python.patch
Patch109: texlive-2021-py3-and-pep8.patch
Patch110: tabu-update-to-git-930bc77.patch


%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

%package base
Summary: TeX Live filesystem, metadata and licenses shipped in text form
BuildArch: noarch
Requires: coreutils

%description base
TeX Live licenses shipped in text form.

%package lib
Summary: Shared libraries for TeX-related files
Provides: texlive-kpathsea-lib = %{epoch}:%{source_date}-%{release}
# We have to straight up lie about this to ensure the upgrade.
Provides: texlive-kpathsea-lib(%{__isa}) = 6:2016
Obsoletes: texlive-kpathsea-lib < 2015
Provides: bundled(lua) = 5.2.4

%description lib
TeX specific shared libraries.


%package lib-devel
Summary: Development files for TeX specific shared libraries
Requires: %{name}-lib%{?_isa}
Provides: texlive-kpathsea-lib-devel = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-kpathsea-lib-devel < %{tl_epoch}:%{source_date}

%description lib-devel
Development files for TeX specific shared libraries.


%package ae
Provides: tex-ae = %{epoch}:%{source_date}-%{release}
Provides: tex-ae-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ae-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ae-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Virtual fonts for T1 encoded CMR-fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontenc.sty)
Provides: tex(aeb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebxsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebxti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aecsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeitt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesltt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aetcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laess8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laessb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laessi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeb10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebx9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebxsl10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aebxti10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aecsc10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeitt10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aer9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesl9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesltt10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aess9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessbx10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessdc10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aessi9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aetcsc10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aeti9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(aett9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laess8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laessb8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laessi8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ae.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(aecompl.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlaer.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsaer.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1aer.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1aess.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1aett.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1laess.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1laett.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1aer.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1aess.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1aett.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1laess.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1laett.fd) = %{epoch}:%{source_date}-%{release}

%description ae
A set of virtual fonts which emulates T1 coded fonts using the
standard CM fonts. The package name, AE fonts, supposedly
stands for "Almost European". The main use of the package was
to produce PDF files using Adobe Type 1 versions of the CM
fonts instead of bitmapped EC fonts. Note that direct
substitutes for the bitmapped EC fonts are now available, via
the CM-super, Latin Modern and (in a restricted way) CM-LGC
font sets.


%package algorithms
Provides: tex-algorithms = %{epoch}:%{source_date}-%{release}
Provides: tex-algorithms-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-algorithms-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-algorithms-doc < %{tl_epoch}:%{source_date}
License: LGPL-2.1-or-later
Summary: A suite of tools for typesetting algorithms in pseudo-code
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(float.sty)
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Provides: tex(algorithm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(algorithmic.sty) = %{epoch}:%{source_date}-%{release}

%description algorithms
Consists of two environments: algorithm and algorithmic. The
algorithm package defines a floating algorithm environment
designed to work with the algorithmic style. Within an
algorithmic environment a number of commands for typesetting
popular algorithmic constructs are available.


%package amscls
Provides: tex-amscls = %{epoch}:%{source_date}-%{release}
Provides: tex-amscls-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-amscls-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-amscls-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: AMS document classes for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(amstex.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsfonts.sty)
Requires: tex(url.sty)
Requires: tex(doc.sty)
Provides: tex(amsart.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsbook.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsbooka.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsdtx.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsldoc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsmidx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsproc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsthm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(upref.sty) = %{epoch}:%{source_date}-%{release}

%description amscls
This bundle contains three AMS classes, amsart (for writing
articles for the AMS), amsbook (for books) and amsproc (for
proceedings), together with some supporting material. The
material is made available as part of the AMS-LaTeX
distribution.


%package amsfonts
Provides: tex-amsfonts = %{epoch}:%{source_date}-%{release}
Provides: tex-amsfonts-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-amsfonts-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-amsfonts-doc < %{tl_epoch}:%{source_date}
License: OFL-1.1
Summary: TeX fonts from the American Mathematical Society
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea, texlive-kpathsea-bin
Provides: tex(cm.map) = %{tl_version}
Provides: tex(cmextra.map) = %{tl_version}
Provides: tex(cyrillic.map) = %{tl_version}
Provides: tex(euler.map) = %{tl_version}
Provides: tex(latxfont.map) = %{tl_version}
Provides: tex(symbols.map) = %{tl_version}
Provides: tex(cmbsy5.tfm) = %{tl_version}
Provides: tex(cmbsy6.tfm) = %{tl_version}
Provides: tex(cmbsy7.tfm) = %{tl_version}
Provides: tex(cmbsy8.tfm) = %{tl_version}
Provides: tex(cmbsy9.tfm) = %{tl_version}
Provides: tex(cmcsc8.tfm) = %{tl_version}
Provides: tex(cmcsc9.tfm) = %{tl_version}
Provides: tex(cmex7.tfm) = %{tl_version}
Provides: tex(cmex8.tfm) = %{tl_version}
Provides: tex(cmex9.tfm) = %{tl_version}
Provides: tex(cmmib5.tfm) = %{tl_version}
Provides: tex(cmmib6.tfm) = %{tl_version}
Provides: tex(cmmib7.tfm) = %{tl_version}
Provides: tex(cmmib8.tfm) = %{tl_version}
Provides: tex(cmmib9.tfm) = %{tl_version}
Provides: tex(wncyb10.tfm) = %{tl_version}
Provides: tex(wncyb5.tfm) = %{tl_version}
Provides: tex(wncyb6.tfm) = %{tl_version}
Provides: tex(wncyb7.tfm) = %{tl_version}
Provides: tex(wncyb8.tfm) = %{tl_version}
Provides: tex(wncyb9.tfm) = %{tl_version}
Provides: tex(wncyi10.tfm) = %{tl_version}
Provides: tex(wncyi5.tfm) = %{tl_version}
Provides: tex(wncyi6.tfm) = %{tl_version}
Provides: tex(wncyi7.tfm) = %{tl_version}
Provides: tex(wncyi8.tfm) = %{tl_version}
Provides: tex(wncyi9.tfm) = %{tl_version}
Provides: tex(wncyr10.tfm) = %{tl_version}
Provides: tex(wncyr5.tfm) = %{tl_version}
Provides: tex(wncyr6.tfm) = %{tl_version}
Provides: tex(wncyr7.tfm) = %{tl_version}
Provides: tex(wncyr8.tfm) = %{tl_version}
Provides: tex(wncyr9.tfm) = %{tl_version}
Provides: tex(wncysc10.tfm) = %{tl_version}
Provides: tex(wncyss10.tfm) = %{tl_version}
Provides: tex(wncyss8.tfm) = %{tl_version}
Provides: tex(wncyss9.tfm) = %{tl_version}
Provides: tex(dummy.tfm) = %{tl_version}
Provides: tex(euex10.tfm) = %{tl_version}
Provides: tex(euex7.tfm) = %{tl_version}
Provides: tex(euex8.tfm) = %{tl_version}
Provides: tex(euex9.tfm) = %{tl_version}
Provides: tex(eufb10.tfm) = %{tl_version}
Provides: tex(eufb5.tfm) = %{tl_version}
Provides: tex(eufb6.tfm) = %{tl_version}
Provides: tex(eufb7.tfm) = %{tl_version}
Provides: tex(eufb8.tfm) = %{tl_version}
Provides: tex(eufb9.tfm) = %{tl_version}
Provides: tex(eufm10.tfm) = %{tl_version}
Provides: tex(eufm5.tfm) = %{tl_version}
Provides: tex(eufm6.tfm) = %{tl_version}
Provides: tex(eufm7.tfm) = %{tl_version}
Provides: tex(eufm8.tfm) = %{tl_version}
Provides: tex(eufm9.tfm) = %{tl_version}
Provides: tex(eurb10.tfm) = %{tl_version}
Provides: tex(eurb5.tfm) = %{tl_version}
Provides: tex(eurb6.tfm) = %{tl_version}
Provides: tex(eurb7.tfm) = %{tl_version}
Provides: tex(eurb8.tfm) = %{tl_version}
Provides: tex(eurb9.tfm) = %{tl_version}
Provides: tex(eurm10.tfm) = %{tl_version}
Provides: tex(eurm5.tfm) = %{tl_version}
Provides: tex(eurm6.tfm) = %{tl_version}
Provides: tex(eurm7.tfm) = %{tl_version}
Provides: tex(eurm8.tfm) = %{tl_version}
Provides: tex(eurm9.tfm) = %{tl_version}
Provides: tex(eusb10.tfm) = %{tl_version}
Provides: tex(eusb5.tfm) = %{tl_version}
Provides: tex(eusb6.tfm) = %{tl_version}
Provides: tex(eusb7.tfm) = %{tl_version}
Provides: tex(eusb8.tfm) = %{tl_version}
Provides: tex(eusb9.tfm) = %{tl_version}
Provides: tex(eusm10.tfm) = %{tl_version}
Provides: tex(eusm5.tfm) = %{tl_version}
Provides: tex(eusm6.tfm) = %{tl_version}
Provides: tex(eusm7.tfm) = %{tl_version}
Provides: tex(eusm8.tfm) = %{tl_version}
Provides: tex(eusm9.tfm) = %{tl_version}
Provides: tex(msam10.tfm) = %{tl_version}
Provides: tex(msam5.tfm) = %{tl_version}
Provides: tex(msam6.tfm) = %{tl_version}
Provides: tex(msam7.tfm) = %{tl_version}
Provides: tex(msam8.tfm) = %{tl_version}
Provides: tex(msam9.tfm) = %{tl_version}
Provides: tex(msbm10.tfm) = %{tl_version}
Provides: tex(msbm5.tfm) = %{tl_version}
Provides: tex(msbm6.tfm) = %{tl_version}
Provides: tex(msbm7.tfm) = %{tl_version}
Provides: tex(msbm8.tfm) = %{tl_version}
Provides: tex(msbm9.tfm) = %{tl_version}
Provides: tex(cmb10.pfb) = %{tl_version}
Provides: tex(cmbsy10.pfb) = %{tl_version}
Provides: tex(cmbx10.pfb) = %{tl_version}
Provides: tex(cmbx12.pfb) = %{tl_version}
Provides: tex(cmbx5.pfb) = %{tl_version}
Provides: tex(cmbx6.pfb) = %{tl_version}
Provides: tex(cmbx7.pfb) = %{tl_version}
Provides: tex(cmbx8.pfb) = %{tl_version}
Provides: tex(cmbx9.pfb) = %{tl_version}
Provides: tex(cmbxsl10.pfb) = %{tl_version}
Provides: tex(cmbxti10.pfb) = %{tl_version}
Provides: tex(cmcsc10.pfb) = %{tl_version}
Provides: tex(cmdunh10.pfb) = %{tl_version}
Provides: tex(cmex10.pfb) = %{tl_version}
Provides: tex(cmff10.pfb) = %{tl_version}
Provides: tex(cmfi10.pfb) = %{tl_version}
Provides: tex(cmfib8.pfb) = %{tl_version}
Provides: tex(cminch.pfb) = %{tl_version}
Provides: tex(cmitt10.pfb) = %{tl_version}
Provides: tex(cmmi10.pfb) = %{tl_version}
Provides: tex(cmmi12.pfb) = %{tl_version}
Provides: tex(cmmi5.pfb) = %{tl_version}
Provides: tex(cmmi6.pfb) = %{tl_version}
Provides: tex(cmmi7.pfb) = %{tl_version}
Provides: tex(cmmi8.pfb) = %{tl_version}
Provides: tex(cmmi9.pfb) = %{tl_version}
Provides: tex(cmmib10.pfb) = %{tl_version}
Provides: tex(cmr10.pfb) = %{tl_version}
Provides: tex(cmr12.pfb) = %{tl_version}
Provides: tex(cmr17.pfb) = %{tl_version}
Provides: tex(cmr5.pfb) = %{tl_version}
Provides: tex(cmr6.pfb) = %{tl_version}
Provides: tex(cmr7.pfb) = %{tl_version}
Provides: tex(cmr8.pfb) = %{tl_version}
Provides: tex(cmr9.pfb) = %{tl_version}
Provides: tex(cmsl10.pfb) = %{tl_version}
Provides: tex(cmsl12.pfb) = %{tl_version}
Provides: tex(cmsl8.pfb) = %{tl_version}
Provides: tex(cmsl9.pfb) = %{tl_version}
Provides: tex(cmsltt10.pfb) = %{tl_version}
Provides: tex(cmss10.pfb) = %{tl_version}
Provides: tex(cmss12.pfb) = %{tl_version}
Provides: tex(cmss17.pfb) = %{tl_version}
Provides: tex(cmss8.pfb) = %{tl_version}
Provides: tex(cmss9.pfb) = %{tl_version}
Provides: tex(cmssbx10.pfb) = %{tl_version}
Provides: tex(cmssdc10.pfb) = %{tl_version}
Provides: tex(cmssi10.pfb) = %{tl_version}
Provides: tex(cmssi12.pfb) = %{tl_version}
Provides: tex(cmssi17.pfb) = %{tl_version}
Provides: tex(cmssi8.pfb) = %{tl_version}
Provides: tex(cmssi9.pfb) = %{tl_version}
Provides: tex(cmssq8.pfb) = %{tl_version}
Provides: tex(cmssqi8.pfb) = %{tl_version}
Provides: tex(cmsy10.pfb) = %{tl_version}
Provides: tex(cmsy5.pfb) = %{tl_version}
Provides: tex(cmsy6.pfb) = %{tl_version}
Provides: tex(cmsy7.pfb) = %{tl_version}
Provides: tex(cmsy8.pfb) = %{tl_version}
Provides: tex(cmsy9.pfb) = %{tl_version}
Provides: tex(cmtcsc10.pfb) = %{tl_version}
Provides: tex(cmtex10.pfb) = %{tl_version}
Provides: tex(cmtex8.pfb) = %{tl_version}
Provides: tex(cmtex9.pfb) = %{tl_version}
Provides: tex(cmti10.pfb) = %{tl_version}
Provides: tex(cmti12.pfb) = %{tl_version}
Provides: tex(cmti7.pfb) = %{tl_version}
Provides: tex(cmti8.pfb) = %{tl_version}
Provides: tex(cmti9.pfb) = %{tl_version}
Provides: tex(cmtt10.pfb) = %{tl_version}
Provides: tex(cmtt12.pfb) = %{tl_version}
Provides: tex(cmtt8.pfb) = %{tl_version}
Provides: tex(cmtt9.pfb) = %{tl_version}
Provides: tex(cmu10.pfb) = %{tl_version}
Provides: tex(cmvtt10.pfb) = %{tl_version}
Provides: tex(cmbsy5.pfb) = %{tl_version}
Provides: tex(cmbsy6.pfb) = %{tl_version}
Provides: tex(cmbsy7.pfb) = %{tl_version}
Provides: tex(cmbsy8.pfb) = %{tl_version}
Provides: tex(cmbsy9.pfb) = %{tl_version}
Provides: tex(cmcsc8.pfb) = %{tl_version}
Provides: tex(cmcsc9.pfb) = %{tl_version}
Provides: tex(cmex7.pfb) = %{tl_version}
Provides: tex(cmex8.pfb) = %{tl_version}
Provides: tex(cmex9.pfb) = %{tl_version}
Provides: tex(cmmib5.pfb) = %{tl_version}
Provides: tex(cmmib6.pfb) = %{tl_version}
Provides: tex(cmmib7.pfb) = %{tl_version}
Provides: tex(cmmib8.pfb) = %{tl_version}
Provides: tex(cmmib9.pfb) = %{tl_version}
Provides: tex(wncyb10.pfb) = %{tl_version}
Provides: tex(wncyi10.pfb) = %{tl_version}
Provides: tex(wncyr10.pfb) = %{tl_version}
Provides: tex(wncysc10.pfb) = %{tl_version}
Provides: tex(wncyss10.pfb) = %{tl_version}
Provides: tex(euex10.pfb) = %{tl_version}
Provides: tex(euex7.pfb) = %{tl_version}
Provides: tex(euex8.pfb) = %{tl_version}
Provides: tex(euex9.pfb) = %{tl_version}
Provides: tex(eufb10.pfb) = %{tl_version}
Provides: tex(eufb5.pfb) = %{tl_version}
Provides: tex(eufb7.pfb) = %{tl_version}
Provides: tex(eufm10.pfb) = %{tl_version}
Provides: tex(eufm5.pfb) = %{tl_version}
Provides: tex(eufm7.pfb) = %{tl_version}
Provides: tex(eurb10.pfb) = %{tl_version}
Provides: tex(eurb5.pfb) = %{tl_version}
Provides: tex(eurb7.pfb) = %{tl_version}
Provides: tex(eurm10.pfb) = %{tl_version}
Provides: tex(eurm5.pfb) = %{tl_version}
Provides: tex(eurm7.pfb) = %{tl_version}
Provides: tex(eusb10.pfb) = %{tl_version}
Provides: tex(eusb5.pfb) = %{tl_version}
Provides: tex(eusb7.pfb) = %{tl_version}
Provides: tex(eusm10.pfb) = %{tl_version}
Provides: tex(eusm5.pfb) = %{tl_version}
Provides: tex(eusm7.pfb) = %{tl_version}
Provides: tex(lasy10.pfb) = %{tl_version}
Provides: tex(lasy5.pfb) = %{tl_version}
Provides: tex(lasy6.pfb) = %{tl_version}
Provides: tex(lasy7.pfb) = %{tl_version}
Provides: tex(lasy8.pfb) = %{tl_version}
Provides: tex(lasy9.pfb) = %{tl_version}
Provides: tex(lasyb10.pfb) = %{tl_version}
Provides: tex(lcircle1.pfb) = %{tl_version}
Provides: tex(lcirclew.pfb) = %{tl_version}
Provides: tex(lcmss8.pfb) = %{tl_version}
Provides: tex(lcmssb8.pfb) = %{tl_version}
Provides: tex(lcmssi8.pfb) = %{tl_version}
Provides: tex(line10.pfb) = %{tl_version}
Provides: tex(linew10.pfb) = %{tl_version}
Provides: tex(msam10.pfb) = %{tl_version}
Provides: tex(msam5.pfb) = %{tl_version}
Provides: tex(msam6.pfb) = %{tl_version}
Provides: tex(msam7.pfb) = %{tl_version}
Provides: tex(msam8.pfb) = %{tl_version}
Provides: tex(msam9.pfb) = %{tl_version}
Provides: tex(msbm10.pfb) = %{tl_version}
Provides: tex(msbm5.pfb) = %{tl_version}
Provides: tex(msbm6.pfb) = %{tl_version}
Provides: tex(msbm7.pfb) = %{tl_version}
Provides: tex(msbm8.pfb) = %{tl_version}
Provides: tex(msbm9.pfb) = %{tl_version}
Provides: tex(amsfonts.sty) = %{tl_version}
Provides: tex(amssymb.sty) = %{tl_version}
Provides: tex(cmmib57.sty) = %{tl_version}
Provides: tex(eucal.sty) = %{tl_version}
Provides: tex(eufrak.sty) = %{tl_version}
Provides: tex(euscript.sty) = %{tl_version}
Provides: tex(ueuex.fd) = %{tl_version}
Provides: tex(ueuf.fd) = %{tl_version}
Provides: tex(ueur.fd) = %{tl_version}
Provides: tex(ueus.fd) = %{tl_version}
Provides: tex(umsa.fd) = %{tl_version}
Provides: tex(umsb.fd) = %{tl_version}
Provides: tex(amssym.def) = %{tl_version}
Provides: tex(amssym.tex) = %{tl_version}
Provides: tex(cyracc.def) = %{tl_version}

%description amsfonts
An extended set of fonts for use in mathematics, including:
extra mathematical symbols; blackboard bold letters (uppercase
only); fraktur letters; subscript sizes of bold math italic and
bold Greek letters; subscript sizes of large symbols such as
sum and product; added sizes of the Computer Modern small caps
font; cyrillic fonts (from the University of Washington); Euler
mathematical fonts. All fonts are provided as Adobe Type 1
files, and all except the Euler fonts are provided as Metafont
source. The distribution also includes the canonical Type 1
versions of the Computer Modern family of fonts. Plain TeX and
LaTeX macros for using the fonts are provided.


%package amsmath
Provides: tex-amsmath = %{epoch}:%{source_date}-%{release}
Provides: tex-amsmath-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-amsmath-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-amsmath-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: AMS mathematical facilities for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(amstext.sty)
Provides: tex(amsbsy.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amscd.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsgen.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsopn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amstex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amstext.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsxtra.sty) = %{epoch}:%{source_date}-%{release}

%description amsmath
The package provides the principal packages in the AMS-LaTeX
distribution. It adapts for use in LaTeX most of the
mathematical features found in AMS-TeX; it is highly
recommendsd as an adjunct to serious mathematical typesetting
in LaTeX. When amsmath is loaded, AMS-LaTeX packages amsbsy
(for bold symbols), amsopn (for operator names) and amstext
(for text embdedded in mathematics) are also loaded. Amsmath is
part of the LaTeX required distribution; however, several
contributed packages add still further to its appeal; examples
are empheq, which provides functions for decorating and
highlighting mathematics, and ntheorem, for specifying theorem
(and similar) definitions.


%package anysize
Provides: tex-anysize = %{epoch}:%{source_date}-%{release}
Provides: tex-anysize-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-anysize-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-anysize-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: A simple package to set up document margins
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(anysize.sty) = %{epoch}:%{source_date}-%{release}

%description anysize
This package is considered obsolete; alternatives are the
typearea package from the koma-script bundle, or the geometry
package.


%package appendix
Provides: tex-appendix = %{epoch}:%{source_date}-%{release}
Provides: tex-appendix-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-appendix-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-appendix-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extra control of appendices
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(appendix.sty) = %{epoch}:%{source_date}-%{release}

%description appendix
The appendix package provides various ways of formatting the
titles of appendices. Also (sub)appendices environments are
provided that can be used, for example, for per chapter/section
appendices. The word `Appendix' or similar can be prepended to
the appendix number for article class documents. The word
`Appendices' or similar can be added to the table of contents
before the appendices are listed. The word `Appendices' or
similar can be typeset as a \part-like heading (page) in the
body. An appendices environment is provided which can be used
instead of the \appendix command.


%package arabxetex
Provides: tex-arabxetex = %{epoch}:%{source_date}-%{release}
Provides: tex-arabxetex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-arabxetex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-arabxetex-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: An ArabTeX-like interface for XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(amsmath.sty)
Requires: tex(fontspec.sty)
Requires: tex(bidi.sty)
Provides: tex(arabicdigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-farsi-trans-loc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-farsi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-farsi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-farsi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-kashmiri-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-kashmiri-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-kashmiri-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-kurdish.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-maghribi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-maghribi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-maghribi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-malay-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-malay-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-malay-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-pashto-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-pashto-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-pashto-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-sindhi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-sindhi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-sindhi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-turk-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-turk-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-turk-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-uighur.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-urdu-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-urdu-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-urdu-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2alif-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-farsi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-farsi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-farsi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-kashmiri-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-kashmiri-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-kashmiri-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-kurdish.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-maghribi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-maghribi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-maghribi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-malay-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-malay-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-malay-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-pashto-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-pashto-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-pashto-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-sindhi-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-sindhi-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-sindhi-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-turk-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-turk-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-turk-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-uighur.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-urdu-fullvoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-urdu-novoc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-urdu-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-fdf2noalif-voc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-pashto-trans-loc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-sindhi-trans-loc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-trans-dmg.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-trans-loc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabtex-urdu-trans-loc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(farsidigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(fixlamalif.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mirrorpunct.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabxetex.sty) = %{epoch}:%{source_date}-%{release}

%description arabxetex
ArabXeTeX provides a convenient ArabTeX-like user-interface for
typesetting languages using the Arabic script in XeLaTeX, with
flexible access to font features. Input in ArabTeX notation can
be set in three different vocalization modes or in roman
transliteration. Direct UTF-8 input is also supported. The
parsing and converting of ArabTeX input to Unicode is done by
means of TECkit mappings. Version 1.0 provides support for
Arabic, Maghribi Arabic, Farsi (Persian), Urdu, Sindhi,
Kashmiri, Ottoman Turkish, Kurdish, Jawi (Malay) and Uighur.
The documentation (not yet complete) covers topics such as
typesetting the Holy Quran, typesetting bidirectional critical
editions (with ednotes), and information on various recommended
OpenType fonts for the Arabic script and for transliterating
Oriental languages.


%package arphic
Provides: tex-arphic = %{epoch}:%{source_date}-%{release}
Provides: tex-arphic-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-arphic-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-arphic-doc < %{tl_epoch}:%{source_date}
License: Arphic-1999
Summary: Arphic (Chinese) font packages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(bkaiu.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp08.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp09.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp39.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp40.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp41.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp42.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp43.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp44.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp45.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp46.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp47.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp48.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp49.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimpv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuee.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiufa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiufe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp08.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp09.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp39.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp40.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp41.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp42.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp43.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp44.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp45.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp46.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp47.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp48.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp49.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilpv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuee.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiufa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiufe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp08.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp09.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnufe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnuff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp08.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp09.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiufe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiuff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu00.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu02.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu03.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu20.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu21.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu22.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu25.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu26.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu30.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu31.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu32.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu33.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu4e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu4f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu50.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu51.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu52.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu53.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu54.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu55.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu56.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu57.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu58.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu59.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu5f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu60.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu61.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu62.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu63.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu64.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu65.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu66.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu67.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu68.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu69.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu6f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu70.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu71.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu72.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu73.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu74.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu75.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu76.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu77.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu78.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu79.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu7f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu80.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu81.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu82.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu83.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu84.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu85.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu86.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu87.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu88.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu89.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu8f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu90.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu91.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu92.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu93.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu94.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu95.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu96.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu97.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu98.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu99.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiu9f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuee.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuf8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiufa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiufe.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuff.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaiuv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu00.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu02.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu03.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu20.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu21.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu22.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu25.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu26.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu30.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu31.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu32.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu33.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu4e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu4f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu50.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu51.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu52.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu53.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu54.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu55.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu56.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu57.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu58.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu59.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu5f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu60.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu61.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu62.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu63.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu64.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu65.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu66.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu67.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu68.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu69.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu6f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu70.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu71.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu72.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu73.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu74.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu75.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu76.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu77.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu78.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu79.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu7f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu80.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu81.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu82.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu83.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu84.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu85.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu86.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu87.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu88.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu89.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu8f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu90.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu91.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu92.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu93.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu94.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu95.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu96.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu97.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu98.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu99.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiu9f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuee.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuf8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiufa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiufe.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuff.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmiuv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu00.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu01.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu02.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu03.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu04.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu20.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu21.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu22.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu23.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu24.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu25.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu26.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu30.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu31.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu32.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu4e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu4f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu50.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu51.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu52.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu53.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu54.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu55.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu56.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu57.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu58.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu59.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu5f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu60.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu61.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu62.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu63.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu64.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu65.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu66.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu67.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu68.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu69.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu6f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu70.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu71.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu72.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu73.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu74.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu75.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu76.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu77.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu78.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu79.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu7f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu80.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu81.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu82.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu83.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu84.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu85.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu86.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu87.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu88.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu89.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu8f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu90.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu91.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu92.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu93.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu94.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu95.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu96.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu97.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu98.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu99.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnu9f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnufe.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnuff.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu00.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu01.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu02.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu03.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu04.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu20.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu21.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu22.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu23.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu24.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu25.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu26.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu30.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu31.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu32.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu4e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu4f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu50.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu51.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu52.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu53.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu54.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu55.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu56.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu57.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu58.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu59.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu5f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu60.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu61.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu62.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu63.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu64.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu65.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu66.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu67.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu68.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu69.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu6f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu70.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu71.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu72.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu73.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu74.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu75.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu76.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu77.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu78.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu79.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu7f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu80.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu81.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu82.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu83.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu84.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu85.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu86.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu87.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu88.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu89.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8d.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu8f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu90.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu91.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu92.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu93.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu94.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu95.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu96.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu97.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu98.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu99.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9c.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9e.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiu9f.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiufe.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaiuff.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp08.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp09.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp34.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp35.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp36.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp37.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp38.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp39.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp40.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp41.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp42.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp43.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp44.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp45.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp46.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp47.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp48.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp49.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimp55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bkaimpv.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp08.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp09.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp34.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp35.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp36.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp37.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp38.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp39.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp40.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp41.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp42.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp43.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp44.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp45.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp46.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp47.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp48.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp49.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilp55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bsmilpv.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp08.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp09.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gbsnlp32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp08.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp09.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkaimp32.vf) = %{epoch}:%{source_date}-%{release}

%description arphic
These are font bundles for the Chinese Arphic fonts which work
with the CJK package. Arphic is actually the name of the
company that which created the fonts (and put them under a GPL-
like licence).


%package attachfile
Provides: tex-attachfile = %{epoch}:%{source_date}-%{release}
Provides: tex-attachfile-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-attachfile-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-attachfile-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Attach arbitrary files to a PDF document
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Requires: tex(color.sty)
Requires: tex(hyperref.sty)
Provides: tex(attachfile.sty) = %{epoch}:%{source_date}-%{release}

%description attachfile
Starting with PDF 1.3 (Adobe Acrobat 4.0), PDF files can
contain file attachments -- arbitrary files that a reader can
extract, just like attachments to an e-mail message. The
attachfile package brings this functionality to pdfLaTeX and
provides some additional features not available in Acrobat,
such as the ability to use arbitrary LaTeX code for the file
icon -- including things like \includegraphics, tabular, and
mathematics. Settings can be made either globally or on a per-
attachment basis. Attachfile makes it easy to attach files and
customize their appearance in the enclosing document. The
package supports the Created, Modified, and Size keys in the
EmbeddedFile's Params dictionary.


%package avantgar
Provides: tex-avantgar = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(uag.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagkc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagkc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagkc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagd8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagdo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagk8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagkc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagkc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagko8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uagro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8ruag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omluag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsuag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1uag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1uag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1uag.fd) = %{epoch}:%{source_date}-%{release}

%description avantgar
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).


%package babelbib
Provides: tex-babelbib = %{epoch}:%{source_date}-%{release}
Provides: tex-babelbib-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-babelbib-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-babelbib-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Multilingual bibliographies
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(babel.sty)
Provides: tex(babelbib.sty) = %{epoch}:%{source_date}-%{release}

%description babelbib
This package enables to generate multilingual bibliographies in
cooperation with babel. Two approaches are possible: Each
citation may be written in another language, or the whole
bibliography can be typeset in a language chosen by the user.
In addition, the package supports commands to change the
typography of the bibliographies.


%package babel
Provides: tex-babel = %{epoch}:%{source_date}-%{release}
Provides: tex-babel-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-babel-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-babel-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Multilingual support for Plain TeX or LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(UKenglish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(USenglish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(afrikaans.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(albanian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(american.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(austrian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(babel.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(babel.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bahasa.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bahasam.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(basque.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(blplain.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bplain.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(breton.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(british.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bulgarian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(catalan.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(croatian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(czech.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(danish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dutch.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(english.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(esperanto.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(estonian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(finnish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(francais.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(galician.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(germanb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(greek.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hebrew.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyphen.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(icelandic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(interlingua.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(irish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(italian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lsorbian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luababel.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(magyar.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(naustrian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ngermanb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nil.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norsk.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(polish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(portuges.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(romanian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(russianb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(samin.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scottish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(serbian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(slovak.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(slovene.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(spanish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(swedish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(switch.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(turkish.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ukraineb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(usorbian.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(welsh.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xebabel.def) = %{epoch}:%{source_date}-%{release}

%description babel
The package manages culturally-determined typographical (and
other) rules, and hyphenation patterns for a wide range of
languages. A document may select a single language to be
supported, or it may select several, in which case the document
may switch from one language to another in a variety of ways.
Note that the package has contributions for several languages
that remain to be incorporated. Examples are: Arabic; Magyar
(Hungarian); Serbian written in cyrillic; Spanish; and Spanish,
using Mexican conventions.. Users of XeTeX are advised to use
polyglossia rather than Babel.


%package beamer
Provides: tex-beamer = %{epoch}:%{source_date}-%{release}
Provides: tex-beamer-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-beamer-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-beamer-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: A LaTeX class for producing presentations and slides
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-amscls
Requires: texlive-amsfonts
Requires: texlive-amsmath
Requires: texlive-atbegshi
Requires: texlive-etoolbox
Requires: texlive-geometry
Requires: texlive-hyperref
Requires: texlive-iftex
Requires: texlive-pgf
Requires: texlive-translator
Requires: texlive-xcolor
Requires: tex(beamerbasemodes.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ucs.sty)
Requires: tex(inputenc.sty)
Requires: tex(geometry.sty)
Requires: tex(pgfcore.sty)
Requires: tex(xxcolor.sty)
Requires: tex(atbegshi.sty)
Requires: tex(hyperref.sty)
Requires: tex(beamerbasearticle.sty)
Requires: tex(xcolor.sty)
Requires: tex(amssymb.sty)
Requires: tex(sansmathaccent.sty)
Requires: tex(enumerate.sty)
Requires: tex(keyval.sty)
Requires: tex(beamerbasetwoscreens.sty)
Requires: tex(beamerbasesection.sty)
Requires: tex(beamerbasetoc.sty)
Requires: tex(beamerbasetheorems.sty)
Requires: tex(amsmath.sty)
Requires: tex(amsthm.sty)
Requires: tex(pgf.sty)
Requires: tex(translator.sty)
Provides: tex(beamer.cls) = %{tl_version}
Provides: tex(beamerarticle.sty) = %{tl_version}
Provides: tex(beamerbasearticle.sty) = %{tl_version}
Provides: tex(beamerbaseauxtemplates.sty) = %{tl_version}
Provides: tex(beamerbaseboxes.sty) = %{tl_version}
Provides: tex(beamerbasecolor.sty) = %{tl_version} 
Provides: tex(beamerbasecompatibility.sty) = %{tl_version}
Provides: tex(beamerbasedecode.sty) = %{tl_version}
Provides: tex(beamerbasefont.sty) = %{tl_version}
Provides: tex(beamerbaseframe.sty) = %{tl_version}
Provides: tex(beamerbaseframecomponents.sty) = %{tl_version}
Provides: tex(beamerbaseframesize.sty) = %{tl_version}
Provides: tex(beamerbaselocalstructure.sty) = %{tl_version}
Provides: tex(beamerbasemisc.sty) = %{tl_version}
Provides: tex(beamerbasemodes.sty) = %{tl_version}
Provides: tex(beamerbasenavigation.sty) = %{tl_version}
Provides: tex(beamerbasenavigationsymbols.tex) = %{tl_version}
Provides: tex(beamerbasenotes.sty) = %{tl_version}
Provides: tex(beamerbaseoptions.sty) = %{tl_version}
Provides: tex(beamerbaseoverlay.sty) = %{tl_version}
Provides: tex(beamerbaserequires.sty) = %{tl_version}
Provides: tex(beamerbasesection.sty) = %{tl_version}
Provides: tex(beamerbasetemplates.sty) = %{tl_version}
Provides: tex(beamerbasethemes.sty) = %{tl_version}
Provides: tex(beamerbasetheorems.sty) = %{tl_version}
Provides: tex(beamerbasetitle.sty) = %{tl_version}
Provides: tex(beamerbasetoc.sty) = %{tl_version}
Provides: tex(beamerbasetranslator.sty) = %{tl_version}
Provides: tex(beamerbasetwoscreens.sty) = %{tl_version}
Provides: tex(beamerbaseverbatim.sty) = %{tl_version}
Provides: tex(beamercolorthemealbatross.sty) = %{tl_version}
Provides: tex(beamercolorthemebeaver.sty) = %{tl_version}
Provides: tex(beamercolorthemebeetle.sty) = %{tl_version}
Provides: tex(beamercolorthemecrane.sty) = %{tl_version}
Provides: tex(beamercolorthemedefault.sty) = %{tl_version}
Provides: tex(beamercolorthemedolphin.sty) = %{tl_version}
Provides: tex(beamercolorthemedove.sty) = %{tl_version}
Provides: tex(beamercolorthemefly.sty) = %{tl_version}
Provides: tex(beamercolorthemelily.sty) = %{tl_version}
Provides: tex(beamercolorthememonarca.sty) = %{tl_version}
Provides: tex(beamercolorthemeorchid.sty) = %{tl_version}
Provides: tex(beamercolorthemerose.sty) = %{tl_version}
Provides: tex(beamercolorthemeseagull.sty) = %{tl_version}
Provides: tex(beamercolorthemeseahorse.sty) = %{tl_version}
Provides: tex(beamercolorthemesidebartab.sty) = %{tl_version}
Provides: tex(beamercolorthemespruce.sty) = %{tl_version}
Provides: tex(beamercolorthemestructure.sty) = %{tl_version}
Provides: tex(beamercolorthemewhale.sty) = %{tl_version}
Provides: tex(beamercolorthemewolverine.sty) = %{tl_version}
Provides: tex(beamerfoils.sty) = %{tl_version}
Provides: tex(beamerfontthemedefault.sty) = %{tl_version}
Provides: tex(beamerfontthemeprofessionalfonts.sty) = %{tl_version}
Provides: tex(beamerfontthemeserif.sty) = %{tl_version}
Provides: tex(beamerfontthemestructurebold.sty) = %{tl_version}
Provides: tex(beamerfontthemestructureitalicserif.sty) = %{tl_version}
Provides: tex(beamerfontthemestructuresmallcapsserif.sty) = %{tl_version}
Provides: tex(beamericonarticle.tex) = %{tl_version}
Provides: tex(beamericonbook.tex) = %{tl_version}
Provides: tex(beamerinnerthemecircles.sty) = %{tl_version}
Provides: tex(beamerinnerthemedefault.sty) = %{tl_version}
Provides: tex(beamerinnerthemeinmargin.sty) = %{tl_version}
Provides: tex(beamerinnerthemerectangles.sty) = %{tl_version}
Provides: tex(beamerinnerthemerounded.sty) = %{tl_version}
Provides: tex(beamerouterthemedefault.sty) = %{tl_version}
Provides: tex(beamerouterthemeinfolines.sty) = %{tl_version}
Provides: tex(beamerouterthememiniframes.sty) = %{tl_version}
Provides: tex(beamerouterthemeshadow.sty) = %{tl_version}
Provides: tex(beamerouterthemesidebar.sty) = %{tl_version}
Provides: tex(beamerouterthemesmoothbars.sty) = %{tl_version}
Provides: tex(beamerouterthemesmoothtree.sty) = %{tl_version}
Provides: tex(beamerouterthemesplit.sty) = %{tl_version}
Provides: tex(beamerouterthemetree.sty) = %{tl_version}
Provides: tex(beamerpatchparalist.sty) = %{tl_version}
Provides: tex(beamerprosper.sty) = %{tl_version}
Provides: tex(beamerseminar.sty) = %{tl_version}
Provides: tex(beamertexpower.sty) = %{tl_version}
Provides: tex(beamerthemeAnnArbor.sty) = %{tl_version}
Provides: tex(beamerthemeAntibes.sty) = %{tl_version}
Provides: tex(beamerthemeBergen.sty) = %{tl_version}
Provides: tex(beamerthemeBerkeley.sty) = %{tl_version}
Provides: tex(beamerthemeBerlin.sty) = %{tl_version}
Provides: tex(beamerthemeBoadilla.sty) = %{tl_version}
Provides: tex(beamerthemeCambridgeUS.sty) = %{tl_version}
Provides: tex(beamerthemeCopenhagen.sty) = %{tl_version}
Provides: tex(beamerthemeDarmstadt.sty) = %{tl_version}
Provides: tex(beamerthemeDresden.sty) = %{tl_version}
Provides: tex(beamerthemeEastLansing.sty) = %{tl_version}
Provides: tex(beamerthemeFrankfurt.sty) = %{tl_version}
Provides: tex(beamerthemeGoettingen.sty) = %{tl_version}
Provides: tex(beamerthemeHannover.sty) = %{tl_version}
Provides: tex(beamerthemeIlmenau.sty) = %{tl_version}
Provides: tex(beamerthemeJuanLesPins.sty) = %{tl_version}
Provides: tex(beamerthemeLuebeck.sty) = %{tl_version}
Provides: tex(beamerthemeMadrid.sty) = %{tl_version}
Provides: tex(beamerthemeMalmoe.sty) = %{tl_version}
Provides: tex(beamerthemeMarburg.sty) = %{tl_version}
Provides: tex(beamerthemeMontpellier.sty) = %{tl_version}
Provides: tex(beamerthemePaloAlto.sty) = %{tl_version}
Provides: tex(beamerthemePittsburgh.sty) = %{tl_version}
Provides: tex(beamerthemeRochester.sty) = %{tl_version}
Provides: tex(beamerthemeSingapore.sty) = %{tl_version}
Provides: tex(beamerthemeSzeged.sty) = %{tl_version}
Provides: tex(beamerthemeWarsaw.sty) = %{tl_version}
Provides: tex(beamerthemebars.sty) = %{tl_version}
Provides: tex(beamerthemeboxes.sty) = %{tl_version}
Provides: tex(beamerthemeclassic.sty) = %{tl_version}
Provides: tex(beamerthemecompatibility.sty) = %{tl_version}
Provides: tex(beamerthemedefault.sty) = %{tl_version}
Provides: tex(beamerthemelined.sty) = %{tl_version}
Provides: tex(beamerthemeplain.sty) = %{tl_version}
Provides: tex(beamerthemeshadow.sty) = %{tl_version}
Provides: tex(beamerthemesidebar.sty) = %{tl_version}
Provides: tex(beamerthemesplit.sty) = %{tl_version}
Provides: tex(beamerthemetree.sty) = %{tl_version}
Provides: tex(multimedia.sty) = %{tl_version}
Provides: tex(multimediasymbols.sty) = %{tl_version}
Provides: tex(xmpmulti.sty) = %{tl_version}

%description beamer
The beamer LaTeX class can be used for producing slides. The
class works in both PostScript and direct PDF output modes,
using the pgf graphics system for visual effects. Content is
created in the frame environment, and each frame can be made up
of a number of slides using a simple notation for specifying
material to appear on each slide within a frame. Short versions
of title, authors, institute can also be specified as optional
parameters. Whole frame graphics are supported by plain frames.
The class supports figure and table environments, transparency
effects, varying slide transitions and animations. Beamer also
provides compatibility with other packages like prosper. The
package now incorporates the functionality of the former
translator package, which is used for customising the package
for use in other language environments. Beamer depends on the
following other packages: atbegshi, etoolbox, hyperref, ifpdf,
pgf, and translator.

%package pgf
Provides: tex-pgf = %{epoch}:%{source_date}-%{release}
Provides: tex-pgf-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pgf-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pgf-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Create PostScript and PDF graphics in TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-xkeyval
Requires: tex(pgfcomp-version-0-65.sty)
Requires: tex(pgfcore.sty)
Requires: tex(graphicx.sty)
Requires: tex(keyval.sty)
Requires: tex(xcolor.sty)
Provides: tex(t-pgf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbim.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbla.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbma.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbpl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbpt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbsh.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfbsn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfcor.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-tikz.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfmat.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfsys.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfcal.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgffor.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfkey.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfmod.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t-pgfrcs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcore.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorearrows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoreexternal.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoregraphicstate.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoreimage.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorelayers.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoreobjects.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorepathconstruct.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorepathprocessing.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorepathusage.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorepatterns.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorepoints.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorequick.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcorescopes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoreshade.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoretransformations.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcoretransparency.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(svgpgf.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(svgtest.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(svgtest.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.ee.IEC.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.ee.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.logic.CDH.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.logic.IEC.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.logic.US.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycircuits.logic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.3d.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.barcharts.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.formats.functions.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.polar.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydatavisualization.sparklines.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarygraphs.basic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarygraphs.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzexternalshared.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrary3d.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryarrows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryautomata.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarybackgrounds.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycalc.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarycalendar.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarychains.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.footprints.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.fractals.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.markings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.pathmorphing.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.pathreplacing.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.shapes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarydecorations.text.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryer.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryfadings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryfit.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryfixedpointarithmetic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryfolding.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryfpu.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryintersections.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarylindenmayersystems.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarymatrix.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarymindmap.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarypatterns.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarypetri.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryplothandlers.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryplotmarks.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarypositioning.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryscopes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshadings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshadows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.arrows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.callouts.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.gates.logic.IEC.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.gates.logic.US.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.geometric.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.misc.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.multipart.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryshapes.symbols.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarysnakes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryspy.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarysvg.path.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarythrough.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarytopaths.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibrarytrees.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryturtle.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikz.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydatavisualization.barcharts.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydatavisualization.formats.functions.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydatavisualization.polar.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.footprints.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.fractals.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.markings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.pathmorphing.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.pathreplacing.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.shapes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarydecorations.text.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryarrows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryfadings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryfixedpointarithmetic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryfpu.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryintersections.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarylindenmayersystems.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarypatterns.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryplothandlers.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryplotmarks.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryprofiler.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshadings.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarysnakes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarysvg.path.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.gates.ee.IEC.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.gates.ee.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.gates.logic.IEC.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.gates.logic.US.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.gates.logic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.arrows.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.callouts.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.geometric.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.misc.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.multipart.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.symbols.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmath.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathcalc.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfloat.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.base.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.basic.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.comparison.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.misc.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.random.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.round.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathfunctions.trigonometric.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathparser.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmathutil.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduledatavisualization.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduledecorations.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmodulematrix.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduleoo.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduleparser.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduleplot.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmoduleshapes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmodulesnakes.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmodulesorting.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfrenderpoints.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfrendertransform.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgf.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-common-pdf-via-dvi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-common-pdf.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-common-postscript.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-common-svg.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-dvi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-dvipdfm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-dvipdfmx.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-dvips.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-pdftex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-tex4ht.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-textures.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-vtex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys-xetex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsysprotocol.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsyssoftpath.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcalendar.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfexternal.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfexternalwithdepth.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgffor.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfkeys.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfkeysfiltered.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfrcs.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfutil-common.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfutil-context.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfutil-latex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfutil-plain.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgf.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseimage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaselayers.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasematrix.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasepatterns.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseplot.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseshapes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasesnakes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcore.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfarrows.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfautomata.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcomp-version-0-65.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcomp-version-1-18.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfheaps.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryarrows.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryautomata.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryplothandlers.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryplotmarks.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibraryshapes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarysnakes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarytikzbackgrounds.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgflibrarytikztrees.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfnodes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfshade.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmanual.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmanual.pdflinks.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmanual.prettyprinter.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmanual.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzlibraryexternal.code.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfpict2e.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikz.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcalendar.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgffor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfkeys.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfpages.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfrcs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikzexternal.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xxcolor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseimage.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaselayers.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasematrix.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasepatterns.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseplot.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbaseshapes.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfbasesnakes.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcore.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tikz.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfmath.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfsys.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfcalendar.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgffor.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfkeys.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgfrcs.tex) = %{epoch}:%{source_date}-%{release}

%description pgf
PGF is a macro package for creating graphics. It is platform-
and format-independent and works together with the most
important TeX backend drivers, including pdftex and dvips. It
comes with a user-friendly syntax layer called TikZ. Its usage
is similar to pstricks and the standard picture environment.
PGF works with plain (pdf-)TeX, (pdf-)LaTeX, and ConTeXt.
Unlike pstricks, it can produce either PostScript or PDF
output.


%package xkeyval
Provides: tex-xkeyval = %{epoch}:%{source_date}-%{release}
Provides: tex-xkeyval-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xkeyval-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xkeyval-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extension of the keyval package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(longtable.sty)
Provides: tex(keyval.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-xkey.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(xkeyval.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(xkvtxhdr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-xkey.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xkeyval.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xkvltxp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xkvview.sty) = %{epoch}:%{source_date}-%{release}

%description xkeyval
This package is an extension of the keyval package and offers
additional macros for setting keys and declaring and setting
class or package options. The package allows the programmer to
specify a prefix to the name of the macros it defines for keys,
and to define families of key definitions; these all help use
in documents where several packages define their own sets of
keys.


%package xcolor
Provides: tex-xcolor = %{epoch}:%{source_date}-%{release}
Provides: tex-xcolor-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xcolor-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xcolor-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Driver-independent color extensions for LaTeX and pdfLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(colortbl.sty)
Requires: tex(pdfcolmk.sty)
Provides: tex(svgnam.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(x11nam.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xcolor.sty) = %{epoch}:%{source_date}-%{release}

%description xcolor
Provides easy driver-independent access to several kinds of
color tints, shades, tones, and mixes of arbitrary colors. It
allows a user to select a document-wide target color model and
offers complete tools for conversion between eight color
models. Additionally, there is a command for alternating row
colors plus repeated non-aligned material (like horizontal
lines) in tables. Colors can be mixed like
\color{red!30!green!40!blue}.


%package bera
Provides: tex-bera = %{epoch}:%{source_date}-%{release}
Provides: tex-bera-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-bera-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-bera-doc < %{tl_epoch}:%{source_date}
License: Bitstream-Vera
Summary: Bera fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontenc.sty)
Requires: tex(textcomp.sty)
Requires: tex(berasans.sty)
Requires: tex(keyval.sty)
Provides: tex(bera.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvebo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvebo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvebo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvero8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvero8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvero8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fveb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvebo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvebo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fver8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvero8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvero8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvmro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvsro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bera.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(beramono.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(berasans.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(beraserif.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fve.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fvm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fvs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fve.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fvm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fvs.fd) = %{epoch}:%{source_date}-%{release}

%description bera
The package contains the Bera Type 1 fonts, and a zip archive
containing files to use the fonts with LaTeX. Bera is a set of
three font families: Bera Serif (a slab-serif Roman), Bera Sans
(a Frutiger descendant), and Bera Mono (monospaced/typewriter).
Support for use in LaTeX is also provided. The Bera family is a
repackaging, for use with TeX, of the Bitstream Vera family.


%package beton
Provides: tex-beton = %{epoch}:%{source_date}-%{release}
Provides: tex-beton-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-beton-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-beton-doc  < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Use Concrete fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(beton.sty) = %{epoch}:%{source_date}-%{release}

%description beton
Typeset a LaTeX2e document with the Concrete fonts designed by
Don Knuth and used in his book "Concrete Mathematics".


%package bibtex
Provides: tex-bibtex = %{epoch}:%{source_date}-%{release}
Provides: texlive-bibtex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-bibtex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-bibtex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-bibtex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-bibtex-doc < %{tl_epoch}:%{source_date}
License: Knuth-CTAN
Summary: Process bibliographies for LaTeX, etc
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tex(apalike.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(apalike.tex) = %{epoch}:%{source_date}-%{release}

%description bibtex
BibTeX allows the user to store his citation data in generic
form, while printing citations in a document in the form
specified by a BibTeX style, to be specified in the document
itself (one often needs a LaTeX citation-style package, such as
natbib as well). BibTeX itself is an ASCII-only program; there
is, however, a version that copes with 8-bit character sets.
However, BibTeX's facilities rapidly run out as one moves away
from simple ASCII (for example, in the various national sorting
rules for languages expressed in different parts of ISO-8859 --
the "ISO Latin" series). For more flexibility, the user is
urged to consider using biber with biblatex to typeset its
output. In particular, it is best to avoid BibTeX in favour of
biblatex, if at all possible.


%package kpathsea
License: LGPL-2.1-or-later
Summary: Path searching library for TeX-related files
Provides: kpathsea = %{epoch}:%{source_date}-%{release}
Obsoletes: kpathsea < %{tl_epoch}:%{source_date}
Provides: tex-kpathsea = %{epoch}:%{source_date}-%{release}
Provides: texlive-kpathsea-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-kpathsea-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-kpathsea-bin < %{tl_epoch}:%{source_date}
Provides: texlive-kpathsea-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-kpathsea-doc < %{tl_epoch}:%{source_date}
# We absolutely need this to go in first, since the trigger needs it
Requires(post): texlive-texlive-scripts = %{epoch}:%{source_date}-%{release}
Requires: coreutils, grep
Requires: texlive-base
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tex(fmtutil.cnf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mktex.cnf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texmf.cnf) = %{epoch}:%{source_date}-%{release}

%description kpathsea
Kpathsea is a library and utility programs which provide path
searching facilities for TeX file types, including the self-
locating feature required for movable installations, layered on
top of a general search mechanism. It is not distributed
separately, but rather is released and maintained as part of
the TeX live sources.


%package bibtopic
Provides: tex-bibtopic = %{epoch}:%{source_date}-%{release}
Provides: tex-bibtopic-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-bibtopic-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-bibtopic-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Include multiple bibliographies in a document
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifthen.sty)
Provides: tex(bibtopic.sty) = %{epoch}:%{source_date}-%{release}

%description bibtopic
The package allows the user to include several bibliographies
covering different 'topics' or bibliographic material into a
document (e.g., one bibliography for primary literature and one
for secondary literature). The package provides commands to
include either all references from a .bib file, only the
references actually cited or those not cited in your document.
The user has to construct a separate .bib file for each
bibliographic 'topic', each of which will be processed
separately by BibTeX. If you want to have bibliographies
specific to one part of a document, see the packages bibunits
or chapterbib.


%package bidi
Provides: tex-bidi = %{epoch}:%{source_date}-%{release}
Provides: tex-bidi-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-bidi-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-bidi-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for bidirectional typesetting in plain TeX and LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(iftex.sty)
Requires: tex(zref-abspage.sty)
Requires: tex(auxhook.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(xcolor.sty)
Requires: tex(showexpl.sty)
Requires: tex(color.sty)
Requires: tex(graphicx.sty)
Requires: tex(ifthen.sty)
Requires: tex(marvosym.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(geometry.sty)
Requires: tex(bidituftesidenote.sty)
Requires: tex(bidituftegeneralstructure.sty)
Requires: tex(bidituftetitle.sty)
Requires: tex(xifthen.sty)
Requires: tex(ragged2e.sty)
Requires: tex(changepage.sty)
Requires: tex(chngpage.sty)
Requires: tex(optparams.sty)
Requires: tex(placeins.sty)
Requires: tex(paralist.sty)
Requires: tex(multicol.sty)
Requires: tex(setspace.sty)
Requires: tex(hopatch.sty)
Requires: tex(natbib.sty)
Requires: tex(bibentry.sty)
Requires: tex(etoolbox.sty)
Requires: tex(titlesec.sty)
Requires: tex(titletoc.sty)
Provides: tex(amsart-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsbook-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsmath-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amstext-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsthm-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(array-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(article-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel1-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel2-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel3-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(arydshln-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidi-longtable.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidi.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidi2in1.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidicode.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidiftnxtra.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidimoderncv.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidipoem.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidipresentation.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(biditools.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(biditufte-book.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(biditufte-handout.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftefloat.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftegeneralstructure.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftehyperref.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftesidenote.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftetitle.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftetoc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek3-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(book-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bookest-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(breqn-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(caption-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(caption3-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(color-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(colortbl-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(combine-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(crop-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cuted-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cutwin-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cvthemebidicasual.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(cvthemebidiclassic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dblfnote-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(draftwatermark-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(empheq-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extarticle-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extbook-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extletter-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extrafootnotefeatures.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extreport-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fancyhdr-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fix2col-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fleqn-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(float-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(flowfram-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(footnote-luatex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(footnote-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(framed-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftnright-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(geometry-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphicx-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(hvfloat-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyperref-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(leqno-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(letter-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(lettrine-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(listings-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadingorder-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(longtable-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(memoir-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(minitoc-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(multicol-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(multienum-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(natbib-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ntheorem-hyper-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ntheorem-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfpages-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgf-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(picinpar-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-luatex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstricks-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(quotchap-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ragged2e-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport1-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport3-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(refrep-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(report-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrartcl-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbook-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlettr-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrreprt-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(sidecap-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(stabular-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(subfigure-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tabls-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tabulary-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(titlesec-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(titletoc-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocbibind-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocloft-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocstyle-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(wrapfig-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xcolor-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xetex-bidi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xltxtra-xetex-bidi.def) = %{epoch}:%{source_date}-%{release}

%description bidi
A convenient interface for typesetting bidirectional texts with
plain TeX and LaTeX. The package includes adaptations for use
with many other commonly-used packages.


%package bigfoot
Provides: tex-bigfoot = %{epoch}:%{source_date}-%{release}
Provides: tex-bigfoot-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-bigfoot-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-bigfoot-doc < %{tl_epoch}:%{source_date}
License: GPL-2.0-or-later
Summary: Footnotes for critical editions
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(etex.sty)
Requires: tex(manyfoot.sty)
Requires: tex(perpage.sty)
Provides: tex(bigfoot.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(perpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(suffix.sty) = %{epoch}:%{source_date}-%{release}

%description bigfoot
The package aims to provide a 'one-stop' solution to
requirements for footnotes. It offers: - Multiple footnote
apparatus superior to that of the manyfoot; - Footnotes can be
formatted in separate paragraphs, or be run into a single
paragraph (this choice may be selected per footnote series); -
Things you might have expected (like \verb-like material in
footnotes, and colour selections over page breaks) now work.
Note that the majority of the bigfoot package's interface is
identical to that of manyfoot; users should seek information
from that package's documentation. The bigfoot bundle also
provides the perpage and suffix packages.


%package bookman
Provides: tex-bookman = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ubk.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbklo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkd8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkdo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkl8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkli8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubklo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ubkro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rubk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlubk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsubk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ubk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1ubk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1ubk.fd) = %{epoch}:%{source_date}-%{release}

%description bookman
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).


%package booktabs
Provides: tex-booktabs = %{epoch}:%{source_date}-%{release}
Provides: tex-booktabs-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-booktabs-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-booktabs-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Publication quality tables in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(booktabs.sty) = %{epoch}:%{source_date}-%{release}

%description booktabs
The package enhances the quality of tables in LaTeX, providing
extra commands as well as behind-the-scenes optimisation.
Guidelines are given as to what constitutes a good table in
this context. From version 1.61, the package offers longtable
compatibility.


%package breakurl
Provides: tex-breakurl = %{epoch}:%{source_date}-%{release}
Provides: tex-breakurl-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-breakurl-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-breakurl-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Line-breakable \url-like links in hyperref when compiling via dvips/ps2pdf
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(ifpdf.sty)
Provides: tex(breakurl.sty) = %{epoch}:%{source_date}-%{release}

%description breakurl
This package provides a command much like hyperref's \url that
typesets a URL using a typewriter-like font. However, if the
dvips driver is being used, the original \url doesn't allow
line breaks in the middle of the created link: the link comes
in one atomic piece. This package allows such line breaks in
the generated links.


%package caption
Provides: tex-caption = %{epoch}:%{source_date}-%{release}
Provides: tex-caption-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-caption-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-caption-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Customising captions in floating environments
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(caption3.sty)
Requires: tex(keyval.sty)
Provides: tex(bicaption.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(caption.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(caption2.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(caption3.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltcaption.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(newfloat.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(subcaption.sty) = %{epoch}:%{source_date}-%{release}

%description caption
The caption package provides many ways to customise the
captions in floating environments like figure and table, and
cooperates with many other packages. Facilities include
rotating captions, sideways captions, continued captions (for
tables or figures that come in several parts). A list of
compatibility notes, for other packages, is provided in the
documentation. The package also provides the "caption outside
float" facility, in the same way that simpler packages like
capt-of do. The package supersedes caption2.


%package carlisle
Provides: tex-carlisle = %{epoch}:%{source_date}-%{release}
Provides: tex-carlisle-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-carlisle-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-carlisle-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: David Carlisle's small packages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(color.sty)
Requires: tex(tabularx.sty)
Requires: tex(longtable.sty)
Provides: tex(dotlessj.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltxtable.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(remreset.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scalefnt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(slashed.sty) = %{epoch}:%{source_date}-%{release}

%description carlisle
Many of David Carlisle's more substantial packages stand on
their own, or as part of the LaTeX tools set; this set
contains: - Making dotless 'j' characters for fonts that don't
have them; - Fix marks in 2-column output; - A method for
combining the capabilities of longtable and tabularx; - A
proforma for building personalised LaTeX formats; - A jiffy to
suppress page numbers; - An environment for including Plain TeX
in LaTeX documents; - A jiffy to remove counters from other
counters' reset lists; - A package to rescale fonts to
arbitrary sizes; - A jiffy to create 'slashed' for physicists;
and - An environment for including HTML in LaTeX documents.


%package changebar
Provides: tex-changebar = %{epoch}:%{source_date}-%{release}
Provides: tex-changebar-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-changebar-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-changebar-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Generate changebars in LaTeX documents
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(changebar.sty) = %{epoch}:%{source_date}-%{release}

%description changebar
Identify areas of text to be marked with changebars with the
\cbstart and \cbend commands; the bars may be coloured. The
package uses 'drivers' to place the bars; the available drivers
can work with dvitoln03, dvitops, dvips, the emTeX and TeXtures
DVI drivers, and VTeX and PDFTeX.


%package changepage
Provides: tex-changepage = %{epoch}:%{source_date}-%{release}
Provides: tex-changepage-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-changepage-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-changepage-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Margin adjustment and detection of odd/even pages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(changepage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(chngpage.sty) = %{epoch}:%{source_date}-%{release}

%description changepage
The package provides commands to change the page layout in the
middle of a document, and to robustly check for typesetting on
odd or even pages. Instructions for use are at the end of the
file. The package is an extraction of code from the memoir
class, whose user interface it shares. It is intended the this
package will eventually replace the chngpage package, which is
distributed with the package.


%package charter
Provides: tex-charter = %{epoch}:%{source_date}-%{release}
Provides: tex-charter-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-charter-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-charter-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Charter
Summary: Charter fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(bchb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(bchro8t.vf) = %{epoch}:%{source_date}-%{release}

%description charter
A commercial text font donated for the common good. Support for
use with LaTeX is available in freenfss, part of psnfss.


%package chngcntr
Provides: tex-chngcntr = %{epoch}:%{source_date}-%{release}
Provides: tex-chngcntr-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-chngcntr-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-chngcntr-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Change the resetting of counters
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(chngcntr.sty) = %{epoch}:%{source_date}-%{release}

%description chngcntr
Defines commands \counterwithin (which sets up a counter to be
reset when another is incremented) and \counterwithout (which
unsets such a relationship).


%package cite
Provides: tex-cite = %{epoch}:%{source_date}-%{release}
Provides: tex-cite-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cite-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cite-doc < %{tl_epoch}:%{source_date}
License: Borceux
Summary: Improved citation handling in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(chapterbib.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(cite.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(drftcite.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(overcite.sty) = %{epoch}:%{source_date}-%{release}

%description cite
The package supports compressed, sorted lists of numerical
citations, and also deals with various punctuation and other
issues of representation, including comprehensive management of
break points. The package is compatible with both hyperref and
backref. The package is (unsurprisingly) part of the cite
bundle of the author's citation-related packages.


%package cjk
Provides: tex-cjk = %{epoch}:%{source_date}-%{release}
Provides: tex-cjk-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cjk-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cjk-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: CJK language support
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-arphic
Requires: tex-cns
Requires: tex-garuda-c90
Requires: tex-norasi-c90
Requires: tex-uhc
Requires: tex-wadalab
Requires: tex(CJKulem.sty)
Requires: tex(ulem.sty)
Requires: tex(ifpdf.sty)
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(graphicx.sty)
Provides: tex(c42goth.fd) = %{tl_version}
Provides: tex(c42maru.fd) = %{tl_version}
Provides: tex(c42min.fd) = %{tl_version}
Provides: tex(c52maru.fd) = %{tl_version}
Provides: tex(c52min.fd) = %{tl_version}
Provides: tex(c70goth.fd) = %{tl_version}
Provides: tex(c70maru.fd) = %{tl_version}
Provides: tex(c70min.fd) = %{tl_version}
Provides: tex(Bg5.enc) = %{tl_version}
Provides: tex(HK.enc) = %{tl_version}
Provides: tex(c00bkai.fd) = %{tl_version}
Provides: tex(c00bsmi.fd) = %{tl_version}
Provides: tex(c00bsmir.fd) = %{tl_version}
Provides: tex(c00cns.fd) = %{tl_version}
Provides: tex(c00fs.fd) = %{tl_version}
Provides: tex(c00kai.fd) = %{tl_version}
Provides: tex(c00kair.fd) = %{tl_version}
Provides: tex(c00song.fd) = %{tl_version}
Provides: tex(c01song.fd) = %{tl_version}
Provides: tex(c05song.fd) = %{tl_version}
Provides: tex(c09song.fd) = %{tl_version}
Provides: tex(c80song.fd) = %{tl_version}
Provides: tex(c81song.fd) = %{tl_version}
Provides: tex(CJK.enc) = %{tl_version}
Provides: tex(CJK.sty) = %{tl_version}
Provides: tex(CJKfntef.sty) = %{tl_version}
Provides: tex(CJKnumb.sty) = %{tl_version}
Provides: tex(CJKspace.sty) = %{tl_version}
Provides: tex(CJKulem.sty) = %{tl_version}
Provides: tex(CJKutf8.sty) = %{tl_version}
Provides: tex(CJKvert.sty) = %{tl_version}
Provides: tex(EUC-TW.enc) = %{tl_version}
Provides: tex(c31song.fd) = %{tl_version}
Provides: tex(c32song.fd) = %{tl_version}
Provides: tex(c33song.fd) = %{tl_version}
Provides: tex(c34song.fd) = %{tl_version}
Provides: tex(c35song.fd) = %{tl_version}
Provides: tex(c36song.fd) = %{tl_version}
Provides: tex(c37song.fd) = %{tl_version}
Provides: tex(c10fs.fd) = %{tl_version}
Provides: tex(c10gbsn.fd) = %{tl_version}
Provides: tex(c10gkai.fd) = %{tl_version}
Provides: tex(c10song.fd) = %{tl_version}
Provides: tex(c11song.fd) = %{tl_version}
Provides: tex(c19song.fd) = %{tl_version}
Provides: tex(c20song.fd) = %{tl_version}
Provides: tex(c21song.fd) = %{tl_version}
Provides: tex(EUC-JP.enc) = %{tl_version}
Provides: tex(EUC-JPdnp.enc) = %{tl_version}
Provides: tex(JISdnp.enc) = %{tl_version}
Provides: tex(c40song.fd) = %{tl_version}
Provides: tex(c41song.fd) = %{tl_version}
Provides: tex(c42song.fd) = %{tl_version}
Provides: tex(c43song.fd) = %{tl_version}
Provides: tex(c50song.fd) = %{tl_version}
Provides: tex(KSHL.enc) = %{tl_version}
Provides: tex(c63bm.fd) = %{tl_version}
Provides: tex(c63dn.fd) = %{tl_version}
Provides: tex(c63gr.fd) = %{tl_version}
Provides: tex(c63gs.fd) = %{tl_version}
Provides: tex(c63gt.fd) = %{tl_version}
Provides: tex(c63jgt.fd) = %{tl_version}
Provides: tex(c63jmj.fd) = %{tl_version}
Provides: tex(c63jnv.fd) = %{tl_version}
Provides: tex(c63jsr.fd) = %{tl_version}
Provides: tex(c63mj.fd) = %{tl_version}
Provides: tex(c63pg.fd) = %{tl_version}
Provides: tex(c63pga.fd) = %{tl_version}
Provides: tex(c63ph.fd) = %{tl_version}
Provides: tex(c63pn.fd) = %{tl_version}
Provides: tex(c63sh.fd) = %{tl_version}
Provides: tex(c63tz.fd) = %{tl_version}
Provides: tex(c63vd.fd) = %{tl_version}
Provides: tex(c63yt.fd) = %{tl_version}
Provides: tex(c64bm.fd) = %{tl_version}
Provides: tex(c64dn.fd) = %{tl_version}
Provides: tex(c64gr.fd) = %{tl_version}
Provides: tex(c64gs.fd) = %{tl_version}
Provides: tex(c64gt.fd) = %{tl_version}
Provides: tex(c64jgt.fd) = %{tl_version}
Provides: tex(c64jmj.fd) = %{tl_version}
Provides: tex(c64jnv.fd) = %{tl_version}
Provides: tex(c64jsr.fd) = %{tl_version}
Provides: tex(c64mj.fd) = %{tl_version}
Provides: tex(c64pg.fd) = %{tl_version}
Provides: tex(c64pga.fd) = %{tl_version}
Provides: tex(c64ph.fd) = %{tl_version}
Provides: tex(c64pn.fd) = %{tl_version}
Provides: tex(c64sh.fd) = %{tl_version}
Provides: tex(c64tz.fd) = %{tl_version}
Provides: tex(c64vd.fd) = %{tl_version}
Provides: tex(c64yt.fd) = %{tl_version}
Provides: tex(c65bm.fd) = %{tl_version}
Provides: tex(c65dn.fd) = %{tl_version}
Provides: tex(c65gr.fd) = %{tl_version}
Provides: tex(c65gs.fd) = %{tl_version}
Provides: tex(c65gt.fd) = %{tl_version}
Provides: tex(c65jgt.fd) = %{tl_version}
Provides: tex(c65jmj.fd) = %{tl_version}
Provides: tex(c65jnv.fd) = %{tl_version}
Provides: tex(c65jsr.fd) = %{tl_version}
Provides: tex(c65mj.fd) = %{tl_version}
Provides: tex(c65pg.fd) = %{tl_version}
Provides: tex(c65pga.fd) = %{tl_version}
Provides: tex(c65ph.fd) = %{tl_version}
Provides: tex(c65pn.fd) = %{tl_version}
Provides: tex(c65sh.fd) = %{tl_version}
Provides: tex(c65tz.fd) = %{tl_version}
Provides: tex(c65vd.fd) = %{tl_version}
Provides: tex(c65yt.fd) = %{tl_version}
Provides: tex(pshan.sty) = %{tl_version}
Provides: tex(KS.enc) = %{tl_version}
Provides: tex(c60dr.fd) = %{tl_version}
Provides: tex(c60gr.fd) = %{tl_version}
Provides: tex(c60gs.fd) = %{tl_version}
Provides: tex(c60gt.fd) = %{tl_version}
Provides: tex(c60hgt.fd) = %{tl_version}
Provides: tex(c60hmj.fd) = %{tl_version}
Provides: tex(c60hol.fd) = %{tl_version}
Provides: tex(c60hpg.fd) = %{tl_version}
Provides: tex(c60mj.fd) = %{tl_version}
Provides: tex(c61dr.fd) = %{tl_version}
Provides: tex(c61gr.fd) = %{tl_version}
Provides: tex(c61gs.fd) = %{tl_version}
Provides: tex(c61gt.fd) = %{tl_version}
Provides: tex(c61hgt.fd) = %{tl_version}
Provides: tex(c61hmj.fd) = %{tl_version}
Provides: tex(c61hol.fd) = %{tl_version}
Provides: tex(c61hpg.fd) = %{tl_version}
Provides: tex(c61mj.fd) = %{tl_version}
Provides: tex(c62song.fd) = %{tl_version}
Provides: tex(SJIS.enc) = %{tl_version}
Provides: tex(SJISdnp.enc) = %{tl_version}
Provides: tex(c49song.fd) = %{tl_version}
Provides: tex(UTF8.enc) = %{tl_version}
Provides: tex(c70bkai.fd) = %{tl_version}
Provides: tex(c70bsmi.fd) = %{tl_version}
Provides: tex(c70gbsn.fd) = %{tl_version}
Provides: tex(c70gkai.fd) = %{tl_version}
Provides: tex(c70mj.fd) = %{tl_version}
Provides: tex(c70song.fd) = %{tl_version}
Provides: tex(extended.enc) = %{tl_version}
Provides: tex(MULEenc.sty) = %{tl_version}
Provides: tex(pinyin.sty) = %{tl_version}
Provides: tex(pmCbig.enc) = %{tl_version}
Provides: tex(pmCsmall.enc) = %{tl_version}
Provides: tex(ruby.sty) = %{tl_version}
Provides: tex(standard.enc) = %{tl_version}
Provides: tex(c90cmr.fd) = %{tl_version}
Provides: tex(c90cmss.fd) = %{tl_version}
Provides: tex(c90cmtt.fd) = %{tl_version}
Provides: tex(c90enc.def) = %{tl_version}
Provides: tex(c90gar.fd) = %{tl_version}
Provides: tex(c90nrsr.fd) = %{tl_version}
Provides: tex(thaicjk.ldf) = %{tl_version}
Provides: tex(pinyin.ldf) = %{tl_version}

%description cjk
CJK is a macro package for LaTeX, providing simultaneous
support for various Asian scripts in many encodings (including
Unicode): - Chinese (both traditional and simplified), -
Japanese, - Korean and - Thai. A special add-on feature is an
interface to the Emacs editor (cjk-enc.el) which gives
simultaneous, easy-to-use support to a bunch of other scripts
in addition to the above: - Cyrillic, - Greek, - Latin-based
scripts, - Russian and - Vietnamese.


%package cns
Provides: tex-cns = %{epoch}:%{source_date}-%{release}
Provides: tex-cns-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cns-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cns-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: cns package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(c0so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1226.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1227.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1228.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1229.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1230.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1231.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1232.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1233.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1234.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1235.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1236.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1237.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1238.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1239.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1240.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1241.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1242.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1243.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1244.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1245.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1246.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1247.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1248.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1249.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1250.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1251.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1252.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1253.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1254.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c0so1255.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1226.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1227.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1228.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1229.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1230.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1231.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1232.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1233.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c1so1234.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1226.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1227.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1228.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1229.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c2so1230.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c3so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1226.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1227.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1228.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c4so1229.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1226.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1227.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1228.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1229.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1230.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1231.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1232.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1233.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c5so1234.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c6so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1201.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1202.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1203.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1204.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1205.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1206.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1207.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1208.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1209.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1210.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1211.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1212.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1213.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1214.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1215.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1216.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1217.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1218.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1219.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1220.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1221.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1222.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1223.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1224.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1225.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(c7so1226.tfm) = %{epoch}:%{source_date}-%{release}

%description cns
cns package


%package collectbox
Provides: tex-collectbox = %{epoch}:%{source_date}-%{release}
Provides: tex-collectbox-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-collectbox-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-collectbox-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: collectbox package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(collectbox.sty) = %{epoch}:%{source_date}-%{release}

%description collectbox
collectbox package


%package environ
Provides: tex-environ = %{epoch}:%{source_date}-%{release}
Provides: tex-environ-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-environ-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-environ-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: A new interface for environments in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea, tex-kpathsea
Requires: tex(trimspaces.sty)
Provides: tex(environ.sty) = %{epoch}:%{source_date}-%{release}

%description environ
The package provides the \collect@body command (as in amsmath),
as well as a \long version \Collect@Body, for collecting the
body text of an environment. These commands are used to define
a new author interface to creating new environments. For
example: \NewEnviron{test} wraps the entire environment body in
square brackets, doing the right thing in ignoring leading and
trailing spaces.


%package garuda-c90
Provides: tex-garuda-c90 = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: TeX support (from CJK) for the garuda font
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-fonts-tlwg
Provides: tex(garuda-c90.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(fgdb8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fgdbo8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fgdo8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fgdr8z.tfm) = %{epoch}:%{source_date}-%{release}

%description garuda-c90
garuda-c90 package


%package fonts-tlwg
Provides: tex-fonts-tlwg = %{epoch}:%{source_date}-%{release}
Provides: tex-fonts-tlwg-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fonts-tlwg-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fonts-tlwg-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Thai fonts for LaTeX from TLWG
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: texlive-tlwg = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-tlwg < %{tl_epoch}:%{source_date}
Provides: tex(lthtlwg.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(nectec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(nf.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(sipa.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(tlwg.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rgaruda.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rgaruda_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rgaruda_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rgaruda_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rkinnari_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rlaksaman.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rlaksaman_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rlaksaman_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rlaksaman_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rloma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rloma_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rloma_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rloma_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi_bi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi_i.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rnorasi_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpurisa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpurisa_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpurisa_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpurisa_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsawasdee.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsawasdee_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsawasdee_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsawasdee_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttype.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttype_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttype_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttype_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttypist.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttypist_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttypist_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rttypist_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush_l.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush_lo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rumpush_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rwaree.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rwaree_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rwaree_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rwaree_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_l.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_lo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_bo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_i.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_bi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_i.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_i.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_l.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_lo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_b.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_bo.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_o.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(garuda_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_i.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kinnari_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_bi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(laksaman_i.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(loma_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_i.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(norasi_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(purisa_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(sawasdee_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttype_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttypist_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_l.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_lo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umpush_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_bo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(waree_o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fonts-tlwg.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthgaruda.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthkinnari.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthlaksaman.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthloma.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthnorasi.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthpurisa.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthsawasdee.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthttype.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthttypist.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthumpush.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lthwaree.fd) = %{epoch}:%{source_date}-%{release}

%description fonts-tlwg
A collection of free Thai fonts, supplied as FontForge sources,
and with LaTeX .fd files. This package depends on the thailatex
package.


%package ifoddpage
Provides: tex-ifoddpage = %{epoch}:%{source_date}-%{release}
Provides: tex-ifoddpage-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ifoddpage-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ifoddpage-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: ifoddpage package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ifoddpage.sty) = %{epoch}:%{source_date}-%{release}

%description ifoddpage
ifoddpage package


%package norasi-c90
Provides: tex-norasi-c90 = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: TeX support (from CJK) for the norasi font in thailatex
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-fonts-tlwg
Provides: tex(norasi-c90.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftnb8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftnbi8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftni8z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftnr8z.tfm) = %{epoch}:%{source_date}-%{release}

%description norasi-c90
norasi-c90 package


%package uhc
Provides: tex-uhc = %{epoch}:%{source_date}-%{release}
Provides: tex-uhc-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-uhc-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-uhc-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fonts for the Korean language
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(umj.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjc38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjco38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjo38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umju38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjuo38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjx38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo34.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo35.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo36.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo37.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umjxo38.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcf9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcfa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcof9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcofa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjf9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjfa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjof9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjofa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjube.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuf9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjufa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuof9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuofa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxf9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxfa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo01.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo02.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo31.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo32.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo33.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoac.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoad.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoae.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoaf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoba.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobe.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoca.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxof9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxofa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo0.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo05.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo06.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo07.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo11.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo13.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo14.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo15.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo16.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo18.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo19.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo2.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo24.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo27.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo28.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo29.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo3.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo4.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj00.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj01.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj02.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj03.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj04.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj05.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj11.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj13.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj14.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj15.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj16.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj20.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj21.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj22.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj23.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj24.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj25.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj26.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj27.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj28.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj29.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj30.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj31.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj32.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj33.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj34.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj35.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj36.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj37.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(umj38.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmj9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjb9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjbf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjc9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcb9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcbf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjccf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcd7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcf9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcfa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjco9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcob9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcobf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcocf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcod7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcof9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcofa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjcoff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjd7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjf9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjfa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjo9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjob9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjobf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjocf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjod7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjof9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjofa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjoff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmju9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjub9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjube.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjubf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjucf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjud7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuf9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjufa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuo9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuob9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuobf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuocf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuod7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuof9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuofa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjuoff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjx9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxb9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxbf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxcf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxd7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxf9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxfa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo01.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo02.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo31.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo32.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo33.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxo9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoac.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoad.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoae.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoaf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxob9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoba.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobe.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxobf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoca.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocd.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoce.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxocf.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxod7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxof9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxofa.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwmjxoff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmj9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjc9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjco9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjo9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmju9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjuo9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjx9.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo0.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo05.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo06.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo07.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo10.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo11.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo12.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo13.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo14.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo15.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo16.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo17.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo18.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo19.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo2.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo24.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo27.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo28.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo29.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo3.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo4.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo5.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo6.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo7.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo8.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(wmjxo9.vf) = %{epoch}:%{source_date}-%{release}

%description uhc
Support for Korean documents written in Korean standard KSC
codes for LaTeX2e.


%package wadalab
Provides: tex-wadalab = %{epoch}:%{source_date}-%{release}
Provides: tex-wadalab-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-wadalab-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-wadalab-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Wadalab
Summary: Wadalab (Japanese) font packages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(dgj.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmj.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2j.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcj.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2j.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrj.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjgreek.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjhira.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjhw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkata.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkeisen.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkx.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjky.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkz.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjroma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjrussian.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjgreek.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjhira.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjhw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkata.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkeisen.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkx.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjky.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkz.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjroma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjrussian.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjgreek.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjhira.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjhw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkata.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkeisen.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkx.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjky.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkz.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjroma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjrussian.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjgreek.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjhira.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjhw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjka.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkata.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkd.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjke.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkeisen.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkf.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkh.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjki.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkj.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkk.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjko.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkp.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkq.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjks.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjku.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkw.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkx.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjky.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkz.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjroma.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjrussian.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgjff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmjff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcjff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj00.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj03.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj04.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj20.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj21.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj22.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj23.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj25.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj26.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj4e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj4f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj50.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj51.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj52.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj53.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj54.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj55.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj56.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj57.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj58.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj59.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj60.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj61.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj62.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj63.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj64.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj65.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj66.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj67.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj68.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj69.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj70.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj71.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj72.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj73.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj74.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj75.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj76.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj77.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj78.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj79.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj80.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj81.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj82.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj83.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj84.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj85.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj86.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj87.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj88.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj89.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj90.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj91.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj92.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj93.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj94.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj95.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj96.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj97.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj98.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj99.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9b.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9f.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrjff.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjgreek.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjhira.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjhw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkata.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkeisen.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkx.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjky.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjkz.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjroma.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjrussian.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dgjsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjgreek.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjhira.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjhw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkata.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkeisen.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkx.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjky.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjkz.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjroma.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjrussian.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(dmjsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mc2jkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjgreek.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjhira.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjhw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkata.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkeisen.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkx.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjky.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjkz.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjroma.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjrussian.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mcjsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mr2jkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjgreek.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjhira.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjhw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjka.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkata.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkd.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjke.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkeisen.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkf.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkh.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjki.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkj.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkk.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkl.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkm.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkn.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjko.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkp.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkq.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjks.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjku.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkv.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkw.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkx.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjky.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjkz.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjroma.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjrussian.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(mrjsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgj9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udgjff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmj9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(udmjff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcj9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umcjff.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj00.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj03.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj04.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj20.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj21.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj22.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj23.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj25.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj26.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj30.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj4e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj4f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj50.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj51.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj52.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj53.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj54.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj55.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj56.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj57.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj58.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj59.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj5f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj60.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj61.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj62.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj63.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj64.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj65.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj66.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj67.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj68.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj69.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj6f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj70.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj71.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj72.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj73.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj74.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj75.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj76.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj77.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj78.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj79.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj7f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj80.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj81.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj82.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj83.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj84.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj85.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj86.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj87.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj88.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj89.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj8f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj90.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj91.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj92.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj93.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj94.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj95.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj96.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj97.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj98.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj99.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9b.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrj9f.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(umrjff.vf) = %{epoch}:%{source_date}-%{release}

%description wadalab
These are font bundles for the Japanese Wadalab fonts which
work with the CJK package. All subfonts now have glyph names
compliant to the Adobe Glyph List, making ToUnicode CMaps in
PDF documents (created automatically by dvipdfmx) work
correctly. All font bundles now contain virtual Unicode
subfonts.


%package cmap
Provides: tex-cmap = %{epoch}:%{source_date}-%{release}
Provides: tex-cmap-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cmap-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cmap-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: cmap package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(cmap.sty) = %{epoch}:%{source_date}-%{release}

%description cmap
cmap package


%package cmextra
Provides: tex-cmextra = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: cmextra package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(cmbxcd10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbxti12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbxti7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmcscsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmfibs8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmitt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmitt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsl6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsltt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsslu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssu30.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmvtti10.tfm) = %{epoch}:%{source_date}-%{release}

%description cmextra
cmextra package


%package cm-lgc
Provides: tex-cm-lgc = %{epoch}:%{source_date}-%{release}
Provides: tex-cm-lgc-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cm-lgc-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cm-lgc-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Type 1 CM-based fonts for Latin, Greek and Cyrillic
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(8r-mod.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-lgc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbice.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbigr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbij8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbij8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbipg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmboc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmboce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbogr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbopg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbuce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbugr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbuj8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbupg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrice.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrigr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrij8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrij8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmripg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmroc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmroce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrogr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmropg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmruce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrugr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmruj8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrupg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsboce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbogr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbopg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsroce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrogr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsropg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrgr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrice.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrigr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrij8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrij8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctripg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctroc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctroce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrogr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctropg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrpg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru6a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru6y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru6z.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru7k.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctruce.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrugr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctruj8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrupg.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbice.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbij6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbij6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbij8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbijce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbijpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbipg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrice.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrij6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrij6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrij8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrijce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrijpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmripg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsboce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbopg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsroce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsropg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrice.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrij6y.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrij6z.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrij8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrijce.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrijpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctripg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrpg.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbcgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbigr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbogr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbu8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmbugr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrcgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrigr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrogr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmru8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcmrugr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsbogr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcsrogr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrcgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrgr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrigr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrogr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru6a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru7k.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctru8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(fctrugr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(antcmlgc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmlgc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrfcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrfcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrfct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1fcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1fcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1fct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot2fcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot2fcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot2fct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1fct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2afcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2afcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2afct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1fct.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ut1fcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ut1fcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ut1fct.fd) = %{epoch}:%{source_date}-%{release}
Obsoletes: tex-cm-lgc < %{epoch}:%{source_date}-%{release}

%description cm-lgc
The fonts are converted from Metafont sources of the Computer
Modern font families, using textrace. Supported encodings are:
T1 (Latin), T2A (Cyrillic), LGR (Greek) and TS1. The package
also includes Unicode virtual fonts for use with Omega. The
font set is not a replacement for any of the other Computer
Modern-based font sets (for example, cm-super for Latin and
Cyrillic, or cbgreek for Greek), since it is available at a
single size only; it offers a compact set for 'general'
working. The fonts themselves are encoded to external
standards, and virtual fonts are provided for use with TeX.


%package cm-super
Provides: tex-cm-super = %{epoch}:%{source_date}-%{release}
Provides: tex-cm-super-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cm-super-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cm-super-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: CM-Super family of fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(t1cmr.fd)
Provides: tex(cm-super-t1.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2a.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2b.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2c.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-ts1.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-x2.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2a.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2b.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-t2c.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cm-super-x2.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(isflb8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(isfli8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(isflo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(isflq8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(isfltt8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbbx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbi3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbl3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbm3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmo17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmo9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmr17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmr8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbmr9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbso10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbso17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbso8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbso9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbsr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbsr17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbsr8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbsr9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbtl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbto10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfbx3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfcc3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfci3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfdh3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffb2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfff2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffi2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sffs2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfit2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sflb8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfli8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sflo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sflq8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfltt8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoc3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfocc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sform9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfosl9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfoti10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfqi8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrb3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfrm3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsc3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsi3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsl3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfso3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsq8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfss3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfssdc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfst3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfsx3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftc3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfti3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sftt3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfui3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvi3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfvt3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc0500.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc0600.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc0700.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc0800.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc0900.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc1000.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc1095.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc1200.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc1440.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc1728.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc2074.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc2488.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc2986.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfxc3583.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(type1ec.sty) = %{epoch}:%{source_date}-%{release}

%description cm-super
CM-Super family of fonts are Adobe Type 1 fonts that replace
the T1/TS1-encoded Computer Modern (EC/TC), T1/TS1-encoded
Concrete, T1/TS1-encoded CM bright and LH fonts (thus
supporting all European languages except Greek, and all
Cyrillic-based languages), and bringing many ameliorations in
typesetting quality. The fonts exhibit the same metrics as the
MetaFont-encoded originals.


%package cm
Provides: tex-cm = %{epoch}:%{source_date}-%{release}
Provides: tex-cm-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-cm-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-cm-doc < %{tl_epoch}:%{source_date}
License: Knuth-CTAN
Summary: Computer Modern fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(cmtext-bsr-interpolated.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbsy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbxsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmbxti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmex10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmff10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmfi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmfib8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cminch.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmitt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmi9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmib10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsl12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsl8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsl9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsltt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssi12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssi17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssi9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmssqi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsy9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtex10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtex8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtex9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmti12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmti7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmti8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmti9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmvtt10.tfm) = %{epoch}:%{source_date}-%{release}

%description cm
Knuth's final iteration of his re-interpretation of a c.19
Modern-style font from Monotype. The family is comprehensive,
offering both sans and roman styles, and a monospaced font,
together with mathematics fonts closely integrated with the
mathematical facilities of TeX itself. The base fonts are
distributed as Metafont source, but autotraced PostScript Type
1 versions are available (one version in the AMS fonts
distribution, and also the BaKoMa distribution). The Computer
Modern fonts have inspired many later families, notably the
European Computer Modern and the Latin Modern families.


%package collection-basic
Summary: Essential programs and files
BuildArch: noarch
Requires: texlive-base
Requires: texlive-texlive.infra
Requires: texlive-amsfonts
Requires: texlive-bibtex
Requires: texlive-cm
Requires: texlive-colorprofiles
Requires: texlive-dvipdfmx
Requires: texlive-dvips
Requires: texlive-ec
Requires: texlive-enctex
Requires: texlive-etex
Requires: texlive-etex-pkg
Requires: texlive-glyphlist
Requires: texlive-graphics-def
Requires: texlive-hyph-utf8
Requires: texlive-hyphen-base
Requires: texlive-hyphenex
Requires: texlive-ifplatform
Requires: texlive-iftex
Requires: texlive-knuth-lib
Requires: texlive-knuth-local
Requires: texlive-kpathsea
Requires: texlive-lua-alt-getopt
Requires: texlive-luahbtex
Requires: texlive-luatex
Requires: texlive-makeindex
Requires: texlive-metafont
Requires: texlive-mflogo
Requires: texlive-mfware
Requires: texlive-modes
Requires: texlive-pdftex
Requires: texlive-plain
Requires: texlive-tex
Requires: texlive-tex-ini-files
Requires: texlive-texlive-common-doc
Requires: texlive-texlive-en
Requires: texlive-texlive-msg-translations
Requires: texlive-texlive-scripts
# Requires: texlive-tlshell
Requires: texlive-unicode-data
Requires: texlive-xdvi
Provides: tex(tex) = %{tl_version}, tex = %{tl_version}
Requires: dvipdfmx, xdvik

%description collection-basic
These files are regarded as basic for any TeX system, covering
plain TeX macros, Computer Modern fonts, and configuration for
common drivers; no LaTeX.


%package glyphlist
Provides: tex-glyphlist = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: glyphlist package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea

%description glyphlist
glyphlist package


%package dvipdfmx
Provides: tex-dvipdfmx = %{epoch}:%{source_date}-%{release}
Provides: texlive-dvipdfmx-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-dvipdfmx-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-dvipdfmx-bin < %{tl_epoch}:%{source_date}
Provides: texlive-dvipdfmx-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-dvipdfmx-doc < %{tl_epoch}:%{source_date}
Provides: dvipdfmx = %{epoch}:%{source_date}-%{release}
Provides: dvipdfm = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: An extended version of dvipdfm
Requires: texlive-base
Requires: texlive-glyphlist
Requires: texlive-kpathsea
Requires: texlive-xetex
Requires: texlive-graphics-def
Provides: tex(dvipdfmx.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(cid-x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(ckx.map) = %{epoch}:%{source_date}-%{release}

%description dvipdfmx
Dvipdfmx (formerly dvipdfm-cjk) is a development of dvipdfm
created to support multi-byte character encodings and large
character sets for East Asian languages. Dvipdfmx, if "called"
with the name dvipdfm, operates in a "dvipdfm compatibility"
mode, so that users of the both packages need only keep one
executable. A secondary design goal is to support as many "PDF"
features as does pdfTeX. There being no documentation as such,
users are advised to consult the documentation of dvipdfm (as
well, of course, as the package Readme.


%package dvips
Provides: tex-dvips = %{epoch}:%{source_date}-%{release}
Provides: texlive-dvips-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-dvips-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-dvips-bin < %{tl_epoch}:%{source_date}
Provides: tex-dvips-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvips-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-dvips-doc < %{tl_epoch}:%{source_date}
Provides: tetex-dvips = %{epoch}:%{source_date}-%{release}
Provides: %{name}-texmf-dvips = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-texmf-dvips < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: A DVI to PostScript driver
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Requires(post,postun): /sbin/install-info
Provides: tex(canonex.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(cx.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(deskjet.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(dfaxhigh.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvired.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(epson.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(ibmvga.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(ljfour.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(qms.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(toshiba.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(6w.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(7t.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(8a.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(8r.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(ad.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(ansinew.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(asex.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(asexp.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(dc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvips.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(extex.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(funky.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(odvips.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-cs-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-ec-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-l7x-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qx-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rm-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t2a-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t2b-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t2c-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t5-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-texnansi-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-ts1-uni.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(stormex.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(tex256.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(texmext.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(texmital.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(texmsym.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansx.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(blackdvi.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(blackdvi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(colordvi.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(colordvi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(rotate.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(rotate.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvips) = %{epoch}:%{source_date}-%{release}
Requires: texlive-latex-fonts

%description dvips
This package has been withdrawn from CTAN, and bundled into the
distributions' package sets. The current sources of dvips may
be found in the distribution of dvipsk which forms part of the
TeX-live sources.

%package enctex
Provides: tex-enctex = %{epoch}:%{source_date}-%{release}
Provides: tex-enctex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-enctex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-enctex-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: A TeX extension that translates input on its way into TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(1250-csf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(1250-il2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(1250-latex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(1250-t1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(852-csf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(852-il2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(852-latex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(852-t1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(csfmacro.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(enc-u.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(encmacro.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2-1250.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2-852.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2-csf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2-kam.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2-t1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(kam-csf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(kam-il2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(kam-latex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(kam-t1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mixcodes.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(noprefnt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-1250-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-852-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-il2-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-kam-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-utf8-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain-utf8-ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(polyset.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1macro.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8-csf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8-t1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8cseq.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8lat1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8lata.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8math.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8off.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8raw.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8unkn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8warn.tex) = %{epoch}:%{source_date}-%{release}

%description enctex
EncTeX is (another) tex extension, written at the change-file
level. It provides means of translating input on the way into
TeX. It allows, for example, translation of multibyte
sequences, such as utf-8 encoding.


%package etex
Provides: tex-etex = %{epoch}:%{source_date}-%{release}
Provides: tex-etex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-etex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-etex-doc < %{tl_epoch}:%{source_date}
License: Knuth-CTAN
Summary: An extended version of TeX, from the NTS project
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea

%description etex
An extended version of TeX (which is capable of running as if
it were TeX unmodified). E-TeX has been specified by the LaTeX
team as the engine for the development of LaTeX, in the
immediate future; as a result, LaTeX programmers may (in all
current TeX distributions) assume e-TeX functionality.


%package etex-pkg
Provides: tex-etex-pkg = %{epoch}:%{source_date}-%{release}
Provides: tex-etex-pkg-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-etex-pkg-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-etex-pkg-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: E-TeX support package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(etex.sty) = %{epoch}:%{source_date}-%{release}

%description etex-pkg
The package provides a straightforward interface to many of the
extensions offered by e-TeX; in particular, it modifies LaTeX's
register allocation macros to make use of the extended register
range. The etoolbox and etextools packages provide macros that
make more sophisticated use of e-TeX's facilities.


%package gsftopk
Provides: tex-gsftopk = %{epoch}:%{source_date}-%{release}
Provides: tex-gsftopk = %{epoch}:%{source_date}-%{release}
Provides: texlive-gsftopk-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-gsftopk-bin = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: Convert "ghostscript fonts" to PK files
Obsoletes: texlive-gsftopk-bin < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: tex-kpathsea
Requires: texlive-lib = %{epoch}:%{source_date}-%{release}

%description gsftopk
Designed for use with xdvi and dvips this utility converts
Adobe Type 1 fonts to PK bitmap format. It should not
ordinarily be much used nowadays, since both its target
applications are now capable of dealing with Type 1 fonts,
direct.

%package hyph-utf8
Provides: tex-hyph-utf8 = %{epoch}:%{source_date}-%{release}
Provides: tex-hyph-utf8-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-hyph-utf8-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-hyph-utf8-doc < %{tl_epoch}:%{source_date}
License: CC0-1.0
Summary: Hyphenation patterns expressed in UTF-8
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(conv-utf8-ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-il2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-il3.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-l7x.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-lmc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-qx.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(conv-utf8-t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-af.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-as.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-bg.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-bn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ca.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-cop.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-cy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-da.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-de-1901.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-de-1996.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-de-ch-1901.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-el-monoton.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-el-polyton.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-en-gb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-en-us.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-eo.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-es.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-et.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-eu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-fi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-fr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-fur.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ga.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-gl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-grc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-gu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-hi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-hr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-hsb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-hu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-hy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ia.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-id.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-is.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-it.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-kmr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-kn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-la.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-lt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-lv.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ml.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-mn-cyrl-x-lmc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-mn-cyrl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-mr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-mul-ethi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-nb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-nl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-nn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-or.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-pa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-pl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-pms.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-pt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-rm.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ro.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ru.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sr-cyrl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sr-latn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-sv.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-ta.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-te.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-tk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-tr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-uk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadhyph-zh-latn-pinyin.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-af.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-bg.t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ca.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-cs.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-cy.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-da.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-1901.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-1996.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-ch-1901.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-eo.il3.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-es.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-et.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-eu.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fi.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fr.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fur.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ga.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-gl.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hr.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hsb.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hu.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-is.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-kmr.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-la.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-lt.l7x.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-lv.l7x.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mn-cyrl-x-lmc.lmc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mn-cyrl.t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nb.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nl.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nn.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pl.qx.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pt.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ro.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ru.t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sh-cyrl.t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sh-latn.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sk.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sl.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sv.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-tk.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-tr.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-uk.t2a.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-zh-latn-pinyin.ec.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-af.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-fr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-fur.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-it.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-pms.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-rm.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-uk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-quote-zh-latn-pinyin.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(copthyph.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-af.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-as.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-bg.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-bn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ca.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-cop.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-cs.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-cy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-da.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-1901.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-1996.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-de-ch-1901.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-el-monoton.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-el-polyton.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-en-gb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-en-us.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-eo.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-es.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-et.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-eu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-fur.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ga.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-gl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-grc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-gu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hsb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hu.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-hy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ia.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-id.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-is.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-it.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-kmr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-kn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-la.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-lt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-lv.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ml.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mn-cyrl-x-lmc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mn-cyrl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-mul-ethi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-nn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-no.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-or.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pms.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-pt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-rm.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ro.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ru.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sh-cyrl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sh-latn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sr-cyrl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-sv.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-ta.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-te.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-tk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-tr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-uk.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyph-zh-latn-pinyin.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyphen.cfg) = %{epoch}:%{source_date}-%{release}

%description hyph-utf8
Modern native UTF-8 engines such as XeTeX and LuaTeX need
hyphenation patterns in UTF-8 format, whereas older systems
require hyphenation patterns in the 8-bit encoding of the font
in use (such encodings are codified in the LaTeX scheme with
names like OT1, T2A, TS1, OML, LY1, etc). The present package
offers a collection of conversions of existing patterns to UTF-
8 format, together with converters for use with 8-bit fonts in
older systems. Since hyphenation patterns for Knuthian-style
TeX systems are only read at iniTeX time, it is hoped that the
UTF-8 patterns, with their converters, will completely supplant
the older patterns.

%package hyphen-base
Provides: tex-hyphen-base = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: hyphen-base package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(language.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(language.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(language.us.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dumyhyph.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyphen.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hypht1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(zerohyph.tex) = %{epoch}:%{source_date}-%{release}

%description hyphen-base
hyphen-base package

%package knuth-lib
Provides: tex-knuth-lib = %{epoch}:%{source_date}-%{release}
License: Knuth-CTAN
Summary: A small library of MetaFont sources
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(logo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(logo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(logo9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(logobf10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(logosl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(manfnt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(null.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(manmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mftmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(story.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(testfont.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(webmac.tex) = %{epoch}:%{source_date}-%{release}

%description knuth-lib
A collection of miscellaneous MetaFont source, including the
means to generate the logo font that is used for MetaFont and
MetaPost.

%package knuth-local
Provides: tex-knuth-local = %{epoch}:%{source_date}-%{release}
License: Knuth-CTAN
Summary: Knuth's local information
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(domino.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(random.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(snfont.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepsf.tex) = %{epoch}:%{source_date}-%{release}

%description knuth-local
A collection of experimental programs and developments based
on, or complementary to, the matter in his distribution
directories.

%package lua-alt-getopt
Provides: tex-lua-alt-getopt = %{epoch}:%{source_date}-%{release}
Provides: tex-lua-alt-getopt-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lua-alt-getopt-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lua-alt-getopt-doc < %{tl_epoch}:%{source_date}
License: MIT
Summary: Process application arguments the same way as getopt_long
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea

%description lua-alt-getopt
lua_altgetopt is a MIT-licensed module for Lua, for processing
application arguments in the same way as BSD/GNU getopt_long(3)
functions do. This module is made available for lua script
writers to have consistent command line parsing routines.

%package luajittex
Provides: tex-luajittex = %{epoch}:%{source_date}-%{release}
Provides: tex-luajittex-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-luajittex-bin = %{epoch}:%{source_date}-%{release}
License: GPL-2.0-or-later
Summary: LuaTeX with just-in-time (jit) compiler, with and without HarfBuzz
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-luatex
Requires: texlive-cm
Requires: texlive-etex
Requires: texlive-hyphen-base
Requires: texlive-knuth-lib
Requires: texlive-plain
Requires: texlive-tex-ini-files
Requires: texlive-unicode-data
Requires: texlive-hyph-utf8
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description luajittex
LuaTeX with just-in-time (jit) compiler, with and without HarfBuzz.

%package luatex
License: GPL-2.0-or-later
Summary: The LuaTeX engine
Provides: tex-luatex = %{epoch}:%{source_date}-%{release}
Provides: texlive-luatex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-luatex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-luatex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-luatex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-luatex-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires(post,postun): coreutils
Requires: texlive-cm
Requires: texlive-etex
Requires: texlive-hyphen-base
Requires: texlive-knuth-lib
Requires: texlive-plain
Requires: texlive-tex-ini-files
Requires: texlive-unicode-data
Requires: texlive-hyph-utf8
Requires: tex(luatex.def)
Provides: tex(luatex-unicode-letters.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexiniconfig.tex) = %{epoch}:%{source_date}-%{release}

%description luatex
LuaTeX is an extended version of pdfTeX using Lua as an
embedded scripting language. The LuaTeX project's main
objective is to provide an open and configurable variant of TeX
while at the same time offering downward compatibility. LuaTeX
uses Unicode (as UTF-8) as its default input encoding, and is
able to use modern (OpenType) fonts (for both text and
mathematics). It should be noted that LuaTeX is still under
development; its specification has been declared stable, but
absolute stability may not in practice be assumed.

%package makeindex
License: MakeIndex
Summary: Process index output to produce typesettable code
Provides: tex-makeindex = %{epoch}:%{source_date}-%{release}
Provides: texlive-makeindex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-makeindex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-makeindex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-makeindex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-makeindex-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: tex-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description makeindex
A general purpose hierarchical index generator; it accepts one
or more input files (often produced by a text formatter such as
TeX or troff), sorts the entries, and produces an output file
which can be formatted. The formats of the input and output
files are specified in a style file; by default, input is
assumed to be an .idx file, as generated by LaTeX.

%package metafont
License: Knuth-CTAN
Summary: A system for specifying fonts
Provides: tex-metafont = %{epoch}:%{source_date}-%{release}
Provides: %{name}-metafont-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-metafont-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-metafont-bin < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Requires(post,postun): coreutils
Provides: tex(mf.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmmf.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(mf.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(mode2dpi.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mode2dpixy.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(modename.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(modes.mf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ps2mfbas.mf) = %{epoch}:%{source_date}-%{release}

%description metafont
The program takes a semi-algorithmic specification of a font,
and produces a bitmap font (whose properties are defined by a
set of parameters of the target device), and a set metrics for
use by TeX. The bitmap output may be converted into a format
directly usable by a device driver, etc., by the tools provided
in the parallel mfware distribution. (Third parties have
developed tools to convert the bitmap output to outline fonts.)
The distribution includes the source of Knuth's Metafont book;
this source is there to read, as an example of writing TeX --
it should not be processed without Knuth's direct permission.

%package mflogo
License: LPPL-1.3c
Summary: LaTeX support for MetaFont logo fonts
BuildArch: noarch
Provides: tex-mflogo = %{epoch}:%{source_date}-%{release}
Provides: tex-mflogo-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mflogo-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mflogo-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(mflogo.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ulogo.fd) = %{epoch}:%{source_date}-%{release}

%description mflogo
LaTeX package and font definition file to access the Knuthian
mflogo fonts described in 'The MetaFontbook' and to typeset
MetaFont logos in LaTeX documents.

%package mfware
License: Knuth-CTAN
Summary: Supporting tools for use with Metafont
Provides: tex-mfware = %{epoch}:%{source_date}-%{release}
Provides: texlive-mfware-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-mfware-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-mfware-bin < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: tex-kpathsea
Requires: texlive-mfware-bin
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description mfware
A collection of programs for processing the output of Metafont.

%package pdftex
License: GPL-1.0-or-later
Summary: A TeX extension for direct creation of PDF
Provides: tex-pdftex = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pdftex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-pdftex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pdftex-bin < %{tl_epoch}:%{source_date}
Provides: tex-pdftex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pdftex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pdftex-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires(post,postun): coreutils
Requires: tex-graphics-def
Requires: texlive-cm
Requires: texlive-etex
Requires: texlive-hyphen-base
Requires: texlive-knuth-lib
Requires: texlive-plain
Requires: texlive-graphics-def
Requires: tex-tex-ini-files
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tex(dummy-space.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(dummy-space.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(dummy-space.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdftex-dvi.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(glyphtounicode.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfcolor.tex) = %{epoch}:%{source_date}-%{release}

%description pdftex
An extension of TeX which can be configured to directly
generate PDF documents instead of DVI. All current free TeX
distributionsm including TeX live, MacTeX and MiKTeX include
pdfTeX (Plain TeX) and pdfLaTeX (LaTeX). ConTeXt was designed
around use of pdfTeX (though it is now migrating towards
LuaTeX).

%package plain
Provides: tex-plain = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: plain package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fontchart.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkpmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(letter.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(list.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(llist.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(manmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mftmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mptmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(picmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(plain.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(story.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(testfont.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(webmac.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(wlist.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdftexmagfix.tex) = %{epoch}:%{source_date}-%{release}

%description plain
Contains files used to build the Plain TeX format, as described
in the TeXbook, together with various supporting files (some
also discussed in the book).

%package tex
Provides: tex-tex = %{epoch}:%{source_date}-%{release}
License: Knuth-CTAN
Summary: A sophisticated typesetting engine
Provides: tex-tex = %{epoch}:%{source_date}-%{release}
Provides: tex-tex-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-tex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-tex-bin < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-cm
Requires: texlive-hyphen-base
Requires: texlive-knuth-lib
Requires: texlive-kpathsea
Requires: texlive-plain
Requires: texlive-tetex
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Requires(post,postun): coreutils

%description tex
TeX is a typesetting system that incorporates a macro
processor. A TeX source document specifies or incorporates a
number of macro definitions that instruct the TeX engine how to
typeset the document. The TeX engine also uses font metrics
generated by Metafont, or by any of several other mechanisms
that incorporate fonts from other sources into an environment
suitable for TeX. TeX has been, and continues, a basis and an
inspiration for several other programs, including e-TeX and
PDFTeX. The distribution includes the source of Knuth's TeX
book; this source is there to read, as an example of writing
TeX -- it should not be processed without Knuth's direct
permission.

%package texlive.infra
License: LPPL-1.3c
Summary: basic TeX Live infrastructure
Provides: tex-texlive.infra = %{epoch}:%{source_date}-%{release}
Provides: tex-texlive.infra = %{epoch}:%{source_date}-%{release}
Provides: tex-texlive.infra-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-texlive.infra-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texlive.infra-bin < %{tl_epoch}:%{source_date}
Provides: texlive-texlive.infra-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texlive.infra-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(fmtutil-hdr.cnf) = %{epoch}:%{source_date}-%{release}
Provides: tex(updmap-hdr.cfg) = %{epoch}:%{source_date}-%{release}
# perl
BuildArch: noarch

%description texlive.infra
This package contains the files needed to get the TeX Live
tools (notably tlmgr) running: perl modules, xz binaries, plus
(sometimes) tar and wget.  These files end up in the standalone
install packages, and in the tlcritical repository.

%package xdvi
License: MIT
Summary: A DVI previewer for the X Window System
Provides: tex-xdvi = %{epoch}:%{source_date}-%{release}
Provides: tex-xdvi-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-xdvi-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-xdvi-bin < %{tl_epoch}:%{source_date}
Provides: xdvi = %{epoch}:%{source_date}-%{release}
Provides: xdvik = %{epoch}:%{source_date}-%{release}
Requires: texlive-kpathsea
Requires: texlive-base
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description xdvi
The canonical previewer for use on Unix and other X-windows
based systems. The distribution has been integrated with that
of xdvik (no longer separately available), so that it will
build with web2c "out of the box". In practice, it is usually
distributed via Tex-live.

%package collection-fontsrecommended
Summary: Recommended fonts
BuildArch: noarch
Requires: texlive-base
Requires: texlive-collection-basic
Requires: tex-avantgar
Requires: tex-bookman
Requires: tex-charter
Requires: tex-cm-super
Requires: tex-cmextra
Requires: tex-courier
Requires: tex-ec
Requires: tex-euro
Requires: tex-eurosym
Requires: tex-fpl
Requires: tex-helvetic
Requires: tex-lm
Requires: tex-lm-math
Requires: tex-marvosym
Requires: tex-mathpazo
Requires: tex-manfnt-font
Requires: tex-mflogo-font
Requires: tex-ncntrsbk
Requires: tex-palatino
Requires: tex-pxfonts
Requires: tex-rsfs
Requires: tex-symbol
Requires: tex-tex-gyre
Requires: tex-tex-gyre-math
Requires: tex-times
Requires: tex-tipa
Requires: tex-txfonts
Requires: tex-utopia
Requires: tex-wasy
Requires: texlive-wasy-type1
Requires: tex-wasysym
Requires: tex-zapfchan
Requires: tex-zapfding
Provides: tetex-fonts = %{epoch}:%{source_date}-%{release}
Obsoletes: tetex-fonts < %{tl_epoch}:%{source_date}
Provides: texlive-texmf-fonts = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texmf-fonts < %{tl_epoch}:%{source_date}

%description collection-fontsrecommended
Recommended fonts, including the base 35 PostScript fonts,
Latin Modern, TeX Gyre, and T1 and other encoding support for
Computer Modern, in outline form.

%package courier
Provides: tex-courier = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ucr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crb9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cri9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crj9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(crr9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ccrri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucrro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rucr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlucr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsucr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ucr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1ucr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1ucr.fd) = %{epoch}:%{source_date}-%{release}

%description courier
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package euro
Provides: tex-euro = %{epoch}:%{source_date}-%{release}
Provides: tex-euro-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-euro-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-euro-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Provide Euro values for national currency amounts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fp-basic.sty)
Requires: tex(fp-snap.sty)
Provides: tex(euro.sty) = %{epoch}:%{source_date}-%{release}

%description euro
Converts arbitrary national currency amounts using the Euro as
base unit, and typesets monetary amounts in almost any desired
way. Write, e.g., \ATS{17.6} to get something like '17,60 oS
(1,28 Euro)' automatically. Conversion rates for the initial
Euro-zone countries are already built-in. Further rates can be
added easily. The package uses the fp package to do its sums.

%package eurosym
Provides: tex-eurosym = %{epoch}:%{source_date}-%{release}
Provides: tex-eurosym-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-eurosym-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-eurosym-doc < %{tl_epoch}:%{source_date}
License: Eurosym
Summary: MetaFont and macros for Euro sign
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(eurosym.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feyml10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feymo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feymr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(feybr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(feyml10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(feymo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(feymr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geybl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geybo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geybr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geyml10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geymo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(geymr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(eurosym.sty) = %{epoch}:%{source_date}-%{release}

%description eurosym
The new European currency symbol for the Euro implemented in
MetaFont, using the official European Commission dimensions,
and providing several shapes (normal, slanted, bold, outline).
The package also includes a LaTeX package which defines the
macro, pre-compiled tfm files, and documentation.

%package fpl
Provides: tex-fpl = %{epoch}:%{source_date}-%{release}
Provides: tex-fpl-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fpl-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fpl-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: SC and OsF fonts for URW Palladio L
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fplbij8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplbj8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplrc8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplrij8a.pfb) = %{epoch}:%{source_date}-%{release}

%description fpl
The FPL Fonts provide a set of SC/OsF fonts for URW Palladio L
which are compatible with respect to metrics with the Palatino
SC/OsF fonts from Adobe. Note that it is not my aim to exactly
reproduce the outlines of the original Adobe fonts. The SC and
OsF in the FPL Fonts were designed with the glyphs from URW
Palladio L as starting point. For some glyphs (e.g. 'o') I got
the best result by scaling and boldening. For others (e.g. 'h')
shifting selected portions of the character gave more
satisfying results. All this was done using the free font
editor FontForge. The kerning data in these fonts comes from
Walter Schmidt's improved Palatino metrics. LaTeX use is
enabled by the mathpazo package, which is part of the psnfss
distribution.

%package helvetic
Provides: tex-helvetic = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(uhv.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbon.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbrn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvron.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrrn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arb10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arb2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arb7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arb8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arb9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ari10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ari2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ari7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ari8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ari9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arj10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arj2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arj7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arj8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arj9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arr10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arr2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arr7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arr8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(arr9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8cn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8ac.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8ac.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8a-105.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8ac.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8a-105.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8ac.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbc8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbon.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbrn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrc8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvron.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvrrn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhvri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvb8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbc8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvbo8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvr8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvrc8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvri8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8cn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uhvro8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8ruhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omluhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsuhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1uhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1uhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1uhv.fd) = %{epoch}:%{source_date}-%{release}

%description helvetic
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package lm
Provides: tex-lm = %{epoch}:%{source_date}-%{release}
Provides: tex-lm-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lm-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lm-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Latin modern fonts in outline formats
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(lm-cs.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-cssc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-cstt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-ec.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-l7x.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-mathex.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-mathit.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-mathsy.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-qx.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-qxsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-qxtt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmin.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmit.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmitt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmrm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmtt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-csin.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-csrm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cssc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cstt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-plin.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-plit.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-plitt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-plrm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-plsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-pltt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-t5psn.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rmsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rmtt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-t5.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-texnansi.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-ts1.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-math.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-math.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmother.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmtext-interpolated.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cmtext.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-cstext.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-pltext.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rep-vntext.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmono10-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmono10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmono12-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmono8-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmono9-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonocaps10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonocaps10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonolt10-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonolt10-boldoblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonolt10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonolt10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoltcond10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoltcond10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoprop10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoprop10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoproplt10-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoproplt10-boldoblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoproplt10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoproplt10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmonoslant10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman10-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman10-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman10-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman12-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman12-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman12-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman17-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman5-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman5-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman6-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman6-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman7-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman7-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman7-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman8-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman8-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman8-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman9-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman9-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmroman9-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromancaps10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromancaps10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromandemi10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromandemi10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromandunh10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromandunh10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant10-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant12-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant17-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant8-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanslant9-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmromanunsl10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans10-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans10-boldoblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans12-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans12-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans17-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans17-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans8-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans8-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans9-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsans9-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansdemicond10-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansdemicond10-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansquot8-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansquot8-boldoblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansquot8-oblique.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsansquot8-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmex10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbxi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmbxo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmcsco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmdunh10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmduno10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmr9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmri10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmri12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmri7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmri8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmri9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmro10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmro12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmro17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmro8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmro9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssdc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssdo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmsso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmsso12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmsso17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmsso8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmsso9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssqbo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssqbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmssqo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtcso10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtlc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtlco10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtti10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmu10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtk10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtko10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtlo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-lmvtto10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbsy7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbx9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbxi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmbxo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmcsc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmcsco10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmdunh10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmduno10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmex10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmi9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmmib7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmr9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmri10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmri12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmri7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmri8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmri9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmro10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmro12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmro17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmro8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmro9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmss10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmss12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmss17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmss8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmss9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssbo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssbx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssdc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssdo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsso10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsso12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsso17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsso8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsso9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssq8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssqbo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssqbx8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmssqo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmsy9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtcsc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtcso10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtk10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtko10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtlc10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtlco10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtlo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtt10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtt12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtt8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtt9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtti10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmtto10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmu10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtk10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtko10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtlo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtt10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmvtto10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xlmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lmodern.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omllmm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omllmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omslmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omslmsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxlmex.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxlmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1lmvtt.fd) = %{epoch}:%{source_date}-%{release}

%description lm
The Latin Modern family of fonts consists of 72 text fonts and
20 mathematics fonts, and is based on the Computer Modern fonts
released into public domain by AMS (copyright (c) 1997 AMS).
The lm font set contains a lot of additional characters, mainly
accented ones, but not exclusively. There is one set of fonts,
available both in Adobe Type 1 format (*.pfb) and in OpenType
format (*.otf). There are five sets of TeX Font Metric files,
corresponding to: Cork encoding (cork-*.tfm); QX encoding (qx-
*.tfm); TeX'n'ANSI aka LY1 encoding (texnansi-*.tfm); T5
(Vietnamese) encoding (t5-*.tfm); and Text Companion for EC
fonts aka TS1 (ts1-*.tfm).

%package lm-math
Provides: tex-lm-math = %{epoch}:%{source_date}-%{release}
Provides: tex-lm-math-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lm-math-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lm-math-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: OpenType maths fonts for Latin Modern
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(latinmodern-math.otf) = %{epoch}:%{source_date}-%{release}

%description lm-math
Latin Modern Math is a maths companion for the Latin Modern
family of fonts, in OpenType format. For use with LuaLaTeX or
XeLaTeX, support is available from the unicode-math package.

%package marvosym
Provides: tex-marvosym = %{epoch}:%{source_date}-%{release}
Provides: tex-marvosym-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-marvosym-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-marvosym-doc < %{tl_epoch}:%{source_date}
License: OFL-1.1
Summary: Martin Vogel's Symbols (marvosym) font
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(marvosym.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(umvs.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(marvosym.ttf) = %{epoch}:%{source_date}-%{release}
Provides: tex(marvosym.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(marvosym.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(umvs.fd) = %{epoch}:%{source_date}-%{release}

%description marvosym
Martin Vogel's Symbol font (marvosym) contains the Euro
currency symbol as defined by the European commission, along
with symbols for structural engineering; symbols for steel
cross-sections; astronomy signs (sun, moon, planets); the 12
signs of the zodiac; scissor symbols; CE sign and others. The
package contains both the original TrueType font and the
derived Type 1 font, together with support files for TeX
(LaTeX).

%package mathpazo
Provides: tex-mathpazo = %{epoch}:%{source_date}-%{release}
Provides: tex-mathpazo-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mathpazo-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mathpazo-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Fonts to typeset mathematics to match Palatino
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fplmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmbb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7m.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7m.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7v.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmbb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fplmri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7m.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmb7y.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7m.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7v.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zplmr7y.vf) = %{epoch}:%{source_date}-%{release}

%description mathpazo
The Pazo Math fonts are a family of PostScript fonts suitable
for typesetting mathematics in combination with the Palatino
family of text fonts. The Pazo Math family is made up of five
fonts provided in Adobe Type 1 format (PazoMath, PazoMath-
Italic, PazoMath-Bold, PazoMath-BoldItalic, and
PazoMathBlackboardBold). These contain, in designs that match
Palatino, glyphs that are usually not available in Palatino and
for which Computer Modern looks odd when combined with
Palatino. These glyphs include the uppercase Greek alphabet in
upright and slanted shapes in regular and bold weights, the
lowercase Greek alphabet in slanted shape in regular and bold
weights, several mathematical glyphs (partialdiff, summation,
product, coproduct, emptyset, infinity, and proportional) in
regular and bold weights, other glyphs (Euro and dotlessj) in
upright and slanted shapes in regular and bold weights, and the
uppercase letters commonly used to represent various number
sets (C, I, N, Q, R, and Z) in blackboard bold. The set also
includes a set of 'true' small-caps fonts, also suitable for
use with Palatino (or one of its clones). LaTeX macro support
(using package mathpazo.sty) is provided in psnfss (a required
part of any LaTeX distribution).

%package ncntrsbk
Provides: tex-ncntrsbk = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(unc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uncro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8runc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlunc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsunc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1unc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1unc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1unc.fd) = %{epoch}:%{source_date}-%{release}

%description ncntrsbk
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package palatino
Provides: tex-palatino = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(upl.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(eurbo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eurmo10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbij8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbj8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbu.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbu8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9d.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9e.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9o.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrij8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrr8re.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrre.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrrn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplru.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplru8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7m.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7m.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7v.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb9t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi9t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbu.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr9t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrc9t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9d.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9e.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9o.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri9t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrre.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplrrn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplru.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7m.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppleb7y.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7m.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7v.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zppler7y.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uplro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rupl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlupl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsupl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1upl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1upl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1upl.fd) = %{epoch}:%{source_date}-%{release}

%description palatino
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package pxfonts
Provides: tex-pxfonts = %{epoch}:%{source_date}-%{release}
Provides: tex-pxfonts-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pxfonts-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pxfonts-doc  < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Palatino-like fonts in support of mathematics
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(pxfonts.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr2.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr3.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbex.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbexa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmi1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmia.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsya.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsyb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsyc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxex.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxexa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmi1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmia.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsya.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsyb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsyc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxpplro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbex.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbexa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmia.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsya.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsyb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsyc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxex.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxexa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmia.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsya.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsyb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsyc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpcxr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbmi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxbsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxmi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rpxsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(p1xsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcxsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbmi1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxmi1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpxmi.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspxsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxpxex.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pxtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(pxfonts.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pxtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pxtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxexa.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxmia.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxsya.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxsyb.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxsyc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upxtt.fd) = %{epoch}:%{source_date}-%{release}

%description pxfonts
Pxfonts supplies virtual text roman fonts using Adobe Palatino
(or URWPalladioL) with some modified and additional text
symbols in the OT1, T1, and TS1 encodings; maths alphabets
using Palatino/Palladio; maths fonts providing all the symbols
of the Computer Modern and AMS fonts, including all the Greek
capital letters from CMR; and additional maths fonts of various
other symbols. The set is complemented by a sans-serif set of
text fonts, based on Helvetica/NimbusSanL, and a monospace set
derived from the parallel TX font set. All the fonts are in
Type 1 format (AFM and PFB files), and are supported by TeX
metrics (VF and TFM files) and macros for use with LaTeX.

%package rsfs
Provides: tex-rsfs = %{epoch}:%{source_date}-%{release}
Provides: tex-rsfs-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-rsfs-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-rsfs-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Rsfs
Summary: Ralph Smith's Formal Script font
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(rsfs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rsfs7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrload.tex) = %{epoch}:%{source_date}-%{release}

%description rsfs
The fonts provide uppercase 'formal' script letters for use as
symbols in scientific and mathematical typesetting (in contrast
to the informal script fonts such as that used for the
'calligraphic' symbols in the TeX maths symbol font). The fonts
are provided as MetaFont source, and as derived Adobe Type 1
format. LaTeX support, for using these fonts in mathematics, is
available via one of the packages calrsfs and mathrsfs.

%package symbol
Provides: tex-symbol = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(usy.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(psyr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(msyr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(usyr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(usyr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uusy.fd) = %{epoch}:%{source_date}-%{release}

%description symbol
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package tex-gyre
Provides: tex-tex-gyre = %{epoch}:%{source_date}-%{release}
Provides: tex-tex-gyre-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tex-gyre-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tex-gyre-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: TeX Fonts extending freely available URW fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(tgcursor.sty)
Requires: tex(tgheros.sty)
Requires: tex(tgchorus.sty)
Requires: tex(kvoptions.sty)
Provides: tex(q-cs-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-cs.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-csm-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-csm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-cszc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-ec-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-ec.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-l7x-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-l7x.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-l7xzc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qx-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qx.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qxm-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qxm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-qxzc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rm-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rmm-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rmm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-rmzc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t5-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-t5.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-texnansi-sc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-texnansi.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-texnansizc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-ts1.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qag.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbk.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhv.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpl.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-cs.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-ec.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-l7x.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-qx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-rm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-t5.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-texnansi.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc-ts1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreadventor-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreadventor-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreadventor-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreadventor-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrebonum-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrebonum-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrebonum-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrebonum-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrechorus-mediumitalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrecursor-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrecursor-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrecursor-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrecursor-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheros-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheros-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheros-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheros-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheroscn-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheroscn-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheroscn-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreheroscn-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrepagella-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrepagella-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrepagella-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyrepagella-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreschola-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreschola-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreschola-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyreschola-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyretermes-bold.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyretermes-bolditalic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyretermes-italic.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyretermes-regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cs-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7x-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rm-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmb-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmbi-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmr-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmri-sc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qagb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qagbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qagr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qagri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qbkb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qbkbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qbkr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qbkri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcrb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcrbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcrr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcrri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcsb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcsbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcsr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qcsri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvcb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvcbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvcr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvcri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qhvri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qplb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qplbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qplr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qplri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qtmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qtmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qtmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qtmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1-qzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(qagb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qagbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qagr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qagri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbkb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbkbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbkr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbkri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcrb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcrbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcrr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcrri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcsb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcsbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcsr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcsri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvcb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvcbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvcr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvcri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qhvri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qplb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qplbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qplr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qplri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtmb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtmbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtmr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtmri.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzcmi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(il2qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(l7xqzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qbookman.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qcourier.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qpalatin.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qswiss.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qtimes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qxqzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(qzapfcha.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5qzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgadventor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgbonum.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgchorus.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgcursor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgheros.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgpagella.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgschola.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tgtermes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qcs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qhv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qhvc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qpl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qtm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1qzc.fd) = %{epoch}:%{source_date}-%{release}

%description tex-gyre
The TeX-GYRE bundle consists of six font families: TeX Gyre
Adventor is based on the URW Gothic L family of fonts (which is
derived from ITC Avant Garde Gothic, designed by Herb Lubalin
and Tom Carnase). TeX Gyre Bonum is based on the URW Bookman L
family (from Bookman Old Style, designed by Alexander
Phemister). TeX Gyre Chorus is based on URW Chancery L Medium
Italic (from ITC Zapf Chancery, designed by Hermann Zapf in
1979). TeX-Gyre Cursor is based on URW Nimbus Mono L (based on
Courier, designed by Howard G. Kettler in 1955, for IBM). TeX
Gyre Heros is based on URW Nimbus Sans L (from Helvetica,
prepared by Max Miedinger, with Eduard Hoffmann in 1957). TeX
Gyre Pagella is based on URW Palladio L (from Palation,
designed by Hermann Zapf in the 1940s). TeX Gyre Schola is
based on the URW Century Schoolbook L family (which was
designed by Morris Fuller Benton for the American Type
Founders). TeX Gyre Termes is based on the URW Nimbus Roman No9
L family of fonts (whose original, Times, was designed by
Stanley Morison together with Starling Burgess and Victor
Lardent and first offered by Monotype). The constituent
standard faces of each family have been greatly extended, and
contain nearly 1200 glyphs each (though Chorus omits Greek
support, has no small-caps family and has approximately 900
glyphs). Each family is available in Adobe Type 1 and Open Type
formats, and LaTeX support (for use with a variety of
encodings) is provided. Vietnamese and Cyrillic characters were
added by Han The Thanh and Valek Filippov, respectively.


%package tex-gyre-math
Provides: tex-tex-gyre-math = %{epoch}:%{source_date}-%{release}
Provides: tex-tex-gyre-math-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tex-gyre-math-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tex-gyre-math-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Maths fonts to match tex-gyre text fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(texgyrepagella-math.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(texgyretermes-math.otf) = %{epoch}:%{source_date}-%{release}

%description tex-gyre-math
TeX-Gyre-Math is to be a collection of maths fonts to match the
text fonts of the TeX-Gyre collection. The collection will be
made available in OpenType format, only; fonts will conform to
the developing standards for OpenType maths fonts. TeX-Gyre-
Math-Pagella (to match Tex-Gyre-Pagella) and TeX-Gyre-Math-
Termes (to match Tex-Gyre-Termes) fonts are provided.


%package times
Provides: tex-times = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(utm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(psyro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrr8re.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrre.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrrn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpsycmrv.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7m.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7v.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7y.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcmrm.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpzccmry.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trb9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tri9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trj9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr10u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr2n.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr6j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr7j.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr8u.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(trr9t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrre.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmrrn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpsycmrv.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7m.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7v.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcm7y.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcmr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zptmcmrm.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpzccmry.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmri.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ctmri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(utmro8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rutm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlutm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsutm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1utm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1utm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1utm.fd) = %{epoch}:%{source_date}-%{release}

%description times
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package tipa
Provides: tex-tipa = %{epoch}:%{source_date}-%{release}
Provides: tex-tipa-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tipa-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tipa-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fonts and macros for IPA phonetics characters
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(tipx.sty)
Requires: tex(fontenc.sty)
Provides: tex(tipa.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipaprm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipaprm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipab10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabs10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipats10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbs10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss17.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxts10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipa10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipab10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipabs10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipass10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipx10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxbs10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsi10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsl10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxss10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipab10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabs10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipabx9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipasl9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipass9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipats10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipatt9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbs10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxbx9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxsl9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss17.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxss9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxts10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipxtt9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipa10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipab10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipabs10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipasl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipass10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipx10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxbs10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsb10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsi10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxsl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(xipxss10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(exaccent.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(extraipa.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3cmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3cmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3cmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3phv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t3ptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipa.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tipx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tone.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3cmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3cmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3cmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3phv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts3ptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utipx.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utipxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utipxtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uxipx.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uxipxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(vowel.sty) = %{epoch}:%{source_date}-%{release}

%description tipa
These fonts are considered the 'ultimate answer' to IPA
typesetting. The encoding of these 8-bit fonts has been
registered as LaTeX standard encoding T3, and the set of
addendum symbols as encoding TS3. 'Times-like' Adobe Type 1
versions are provided for both the T3 and the TS3 fonts.

%package txfonts
Provides: tex-txfonts = %{epoch}:%{source_date}-%{release}
Provides: tex-txfonts-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-txfonts-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-txfonts-doc  < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Times-like fonts in support of mathematics
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(tx8r.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(txfonts.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr1.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr2.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr3.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbsso.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxphvb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxphvbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxphvr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxphvro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmbo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmri.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxptmro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbex.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbexa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmi1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmia.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsya.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsyb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsyc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txex.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txexa.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmi1.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmia.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsy.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsya.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsyb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsyc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(txttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxb.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxss.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsssc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsssl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxtt.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxttsc.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxttsl.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxbss.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtcxss.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbmi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbss.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxbsssc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxmi.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxss.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(rtxsssc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbttsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xttsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbex.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbexa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmia.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsya.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsyb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsyc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbttsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txex.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txexa.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmia.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsya.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsyb.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsyc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txtt.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(txttsc.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xbsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1xsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxbsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcxsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbmi1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txbsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txmi1.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(txsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxb.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbtt.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbttsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxbttsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxr.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxss.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsssc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxsssl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxtt.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxttsc.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(tyxttsl.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1txr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1txss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ly1txtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omltxmi.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omltxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omstxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omstxsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxtxex.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1txr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1txss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1txtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1txr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1txss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1txtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1txr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1txss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1txtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(txfonts.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxexa.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxmia.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxsya.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxsyb.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxsyc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utxtt.fd) = %{epoch}:%{source_date}-%{release}

%description txfonts
Txfonts supplies virtual text roman fonts using Adobe Times (or
URW NimbusRomNo9L) with some modified and additional text
symbols in the OT1, T1, and TS1 encodings; maths alphabets
using Times/URW Nimbus; maths fonts providing all the symbols
of the Computer Modern and AMS fonts, including all the Greek
capital letters from CMR; and additional maths fonts of various
other symbols. The set is complemented by a sans-serif set of
text fonts, based on Helvetica/NimbusSanL, and a monospace set.
All the fonts are in Type 1 format (AFM and PFB files), and are
supported by TeX metrics (VF and TFM files) and macros for use
with LaTeX.

%package utopia
Provides: tex-utopia = %{epoch}:%{source_date}-%{release}
Provides: tex-utopia-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-utopia-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-utopia-doc  < %{tl_epoch}:%{source_date}
License: LicenseRef-Utopia
Summary: Adobe Utopia fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(putb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putrc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putrc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putbo8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putr8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putrc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putrc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putri8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(putro8t.vf) = %{epoch}:%{source_date}-%{release}

%description utopia
The Adobe Standard Encoding set (upright and italic shapes,
medium and bold weights) of the Utopia font family, which Adobe
donated to the X Consortium. Macro support, and maths fonts
that match the Utopia family, are provided by the Fourier and
the Mathdesign Utopia font packages.

%package wasysym
Provides: tex-wasysym = %{epoch}:%{source_date}-%{release}
Provides: tex-wasysym-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-wasysym-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-wasysym-doc  < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: LaTeX support file to use the WASY2 fonts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(uwasy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uwasyvar.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasysym.sty) = %{epoch}:%{source_date}-%{release}

%description wasysym
The WASY2 (Waldi Symbol) font by Roland Waldi provides many
glyphs like male and female symbols and astronomical symbols,
as well as the complete lasy font set and other odds and ends.
The wasysym package implements an easy to use interface for
these symbols.

%package zapfchan
Provides: tex-zapfchan = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(uzc.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8c.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8a.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8c.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzcmi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(8ruzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omluzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsuzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1uzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1uzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1uzc.fd) = %{epoch}:%{source_date}-%{release}

%description zapfchan
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package zapfding
Provides: tex-zapfding = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later
Summary: URW "Base 35" font pack for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(uzd.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzdr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzdr.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(uzdr.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(uuzd.fd) = %{epoch}:%{source_date}-%{release}

%description zapfding
A set of fonts for use as "drop-in" replacements for Adobe's
basic set, comprising: - Century Schoolbook (substituting for
Adobe's New Century Schoolbook); - Dingbats (substituting for
Adobe's Zapf Dingbats); - Nimbus Mono L (substituting for
Abobe's Courier); - Nimbus Roman No9 L (substituting for
Adobe's Times); - Nimbus Sans L (substituting for Adobe's
Helvetica); - Standard Symbols L (substituting for Adobe's
Symbol); - URW Bookman; - URW Chancery L Medium Italic
(substituting for Adobe's Zapf Chancery); - URW Gothic L Book
(substituting for Adobe's Avant Garde); and - URW Palladio L
(substituting for Adobe's Palatino).

%package jadetex
Provides: tex-jadetex = %{epoch}:%{source_date}-%{release}
Provides: tex-jadetex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-jadetex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-jadetex-doc < %{tl_epoch}:%{source_date}
Provides: %{name}-jadetex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-jadetex-bin < %{tl_epoch}:%{source_date}
License: MIT
Summary: Macros supporting Jade DSSSL output
BuildArch: noarch
Requires: texlive-base
Provides: jadetex = %{epoch}:%{source_date}-%{release}
Obsoletes: jadetex < %{tl_epoch}:%{source_date}
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires(post,postun): coreutils
Requires: tex-latex
Requires: tex-passivetex
Requires: tex-pdftex
Requires: tex-tex
Provides: tex(dsssl.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uentities.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ut1omlgc.fd) = %{epoch}:%{source_date}-%{release}

%description jadetex
Macro package on top of LaTeX to typeset TeX output of the Jade
DSSSL implementation.

%package latex
Provides: tex-latex = %{epoch}:%{source_date}-%{release}
Provides: tetex-latex = %{epoch}:%{source_date}-%{release}
Provides: texlive-latex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-latex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-latex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-latex-bin-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-latex-bin-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-latex-bin-bin < %{tl_epoch}:%{source_date}
Provides: texlive-latex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-latex-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A TeX macro package that defines LaTeX
Requires: texlive-base
Requires: tex(expl3.sty)
Requires: texlive-kpathsea
Requires: texlive-luatex
Requires: texlive-pdftex
Requires: texlive-latexconfig
Requires: texlive-latex-fonts
# As a result of changes in textcomp, it requests TS1 fonts for some things
# most notably, \textbullet. Since people probably want a working itemize
# even on rather minimal installs, we add an explicit Requires on texlive-cm-super
# here. (bz1867927) 
Requires: texlive-cm-super
# Another font dependency
Requires: texlive-psnfss
Requires(post,postun): coreutils
Requires: tex(multicol.sty)
Requires: tex(url.sty)
Requires: tex(hyperref.sty)
Requires: tex(hypdoc.sty)
Provides: tex(alltt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ansinew.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(applemac.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(article.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(article.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ascii.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(atbegshi-ltx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(atveryend-ltx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bezier.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bk10.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(bk11.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(bk12.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(book.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(book.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp1250.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp1252.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp1257.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp437.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp437de.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp850.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp852.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp858.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp865.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(decmulti.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(doc-2016-02-15.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(doc-2021-06-01.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(doc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(docstrip.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(exscale.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fix-cm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fixltx2e.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(flafter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fleqn.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(fleqn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fltrace.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontenc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontmath.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(fonttext.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphpap.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(idx.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifthen.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(inputenc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lablst.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(latex209.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latexrelease.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(latexsym.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin1.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin10.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin2.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin3.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin4.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin5.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin9.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(leqno.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(leqno.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(letter.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(letter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lppl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltnews.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltxcheck.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltxdoc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltxguide.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(macce.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(makeidx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(minimal.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(newlfont.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(next.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(nfssfont.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(oldlfont.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlcmm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlcmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(omllcmm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omscmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omscmsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(omslcmsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxcmex.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxlcmex.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(openbib.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmfib.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmfr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1cmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lcmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1lcmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot4enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(preload.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(proc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(proc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(report.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(report.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sample2e.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(sfonts.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(shortvrb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(showidx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(size10.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size11.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size12.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(slides.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(slides.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(slides.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(small2e.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(source2edoc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(structuredlog.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(syntonly.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmfib.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmfr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1cmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1enc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lcmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1lcmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(testpage.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(texsys.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(textcomp-2018-08-11.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(textcomp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tracefnt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1cmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1cmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1cmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1cmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tuenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(tulmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ulasy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ullasy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8-2018.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8.def) = %{epoch}:%{source_date}-%{release}
Provides: texlive-texmf-latex = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texmf-latex < %{source_date}
# symlinks
BuildArch: noarch

%description latex
LaTeX is a widely-used macro package for TeX, providing many
basic document formating commands extended by a wide range of
packages. It is a development of Leslie Lamport's original
LaTeX 2.09, and superseded the older system in June 1994. The
basic distribution is catalogued separately, at latex-base;
apart from a large set of contributed packages and third-party
documentation (elsewhere on the archive), the distribution
includes: - a bunch of required packages, which LaTeX authors
are "entitled to assume" will be present on any system running
LaTeX; and - a minimal set of documentation detailing
differences from the 'old' version of LaTeX in the areas of
user commands, font selection and control, class and package
writing, font encodings, configuration options and modification
of LaTeX. For downloading details, see the linked catalogue
entries above.

%package latexconfig
Provides: tex-latexconfig = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: latexconfig package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(color.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(epstopdf-sys.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphics.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyperref.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(lualatex-patch-kernel.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(lualatex-reset-codes.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(lualatexiniconfig.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(lualatexquotejobname.tex) = %{epoch}:%{source_date}-%{release}

%description latexconfig
latexconfig package

%package latex-fonts
Provides: tex-latex-fonts = %{epoch}:%{source_date}-%{release}
Provides: tex-latex-fonts-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-latex-fonts-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-latex-fonts-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A collection of fonts used in LaTeX distributions
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(icmcsc10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(icmex10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(icmmi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(icmsy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(icmtt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ilasy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ilcmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ilcmssb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ilcmssi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasy9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lasyb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lcircle10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lcirclew10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lcmss8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lcmssb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(lcmssi8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(line10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(linew10.tfm) = %{epoch}:%{source_date}-%{release}

%description latex-fonts
This is a collection of fonts for use with standard latex
packages and classes. It includes 'invisible' fonts (for use
with the slides class), line and circle fonts (for use in the
picture environment) and 'latex symbol' fonts. For full support
of a latex installation, some Computer Modern font variants
cmbsy(6-9), cmcsc(8,9), cmex(7-9) and cmmib(5-9) from the
amsfonts distribution, are also necessary. The fonts are
available as Metafont source, and metric (tfm) files are also
provided. Most of the fonts are also available in Adobe Type 1
format, in the amsfonts distribution.

%package passivetex
Provides: tex-passivetex = %{epoch}:%{source_date}-%{release}
License: MIT
Summary: Support package for XML/SGML typesetting
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(multicol.sty)
Requires: tex(rotating.sty)
Requires: tex(array.sty)
Requires: tex(amsmath.sty)
Requires: tex(longtable.sty)
Requires: tex(url.sty)
Requires: tex(ulem.sty)
Requires: tex(color.sty)
Requires: tex(times.sty)
Requires: tex(unicode.sty)
Requires: tex(marvosym.sty)
Requires: tex(nameref.sty)
Requires: tex(hyperref.sty)
Requires: tex(ifthen.sty)
Requires: tex(fontenc.sty)
Requires: tex(tipa.sty)
Requires: tex(tone.sty)
Requires: tex(amssymb.sty)
Requires: tex(bm.sty)
Requires: tex(textcomp.sty)
Requires: tex(pifont.sty)
Provides: tex(dummyels.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fotex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mlnames.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(teixml.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(teixmlslides.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucharacters.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(unicode.sty) = %{epoch}:%{source_date}-%{release}

%description passivetex
Packages providing XML parsing, UTF-8 parsing, Unicode
entities, and common formatting object definitions for jadetex.


%package tex4ht
Provides: tex-tex4ht = %{epoch}:%{source_date}-%{release}
Provides: tex-tex4ht-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-tex4ht-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-tex4ht-bin < %{tl_epoch}:%{source_date}
Provides: texlive-tex4ht-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-tex4ht-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Convert (La)TeX to HTML/XML
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tetex-tex4ht = %{epoch}:%{source_date}-%{release}
Obsoletes: tetex-tex4ht < %{tl_epoch}:%{source_date}
Provides: tex(m-tex4ht.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tex4ht.sty) = %{epoch}:%{source_date}-%{release}

%description tex4ht
A converter from TeX and LaTeX to SGML-based formats such as
(X)HTML, MathML, OpenDocument, and DocBook, providing a
configurable (La)TeX-based authoring system for hypertext.
Tex4ht does not parse (La)TeX source (so that it avoids the
difficulties encountered by many other converters, arising from
the irregularity of (La)TeX syntax). Instead, Tex4ht uses
(La)TeX itself (with an extra macro package) to produce a non-
standard DVI file that it can then process. This technique
allows TeX4ht to approach the robustness characteristic of
restricted-syntax systems such as hyperlatex and gellmu. Note
that CTAN no longer holds the definitive sources of the
package: see the 'Readme' file.


%package xmltex
Provides: tex-xmltex = %{epoch}:%{source_date}-%{release}
Provides: tex-xmltex-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-xmltex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-xmltex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-xmltex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-xmltex-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for parsing XML documents
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-latex
Requires: texlive-pdftex
Requires: texlive-tex
Requires: texlive-xmltexconfig
Requires: texlive-babel
Requires: texlive-cm
Requires: texlive-hyphen-base
Requires: texlive-latex-fonts
Requires: texlive-l3backend
Requires: texlive-l3kernel
Requires: texlive-l3packages
Requires: texlive-tex-ini-files
Requires: texlive-unicode-data
Requires: texlive-dehyph
Requires: texlive-hyph-utf8
Requires: texlive-latexconfig
Provides: tex(xmltex.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(xmltex.tex) = %{epoch}:%{source_date}-%{release}
# symlinks
BuildArch: noarch

%description xmltex
This package provides an implementation of a parser for
documents matching the XML 1.0 and XML Namespace
Recommendations. In addition to parsing commands are provided
to attatch TeX typesetting instructions to the various markup
elemenets as they are encounted. Sample files for typesetting a
subset of TEI, MathML, are included. Element and Attribute
names, as well as character data, may use any characters
allowed in XML, using UTF-8 or a suitable 8-bit encoding.

%package collection-latex
Summary: Basic LaTeX packages
BuildArch: noarch
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-ae
Requires: texlive-amscls
Requires: texlive-amsmath
Requires: texlive-atbegshi
Requires: texlive-atveryend
Requires: texlive-auxhook
Requires: texlive-babel
Requires: texlive-babel-english
Requires: texlive-babelbib
Requires: texlive-bitset
Requires: texlive-bookmark
Requires: texlive-carlisle
Requires: texlive-colortbl
Requires: texlive-epstopdf-pkg
Requires: texlive-etexcmds
Requires: texlive-fancyhdr
Requires: texlive-fix2col
Requires: texlive-geometry
Requires: texlive-gettitlestring
Requires: texlive-graphics
Requires: texlive-graphics-cfg
Requires: texlive-grfext
Requires: texlive-hycolor
Requires: texlive-hyperref
Requires: texlive-intcalc
Requires: texlive-kvdefinekeys
Requires: texlive-kvoptions
Requires: texlive-kvsetkeys
Requires: texlive-l3backend
Requires: texlive-l3kernel
Requires: texlive-latex
Requires: texlive-latex-bin
Requires: texlive-latex-fonts
Requires: texlive-latexconfig
Requires: texlive-letltxmacro
Requires: texlive-ltxcmds
Requires: texlive-ltxmisc
Requires: texlive-mfnfss
Requires: texlive-mptopdf
Requires: texlive-natbib
Requires: texlive-oberdiek
Requires: texlive-pdfescape
Requires: texlive-pslatex
Requires: texlive-psnfss
Requires: texlive-pspicture
Requires: texlive-refcount
Requires: texlive-rerunfilecheck
Requires: texlive-stringenc
Requires: texlive-tools
Requires: texlive-uniquecounter
Requires: texlive-url
Provides: tex(latex-base) = %{tl_version}

%description collection-latex
These packages are mandated by the core LaTeX team, or at least
very strongly recommended.


%package colortbl
Provides: tex-colortbl = %{epoch}:%{source_date}-%{release}
Provides: tex-colortbl-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-colortbl-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-colortbl-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Add colour to LaTeX tables
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(array.sty)
Requires: tex(color.sty)
Provides: tex(colortbl.sty) = %{epoch}:%{source_date}-%{release}

%description colortbl
The package allows rows and columns to be coloured, and even
individual cells.


%package fancyhdr
Provides: tex-fancyhdr = %{epoch}:%{source_date}-%{release}
Provides: tex-fancyhdr-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fancyhdr-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fancyhdr-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extensive control of page headers and footers in LaTeX2e
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(extramarks.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fancyhdr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fancyheadings.sty) = %{epoch}:%{source_date}-%{release}

%description fancyhdr
The package provides extensive facilities, both for
constructing headers and footers, and for controlling their use
(for example, at times when LaTeX would automatically change
the heading style in use).


%package fix2col
Provides: tex-fix2col = %{epoch}:%{source_date}-%{release}
Provides: tex-fix2col-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fix2col-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fix2col-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fix miscellaneous two column mode features
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fix2col.sty) = %{epoch}:%{source_date}-%{release}

%description fix2col
Fix mark handling so that \firstmark is taken from the first
column if that column has any marks at all; keep two column
floats like figure* in sequence with single column floats like
figure.


%package geometry
Provides: tex-geometry = %{epoch}:%{source_date}-%{release}
Provides: tex-geometry-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-geometry-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-geometry-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Flexible and complete interface to document dimensions
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifvtex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(atbegshi.sty)
Provides: tex(geometry.sty) = %{epoch}:%{source_date}-%{release}

%description geometry
The package provides an easy and flexible user interface to
customize page layout, implementing auto-centering and auto-
balancing mechanisms so that the users have only to give the
least description for the page layout. For example, if you want
to set each margin 2cm without header space, what you need is
just \usepackage[margin=2cm,nohead]{geometry}. The package
knows about all the standard paper sizes, so that the user need
not know what the nominal 'real' dimensions of the paper are,
just its standard name (such as a4, letter, etc.). An important
feature is the package's ability to communicate the paper size
it's set up to the output (whether via DVI \specials or via
direct interaction with PDF(La)TeX).


%package graphics
Provides: tex-graphics = %{epoch}:%{source_date}-%{release}
Provides: tex-graphics-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-graphics-doc = %{epoch}:%{source_date}-%{release}
Provides: tex-rotating = %{epoch}:%{source_date}-%{release}
Provides: %{name}-rotating = %{epoch}:%{source_date}-%{release}
Provides: tex-rotating-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-rotating-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-rotating-doc < %{tl_epoch}:%{source_date}
Obsoletes: %{name}-rotating < %{tl_epoch}:%{source_date}
Obsoletes: %{name}-graphics-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Standard LaTeX graphics
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-graphics-cfg
Provides: tex(color.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipdf.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipsnam.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipsone.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dviwin.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(emtex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(epsfig.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphics.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphicx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(keyval.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lscape.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pctex32.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pctexhp.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pctexps.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pctexwin.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcidvi.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(trig.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(truetex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(rotating.sty) = %{epoch}:%{source_date}-%{release}

%description graphics
The package was designed to accommodate all needs for inclusion
of graphics in LaTeX documents, replacing many earlier packages
used in LaTeX 2.09. The package aims to give a consistent
interface to including the file types that are understood in
your output, by use of 'printer drivers' (now known, simply, as
'drivers'). The distribtion of the package contains several
drivers, but others (for example, pdfTeX) are distributed
separately. The package also offers several means of
manipulating graphics in the course of inserting them into a
document (for example, rotation and scaling). For extended
documentation see epslatex. The package is part of the graphics
bundle, which is one of the collections in the LaTeX 'required'
set of packages.


%package hyperref
Provides: tex-hyperref = %{epoch}:%{source_date}-%{release}
Provides: tex-hyperref-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-hyperref-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-hyperref-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extensive support for hypertext in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(atbegshi.sty)
Requires: tex(auxhook.sty)
Requires: tex(bitset.sty)
Requires: tex(color.sty)
Requires: tex(etexcmds.sty)
Requires: tex(gettitlestring.sty)
Requires: tex(hobsub-hyperref.sty)
Requires: tex(hycolor.sty)
Requires: tex(ifpdf.sty)
Requires: tex(ifvtex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(infwarerr.sty)
Requires: tex(intcalc.sty)
Requires: tex(keyval.sty)
Requires: tex(kvdefinekeys.sty)
Requires: tex(kvoptions.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(memhfixc.sty)
Requires: tex(pdfescape.sty)
Requires: tex(pdftexcmds.sty)
Requires: tex(refcount.sty)
Requires: tex(rerunfilecheck.sty)
Requires: tex(stringenc.sty)
Requires: tex(url.sty)
Requires: texlive-zapfding
Provides: tex(backref.sty) = %{tl_version}
Provides: tex(hdvipdfm.def) = %{tl_version}
Provides: tex(hdvips.def) = %{tl_version}
Provides: tex(hdvipson.def) = %{tl_version}
Provides: tex(hdviwind.def) = %{tl_version}
Provides: tex(hluatex.def) = %{tl_version}
Provides: tex(hpdftex.def) = %{tl_version}
Provides: tex(htex4ht.cfg) = %{tl_version}
Provides: tex(htex4ht.def) = %{tl_version}
Provides: tex(htexture.def) = %{tl_version}
Provides: tex(hvtex.def) = %{tl_version}
Provides: tex(hvtexhtm.def) = %{tl_version}
Provides: tex(hvtexmrk.def) = %{tl_version}
Provides: tex(hxetex.def) = %{tl_version}
Provides: tex(hyperref.sty) = %{tl_version}
Provides: tex(hypertex.def) = %{tl_version}
Provides: tex(minitoc-hyper.sty) = %{tl_version}
Provides: tex(nameref.sty) = %{tl_version}
Provides: tex(nohyperref.sty) = %{tl_version}
Provides: tex(ntheorem-hyper.sty) = %{tl_version}
Provides: tex(pd1enc.def) = %{tl_version}
Provides: tex(pdfmark.def) = %{tl_version}
Provides: tex(psdextra.def) = %{tl_version}
Provides: tex(puarenc.def) = %{tl_version}
Provides: tex(puenc.def) = %{tl_version}
Provides: tex(puvnenc.def) = %{tl_version}
Provides: tex(xr-hyper.sty) = %{tl_version}

%description hyperref
The hyperref package is used to handle cross-referencing
commands in LaTeX to produce hypertext links in the document.
The package provides backends for the \special set defined for
HyperTeX DVI processors; for embedded pdfmark commands for
processing by Acrobat Distiller (dvips and Y&Y's dvipsone); for
Y&Y's dviwindo; for PDF control within pdfTeX and dvipdfm; for
TeX4ht; and for VTeX's pdf and HTML backends. The package is
distributed with the backref and nameref packages, which make
use of the facilities of hyperref. The package depends on the
author's kvoptions, ltxcmdsand refcount packages.


%package ltxmisc
Provides: tex-ltxmisc = %{epoch}:%{source_date}-%{release}
License: LicenseRef-Fedora-Public-Domain
Summary: Miscellaneous LaTeX packages, etc
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(makeidx.sty)
Requires: tex(graphicx.sty)
Requires: tex(minitoc.sty)
Requires: tex(beton.sty)
Requires: tex(euler.sty)
Requires: tex(calc.sty)
Requires: tex(natbib.sty)
Requires: tex(array.sty)
Requires: tex(pifont.sty)
Provides: tex(abstbook.cls) = %{tl_version}
Provides: tex(beletter.cls) = %{tl_version}
Provides: tex(bibcheck.sty) = %{tl_version}
Provides: tex(concrete.sty) = %{tl_version}
Provides: tex(flashcard.cls) = %{tl_version}
Provides: tex(iagproc.cls) = %{tl_version}
Provides: tex(linsys.sty) = %{tl_version}
Provides: tex(mitpress.sty) = %{tl_version}
Provides: tex(thrmappendix.sty) = %{tl_version}
Provides: tex(topcapt.sty) = %{tl_version}
Provides: tex(vrbexin.sty) = %{tl_version}

%description ltxmisc
ltxmisc package


%package mfnfss
Provides: tex-mfnfss = %{epoch}:%{source_date}-%{release}
Provides: tex-mfnfss-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mfnfss-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mfnfss-doc  < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Packages to typeset oldgerman and pandora fonts in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(oldgerm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1panr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(pandora.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(uyfrak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uygoth.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uyinit.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(uyswab.fd) = %{epoch}:%{source_date}-%{release}

%description mfnfss
This bundle contains two packages: - oldgerm, a package to
typeset with old german fonts designed by Yannis Haralambous. -
pandora, a package to typeset with Pandora fonts designed by
Neena Billawala. Note that support for the Pandora fonts is
also available via the pandora-latex package.


%package mptopdf
License: LPPL-1.3c
Summary: mpost to PDF, native MetaPost graphics inclusion
BuildArch: noarch
Provides: tex-mptopdf = %{epoch}:%{source_date}-%{release}
Provides: texlive-mptopdf-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-mptopdf-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-mptopdf-bin < %{tl_epoch}:%{source_date}
Provides: texlive-mptopdf-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-mptopdf-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires(post,postun): coreutils
Provides: tex(mptopdf.tex) = %{epoch}:%{source_date}-%{release}

%description mptopdf
The mptopdf script does standalone conversion from mpost to
PDF, using the supp-* and syst-* files.  They also allow native
MetaPost graphics inclusion in LaTeX (via pdftex.def) and
ConTeXt.  They can be used independently of the rest of
ConTeXt, yet are maintained as part of it.  So in TeX Live we
pull them out to this separate package for the benefit of LaTeX
users who do not install the rest of ConTeXt.  This can be
found on CTAN in macros/pdftex/graphics.

%package natbib
Provides: tex-natbib = %{epoch}:%{source_date}-%{release}
Provides: tex-natbib-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-natbib-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-natbib-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Flexible bibliography support
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(bibentry.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(natbib.sty) = %{epoch}:%{source_date}-%{release}

%description natbib
Provides a style with author-year and numbered references, as
well as much detailed of support for other bibliography use.
Provides versions of the standard BibTeX styles that are
compatible with natbib - plainnat, unsrtnat, abbrnat. The
bibliography styles produced by custom-bib are designed from
the start to be compatible with natbib.


%package oberdiek
Provides: tex-oberdiek = %{epoch}:%{source_date}-%{release}
Provides: tex-oberdiek-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-oberdiek-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-oberdiek-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A bundle of packages submitted by Heiko Oberdiek
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-auxhook
Requires: texlive-grfext
Requires: texlive-grffile
Requires: texlive-iftex
Requires: texlive-kvoptions
Requires: texlive-infwarerr
Requires: texlive-pdftexcmds
# To complete the bundle
Requires: tex(amsmath.sty)
Requires: tex(array.sty)
Requires: tex(atveryend.sty)
Requires: tex(bigintcalc.sty)
Requires: tex(color.sty)
Requires: tex(etexcmds.sty)
Requires: tex(fontspec.sty)
Requires: tex(fp-basic.sty)
Requires: tex(fp-snap.sty)
Requires: tex(graphics.sty)
Requires: tex(hologo.sty)
Requires: tex(hypdoc.sty)
Requires: tex(hyperref.sty)
Requires: tex(index.sty)
Requires: tex(intcalc.sty)
Requires: tex(keyval.sty)
Requires: tex(kvsetkeys.sty)
Requires: tex(letltxmacro.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(parallel.sty)
Requires: tex(parcolumns.sty)
Requires: tex(pdfcol.sty)
Requires: tex(pdfescape.sty)
Requires: tex(remreset.sty)
Requires: tex(unicode-math.sty)
Requires: tex(uniquecounter.sty)
Requires: tex(zref-base.sty)
Provides: tex(aliascnt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize-base.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize-dvipdfm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize-dvipdfmx.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize-dvips.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize-test.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bmpsize.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(centernot.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(chemarr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(classlist.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(colonequals.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipscol.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(engord.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(enparen.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(eolgrab.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fibnum.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(flags.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(holtxdoc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hypbmsec.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hypcap.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hypgotoe.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyphsubst.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifdraft.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(iflang.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfcolparallel.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfcolparcolumns.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfcrypt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdfrender.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(protecteddef.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(resizegather.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(rotchiffre.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrindex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(setouterhbox.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(settobox.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(stackrel.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(stampinclude.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tabularht.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tabularkv.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(telprint.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thepdfnumber.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(twoopt.sty) = %{epoch}:%{source_date}-%{release}

%description oberdiek
The bundle comprises packages to provide: aliascnt: 'alias
counters'; bmpsize: get bitmap size and resolution data;
centernot: a horizontally-centred \not symbol; chemarr:
extensible chemists' reaction arrows; classlist: record
information about document class(es) used; colonequals: poor
man's mathematical relation symbols; dvipscol: dvips colour
stack management; engord: define counter-printing operations
producing English ordinals; eolgrab: collect arguments
delimited by end of line; flags: setting and clearing flags in
bit fields and converting the bit field into a decimal number;
holtxdoc: extra documentation macros; hypbmsec: bookmarks in
sectioning commands; hypcap: anjusting anchors of captions;
hypgotoe: experimental package for links to embedded files;
hyphsubst: substitute hyphenation patterns; ifdraft: switch for
option draft; iflang: provides expandable checks for the
current language; pdfcolparallel: fixes colour problems in
package parallel; pdfcolparcolumns: fixes colour problems in
package parcolumns; pdfcrypt: setting PDF encryption;
pdfrender: control PDF rendering modes; protecteddef: define a
command that protected against expansion; resizegather:
automatically resize overly large equations; rotchiffre:
performs simple rotation cyphers; scrindex: redefines
environment 'theindex' of package 'index', if a class from
KOMA-Script is loaded; setouterhbox: set \hbox in outer
horizontal mode; settobox: getting box sizes; stackrel:
extensions of the \stackrel command; stampinclude: selects the
files for \include by inspecting the timestamp of the .aux
file(s); tabularht: tabulars with height specification;
tabularkv: key value interface for tabular parameters;
telprint: print German telephone numbers; thepdfnumber:
canonical numbers for use in PDF files and elsewhere; twoopt:
commands with two optional arguments; Each of the packages is
represented by two files, a .dtx (documented source) and a PDF
file; the .ins file necessary for installation is extracted by
running the .dtx file with Plain TeX.

%package pslatex
Provides: tex-pslatex = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Use PostScript fonts by default
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(pcrr8rn.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr7tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8rn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8tn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr7tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8tn.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(pslatex.sty) = %{epoch}:%{source_date}-%{release}

%description pslatex
A small package that makes LaTeX default to 'standard'
PostScript fonts. It is basically a merger of the times and the
(obsolete) mathptm packages from the psnfss suite. You must
have installed standard LaTeX and the psnfss PostScript fonts
to use this package. The main novel feature is that the pslatex
package tries to compensate for the visual differences between
the Adobe fonts by scaling Helvetica by 90%, and 'condensing'
Courier (i.e. scaling horizontally) by 85%. The package is
supplied with a (unix) shell file for a 'pslatex' command that
allows standard LaTeX documents to be processed, without
needing to edit the file. Note that current psnfss uses a
different technique for scaling Helvetica, and treats Courier
as a lost cause (there are better free fixed-width available
now, than there were when pslatex was designed). As a result,
pslatex is widely considered obsolete.


%package psnfss
Provides: tex-psnfss = %{epoch}:%{source_date}-%{release}
Provides: tex-psnfss-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-psnfss-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-psnfss-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Font support for common PostScript fonts
BuildArch: noarch
Requires: tex-graphics-doc = %{epoch}:%{source_date}-%{release}
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-symbol
Requires: texlive-zapfding
Requires: texlive-graphics
Requires: tex(keyval.sty)
Provides: tex(charter.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(fpls.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(pazo.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(psnfss.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(utopia.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rbch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rpag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rpbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rpcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rphv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rpnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rput.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(8rpzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(avant.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bookman.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(chancery.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(charter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(courier.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(helvet.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathpazo.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathpple.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathptm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathptmx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(newcent.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlbch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlphv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlptmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlput.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlpzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlzplm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlzpple.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlztmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsbch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsphv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsput.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omspzccm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omszplm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omszpple.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsztmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxpsycm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxzplm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxzpple.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omxztmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1bch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1phv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pplj.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pplx.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ptmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1put.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1pzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1zplm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1zpple.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1ztmcm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(palatino.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pifont.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1bch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1phv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1ppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pplj.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pplx.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1ptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1put.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1pzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(times.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1bch.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pag.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pbk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pcr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1phv.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pnc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1ppl.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pplj.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pplx.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1ptm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1put.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ts1pzc.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ufplm.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ufplmbb.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upsy.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(upzd.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(utopia.sty) = %{epoch}:%{source_date}-%{release}

%description psnfss
Font definition files, macros and font metrics for freely-
available Adobe Type 1 fonts. The font set consists of the
'LaserWriter 35' set (originally 'freely available' because
embedded in PostScript printers), and a variety of other free
fonts, together with some additions. Note that while many of
the fonts are available in PostScript (and other) printers,
most publishers require fonts embedded in documents, which
requires that you have the fonts in your TeX system.
Fortunately, there are free versions of the fonts from URW
(available in the URW base5 bundle). The base set of text fonts
covered by PSNFSS are: AvantGarde, Bookman, Courier, Helvetica,
New Century Schoolbook, Palatino, Symbol, Times Roman and Zapf
Dingbats. In addition, the fonts Bitstream Charter and Adobe
Utopia are covered (those fonts were contributed to the Public
Domain by their commercial foundries). Separate packages are
provided to load each font for use as main text font. The
packages helvet (which allows Helvetica to be loaded with its
size scaled to something more nearly appropriate for its use as
a Sans-Serif font to match Times) and pifont (which provides
the means to select single glyphs from symbol fonts) are
tailored to special requirements of their fonts. Mathematics
are covered by the mathptmx package, which constructs passable
mathematics from a combination of Times Roman, Symbol and some
glyphs from Computer Modern, and by Pazo Math (optionally
extended with the fpl small-caps and old-style figures fonts)
which uses Palatino as base font, with the mathpazo fonts. The
bundle as a whole is part of the LaTeX 'required' set of
packages.


%package pspicture
Provides: tex-pspicture = %{epoch}:%{source_date}-%{release}
Provides: tex-pspicture-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pspicture-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pspicture-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: PostScript picture support
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(pspicture.sty) = %{epoch}:%{source_date}-%{release}

%description pspicture
A replacement for LaTeX's picture macros, that uses PostScript
\special commands. The package is now largely superseded by
pict2e.


%package tools
Provides: tex-tools = %{epoch}:%{source_date}-%{release}
Provides: tex-tools-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tools-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tools-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: The LaTeX standard tools bundle
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(color.sty)
Provides: tex(.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(afterpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(array.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(calc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dcolumn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(delarray.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(e.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(enumerate.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontsmpl.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontsmpl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ftnright.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(h.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hhline.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(indentfirst.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(layout.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(longtable.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(multicol.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(q.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(r.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(rawfonts.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(s.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(shellesc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(showkeys.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(somedefs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tabularx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thcb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(theorem.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thmb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(trace.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(varioref.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(verbatim.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(verbtest.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(x.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(xr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xspace.sty) = %{epoch}:%{source_date}-%{release}

%description tools
A collection of (variously) simple tools provided as part of
the LaTeX required tools distribution, comprising: afterpage,
array, bm, calc, dcolumn, delarray, enumerate, fileerr,
fontsmpl, ftnright, hhline, indentfirst, layout, longtable,
multicol, rawfonts, showkeys, somedefs, tabularx, theorem,
trace, varioref, verbatim, xr, and xspace.


%package collection-latexrecommended
Summary: LaTeX recommended packages
BuildArch: noarch
Requires: texlive-base
Requires: texlive-collection-latex
Requires: texlive-anysize
Requires: texlive-attachfile2
Requires: texlive-beamer
Requires: texlive-booktabs
Requires: texlive-breqn
Requires: texlive-caption
Requires: texlive-cite
Requires: texlive-cmap
Requires: texlive-crop
Requires: texlive-ctable
Requires: texlive-eso-pic
Requires: texlive-euenc
Requires: texlive-euler
Requires: texlive-etoolbox
Requires: texlive-extsizes
Requires: texlive-fancybox
Requires: texlive-fancyref
Requires: texlive-fancyvrb
Requires: texlive-filehook
Requires: texlive-float
Requires: texlive-fontspec
Requires: texlive-footnotehyper
Requires: texlive-fp
Requires: texlive-grffile
Requires: texlive-hologo
Requires: texlive-index
Requires: texlive-infwarerr
Requires: texlive-jknapltx
Requires: texlive-koma-script
Requires: texlive-latexbug
Requires: texlive-l3experimental
Requires: texlive-l3packages
Requires: texlive-lineno
Requires: texlive-listings
Requires: texlive-lwarp
Requires: texlive-mathspec
Requires: texlive-mathtools
Requires: texlive-mdwtools
Requires: texlive-memoir
Requires: texlive-metalogo
Requires: texlive-microtype
Requires: texlive-ms
Requires: texlive-newfloat
Requires: texlive-ntgclass
Requires: texlive-parskip
Requires: texlive-pdflscape
Requires: texlive-pdfpages
Requires: texlive-pdftexcmds
Requires: texlive-polyglossia
Requires: texlive-psfrag
Requires: texlive-ragged2e
Requires: texlive-rcs
Requires: texlive-sansmath
Requires: texlive-section
Requires: texlive-seminar
Requires: texlive-sepnum
Requires: texlive-setspace
Requires: texlive-subfig
Requires: texlive-textcase
Requires: texlive-thumbpdf
Requires: texlive-translator
Requires: texlive-typehtml
Requires: texlive-ucharcat
Requires: texlive-underscore
Requires: texlive-unicode-math
Requires: texlive-xcolor
Requires: texlive-xkeyval
Requires: texlive-xltxtra
Requires: texlive-xunicode
Provides: tex(latex) = %{epoch}:%{version}-%{release}, texlive-latex = %{epoch}:%{version}-%{release}
Requires: texlive-collection-fontsrecommended

%description collection-latexrecommended
A collection of recommended add-on packages for LaTeX which
have widespread use.


%package crop
Provides: tex-crop = %{epoch}:%{source_date}-%{release}
Provides: tex-crop-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-crop-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-crop-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for cropmarks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(color.sty)
Requires: tex(graphics.sty)
Provides: tex(crop.sty) = %{epoch}:%{source_date}-%{release}

%description crop
A package providing corner marks for camera alignment as well
as for trimming paper stacks, and additional page information
on every page if required. Most macros are easily adaptable to
personal preferences. An option is provided for selectively
suppressing graphics or text, which may be useful for printing
just colour graphics on a colour laser printer and the rest on
a cheap mono laser printer. A page info line contains the time
and a new cropmarks index and is printed at the top of the
page. A configuration command is provided for the info line
font. Options for better collaboration with dvips, pdftex and
vtex are provided.


%package ctable
Provides: tex-ctable = %{epoch}:%{source_date}-%{release}
Provides: tex-ctable-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ctable-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ctable-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Easily typeset centered tables
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(color.sty)
Requires: tex(xkeyval.sty)
Requires: tex(array.sty)
Requires: tex(tabularx.sty)
Requires: tex(booktabs.sty)
Requires: tex(rotating.sty)
Requires: tex(etoolbox.sty)
Provides: tex(ctable.sty) = %{epoch}:%{source_date}-%{release}

%description ctable
Provides commands to typeset centered, left- or right-aligned
table and (multiple-)figure floats, with footnotes. Instead of
an environment, a command with 4 arguments is used; the first
is optional and is used for key,value pairs generating
variations on the defaults and offering a route for future
extensions.


%package ec
Provides: tex-ec = %{epoch}:%{source_date}-%{release}
Provides: tex-ec-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ec-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ec-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-ec
Summary: Computer modern fonts in T1 and TS1 encodings
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ecbi0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbl3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecbx3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eccc3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecci3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecdh3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecit3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eclb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecli8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eclo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eclq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecltt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecoc3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrb3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecrm3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsc3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsl3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecso3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecss3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecst3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecsx3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectc3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecti3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ectt3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecui3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecvt3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ecxc3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ieclb8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(iecli8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ieclo8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ieclq8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(iecltt8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbl3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcbx3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcci3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcit3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrb3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcrm3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsl3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcso3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcss3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcst3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcsx3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcti3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tctt3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui0500.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui0600.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui0700.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcui3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvi3583.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt0800.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt0900.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt1000.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt1095.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt1200.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt1440.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt1728.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt2074.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt2488.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt2986.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(tcvt3583.tfm) = %{epoch}:%{source_date}-%{release}

%description ec
The EC fonts are European Computer Modern Fonts, supporting the
complete LaTeX T1 encoding defined at the 1990 TUG conference
hold at Cork/Ireland. These fonts are intended to be stable
with no changes being made to the tfm files. The set also
contains a Text Companion Symbol font, called tc, featuring
many useful characters needed in text typesetting, for example
oldstyle digits, currency symbols (including the newly created
Euro symbol), the permille sign, copyright, trade mark and
servicemark as well as a copyleft sign, and many others. Recent
releases of LaTeX2e support the EC fonts. The EC fonts
supersede the preliminary version released as the DC fonts. The
fonts are available in (traced) Adobe Type 1 format, as part of
the cm-super bundle. The other Computer Modern-style T1-encoded
Type 1 set, Latin Modern, is not actually a direct development
of the EC set, and differs from the EC in a number of
particulars.


%package eso-pic
Provides: tex-eso-pic = %{epoch}:%{source_date}-%{release}
Provides: tex-eso-pic-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-eso-pic-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-eso-pic-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Add picture commands (or backgrounds) to every page
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(atbegshi.sty)
Requires: tex(keyval.sty)
Requires: tex(xcolor.sty)
Requires: tex(color.sty)
Provides: tex(eso-pic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(showframe.sty) = %{epoch}:%{source_date}-%{release}

%description eso-pic
Eso-pic is an extension of everyshi. Using everyshi's
\EveryShipout command, eso-pic adds one or more user commands
to LaTeX's shipout actions.


%package euler
Provides: tex-euler = %{epoch}:%{source_date}-%{release}
Provides: tex-euler-doc= %{epoch}:%{source_date}-%{release}
Provides: %{name}-euler-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-euler-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Use AMS Euler fonts for math
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(euler.sty) = %{epoch}:%{source_date}-%{release}

%description euler
Provides a setup for using the AMS Euler family of fonts for
mathematics in LaTeX documents. "The underlying philosophy of
Zapf's Euler design was to capture the flavour of mathematics
as it might be written by a mathematician with excellent
handwriting." [concrete-tug] The euler package is based on
Knuth's macros for the book 'Concrete Mathematics'. The text
fonts for the Concrete book are supported by the beton package.


%package extsizes
Provides: tex-extsizes = %{epoch}:%{source_date}-%{release}
Provides: tex-extsizes-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-extsizes-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-extsizes-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extend the standard classes' size options
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(exscale.sty)
Provides: tex(autopagewidth.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(extarticle.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(extbook.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(extletter.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(extproc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(extreport.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(extsizes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(size14.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size17.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size20.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size8.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(size9.clo) = %{epoch}:%{source_date}-%{release}

%description extsizes
Provides classes extarticle and extreport, extletter, extbook,
extproc which allow for documents with a base font of size 8-
20pt.


%package fancybox
Provides: tex-fancybox = %{epoch}:%{source_date}-%{release}
Provides: tex-fancybox-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fancybox-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fancybox-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Variants of \fbox and other games with boxes
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fancybox.sty) = %{epoch}:%{source_date}-%{release}

%description fancybox
Provides variants of \fbox: \shadowbox, \doublebox, \ovalbox,
\Ovalbox, with helpful tools for using box macros and flexible
verbatim macros. You can box mathematics, floats, center,
flushleft, and flushright, lists, and pages.


%package fancyref
Provides: tex-fancyref = %{epoch}:%{source_date}-%{release}
Provides: tex-fancyref-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fancyref-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fancyref-doc  < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: A LaTeX package for fancy cross-referencing
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(varioref.sty)
Provides: tex(fancyref.sty) = %{epoch}:%{source_date}-%{release}

%description fancyref
Provides fancy cross-referencing support, based on the
package's reference commands (\fref and \Fref) that recognise
what sort of object is being referenced. So, for example, the
label for a \section would be expected to be of the form
'sec:foo': the package would recognise the 'sec:' part.


%package fancyvrb
Provides: tex-fancyvrb = %{epoch}:%{source_date}-%{release}
Provides: tex-fancyvrb-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fancyvrb-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fancyvrb-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Sophisticated verbatim text
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(pstricks.sty)
Requires: tex(color.sty)
Requires: tex(hbaw.sty)
Provides: tex(fancyvrb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fvrb-ex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hbaw.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hcolor.sty) = %{epoch}:%{source_date}-%{release}

%description fancyvrb
Flexible handling of verbatim text including: verbatim commands
in footnotes; a variety of verbatim environments with many
parameters; ability to define new customized verbatim
environments; save and restore verbatim text and environments;
write and read files in verbatim mode; build "example"
environments (showing both result and verbatim source).


%package float
Provides: tex-float = %{epoch}:%{source_date}-%{release}
Provides: tex-float-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-float-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-float-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Improved interface for floating objects
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(float.sty) = %{epoch}:%{source_date}-%{release}

%description float
Improves the interface for defining floating objects such as
figures and tables. Introduces the boxed float, the ruled float
and the plaintop float. You can define your own floats and
improve the behaviour of the old ones. The package also
provides the H float modifier option of the obsolete here
package. You can select this as automatic default with
\floatplacement{figure}{H}.


%package fontspec
Provides: tex-fontspec = %{epoch}:%{source_date}-%{release}
Provides: tex-fontspec-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fontspec-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fontspec-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Advanced font selection in XeLaTeX and LuaLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-kastrup
Requires: tex-lm
Requires: tex-kastrup-doc = %{epoch}:%{source_date}-%{release}
Requires: tex-lm-doc = %{epoch}:%{source_date}-%{release}
Requires: tex(fontenc.sty)
Requires: tex(xunicode.sty)
Requires: tex(fixltx2e.sty)
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(luaotfload.sty)
Provides: tex(fontspec-luatex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontspec-patches.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontspec-xetex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontspec.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontspec.sty) = %{epoch}:%{source_date}-%{release}

%description fontspec
Fontspec is a package for XeLaTeX and LuaLaTeX. It provides an
automatic and unified interface to feature-rich AAT and
OpenType fonts through the NFSS in LaTeX running on XeTeX or
LuaTeX engines. The package requires the l3kernel and xparse
bundles from the LaTeX 3 development team.


%package kastrup
Provides: tex-kastrup = %{epoch}:%{source_date}-%{release}
Provides: tex-kastrup-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-kastrup-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-kastrup-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: kastrup package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(binhex.tex) = %{epoch}:%{source_date}-%{release}

%description kastrup
kastrup package


%package fp
Provides: tex-fp = %{epoch}:%{source_date}-%{release}
Provides: tex-fp-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fp-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fp-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fixed point arithmetic
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fp-upn.sty)
Provides: tex(defpattern.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-addons.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-basic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-eqn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-eval.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-exp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-pas.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-random.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-snap.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-trigo.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp-upn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lfp.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fp.tex) = %{epoch}:%{source_date}-%{release}

%description fp
An extensive collection of arithmetic operations for fixed
point real numbers of high precision.


%package index
Provides: tex-index = %{epoch}:%{source_date}-%{release}
Provides: tex-index-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-index-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-index-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extended index for LaTeX including multiple indexes
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(autind.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibref.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(index.sty) = %{epoch}:%{source_date}-%{release}

%description index
This is a reimplementation of LaTeX's indexing macros to
provide better support for indexing. For example, it supports
multiple indexes in a single document and provides a more
robust \index command. It supplies short hand notations for the
\index command (^{word}) and a * variation of \index
(abbreviated _{word}) that prints the word being indexed, as
well as creating an index entry for it.


%package jknapltx
Provides: tex-jknapltx = %{epoch}:%{source_date}-%{release}
Provides: tex-jknapltx-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-jknapltx-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-jknapltx-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Miscellaneous packages by Joerg Knappen
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(textcomp.sty)
Provides: tex(greekctr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(holtpolt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin1jk.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin2jk.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(latin3jk.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathbbol.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathrsfs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(parboxx.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sans.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semtrans.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sgmlcmpt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(smartmn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tccompat.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ursfs.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ustmary.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(young.sty) = %{epoch}:%{source_date}-%{release}

%description jknapltx
Miscellaneous macros by Jorg Knappen, including: - represent
counters in greek; - Maxwell's non-commutative division; -
latin1jk, latin2jk and latin3jk, which are their inputenc
definition files that allow verbatim input in the respective
ISO Latin codes; - blackboard bold fonts in maths; - use of
RSFS fonts in maths; - extra alignments for \parboxes; - swap
Roman and Sans fonts; - transliterate semitic languages; -
patches to make (La)TeX formulae embeddable in SGML; - use
maths "minus" in text as appropriate; - simple Young tableaux.


%package koma-script
Provides: tex-koma-script = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: A bundle of versatile classes and packages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(inputenc.sty)
Requires: tex(fontenc.sty)
Requires: tex(babelbib.sty)
Requires: tex(afterpage.sty)
Requires: tex(makeidx.sty)
Requires: tex(scrtime.sty)
Requires: tex(graphicx.sty)
Requires: tex(booktabs.sty)
Requires: tex(longtable.sty)
Requires: tex(amsmath.sty)
Requires: tex(listings.sty)
Requires: tex(multicol.sty)
Requires: tex(marginnote.sty)
Requires: tex(xcolor.sty)
Requires: tex(hyperref.sty)
Requires: tex(bookmark.sty)
Requires: tex(mparhack.sty)
Requires: tex(geometry.sty)
Requires: tex(textcomp.sty)
Requires: tex(tocbasic.sty)
Requires: tex(keyval.sty)
Requires: tex(etoolbox.sty)
Provides: tex(komabug.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(adrconvnote.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(authorpart.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-0.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-10.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-11.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-12.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-13.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-14.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-15.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-3.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-4.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-5.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-6.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-7.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-8.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-9.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(expertpart.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(guide-english.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(guide.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(introduction.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(japanlco.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(linkalias.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(preface.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scraddr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbase.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbookreportarticle-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbookreportarticle.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrdatetime.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrextend.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrhack.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlfile.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlttr2-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlttr2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrpage2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrwfile.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocbasic.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(typearea-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(typearea.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(guide.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(linkalias.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(adrconvnote.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(authorpart.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-0.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-1.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-10.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-11.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-12.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-13.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-14.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-15.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-3.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-4.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-5.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-6.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-7.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-8.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(common-9.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(expertpart.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(guide-ngerman.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(guide.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(introduction.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(linkalias.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(preface.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scraddr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbase.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbookreportarticle-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbookreportarticle.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrdatetime.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrextend.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrhack.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlfile.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlttr2-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlttr2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrpage2.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrwfile.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocbasic.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(typearea-experts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(typearea.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrguide.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrsource.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(scraddr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrartcl.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbase.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbook.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrdate.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrdoc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrextend.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrfontsizes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrhack.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrjura.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrkbase.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlettr.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlfile.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrlttr2.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrpage2.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrreprt.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrsize10pt.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrsize11pt.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrsize12pt.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrtime.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrwfile.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocbasic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocstyle.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(typearea.sty) = %{epoch}:%{source_date}-%{release}

%description koma-script
The KOMA-Script bundle provides drop-in replacements for the
article/report/book classes with emphasis on typography and
versatility. There is also a letter class, different from all
other letter classes. It also offers e.g. a package for
calculated type areas in the way laid down by the typographer
Jan Tschichold, a package for easily changing and defining of
page styles, a package for getting not only the current date
but also the name of day and a package for getting current
time. All these packages may be used not only with KOMA-Script
classes but also with standard classes. Since every package has
its own version number, the number below is only the version of
scrbook, scrreprt, scrartcl, scrlttr2 and typearea. These are
the main parts of the bundle.


%package l3kernel
Provides: tex-l3kernel = %{epoch}:%{source_date}-%{release}
Provides: tex-l3kernel-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-l3kernel-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-l3kernel-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: LaTeX3 programming conventions
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-l3backend
Requires: tex(graphics.sty)
Requires: tex(doc.sty)
Requires: tex(array.sty)
Requires: tex(alphalph.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(booktabs.sty)
Requires: tex(color.sty)
Requires: tex(colortbl.sty)
Requires: tex(hologo.sty)
Requires: tex(enumitem.sty)
Requires: tex(pifont.sty)
Requires: tex(textcomp.sty)
Requires: tex(trace.sty)
Requires: tex(underscore.sty)
Requires: tex(csquotes.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(verbatim.sty)
Requires: tex(fontenc.sty)
Requires: tex(lmodern.sty)
Requires: tex(hypdoc.sty)
Provides: tex(expl3-code.tex) = %{tl_version}
Provides: tex(expl3-generic.tex) = %{tl_version}
Provides: tex(expl3.sty) = %{tl_version}
Provides: tex(l3debug.def) = %{tl_version}
Provides: tex(l3deprecation.def) = %{tl_version}
Provides: tex(l3doc.cls) = %{tl_version}
Provides: tex(l3docstrip.tex) = %{tl_version}
Provides: tex(l3str-enc-iso88591.def) = %{tl_version}
Provides: tex(l3str-enc-iso885910.def) = %{tl_version}
Provides: tex(l3str-enc-iso885911.def) = %{tl_version}
Provides: tex(l3str-enc-iso885913.def) = %{tl_version}
Provides: tex(l3str-enc-iso885914.def) = %{tl_version}
Provides: tex(l3str-enc-iso885915.def) = %{tl_version}
Provides: tex(l3str-enc-iso885916.def) = %{tl_version}
Provides: tex(l3str-enc-iso88592.def) = %{tl_version}
Provides: tex(l3str-enc-iso88593.def) = %{tl_version}
Provides: tex(l3str-enc-iso88594.def) = %{tl_version}
Provides: tex(l3str-enc-iso88595.def) = %{tl_version}
Provides: tex(l3str-enc-iso88596.def) = %{tl_version}
Provides: tex(l3str-enc-iso88597.def) = %{tl_version}
Provides: tex(l3str-enc-iso88598.def) = %{tl_version}
Provides: tex(l3str-enc-iso88599.def) = %{tl_version}

%description l3kernel
The l3kernel bundle provides an implementation of the LaTeX3
programmers' interface, as a set of packages that run under
LaTeX 2e. The interface provides the foundation on which the
LaTeX3 kernel and other future code are built: it is an API for
TeX programmers. The packages are set up so that the LaTeX3
conventions can be used with regular LaTeX 2e packages. All the
files of the bundle are also available in the Subversion (SVN)
repository of the LaTeX3 Project.


%package l3packages
Provides: tex-l3packages = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: High-level LaTeX3 concepts
BuildArch: noarch
Provides: tex-l3packages = %{epoch}:%{source_date}-%{release}
Provides: texlive-luatex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-l3packages-doc < %{tl_epoch}:%{source_date}
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(amstext.sty)
Requires: tex(graphicx.sty)
Provides: tex(l3keys2e.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xfrac.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xparse.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xtemplate.sty) = %{epoch}:%{source_date}-%{release}

%description l3packages
The bundle holds prototype implementations of concepts for a
LaTeX designer interface, to be used with the experimental
LaTeX kernel as programming tools and kernel support. Packages
provided in this release are: - l3keys2e, which makes the
facilities of the kernel module l3keys available for use by
LaTeX 2e packages; - xfrac, which provides flexible split-level
fractions; - xparse, which provides a high-level interface for
declaring document commands; and - xtemplate, which provides a
means of defining generic functions using a key-value syntax.
All the files of the bundle are also available in the
Subversion (SVN) repository of the LaTeX3 Project.


%package l3experimental
Provides: tex-l3experimental = %{epoch}:%{source_date}-%{release}
Provides: tex-l3experimental-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-l3experimental-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-l3experimental-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Experimental LaTeX3 concepts
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-l3kernel
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Provides: tex(l3benchmark.sty) = %{tl_version}
Provides: tex(l3cctab.sty) = %{tl_version}
Provides: tex(l3color.sty) = %{tl_version}
Provides: tex(l3draw.sty) = %{tl_version}
Provides: tex(l3galley.sty) = %{tl_version}
Provides: tex(l3graphics.sty) = %{tl_version}
Provides: tex(l3pdf.sty) = %{tl_version}
Provides: tex(l3str-format.sty) = %{tl_version}
Provides: tex(l3sys-shell.sty) = %{tl_version}
Provides: tex(xcoffins.sty) = %{tl_version}
Provides: tex(xgalley.sty) = %{tl_version}

%description l3experimental
The l3experimental packages are a collection of experimental
implementations for aspects of the LaTeX3 kernel, dealing with
higher-level ideas such as the Designer Interface. Some of them
work as stand alone packages, providing new functionality, and
can be used on top of LaTeX2e with no changes to the existing
kernel. The present release includes: l3benchmark for measuring
the time taken by TeX to run certain code; l3cctab, support for
saving and restoring category codes en masse in a table;
l3color, support for setting colors using a range of color
models; l3draw, a code-level interface for constructing
drawings; l3graphics, an interfaces for the inclusion of
graphics files; l3pdf, support for core PDF concepts like
compression, objects, PDF version and so on; l3str, support for
string manipulation; l3sys-shell, which provides abstractions
for common shell functions like file deletion and copying;
xcoffins, which allows the alignment of boxes using a series of
'handle' positions, supplementing the simple TeX reference
point; xgalley, which controls boxes receiving text for
typesetting.

%package listings
Provides: tex-listings = %{epoch}:%{source_date}-%{release}
Provides: tex-listings-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-listings-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-listings-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Typeset source code listings using LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(textcomp.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(hyperref.sty)
Requires: tex(color.sty)
Requires: tex(algorithmic.sty)
Requires: tex(nameref.sty)
Requires: tex(url.sty)
Provides: tex(listings.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(listings.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lstdoc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lstlang1.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lstlang2.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lstlang3.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lstmisc.sty) = %{epoch}:%{source_date}-%{release}

%description listings
Typeset programs (programming code) within LaTeX. The source
code is read directly by TeX. Keywords, comments and strings
can be typeset using different styles (default is bold for
keywords, italic for comments and no special style for
strings). Includes support for hyperref. To use, simply
\usepackage{listings}, identify the language with
\lstset{language=Python}, then employ the \begin{lstlisting}
... \end{lstlisting} environment or the
\lstinputlisting{filename.py} command. Short (in-line) listings
are also available, using either \lstinline|...| or | ... |
(after defining the | token with the \lstMakeShortInline
command).


%package mdwtools
Provides: tex-mdwtools = %{epoch}:%{source_date}-%{release}
Provides: tex-mdwtools-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mdwtools-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mdwtools-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Miscellaneous tools by Mark Wooding
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(at.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(doafter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(footnote.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mTTcmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(mTTenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathenv.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mdwlist.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mdwmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mdwtab.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sverb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(syntax.sty) = %{epoch}:%{source_date}-%{release}

%description mdwtools
This collection of tools includes: - support for short commands
starting with @, - macros to sanitise the OT1 encoding of the
cmtt fonts; - a 'do after' command; - improved footnote
support; - mathenv for various alignment in maths; - list
handling; - mdwmath which adds some minor changes to LaTeX
maths; - a rewrite of LaTeX's tabular and array environments; -
verbatim handling; and - syntax diagrams.


%package memoir
Provides: tex-memoir = %{epoch}:%{source_date}-%{release}
Provides: tex-memoir-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-memoir-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-memoir-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Typeset fiction, non-fiction and mathematical books
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifpdf.sty)
Requires: tex(ifetex.sty)
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Requires: tex(etex.sty)
Provides: tex(mem10.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem11.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem12.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem14.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem17.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem20.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem25.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem30.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem36.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem48.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem60.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(mem9.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(memhfixc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(memoir.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(mempatch.sty) = %{epoch}:%{source_date}-%{release}

%description memoir
The memoir class is for typesetting poetry, fiction, non-
fiction, and mathematical works. Permissible document 'base'
font sizes range from 9 to 60pt. There is a range of page-
styles and well over a dozen chapter-styles to choose from, as
well as methods for specifying your own layouts and designs.
The class also provides the functionality of over thirty of the
more popular packages, thus simplifying document sources. The
class automatically loads an associated patch file mempatch;
the patch file may be updated from time to time, between
releases of the class itself. (The patch file stays around even
when there are no extant patches.) Users who wish to use the
hyperref package, in a document written with the memoir class,
should also use the memhfixc package (part of this bundle).
Note, however, that current versions of hyperref actually load
the package automatically if they detect that they are running
under memoir.


%package metalogo
Provides: tex-metalogo = %{epoch}:%{source_date}-%{release}
Provides: tex-metalogo-doc= %{epoch}:%{source_date}-%{release}
Provides: %{name}-metalogo-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-metalogo-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extended TeX logo macros
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Provides: tex(metalogo.sty) = %{epoch}:%{source_date}-%{release}

%description metalogo
This package exposes spacing parameters for various TeX logos
to the end user, to optimise the logos for different fonts.
Written especially for XeLaTeX users.


%package microtype
Provides: tex-microtype = %{epoch}:%{source_date}-%{release}
Provides: tex-microtype-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-microtype-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-microtype-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Subliminal refinements towards typographical perfection
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(letterspace.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(microtype-luatex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(microtype-pdftex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(microtype-xetex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(microtype.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(microtype.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-CharisSIL.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-LatinModernRoman.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-PalatinoLinotype.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-bch.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-blg.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-cmr.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-euf.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-eur.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-euroitc.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-eus.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-msa.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-msb.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-mvs.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-pad.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-pmn.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-ppl.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-ptm.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-ugm.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(mt-zpeu.cfg) = %{epoch}:%{source_date}-%{release}

%description microtype
The package provides a LaTeX interface to the micro-typographic
extensions that were introduced by pdfTeX and have since also
propagated to XeTeX and LuaTeX: most prominently, character
protrusion and font expansion, furthermore the adjustment of
interword spacing and additional kerning, as well as
hyphenatable letterspacing (tracking) and the possibility to
disable all or selected ligatures. These features may be
applied to customisable sets of fonts, and all micro-
typographic aspects of the fonts can be configured in a
straight-forward and flexible way. Settings for various fonts
are provided. Note that character protrusion requires pdfTeX,
LuaTeX, or XeTeX. Font expansion works with pdfTeX or LuaTeX.
The package will by default enable protrusion and expansion if
they can safely be assumed to work. Disabling ligatures
requires pdfTeX or LuaTeX, while the adjustment of interword
spacing and of kerning only works with pdfTeX. Letterspacing is
available with pdfTeX or LuaTeX. The alternative package
`letterspace', which also works with plain TeX, provides the
user commands for letterspacing only, omitting support for all
other extensions.


%package ms
Provides: tex-ms = %{epoch}:%{source_date}-%{release}
Provides: tex-ms-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ms-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ms-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Various LaTeX packages by Martin Schroder
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(multicol.sty)
Requires: tex(ifthen.sty)
Requires: tex(scrtime.sty)
Requires: tex(footmisc.sty)
Provides: tex(count1to.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(everysel.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(everyshi.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(multitoc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(prelim2e.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ragged2e.sty) = %{epoch}:%{source_date}-%{release}

%description ms
A bundle of LaTeX packages by Martin Schroder; the collection
comprises: - count1to, make use of fixed TeX counters; -
everysel, set commands to execute every time a font is
selected; - everyshi, set commands to execute whenever a page
is shipped out; - multitoc, typeset the table of contents in
multiple columns; - prelim2e, mark typeset pages as
preliminary; and - ragged2e, typeset ragged text and allow
hyphenation.


%package ntgclass
Provides: tex-ntgclass = %{epoch}:%{source_date}-%{release}
Provides: tex-ntgclass-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ntgclass-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ntgclass-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: "European" versions of standard classes
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(a4.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel1.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel2.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel3.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek3.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(brief.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(ntg10.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(ntg11.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(ntg12.clo) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport1.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport3.cls) = %{epoch}:%{source_date}-%{release}

%description ntgclass
Versions of the standard LaTeX article and report classes,
rewritten to reflect a more European design, by the Dutch TeX
Users Group NTG.


%package parskip
Provides: tex-parskip = %{epoch}:%{source_date}-%{release}
Provides: tex-parskip-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-parskip-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-parskip-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Layout with zero \parindent, non-zero \parskip
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(parskip.sty) = %{epoch}:%{source_date}-%{release}

%description parskip
Simply changing \parskip and \parindent leaves a layout that is
untidy; this package (though it is no substitute for a
properly-designed class) helps alleviate this untidiness


%package pdfpages
Provides: tex-pdfpages = %{epoch}:%{source_date}-%{release}
Provides: tex-pdfpages-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pdfpages-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pdfpages-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Include PDF documents in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-eso-pic
Requires: tex-eso-pic-doc = %{epoch}:%{source_date}-%{release}
Requires: tex(ifthen.sty)
Requires: tex(calc.sty)
Requires: tex(eso-pic.sty)
Requires: tex(graphicx.sty)
Requires: tex(count1to.sty)
Provides: tex(pdfpages.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ppdvipdfm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ppdvips.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ppnull.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pppdftex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ppvtex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ppxetex.def) = %{epoch}:%{source_date}-%{release}

%description pdfpages
This package simplifies the inclusion of external multi-page
PDF documents in LaTeX documents. Pages may be freely selected
and similar to psnup it is possible to put several logical
pages onto each sheet of paper. Furthermore a lot of hypertext
features like hyperlinks and article threads are provided. The
package supports pdfTeX (pdflatex) and VTeX. With VTeX it is
even possible to use this package to insert PostScript files,
in addition to PDF files.


%package powerdot
Provides: tex-powerdot = %{epoch}:%{source_date}-%{release}
Provides: tex-powerdot-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-powerdot-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-powerdot-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A presentation class
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(times.sty)
Requires: tex(pifont.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-blur.sty)
Requires: tex(calc.sty)
Requires: tex(pst-slpe.sty)
Requires: tex(pst-char.sty)
Requires: tex(type1cm.sty)
Requires: tex(amssymb.sty)
Requires: tex(xkeyval.sty)
Requires: tex(geometry.sty)
Requires: tex(ifxetex.sty)
Requires: tex(hyperref.sty)
Requires: tex(graphicx.sty)
Requires: tex(pstricks.sty)
Requires: tex(xcolor.sty)
Requires: tex(enumitem.sty)
Requires: tex(verbatim.sty)
Provides: tex(powerdot-aggie.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-bframe.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-ciment.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-default.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-elcolors.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-fyma.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-horatio.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-husky.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-ikeda.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-jefka.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-klope.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-paintings.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-pazik.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-sailor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-simple.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-tiger.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-tycja.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot-upen.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(powerdot.cls) = %{epoch}:%{source_date}-%{release}

%description powerdot
Powerdot is a presentation class for LaTeX that allows for the
quick and easy development of professional presentations. It
comes with many tools that enhance presentations and aid the
presenter. Examples are automatic overlays, personal notes and
a handout mode. To view a presentation, DVI, PS or PDF output
can be used. A powerful template system is available to easily
develop new styles. A LyX layout file is provided.


%package psfrag
Provides: tex-psfrag = %{epoch}:%{source_date}-%{release}
Provides: tex-psfrag-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-psfrag-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-psfrag-doc < %{tl_epoch}:%{source_date}
License: psfrag
Summary: Replace strings in encapsulated PostScript figures
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphics.sty)
Provides: tex(psfrag.sty) = %{epoch}:%{source_date}-%{release}

%description psfrag
Allows LaTeX constructions (equations, picture environments,
etc.) to be precisely superimposed over Encapsulated PostScript
figures, using your own favorite drawing tool to create an EPS
figure and placing simple text 'tags' where each replacement is
to be placed, with PSfrag automatically removing these tags
from the figure and replacing them with a user specified LaTeX
construction, properly aligned, scaled, and/or rotated.


%package rcs
Provides: tex-rcs = %{epoch}:%{source_date}-%{release}
Provides: tex-rcs-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-rcs-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-rcs-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Use RCS (revision control system) tags in LaTeX documents
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(rcs.sty) = %{epoch}:%{source_date}-%{release}

%description rcs
The rcs package utilizes the inclusion of RCS supplied data in
LaTeX documents. It's upward compatible to *all* rcs styles I
know of. In particular, you can easily - access values of every
RCS field in your document - put the checkin date on the
titlepage - put RCS fields in a footline You can typeset
revision logs. Not in verbatim -- real LaTeX text! But you need
a configurable RCS for that. Refer to the user manual for more
detailed information. You can also configure the rcs package
easily to do special things for any keyword. This bundle comes
with a user manual, an internal interface description, full
documentation of the implementation, style information for AUC-
TeX, and test cases.


%package sansmath
Provides: tex-sansmath = %{epoch}:%{source_date}-%{release}
Provides: tex-sansmath-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-sansmath-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-sansmath-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Maths in a sans font
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(sansmath.sty) = %{epoch}:%{source_date}-%{release}

%description sansmath
The package defines a new math version sans, and a command
\sansmath that behaves somewhat like \boldmath


%package section
Provides: tex-section = %{epoch}:%{source_date}-%{release}
Provides: tex-section-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-section-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-section-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Modifying section commands in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(section.sty) = %{epoch}:%{source_date}-%{release}

%description section
The package implements a pretty extensive scheme to make more
manageable the business of configuring LaTeX output.


%package seminar
Provides: tex-seminar = %{epoch}:%{source_date}-%{release}
Provides: tex-seminar-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-seminar-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-seminar-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Make overhead slides
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(npsfont.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sem-a4.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sem-page.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semcolor.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semhelv.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(seminar.bg2) = %{epoch}:%{source_date}-%{release}
Provides: tex(seminar.bug) = %{epoch}:%{source_date}-%{release}
Provides: tex(seminar.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(seminar.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semlayer.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semlcmss.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(semrot.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(slidesec.sty) = %{epoch}:%{source_date}-%{release}

%description seminar
A class that produces overhead slides (transparencies), with
many facilities. The class requires availability of the
fancybox package. Seminar is also the basis of other classes,
such as prosper. In fact, seminar is not nowadays reckoned a
good basis for a presentation -- users are advised to use more
recent classes such as powerdot or beamer, both of which are
tuned to 21st-century presentation styles. Note that the
seminar distribution relies on the xcomment package, which was
once part of the bundle, but now has a separate existence.


%package sepnum
Provides: tex-sepnum = %{epoch}:%{source_date}-%{release}
Provides: tex-sepnum-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-sepnum-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-sepnum-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Print numbers in a "friendly" format
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(sepnum.sty) = %{epoch}:%{source_date}-%{release}

%description sepnum
Provides a command to print a number with (potentially
different) separators every three digits in the parts either
side of the decimal point (the point itself is also
configurable). The macro is fully expandable and not fragile
(unless one of the separators is). There is also a command
\sepnumform, that may be used when defining \the<counter>
macros.


%package setspace
Provides: tex-setspace = %{epoch}:%{source_date}-%{release}
Provides: tex-setspace-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-setspace-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-setspace-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Set space between lines
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(setspace.sty) = %{epoch}:%{source_date}-%{release}

%description setspace
Provides support for setting the spacing between lines in a
document. Package options include singlespacing,
onehalfspacing, and doublespacing. Alternatively the spacing
can be changed as required with the \singlespacing,
\onehalfspacing, and \doublespacing commands. Other size
spacings also available.


%package subfig
Provides: tex-subfig = %{epoch}:%{source_date}-%{release}
Provides: tex-subfig-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-subfig-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-subfig-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Figures broken into subfigures
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Requires: tex(caption.sty)
Requires: tex(caption3.sty)
Provides: tex(altsf.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(subfig.sty) = %{epoch}:%{source_date}-%{release}

%description subfig
The package provides support for the manipulation and reference
of small or 'sub' figures and tables within a single figure or
table environment. It is convenient to use this package when
your subfigures are to be separately captioned, referenced, or
are to be included in the List-of-Figures. A new \subfigure
command is introduced which can be used inside a figure
environment for each subfigure. An optional first argument is
used as the caption for that subfigure. This package supersedes
the subfigure package (which will continue to be supported, but
no longer maintained). The name has changed because the subfig
package is not completely backward compatible with the older
subfigure package due to an extensive rewrite to use the new
caption package to produce its subcaptions. The major advantage
to the new package is that the user interface is keyword/value
driven and easier to use. To ease the transition from the
subfigure package it includes a configuration file (subfig.cfg)
which nearly emulates the subfigure package.


%package textcase
Provides: tex-textcase = %{epoch}:%{source_date}-%{release}
Provides: tex-textcase-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-textcase-doc = %{epoch}:%{source_date}-%{release}
Obsoletes:%{name}-textcase-doc < %{tl_epoch}:%{source_date} 
License: LPPL-1.3c
Summary: Case conversion ignoring mathematics, etc
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(textcase.sty) = %{epoch}:%{source_date}-%{release}

%description textcase
The textcase package offers commands \MakeTextUppercase and
\MakeTextLowercase are similar to the standard \MakeUppercase
and \MakeLowercase, but they do not change the case of any
sections of mathematics, or the arguments of \cite, \label and
\ref commands within the argument. A further command
\NoCaseChange does nothing but suppress case change within its
argument, so to force uppercase of a section including an
environment, one might say:
\MakeTextUppercase{...\NoCaseChange{\begin{foo}}
...\NoCaseChange{\end{foo}}...}


%package thumbpdf
Provides: tex-thumbpdf = %{epoch}:%{source_date}-%{release}
Provides: tex-thumbpdf-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-thumbpdf-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-thumbpdf-bin < %{tl_epoch}:%{source_date}
Provides: texlive-thumbpdf-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-thumbpdf-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Thumbnails for pdfTeX and dvips/ps2pdf
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(ifluatex.sty)
Requires: ghostscript
Provides: tex(thumbpdf.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(thumbpdf.tex) = %{epoch}:%{source_date}-%{release}
# perl
BuildArch: noarch

%description thumbpdf
A Perl script that provides support for thumbnails in pdfTeX
and dvips/ps2pdf. The script uses ghostscript to generate the
thumbnails which get represented in a TeX readable file that is
read by the package thumbpdf.sty to automatically include the
thumbnails. This arrangement works with both plain TeX and
LaTeX.


%package typehtml
Provides: tex-typehtml = %{epoch}:%{source_date}-%{release}
Provides: tex-typehtml-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-typehtml-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-typehtml-doc < 7:2017052
License: LPPL-1.3c
Summary: Typeset HTML directly from LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(exscale.sty)
Provides: tex(typehtml.sty) = %{epoch}:%{source_date}-%{release}

%description typehtml
Can handle almost all of HTML2, and most of the math fragment
of the draft HTML3.


%package underscore
Provides: tex-underscore = %{epoch}:%{source_date}-%{release}
Provides: tex-underscore-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-underscore-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-underscore-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Control the behaviour of "_" in text
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(underscore.sty) = %{epoch}:%{source_date}-%{release}

%description underscore
With the package, \_ in text mode (i.e., \textunderscore)
prints an underscore so that hyphenation of words either side
of it is not affected; a package option controls whether an
actual hyphenation point appears after the underscore, or
merely a break point. The package also arranges that, while in
text, '_' itself behaves as \textunderscore (the behaviour of _
in maths mode is not affected.


%package url
Provides: tex-url = %{epoch}:%{source_date}-%{release}
Provides: tex-url-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-url-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-url-doc < 7:2017052
License: LPPL-1.3c
Summary: Verbatim with URL-sensitive line breaks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(url.sty) = %{epoch}:%{source_date}-%{release}

%description url
The command \url is a form of verbatim command that allows
linebreaks at certain characters or combinations of characters,
accepts reconfiguration, and can usually be used in the
argument to another command. (The \urldef command provides
robust commands that serve in cases when \url doesn't work in
an argument.) The command is intended for email addresses,
hypertext links, directories/paths, etc., which normally have
no spaces, so by default the package ignores spaces in its
argument. However, a package option "allows spaces", which is
useful for operating systems where spaces are a common part of
file names.


%package collection-xetex
Summary: XeTeX packages
BuildArch: noarch
Requires: texlive-base
Requires: texlive-collection-basic
#Requires: tex-arabxetex
Requires: tex-awesomebox
#Requires: tex-bidi-atbegshi
#Requires: tex-bidicontour
#Requires: tex-bidipagegrid
#Requires: tex-bidishadowtext
#Requires: tex-businesscard-qrcode
#Requires: tex-bidipresentation
#Requires: tex-cqubeamer
Requires: tex-fixlatvian
#Requires: tex-font-change-xetex
Requires: tex-fontbook
Requires: tex-fontwrap
#Requires: tex-interchar
#Requires: tex-na-position
Requires: tex-philokalia
Requires: tex-ptext
Requires: tex-realscripts
#Requires: tex-simple-resume-cv
#Requires: tex-simple-thesis-dissertation
#Requires: tex-tetragonos
Requires: tex-ucharclasses
#Requires: tex-unicode-bidi
#Requires: unimath-plain-xetex
Requires: tex-unisugar
#Requires: tex-xebaposter
#Requires: tex-xechangebar
Requires: tex-xecolor
Requires: tex-xecyr
Requires: tex-xeindex
Requires: tex-xesearch
#Requires: tex-xespotcolor
Requires: tex-xetex
Requires: tex-xetex-itrans
Requires: tex-xetex-pstricks
#Requires: tex-xetex-tibetan
Requires: tex-xetexconfig
Requires: tex-xetexfontinfo
#Requires: tex-xetexko
#Requires: zbmath-review-template
#Requires: tex-xevlna
Provides: tex(xetex) = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texmf-xetex < %{epoch}:%{source_date}-%{release}

%description collection-xetex
Packages for XeTeX, the Unicode/OpenType-enabled TeX by
Jonathan Kew, http://tug.org/xetex.


%package euenc
Provides: tex-euenc = %{epoch}:%{source_date}-%{release}
Provides: tex-euenc-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-euenc-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-euenc-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Unicode font encoding definitions for XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(eu1enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1lmvtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmdh.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmss.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmssq.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmtt.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu2lmvtt.fd) = %{epoch}:%{source_date}-%{release}

%description euenc
Font encoding definitions for unicode fonts loaded by LaTeX in
XeTeX or LuaTeX. The package provides two encodings: -- EU1,
designed for use with XeTeX, which the fontspec uses for
unicode fonts which require no macro-level processing for
accents, and -- EU2, which provides the same facilities for use
with LuaTeX. Neither encoding places any restriction on the
glyphs provided by a font; use of EU2 causes the package
euxunicode to be loaded (the package is part of this
distribution). The package includes font definition files for
use with the Latin Modern OpenType fonts.


%package fixlatvian
Provides: tex-fixlatvian = %{epoch}:%{source_date}-%{release}
Provides: tex-fixlatvian-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fixlatvian-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fixlatvian-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Improve Latvian language support in XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(svn-prov.sty)
Requires: tex(caption.sty)
Requires: tex(etoolbox.sty)
Requires: tex(perpage.sty)
Requires: tex(polyglossia.sty)
Requires: tex(xstring.sty)
Requires: tex(indentfirst.sty)
Requires: tex(icomma.sty)
Provides: tex(fixlatvian.sty) = %{epoch}:%{source_date}-%{release}

%description fixlatvian
The package offers improvement of the Latvian language support
in polyglossia, in particular in the area of the standard
classes.


%package fontbook
Provides: tex-fontbook = %{epoch}:%{source_date}-%{release}
Provides: tex-fontbook-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fontbook-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fontbook-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Generate a font book
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(kvoptions.sty)
Requires: tex(etoolbox.sty)
Provides: tex(fontbook.sty) = %{epoch}:%{source_date}-%{release}

%description fontbook
The package provides a means of producing a 'book' of font
samples (for evaluation, etc.).


%package fontwrap
Provides: tex-fontwrap = %{epoch}:%{source_date}-%{release}
Provides: tex-fontwrap-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fontwrap-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fontwrap-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Bind fonts to specific unicode blocks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fontwrap.sty) = %{epoch}:%{source_date}-%{release}

%description fontwrap
The package (which runs under XeLaTeX) lets you bind fonts to
specific unicode blocks, for automatic font tagging of
multilingual text. The package uses Perl (via perltex) to
construct its tables.


%package mathspec
Provides: tex-mathspec = %{epoch}:%{source_date}-%{release}
Provides: tex-mathspec-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mathspec-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mathspec-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Specify arbitrary fonts for mathematics in XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(amstext.sty)
Requires: tex(ifxetex.sty)
Requires: tex(fontspec.sty)
Requires: tex(xkeyval.sty)
Requires: tex(MnSymbol.sty)
Provides: tex(mathspec.sty) = %{epoch}:%{source_date}-%{release}

%description mathspec
The mathspec package provides an interface to typeset
mathematics in XeLaTeX with arbitrary text fonts using fontspec
as a backend. The package is under development and later
versions might to be incompatible with this version, as this
version is incompatible with earlier versions. The package
requires at least version 0.9995 of XeTeX.


%package philokalia
Provides: tex-philokalia = %{epoch}:%{source_date}-%{release}
Provides: tex-philokalia-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-philokalia-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-philokalia-doc < %{tl_epoch}:%{source_date}
License: OFL-1.1
Summary: A font to typeset the Philokalia Books
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(xunicode.sty)
Requires: tex(xltxtra.sty)
Requires: tex(lettrine.sty)
Provides: tex(Philokalia-Regular.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eu1plk.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(philokalia.sty) = %{epoch}:%{source_date}-%{release}

%description philokalia
The philokalia package has been designed to ease the use of the
Philokalia-Regular OpenType font with XeLaTeX. The font started
as a project to digitize the typeface used to typeset the
Philokalia books.


%package polyglossia
Provides: tex-polyglossia = %{epoch}:%{source_date}-%{release}
Provides: tex-polyglossia-doc = %{epoch}:%{source_date}-%{release}
Provides: texlive-polyglossia-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-polyglossia-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Modern multilingual typesetting with XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(bidi.sty)
Requires: tex(calc.sty)
Requires: tex(hebrewcal.sty)
Requires: tex(xkeyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(makecmds.sty)
Requires: tex(fontspec.sty)
Provides: tex(arabicdigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(bengalidigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(devanagaridigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(farsidigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(thaidigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(arabicnumbers.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(babel-hebrewalph.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(babelsh.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cal-util.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(devanagaridigits.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(farsical.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-albanian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-amharic.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-arabic.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-armenian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-asturian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-bahasai.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-bahasam.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-basque.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-bengali.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-brazil.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-breton.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-bulgarian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-catalan.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-coptic.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-croatian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-czech.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-danish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-divehi.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-dutch.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-english.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-esperanto.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-estonian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-farsi.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-finnish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-french.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-friulan.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-galician.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-german.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-greek.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-hebrew.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-hindi.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-icelandic.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-interlingua.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-irish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-italian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-kannada.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-lao.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-latin.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-latvian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-lithuanian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-lsorbian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-magyar.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-malayalam.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-marathi.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-norsk.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-nynorsk.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-occitan.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-polish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-portuges.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-romanian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-romansh.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-russian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-samin.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-sanskrit.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-scottish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-serbian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-slovak.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-slovenian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-spanish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-swedish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-syriac.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-tamil.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-telugu.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-thai.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-turkish.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-turkmen.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-ukrainian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-urdu.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-usorbian.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-vietnamese.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gloss-welsh.ldf) = %{epoch}:%{source_date}-%{release}
Provides: tex(hebrewcal.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(hijrical.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(polyglossia.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xgreek-fixes.def) = %{epoch}:%{source_date}-%{release}

%description polyglossia
This package provides a complete Babel replacement for users of
XeLaTeX; it relies on the fontspec package, version 2.0 at
least. The current release offers support of 68 languages.


%package ptext
Provides: tex-ptext = %{epoch}:%{source_date}-%{release}
Provides: tex-ptext-doc = %{epoch}:%{source_date}-%{release}
Provides: texlive-ptext-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-ptext-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: A 'lipsum' for Persian
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ptext.sty) = %{epoch}:%{source_date}-%{release}

%description ptext
The package provides lipsum-like facilities for the Persian
language. The source of the filling text is the Persian epic
"the Shanameh" (100 paragraphs are used.)


%package realscripts
Provides: tex-realscripts = %{epoch}:%{source_date}-%{release}
Provides: texlive-realscripts-doc = %{epoch}:%{source_date}-%{release}
Provides: tex-realscripts-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-realscripts-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Access OpenType subscript and superscript glyphs
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontspec.sty)
Provides: tex(realscripts.sty) = %{epoch}:%{source_date}-%{release}

%description realscripts
This small package replaces \textsuperscript and \textsubscript
commands by equivalent commands that use OpenType font features
to access appropriate glyphs if possible. The package also
patches LaTeX's default footnote command to use this new
\textsuperscript for footnote symbols. The package requires
fontspec running on either XeLaTeX or LuaLaTeX. The package
holds functions that were once parts of the xltxtra package,
which now loads realscripts by default.


%package ucharclasses
Provides: tex-ucharclasses = %{epoch}:%{source_date}-%{release}
Provides: tex-ucharclasses-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ucharclasses-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ucharclasses-doc < %{epoch}:%{source_date}-%{release}
License: LicenseRef-Fedora-Public-Domain
Summary: Switch fonts in XeTeX according to what is being processed
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifxetex.sty)
Provides: tex(ucharclasses.sty) = %{epoch}:%{source_date}-%{release}

%description ucharclasses
The package takes care of switching fonts when you switch from
one Unicode block to another in the text of a document. This
way, you can write a document with no explicit font selection,
but a series of rules of the form "when entering block ...,
switch font to use ...".


%package unisugar
Provides: tex-unisugar = %{epoch}:%{source_date}-%{release}
Provides: tex-unisugar-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-unisugar-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-unisugar-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Define syntactic sugar for Unicode LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifxetex.sty)
Provides: tex(unisugar.sty) = %{epoch}:%{source_date}-%{release}

%description unisugar
The package allows the user to define shorthand aliases for
single Unicode characters, and also provides support for such
aliases in RTL-text. The package requires an TeX-alike system
that uses Unicode input in a native way: current examples are
XeTeX and LuaTeX.


%package xecjk
Provides: tex-xecjk = %{epoch}:%{source_date}-%{release}
Provides: tex-xecjk-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xecjk-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xecjk-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for CJK documents in XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(environ.sty)
Requires: tex(listings.sty)
Requires: tex(xunicode.sty)
Requires: tex(expl3.sty)
Requires: tex(xtemplate.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(fontspec.sty)
Requires: tex(indentfirst.sty)
Requires: tex(CJKnumb.sty)
Requires: tex(ulem.sty)
Requires: tex(CJKfntef.sty)
Provides: tex(xeCJK.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(xeCJK.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xeCJKfntef.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xeCJK-listings.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xunicode-addon.sty) = %{epoch}:%{source_date}-%{release}

%description xecjk
A LaTeX package for typesetting CJK documents in the way users
have become used to, in the CJK package. The package requires a
current version of xtemplate (and hence of the current LaTeX 3
development environment.


%package xecolor
Provides: tex-xecolor = %{epoch}:%{source_date}-%{release}
Provides: tex-xecolor-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xecolor-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xecolor-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for color in XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(fontspec.sty)
Requires: tex(iftex.sty)
Provides: tex(xecolor.sty) = %{epoch}:%{source_date}-%{release}

%description xecolor
This is a simple package which defines about 140 different
colours using XeTeX's colour feature. The colours can be used
in bidirectional texts without any problem.


%package xecyr
Provides: tex-xecyr = %{epoch}:%{source_date}-%{release}
Provides: tex-xecyr-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xecyr-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xecyr-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Using Cyrillic languages in XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(misccorr.sty)
Requires: tex(xltxtra.sty)
Requires: tex(xunicode.sty)
Provides: tex(xu-ruenhyph.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(xecyr.sty) = %{epoch}:%{source_date}-%{release}

%description xecyr
Helper tools for using Cyrillic languages with XeLaTeX and
babel.


%package xeindex
Provides: tex-xeindex = %{epoch}:%{source_date}-%{release}
Provides: tex-xeindex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xeindex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xeindex-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Automatic index generation for XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(makeidx.sty)
Requires: tex(xesearch.sty)
Provides: tex(xeindex.sty) = %{epoch}:%{source_date}-%{release}

%description xeindex
The package is based on XeSearch, and will automatically index
words or phrases in an XeLaTeX document. Words are declared in
a list, and every occurrence then creates an index entry whose
content can be fully specified beforehand.


%package xepersian
Provides: tex-xepersian = %{epoch}:%{source_date}-%{release}
Provides: tex-xepersian-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xepersian-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xepersian-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Persian for LaTeX, using XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(ifxetex.sty)
Requires: tex(multido.sty)
Requires: tex(datetime.sty)
Requires: tex(multicol.sty)
Requires: tex(fancyhdr.sty)
Requires: tex(fancybox.sty)
Requires: tex(geometry.sty)
Requires: tex(textpos.sty)
Requires: tex(hyphenat.sty)
Requires: tex(lastpage.sty)
Requires: tex(setspace.sty)
Requires: tex(ragged2e.sty)
Requires: tex(pifont.sty)
Requires: tex(fullpage.sty)
Requires: tex(calc.sty)
Requires: tex(verbatim.sty)
Requires: tex(tabularx.sty)
Requires: tex(fontspec.sty)
Requires: tex(bidi.sty)
Requires: tex(extrafootnotefeatures.def)
Provides: tex(parsidigits.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(algorithm-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(algorithmic-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsart-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(amsbook-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(article-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel1-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel2-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(artikel3-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(backref-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidicode-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidimoderncv-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidituftesidenote-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(boek3-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(book-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(bookest-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(breqn-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(color-localise.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(commands-ltx.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(commands-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(empheq-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(enumerate-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(environments-ltx.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(environments-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extarticle-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extbook-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extrafootnotefeatures-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(extreport-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(flowfram-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(footnote-bidi-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(framed-bidi-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(hyperref-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(imsproc-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(kashida-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(listings-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(loadingorder-bidi-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(localise-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(memoir-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(messages-localise.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(minitoc-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(misc-localise-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(natbib-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(packages-localise-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport1-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(rapport3-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(refrep-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(report-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrartcl-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrbook-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(scrreprt-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tkz-linknodes-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocloft-xepersian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepersian-magazine.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepersian-mathsdigitspec.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepersian-multiplechoice.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepersian-persiancal.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xepersian.sty) = %{epoch}:%{source_date}-%{release}

%description xepersian
The package supports Persian typesetting, using the Persian
Modern fonts, by default.


%package xesearch
Provides: tex-xesearch = %{epoch}:%{source_date}-%{release}
Provides: tex-xesearch-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xesearch-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xesearch-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A string finder for XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(t-xesearch.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(xesearch.sty) = %{epoch}:%{source_date}-%{release}

%description xesearch
The package finds strings (e.g. (parts of) words or phrases)
and manipulates them (apply any macro), thus turning each word
or phrase into a possible command. It is written in plain XeTeX
and should thus work with any format (it is known to work with
LaTeX and ConTeXt). The main application for the moment is
XeIndex, an automatic index for XeLaTeX, but examples are given
of simple use to check spelling, count words, and highlight
syntax of programming languages.


%package xetex
Provides: tex-xetex = %{epoch}:%{source_date}-%{release}
Provides: tex-xetex-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-xetex-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-xetex-bin < %{tl_epoch}:%{source_date}
Provides: texlive-xetex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-xetex-doc < %{tl_epoch}:%{source_date}
License: MIT
Summary: Unicode and OpenType-enabled TeX engine
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-xetexconfig
Requires: texlive-latex
Requires: texlive-dvipdfmx
Requires: texlive-cm
Requires: texlive-hyphen-base
Requires: texlive-tex-ini-files
Requires: texlive-unicode-data
Requires: texlive-etex
Requires: texlive-plain
Requires: texlive-babel
Requires: texlive-l3kernel
Requires: texlive-latex-fonts
Requires: texlive-lm
Requires: teckit
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Requires(post,postun): coreutils
Requires: tex(xetex.def)
Provides: tex(qx-unicode.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(tex-text.map) = %{epoch}:%{source_date}-%{release}

%description xetex
XeTeX is an extension of TeX that integrates TeX's typesetting capabilities
with (a) the Unicode text encoding standard (supporting most of the world’s
scripts) and (b) modern font technologies (TrueType and OpenType) and text
layout services (AAT, OpenType layout, SIL Graphite) provided by the host
operating system and available libraries.

With XeTeX, the advanced typographic features provided by OpenType fonts become
available for all TeX users, as well as support for complex non-roman scripts.
XeTeX also eliminates the complex task of managing a TeX font installation.
XeTeX is now part of the standard TeX distribution TeXLive and works well with
TeX macro packages like LaTeX and ConTeXt.

%package xetexconfig
Provides: tex-xetexconfig = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Configuration files for XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(unicode-letters.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(crop.cfg) = %{epoch}:%{source_date}-%{release}

%description xetexconfig
unicode-letters, and special crop.cfg and hyperref.cfg for
XeTeX.


%package xetex-itrans
Provides: tex-xetex-itrans = %{epoch}:%{source_date}-%{release}
Provides: tex-xetex-itrans-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xetex-itrans-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xetex-itrans-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Itrans input maps for use with XeLaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(brh-kan.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-dvn.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-iast.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-kan.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-sankan.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-santel.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-sdvn.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-tamil.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(itrans-tel.map) = %{epoch}:%{source_date}-%{release}

%description xetex-itrans
The package provides maps for use with XeLaTeX with coding done
using itrans. Fontspec maps are provided for Devanagari
(Sanskrit), for Sanskrit in Kannada and for Kannada itself.


%package xetex-pstricks
Provides: tex-xetex-pstricks = %{epoch}:%{source_date}-%{release}
Provides: tex-xetex-pstricks-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xetex-pstricks-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xetex-pstricks-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Running PStricks under XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea

%description xetex-pstricks
The package provides an indirection scheme for XeTeX to use the
pstricks xdvipdfmx.cfg configuration file, so that XeTeX
documents will load it in preference to the standard
pstricks.con configuration file. With this configuration, many
PSTricks features can be used in xelatex or plain xetex
documents.


%package xetex-tibetan
Provides: tex-xetex-tibetan = %{epoch}:%{source_date}-%{release}
Provides: tex-xetex-tibetan-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xetex-tibetan-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xetex-tibetan-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: XeTeX input maps for Unicode Tibetan
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(loctib.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(wylie.map) = %{epoch}:%{source_date}-%{release}

%description xetex-tibetan
The package provides a map for use with Jonathan Kew's TECkit,
to translate Tibetan to Unicode (range 0F00-0FFF).


%package xetexfontinfo
Provides: tex-xetexfontinfo = %{epoch}:%{source_date}-%{release}
Provides: tex-xetexfontinfo-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xetexfontinfo-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xetexfontinfo-doc < %{tl_epoch}:%{source_date}
License: Apache-2.0
Summary: Report font features in XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(aat-info.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(opentype-info.tex) = %{epoch}:%{source_date}-%{release}

%description xetexfontinfo
A pair of documents to reveal the font features supported by
fonts usable in XeTeX. Use OpenType-info.tex for OpenType
fonts, and AAT-info.tex for AAT fonts (Mac OS X only).


%package xltxtra
Provides: tex-xltxtra = %{epoch}:%{source_date}-%{release}
Provides: tex-xltxtra-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xltxtra-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xltxtra-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: "Extras" for LaTeX users of XeTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifluatex.sty)
Requires: tex(fontspec.sty)
Requires: tex(ifxetex.sty)
Requires: tex(realscripts.sty)
Requires: tex(metalogo.sty)
Provides: tex(xltxtra.sty) = %{epoch}:%{source_date}-%{release}

%description xltxtra
The package loads the fixltx2e package from the LaTeX
distribution, and etex.sty from the e-TeX distribution. The
package then patches the \- (discretionary hyphen command) to
use the current hyphen character (which may be different from
than the default, which is the character at the ASCII hyphen
slot), and loads the realscripts to patch the \textsuperscript
command (from the LaTeX kernel) and the \textsubscript command
(from the fixltx2e package). The package is loaded by the
fontspec package, so that it should not ordinarily be necessary
to load it explicitly. The package relies on the metalogo
package for typesetting the XeTeX and XeLaTeX logos.


%package xunicode
Provides: tex-xunicode = %{epoch}:%{source_date}-%{release}
Provides: tex-xunicode-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xunicode-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xunicode-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Generate Unicode characters from accented glyphs
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(t3enc.def)
Provides: tex(xunicode.sty) = %{epoch}:%{source_date}-%{release}

%description xunicode
The package supports XeTeX's (and other putative future similar
engines') need for Unicode characters, in a similar way to what
the fontenc does for 8-bit (and the like) fonts: convert
accent-glyph sequence to a single Unicode character for output.
The package also covers glyphs specified by packages (such as
tipa) which define many commands for single text glyphs.


%package csquotes
Provides: tex-csquotes = %{epoch}:%{source_date}-%{release}
Provides: tex-csquotes-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-csquotes-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-csquotes-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Context sensitive quotation facilities
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(etoolbox.sty)
Requires: tex(keyval.sty)
Provides: tex(csq-compat.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(csquotes.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(csquotes.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(csquotes.sty) = %{epoch}:%{source_date}-%{release}

%description csquotes
This package provides advanced facilities for inline and
display quotations. It is designed for a wide range of tasks
ranging from the most simple applications to the more complex
demands of formal quotations. The facilities include commands,
environments, and user-definable 'smart quotes' which
dynamically adjust to their context. Quotation marks are
switched automatically if quotations are nested and they can be
adjusted to the current language if the babel package is
available. There are additional facilities designed to cope
with the more specific demands of academic writing, especially
in the humanities and the social sciences. All quote styles as
well as the optional active quotes are freely configurable. The
package is dependent on e-TeX, and requires the author's
etoolbox package.


%package currfile
Provides: tex-currfile = %{epoch}:%{source_date}-%{release}
Provides: tex-currfile-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-currfile-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-currfile-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Provide file name and path of input files
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(kvoptions.sty)
Requires: tex(filehook.sty)
Provides: tex(currfile-abspath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(currfile.sty) = %{epoch}:%{source_date}-%{release}

%description currfile
The package provides macros holding file name information
(directory, base name, extension, full name and full path) for
files read by LaTeX \input and \include macros; it uses the
file hooks provided by the author's filehook. In particular, it
restores the parent file name after the trailing \clearpage of
an \included file; as a result, the macros may be usefully
employed in the page header and footer of the last printed page
of such a file. The depth of inclusion is made available,
together with the "parent" (including file) and "parents" (all
including files to the root of the tree). The package
supersedes FiNK.


%package datetime
Provides: tex-datetime = %{epoch}:%{source_date}-%{release}
Provides: tex-datetime-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-datetime-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-datetime-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Change format of \today with commands for current time
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-fmtcount
Requires: tex(fmtcount.sty)
Requires: tex(ifthen.sty)
Requires: tex-fmtcount-doc = %{epoch}:%{source_date}-%{release}
Provides: tex(datetime.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-UKenglish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-USenglish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-american.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-austrian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-bahasa.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-basque.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-breton.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-british.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-bulgarian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-catalan.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-croatian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-czech.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-danish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-dutch.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-esperanto.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-estonian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-finnish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-french.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-galician.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-german.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-greek.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-hebrew.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-icelandic.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-irish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-italian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-latin.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-lsorbian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-magyar.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-naustrian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-ngerman.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-norsk.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-polish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-portuges.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-romanian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-russian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-samin.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-scottish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-serbian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-slovak.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-slovene.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-spanish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-swedish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-turkish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-ukraineb.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-usorbian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dt-welsh.def) = %{epoch}:%{source_date}-%{release}

%description datetime
Provides various different formats for the text created by the
command \today, and also provides commands for displaying the
current time (or any given time), in 12-hour, 24-hour or text
format. The package overrides babel's date format, having its
own library of date formats in different languages. The package
requires the fmtcount package.


%package fmtcount
Provides: tex-fmtcount = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fmtcount-doc = %{epoch}:%{source_date}-%{release}
Provides: tex-fmtcount-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fmtcount-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Display the value of a LaTeX counter in a variety of formats
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifthen.sty)
Requires: tex(keyval.sty)
Requires: tex(etoolbox.sty)
Requires: tex(amsgen.sty)
Provides: tex(fc-UKenglish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-USenglish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-american.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-british.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-english.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-francais.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-french.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-frenchb.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-german.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-germanb.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-italian.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-ngerman.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-ngermanb.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-portuges.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fc-spanish.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcnumparser.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fcprefix.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fmtcount.sty) = %{epoch}:%{source_date}-%{release}

%description fmtcount
The package provides commands that display the value of a LaTeX
counter in a variety of formats (ordinal, text, hexadecimal,
decimal, octal, binary etc). The package offers some
multilingual support; configurations for use in English (both
British and American usage), French (including Belgian and
Swiss variants), German, Italian, Portuguese and Spanish
documents are provided. This package was originally provided as
part of the author's datetime package, but is now distributed
separately.


%package dvipng
Provides: tex-dvipng = %{epoch}:%{source_date}-%{release}
Provides: tex-dvipng-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvipng-doc = %{epoch}:%{source_date}-%{release}
Provides: dvipng = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvipng-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-dvipng-bin < %{tl_epoch}:%{source_date}
Obsoletes: dvipng < %{tl_epoch}:%{source_date}
Obsoletes: %{name}-dvipng-doc < %{tl_epoch}:%{source_date}
License: LGPL-2.1-or-later
Summary: A fast DVI to PNG/GIF converter
Requires: texlive-base
Requires: tex-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Requires(post,postun): /sbin/install-info

%description dvipng
This program makes PNG and/or GIF graphics from DVI files as
obtained from TeX and its relatives. Its benefits include: -
Speed. It offers very fast rendering of DVI as bitmap files,
which makes it suitable for generating large amounts of images
on-the-fly, as needed in preview-latex, WeBWorK and others; -
It does not read the postamble, so it can be started before TeX
finishes. There is a --follow switch that makes dvipng wait at
end-of-file for further output, unless it finds the POST marker
that indicates the end of the DVI; - Interactive query of
options. dvipng can read options interactively through stdin,
and all options are usable. It is even possible to change the
input file through this interface. - Support for PK, VF,
PostScript Type1, and TrueType fonts, colour specials, and
inclusion of PostScript, PNG, JPEG or GIF images.

%package eepic
Provides: tex-eepic = %{epoch}:%{source_date}-%{release}
Provides: tex-eepic-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-eepic-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-eepic-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Extensions to epic and the LaTeX drawing tools
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(eepic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(eepicemu.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(epic.sty) = %{epoch}:%{source_date}-%{release}

%description eepic
Extensions to epic and the LaTeX picture drawing environment,
include the drawing of lines at any slope, the drawing of
circles in any radii, and the drawing of dotted and dashed
lines much faster with much less TeX memory, and providing
several new commands for drawing ellipses, arcs, splines, and
filled circles and ellipses. The package uses tpic \special
commands.


%package enumitem
Provides: tex-enumitem = %{epoch}:%{source_date}-%{release}
Provides: tex-enumitem-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-enumitem-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-enumitem-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Control layout of itemize, enumerate, description
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(enumitem.sty) = %{epoch}:%{source_date}-%{release}

%description enumitem
This package provides user control over the layout of the three
basic list environments: enumerate, itemize and description. It
supersedes both enumerate and mdwlist (providing well-
structured replacements for all their funtionality), and in
addition provides functions to compute the layout of labels,
and to 'clone' the standard environments, to create new
environments with counters of their own.


%package epsf
Provides: tex-epsf = %{epoch}:%{source_date}-%{release}
Provides: tex-epsf-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-epsf-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-epsf-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Simple macros for EPS inclusion
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(epsf.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(epsf.tex) = %{epoch}:%{source_date}-%{release}

%description epsf
The original graphics inclusion macros for use with dvips;
still widely used by Plain TeX users (in particular). For LaTeX
users, the package is nowadays deprecated in favour of the more
sophisticated standard LaTeX graphics bundle of packages (which
are also available to Plain TeX users, either via its Plain TeX
version, or through the support offered by etex).


%package epstopdf
Provides: tex-epstopdf = %{epoch}:%{source_date}-%{release}
Provides: texlive-epstopdf-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-epstopdf-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-epstopdf-bin < %{tl_epoch}:%{source_date}
Provides: texlive-epstopdf-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-epstopdf-doc < %{tl_epoch}:%{source_date}
License: BSD-3-Clause
Summary: Convert EPS to 'encapsulated' PDF using Ghostscript
Requires: texlive-base
Requires: texlive-kpathsea
# perl
BuildArch: noarch

%description epstopdf
Epstopdf is a Perl script that converts an EPS file to an
'encapsulated' PDF file (a single page file whose media box is
the same as the original EPS's bounding box). The resulting
file suitable for inclusion by PDFTeX as an image. The script
is adapted to run both on Windows and on Unix-alike systems.
The script makes use of Ghostscript for the actual conversion
to PDF. It assumes Ghostscript version 6.51 or later, and (by
default) suppresses its automatic rotation of pages where most
of the text is not horizontal. LaTeX users may make use of the
epstopdf package, which will run the epstopdf script "on the
fly", thus giving the illusion that PDFLaTeX is accepting EPS
graphic files.


%package etoolbox
Provides: tex-etoolbox = %{epoch}:%{source_date}-%{release}
Provides: tex-etoolbox-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-etoolbox-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-etoolbox-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Tool-box for LaTeX programmers using e-TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(etex.sty)
Provides: tex(etoolbox.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(etoolbox.sty) = %{epoch}:%{source_date}-%{release}

%description etoolbox
The etoolbox package is a toolbox of programming facilities
geared primarily towards LaTeX class and package authors. It
provides LaTeX frontends to some of the new primitives provided
by e-TeX as well as some generic tools which are not strictly
related to e-TeX but match the profile of this package. Note
that the initial versions of this package were released under
the name elatex. The package provides functions that seem to
offer alternative ways of implementing some LaTeX kernel
commands; nevertheless, the package will not modify any part of
the LaTeX kernel.


%package filecontents
Provides: tex-filecontents = %{epoch}:%{source_date}-%{release}
Provides: tex-filecontents-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-filecontents-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-filecontents-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extended filecontents and filecontents* environments
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(filecontents.sty) = %{epoch}:%{source_date}-%{release}

%description filecontents
LaTeX2e's filecontents and filecontents* environments enable a
LaTeX source file to generate external files as it runs through
LaTeX. However, there are two limitations of these
environments: they refuse to overwrite existing files, and they
can only be used in the preamble of a document. The
filecontents package removes these limitations, letting you
overwrite existing files and letting you use
filecontents/filecontents* anywhere.


%package filehook
Provides: tex-filehook = %{epoch}:%{source_date}-%{release}
Provides: tex-filehook-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-filehook-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-filehook-doc < %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Hooks for input files
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(currfile.sty)
Requires: tex(kvoptions.sty)
Requires: tex(pgfkeys.sty)
Provides: tex(filehook-fink.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(filehook-listings.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(filehook-memoir.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(filehook-scrlfile.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(filehook.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pgf-filehook.sty) = %{epoch}:%{source_date}-%{release}

%description filehook
The package provides several file hooks (AtBegin, AtEnd, ...)
for files read by \input, \include and \InputIfFileExists.
General hooks for all such files (e.g. all \include'd ones) and
file specific hooks only used for named files are provided; two
hooks are provided for the end of \included files -- one
before, and one after the final \clearpage.


%package fncychap
Provides: tex-fncychap = %{epoch}:%{source_date}-%{release}
Provides: tex-fncychap-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fncychap-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fncychap-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Seven predefined chapter heading styles
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(color.sty)
Provides: tex(fncychap.sty) = %{epoch}:%{source_date}-%{release}

%description fncychap
Each style can be modified using a set of simple commands.
Optionally one can modify the formatting routines in order to
create additional chapter headings. This package was previously
known as FancyChapter.


%package fontware
Provides: tex-fontware = %{epoch}:%{source_date}-%{release}
Provides: texlive-fontware-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-fontware-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-fontware-bin < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: fontware package
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description fontware
fontware package


%package footmisc
Provides: tex-footmisc = %{epoch}:%{source_date}-%{release}
Provides: tex-footmisc-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-footmisc-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-footmisc-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A range of footnote options
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(footmisc.sty) = %{epoch}:%{source_date}-%{release}

%description footmisc
A collection of ways to change the typesetting of footnotes.
The package provides means of changing the layout of the
footnotes themselves (including setting them in 'paragraphs' --
the para option), a way to number footnotes per page (the
perpage option), to make footnotes disappear when an argument
moves (stable option) and to deal with multiple references to
footnotes from the same place (multiple option). The package
also has a range of techniques for labelling footnotes with
symbols rather than numbers. Some of the functions of the
package are overlap with the functionality of other packages.
The para option is also provided by the manyfoot and bigfoot
packages, though those are both also portmanteau packages.
(Don't be seduced by fnpara, whose implementation is improved
by the present package.) The perpage option is also offered by
footnpag and by the rather more general-purpose perpage


%package framed
Provides: tex-framed = %{epoch}:%{source_date}-%{release}
provides: tex-framed-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-framed-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-framed-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-framed
Summary: Framed or shaded regions that can break across pages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(framed.sty) = %{epoch}:%{source_date}-%{release}

%description framed
The package creates three environments: - framed, which puts an
ordinary frame box around the region, - shaded, which shades
the region, and - leftbar, which places a line at the left
side. The environments allow a break at their start (the
\FrameCommand enables creation of a title that is "attached" to
the environment); breaks are also allowed in the course of the
framed/shaded matter. There is also a command \MakeFramed to
make your own framed-style environments.


%package hyphenat
Provides: tex-hyphenat = %{epoch}:%{source_date}-%{release}
Provides: tex-hyphenat-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-hyphenat-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-hyphenat-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Disable/enable hypenation
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(hyphenat.sty) = %{epoch}:%{source_date}-%{release}

%description hyphenat
This package can disable all hyphenation or enable hyphenation
of non-alphabetics or monospaced fonts. The package can also
enable hyphenation within 'words' that contain non-alphabetic
characters (e.g., that include underscores), and hyphenation of
text typeset in monospaced (e.g., cmtt) fonts.


%package ifmtarg
Provides: tex-ifmtarg = %{epoch}:%{source_date}-%{release}
Provides: tex-ifmtarg-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ifmtarg-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ifmtarg-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: If-then-else command for processing potentially empty arguments
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ifmtarg.sty) = %{epoch}:%{source_date}-%{release}

%description ifmtarg
ifmtarg package


%package iftex
Provides: tex-iftex = %{epoch}:%{source_date}-%{release}
Provides: tex-iftex-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-iftex-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-iftex-doc < %{tl_epoch}:%{source_date}
Provides: %{name}-ifetex = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ifetex <= %{tl_epoch}:%{source_date}
Provides: %{name}-ifluatex = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ifluatex <= %{tl_epoch}:%{source_date}
Provides: %{name}-ifxetex = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ifxetex <= %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Am I running under pdfTeX, XeTeX or LuaTeX?
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ifetex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifluatex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifpdf.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(iftex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifvtex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ifxetex.sty) = %{epoch}:%{source_date}-%{release}

%description iftex
The package, which works both for Plain TeX and for LaTeX,
defines the \ifPDFTeX, \ifXeTeX, and \ifLuaTeX conditionals for
testing which engine is being used for typesetting. The package
also provides the \RequirePDFTeX, \RequireXeTeX, and
\RequireLuaTeX commands which throw an error if pdfTeX, XeTeX
or LuaTeX (respectively) is not the engine in use.


%package kerkis
Provides: tex-kerkis = %{epoch}:%{source_date}-%{release}
Provides: tex-kerkis-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-kerkis-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-kerkis-doc < %{tl_epoch}:%{source_date}
Obsoletes: tex-kerkis < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Kerkis (Greek) font family
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(txfonts.sty)
Provides: tex(gkerkis.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkerkisc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(gpkerkis.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(gpkerkisc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkis.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkisc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkisec.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkisecsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmath.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmex.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmsym.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkis.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(ek8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ek8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsco8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekcal8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekcal8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eki8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eki8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eko8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eko8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksco8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksf8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksf8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfsc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfsc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gk7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gk7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkb7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbi7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbo7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsco8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbui7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbui7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkcal7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkcal7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gki7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gki7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gko7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gko7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksb7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbi7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbo7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbo7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbui7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbui7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksc7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksco7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksco7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksf7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksf7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfb7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfb7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfbi7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfbi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfi7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfi7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfsc7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfsc7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkui7a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkui7t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(k8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(k8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsco8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kcal8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kcal8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ki8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ki8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmath8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmath8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ko8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ko8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksb8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbi8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbo8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbo8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksc8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksco8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksco8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksf8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksf8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfb8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfb8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfbi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfbi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfi8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfi8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfsc8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfsc8t.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ktsy8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ktsy8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kui8a.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(kui8r.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-Bold.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-BoldItalic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-BoldSmallCaps.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-Calligraphic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-Italic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-SemiBold-Italic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-SemiBold.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis-SmallCaps.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Kerkis.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(KerkisSans-Bold.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(KerkisSans-BoldItalic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(KerkisSans-Italic.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(KerkisSans-SmallCaps.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(KerkisSans.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ktsy.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(ek8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekb8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbi8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbsco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekbui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekcal8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eki8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eko8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksb8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbi8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksbui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksf8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(eksfsc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ekui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gk7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbsco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkbui7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkcal7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gki7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gko7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbo7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksbui7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksco7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksf7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfb7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfbi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfi7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gksfsc7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(gkui7t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(k8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kb8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbi8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbsco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kbui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kcal8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ki8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmath8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ko8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksb8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbi8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbo8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksbui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksc8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksco8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksf8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfb8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfbi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfi8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ksfsc8t.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(ktsy8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kui8a.vf) = %{epoch}:%{source_date}-%{release}
Provides: tex(kerkis.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(kmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrkfn.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrmak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lgrmaksf.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omlmak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(omsmak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1kfn.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1mak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ot1maksf.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1mak.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t1maksf.fd) = %{epoch}:%{source_date}-%{release}

%description kerkis
Sans-serif Greek fonts to match the URW Bookman set (which are
distributed with Kerkis). The Kerkis font set has some support
for mathematics as well as other glyphs missing from the base
URW Bookman fonts (the URW fonts are duplicated in the
distribution). Macros are provided to use the fonts in OT1, T1
(only NG/ng glyphs missing) and LGR encodings, as well as in
mathematics; small caps and old-style number glyphs are also
available. The philosophy, and the design process, of the
Kerkis fonts is discussed in a paper in TUGboat 23(3/4), 2002.


%package lastpage
Provides: tex-lastpage = %{epoch}:%{source_date}-%{release}
Provides: tex-lastpage-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lastpage-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lastpage-doc < %{tl_epoch}:%{source_date}
License: GPL-2.0-or-later
Summary: Reference last page for Page N of M type footers
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(lastpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lastpage209.sty) = %{epoch}:%{source_date}-%{release}

%description lastpage
Reference the number of pages in your LaTeX document through
the introduction of a new label which can be referenced like
\pageref{LastPage} to give a reference to the last page of a
document. It is particularly useful in the page footer that
says: Page N of M.


%package lettrine
Provides: tex-lettrine = %{epoch}:%{source_date}-%{release}
Provides: tex-lettrine-doc = %{epoch}:%{source_date}-%{release}
Provides:  %{name}-lettrine-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lettrine-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Typeset dropped capitals
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(lettrine.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(lettrine.sty) = %{epoch}:%{source_date}-%{release}

%description lettrine
The lettrine package supports various dropped capitals styles,
typically those described in the French typographic books. In
particular, it has facilities for the paragraph text's left
edge to follow the outline of capitals that have a regular
shape (such as "A" and "V").


%package lualatex-math
Provides: tex-lualatex-math = %{epoch}:%{source_date}-%{release}
Provides: tex-lualatex-math-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lualatex-math-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lualatex-math-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fixes for mathematics-related LuaLaTeX issues
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(etoolbox.sty)
Requires: tex(luatexbase.sty)
Requires: tex(filehook.sty)
Provides: tex(lualatex-math.sty) = %{epoch}:%{source_date}-%{release}

%description lualatex-math
The package patches a few commands of the LaTeX2e kernel and
the amsmath and mathtools packages to be more compatible with
the LuaTeX engine. It is only meaningful for LuaLaTeX documents
containing mathematical formulas, and does not exhibit any new
functionality. The fixes are mostly moved from the unicode-math
package to this package since they are not directly related to
Unicode mathematics typesetting.


%package luaotfload
Provides: tex-luaotfload = %{epoch}:%{source_date}-%{release}
Provides: texlive-luaotfload-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-luaotfload-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-luaotfload-bin < %{tl_epoch}:%{source_date}
Provides: texlive-luaotfload-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-luaotfload-doc < %{tl_epoch}:%{source_date}
License: GPL-2.0-or-later
Summary: OpenType 'loader' for Plain TeX and LaTeX
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lualibs
Requires: texlive-lua-alt-getopt
Requires: texlive-lua-uni-algos
Requires: tex(luatexbase.sty)
Provides: tex(luaotfload-blacklist.cnf) = %{epoch}:%{source_date}-%{release}
Provides: tex(luaotfload.sty) = %{epoch}:%{source_date}-%{release}
# lua
BuildArch: noarch

%description luaotfload
The package adopts the TrueType/OpenType Font loader code
provided in ConTeXt, and adapts it to use in Plain TeX and
LaTeX. It works under LuaLaTeX only.


%package luatexbase
Provides: tex-luatexbase = %{epoch}:%{source_date}-%{release}
Provides: tex-luatexbase-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-luatexbase-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-luatexbase-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Basic resource management for LuaTeX code
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(ifluatex.sty)
Requires: tex(luatexbase-loader.sty)
Requires: tex(etex.sty)
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tex(luatexbase-attr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-cctb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-compat.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-loader.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-mcb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-modutils.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase-regs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexbase.sty) = %{epoch}:%{source_date}-%{release}

%description luatexbase
The bundle provides basic facilities for LuaTeX macro
programmers, mostly resource allocation and convenience
packages. Provided are: luatexbase-attr: attribute allocation;
luatexbase-cctb: catcode table allocation; luatexbase-compat:
compatibility helpers; luatexbase-loader: Lua module loading;
luatexbase-modutils: Lua module declaration; luatexbase-mcb:
callbacks extension; and luatexbase-regs: allocation of
registers and the like. In addition, the (unadorned) luatexbase
package loads all the above in one fell swoop.


%package makecmds
Provides: tex-makecmds = %{epoch}:%{source_date}-%{release}
Provides: tex-makecmds-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-makecmds-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-makecmds-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: The new \makecommand command always (re)defines a command
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(makecmds.sty) = %{epoch}:%{source_date}-%{release}

%description makecmds
The package provides a \makecommand command, which is like
\(re)newcommand except it always (re)defines a command. There
is also \makeenvironment and \provideenvironment for
environments.


%package marginnote
Provides: tex-marginnote = %{epoch}:%{source_date}-%{release}
Provides: tex-marginnote-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-marginnote-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-marginnote-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Notes in the margin, even where \marginpar fails
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(marginnote.sty) = %{epoch}:%{source_date}-%{release}

%description marginnote
This package provides the command \marginnote that may be used
instead of \marginpar at almost every place where \marginpar
cannot be used, e.g., inside floats, footnotes, or in frames
made with the framed package.


%package mnsymbol
Provides: tex-mnsymbol = %{epoch}:%{source_date}-%{release}
Provides: tex-mnsymbol-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mnsymbol-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mnsymbol-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Mathematical symbol font for Adobe MinionPro
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(textcomp.sty)
Requires: tex(eufrak.sty)
Requires: tex(amsmath.sty)
Provides: tex(MnSymbolA.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold10.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold12.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold5.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold6.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold7.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold8.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold9.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol10.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol12.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol5.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol6.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol7.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol8.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol9.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolA9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolB9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolC9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolD9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolE9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolF9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS-Bold9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS12.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbolS9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol-Bold9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol12.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(MnSymbol.sty) = %{epoch}:%{source_date}-%{release}

%description mnsymbol
MnSymbol is a symbol font family, designed to be used in
conjunction with Adobe Minion Pro (via the MinionPro package).
Almost all of LaTeX and AMS mathematical symbols are provided;
remaining coverage is available from the MinionPro font with
the MinionPro package. The fonts are available in both MetaFont
and Adobe Type 1 formats, and a comprehensive support package
is provided. While the fonts were designed to fit with Minon
Pro, the design should fit well with other renaissance or
baroque faces: indeed, it will probably work with most fonts
that are neither too wide nor too thin, for example Palatino or
Times; it is known to look good with Sabon. There is no package
designed to configure its use with any font other than Minion
Pro, but (for example) simply loading mnsymbol after mathpazo
will probably do what is needed.


%package mparhack
Provides: tex-mparhack = %{epoch}:%{source_date}-%{release}
Provides: tex-mparhack-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mparhack-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mparhack-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: A workaround for a LaTeX bug in marginpars
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(mparhack.sty) = %{epoch}:%{source_date}-%{release}

%description mparhack
Implements a workaround for the LaTeX bug that marginpars will
sometimes come out at the wrong margin.


%package multido
Provides: tex-multido = %{epoch}:%{source_date}-%{release}
Provides: tex-multido-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-multido-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-multido-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A loop facility for Generic TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(multido.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(multido.sty) = %{epoch}:%{source_date}-%{release}

%description multido
The package provides the \multido command, which was originally
designed for use with with PSTricks. Fixed-point arithmetic is
used when working on the loop variable, so that the package is
equally applicable in graphics applications like PSTricks as it
is with the more common integer loops.


%package multirow
Provides: tex-multirow = %{epoch}:%{source_date}-%{release}
Provides: tex-multirow-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-multirow-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-multirow-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Create tabular cells spanning multiple rows
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(bigdelim.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(bigstrut.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(multirow.sty) = %{epoch}:%{source_date}-%{release}

%description multirow
The package has a lot of flexibility, including an option for
specifying an entry at the "natural" width of its text. The
package is distributed with the bigdelim and bigstrut packages,
which can be used to advantage with \multirow cells.


%package ncctools
Provides: tex-ncctools = %{epoch}:%{source_date}-%{release}
Provides: tex-ncctools-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ncctools-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ncctools-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A collection of general packages for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(perpage.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Requires: tex(amsgen.sty)
Provides: tex(afterpackage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(dcounter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(desclist.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(extdash.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(manyfoot.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mboxfill.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccbbb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccboxes.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ncccomma.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ncccropbox.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ncccropmark.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccfancyhdr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccfloats.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccfoots.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccparskip.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccpic.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccrules.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccsect.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccstretch.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(nccthm.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(textarea.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tocenter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(topsection.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(watermark.sty) = %{epoch}:%{source_date}-%{release}

%description ncctools
The NCCtools bundle contains many packages for general use
under LaTeX; many are also used by NCC LaTeX. The bundle
includes tools for: - executing commands after a package is
loaded; - watermarks; - counter manipulation (dynamic counters,
changing counter numbering with another counter); -
improvements to the description environment; - hyphenation of
compound words; - new levels of footnotes; - space-filling
patterns; - "poor man's" Black Board Bold symbols; - alignment
of the content of a box; - use comma as decimal separator; -
boxes with their own crop marks; - page cropmarks; -
improvements to fancy headers; - float "styles", mini floats,
side floats; - manually marked footnotes; - extension of
amsmath; - control of paragraph skip; - an envelope to the
graphicx package; - dashed and multiple rules; - alternative
techniques for declarations of sections, captions, and toc-
entries; - generalised text-stretching; - generation of new
theorem-like environments; - control of the text area; -
centred page layouts; and - an un-numbered top-level section.


%package overpic
Provides: tex-overpic = %{epoch}:%{source_date}-%{release}
Provides: tex-overpic-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-overpic-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-overpic-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Combine LaTeX commands over included graphics
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(epic.sty)
Provides: tex(overpic.sty) = %{epoch}:%{source_date}-%{release}

%description overpic
The overpic environment is a cross between the LaTeX picture
environment and the \includegraphics command of graphicx. The
resulting picture environment has the same dimensions as the
included eps graphic. LaTeX commands can be placed on the
graphic at defined positions. A grid for orientation is
available.


%package paralist
Provides: tex-paralist = %{epoch}:%{source_date}-%{release}
Provides: tex-paralist-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-paralist-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-paralist-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Enumerate and itemize within paragraphs
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(paralist.sty) = %{epoch}:%{source_date}-%{release}

%description paralist
Provides enumerate and itemize environments that can be used
within paragraphs to format the items either as running text or
as separate paragraphs with a preceding number or symbol. Also
provides compacted versions of enumerate and itemize.


%package parallel
Provides: tex-parallel = %{epoch}:%{source_date}-%{release}
Provides: tex-parallel-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-parallel-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-parallel-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Typeset parallel texts
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(parallel.sty) = %{epoch}:%{source_date}-%{release}

%description parallel
Provides a parallel environment which allows two potentially
different texts to be typeset in two columns, while maintaining
alignment. The two columns may be on the same page, or on
facing pages. This arrangement of text is commonly used when
typesetting translations, but it can have value when comparing
any two texts.


%package placeins
Provides: tex-placeins = %{epoch}:%{source_date}-%{release}
Provides: tex-placeins-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-placeins-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-placeins-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Control float placement
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(placeins.sty) = %{epoch}:%{source_date}-%{release}

%description placeins
Defines a \FloatBarrier command, beyond which floats may not
pass; useful, for example, to ensure all floats for a section
appear before the next \section command.


%package preprint
Provides: tex-preprint = %{epoch}:%{source_date}-%{release}
Provides: tex-preprint-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-preprint-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-preprint-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A bundle of packages provided "as is"
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(authblk.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(balance.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(figcaps.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fullpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(sublabel.sty) = %{epoch}:%{source_date}-%{release}

%description preprint
The bundle comprises: - authblk, which permits footnote style
author/affiliation input in the \author command, - balance, to
balance the end of \twocolumn pages, - figcaps, to send figure
captions, etc., to end document, - fullpage, to set narrow page
margins and set a fixed page style, and - sublabel, which
permits counters to be subnumbered.


%package pst-3d
Provides: tex-pst-3d = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-3d-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-3d-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-3d-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A PSTricks package for tilting and other pseudo-3D tricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-3d.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-3d.sty) = %{epoch}:%{source_date}-%{release}

%description pst-3d
The pst-3d package provides basic macros for shadows, tilting
and three dimensional representations of text or graphical
objects.


%package pst-blur
Provides: tex-pst-blur = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-blur-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-blur-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-blur-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: PSTricks package for "blurred" shadows
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-blur.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-blur.sty) = %{epoch}:%{source_date}-%{release}

%description pst-blur
Pst-blur is a package built for use with PSTricks. It provides
macros that apply blurring to the normal shadow function of
PSTricks.


%package pst-coil
Provides: tex-pst-coil = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-coil-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-coil-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-coil-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A PSTricks package for coils, etc
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-coil.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-coil.sty) = %{epoch}:%{source_date}-%{release}

%description pst-coil
Pst-coil is a PSTricks based package for coils and zigzags and
for coil and zigzag node connections.


%package pst-eps
Provides: tex-pst-eps = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-eps-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-eps-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-eps-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Create EPS files from PSTricks figures
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-eps.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-eps.sty) = %{epoch}:%{source_date}-%{release}

%description pst-eps
Pst-eps is a PSTricks-based package for exporting PSTricks
images 'on the fly' to encapsulated PostScript (EPS) image
files, which can then be read into a document in the usual way.


%package pst-fill
Provides: tex-pst-fill = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-fill-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-fill-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-fill-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Fill or tile areas with PSTricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-fill.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-fill.sty) = %{epoch}:%{source_date}-%{release}

%description pst-fill
Pst-fill is a PSTricks-based package for filling and tiling
areas or characters.


%package pst-grad
Provides: tex-pst-grad = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-grad-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-grad-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-grad-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Filling with colour gradients, using PStricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-grad.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-grad.sty) = %{epoch}:%{source_date}-%{release}

%description pst-grad
Pst-grad is a PSTricks based package for filling with colour
gradients. Supported are colours in the RGB, CMYK or HSB
models. Other colour gradient mechanisms are to be found in
package pst-slpe.


%package pst-math
Provides: tex-pst-math = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-math-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-math-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-math-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Enhancement of PostScript math operators to use with pstricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(pst-math.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-math.sty) = %{epoch}:%{source_date}-%{release}

%description pst-math
PostScript lacks a lot of basic operators such as tan, acos,
asin, cosh, sinh, tanh, acosh, asinh, atanh, exp (with e base).
Also (oddly) cos and sin use arguments in degrees. Pst-math
provides all those operators in a header file pst-math.pro with
wrappers pst-math.sty and pst-math.tex. In addition, sinc,
gauss, gammaln and bessel are implemented (only partially for
the latter). pst-math is designed essentially to work with pst-
plot but can be used in whatever PS code (such as pstricks
SpecialCoor "!", which is useful for placing labels). The
package also provides a routine SIMPSON for numerical
integration and a solver of linear equation systems.


%package pst-node
Provides: tex-pst-node = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-node-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-node-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-node-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Draw connections using pstricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-node.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-node.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-node97.sty) = %{epoch}:%{source_date}-%{release}

%description pst-node
The package enables the user to connect information, and to
place labels, without knowing (in advance) the actual positions
of the items to be connected, or where the connecting line
should go. The macros are useful for making graphs and trees,
mathematical diagrams, linguistic syntax diagrams, and so on.
The package contents were previously distributed as a part of
the pstricks base distribution.


%package pst-plot
Provides: tex-pst-plot = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-plot-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-plot-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-plot-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Plot data using PSTricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(multido.sty)
Provides: tex(pst-plot.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-plot.sty) = %{epoch}:%{source_date}-%{release}

%description pst-plot
The package provides plotting of data (typically from external
files), using PSTricks. Plots my be configured using a wide
variety of parameters.


%package pstricks-add
Provides: tex-pstricks-add = %{epoch}:%{source_date}-%{release}
Provides: tex-pstricks-add-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pstricks-add-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pstricks-add-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A collection of add-ons and bugfixes for PSTricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-math.sty)
Requires: tex(multido.sty)
Provides: tex(pstricks-add.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstricks-add.sty) = %{epoch}:%{source_date}-%{release}

%description pstricks-add
Collects together examples that have been posted to the
pstricks mailing list, together with many additional features
for the basic pstricks, pst-plot and pst-node, including: -
bugfixes; - new options for the pspicture environment; -
arrows; - braces as node connection/linestyle; - extended axes
for plots (e.g., logarithm axes); - polar plots; - plotting
tangent lines of curves or functions; - solving and printing
differential equationd; - box plots; - matrix plots; and - pie
charts. The package makes use of PostScript routines provided
by pst-math.


%package pstricks
Provides: tex-pstricks = %{epoch}:%{source_date}-%{release}
Provides: tex-pstricks-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pstricks-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pstricks-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: PostScript macros for TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: texlive-pst-tools
Requires: texlive-pst-arrow
Requires: tex(iftex.sty)
Requires: tex(shellesc.sty)
Requires: tex(pst-plot.sty)
Requires: tex(pst-node.sty)
Requires: tex(pst-tree.sty)
Requires: tex(pst-grad.sty)
Requires: tex(pst-coil.sty)
Requires: tex(pst-text.sty)
Requires: tex(pst-3d.sty)
Requires: tex(pst-eps.sty)
Requires: tex(pst-fill.sty)
Requires: tex(pstricks-add.sty)
Requires: tex(multido.sty)
Requires: tex(xcolor.sty)
Requires: tex(fontenc.sty)
Requires: tex(ifpdf.sty)
Requires: tex(textcomp.sty)
Requires: tex(bera.sty)
Requires: tex(xspace.sty)
Requires: tex(makeidx.sty)
Requires: tex(calc.sty)
Requires: tex(babel.sty)
Requires: tex(xkeyval.sty)
Requires: tex(pst-xkey.sty)
Requires: tex(xkvview.sty)
Requires: tex(lscape.sty)
Requires: tex(graphicx.sty)
Requires: tex(eso-pic.sty)
Requires: tex(amsmath.sty)
Requires: tex(amssymb.sty)
Requires: tex(tabularx.sty)
Requires: tex(ragged2e.sty)
Requires: tex(booktabs.sty)
Requires: tex(footmisc.sty)
Requires: tex(chngcntr.sty)
Requires: tex(nameref.sty)
Requires: tex(varioref.sty)
Requires: tex(subfig.sty)
Requires: tex(setspace.sty)
Requires: tex(paralist.sty)
Requires: tex(fancyvrb.sty)
Requires: tex(filecontents.sty)
Requires: tex(showexpl.sty)
Requires: tex(scrpage2.sty)
Requires: tex(caption.sty)
Requires: tex(hyperref.sty)
Requires: tex(breakurl.sty)
Provides: tex(distiller.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvips.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipsone.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(gastex.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(textures.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(vtex.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(xdvipdfmx.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-fp.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-key.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstPlain.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstricks.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstricks97.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-all.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-doc.cls) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-key.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstcol.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pstricks.sty) = %{epoch}:%{source_date}-%{release}

%description pstricks
An extensive collection of macros for generating PostScript
that is usable with most TeX macro formats, including Plain
TeX, LaTeX, AMS-TeX, and AMS-LaTeX. Included are macros for
colour, graphics, pie charts, rotation, trees and overlays. It
has many special features, including a wide variety of graphics
(picture drawing) macros, with a flexible interface and with
colour support. There are macros for colouring or shading the
cells of tables. The package pstricks-add contains bug-fixes
and additions for pstricks (among other things). PSTricks uses
PostScript \special commands, which are not supported by
PDF(La)TeX. This limitation may be overcome by using either the
pst-pdf or the pdftricks package, to generate a PDF inclusion
from a PSTricks diagram.


%package pst-slpe
Provides: tex-pst-slpe = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-slpe-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-slpe-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-slpe-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Sophisticated colour gradients
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-slpe.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-slpe.sty) = %{epoch}:%{source_date}-%{release}

%description pst-slpe
This PStricks package covers all the colour gradient
functionality of pst-grad (part of the base pstricks
distribution), and provides the following facilities: - it
permits the user to specify an arbitrary number of colours,
along with the points at which they are to be reached; - it
converts between RGB and HSV behind the scenes; - it provides
concentric and radial gradients; - it provides a command
\psBall that generates bullets with a three-dimensional
appearance; and - uses the xkeyval package for the extended key
handling.


%package pst-text
Provides: tex-pst-text = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-text-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-text-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-text-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Text and character manipulation in PSTricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-char.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-text.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-char.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-text.sty) = %{epoch}:%{source_date}-%{release}

%description pst-text
Pst-text is a PSTricks based package for plotting text along a
different path and manipulating characters. It includes the
functionality of the old package pst-char.


%package pst-tree
Provides: tex-pst-tree = %{epoch}:%{source_date}-%{release}
Provides: tex-pst-tree-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pst-tree-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pst-tree-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Trees, using pstricks
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-tree.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-tree.sty) = %{epoch}:%{source_date}-%{release}

%description pst-tree
pst-tree is a pstricks package that defines a macro \pstree
which offers a structured way of joining nodes created using
pst-node in order to draw trees.


%package qstest
Provides: tex-qstest = %{epoch}:%{source_date}-%{release}
Provides: tex-qstest-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-qstest-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-qstest-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Bundle for unit tests and pattern matching
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(verbatim.sty)
Provides: tex(makematch.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(qstest.sty) = %{epoch}:%{source_date}-%{release}

%description qstest
This is the public release of the qstest bundle (written for
DocScape Publisher) (C) 2006, 2007 QuinScape GmbH. The bundle
contains the packages 'makematch' for matching patterns to
targets (with a generalization in the form of pattern lists and
keyword lists), and 'qstest' for performing unit tests,
allowing the user to run a number of logged tests ensuring the
consistency of values, properties and call sequences during
execution of test code. Both packages make extensive use of in
their package documentation, providing illustrated examples
that are automatically verified to work as expected. Check the
README file for details.


%package sauerj
Provides: tex-sauerj = %{epoch}:%{source_date}-%{release}
Provides: tex-sauerj-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-sauerj-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-sauerj-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A bundle of utilities by Jonathan Sauer
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(keyval.sty)
Provides: tex(collect.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(metainfo.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(optparams.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(parcolumns.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(processkv.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zahl2string.sty) = %{epoch}:%{source_date}-%{release}

%description sauerj
The bundle consists of: a tool for collecting text for later
re-use, a tool for typesetting the "meta-information" within a
text, a tool for use in constructing macros with multiple
optional parameters, a package for multiple column parallel
texts, a tool for processing key-value structured lists, and
macros for typesetting a number as a German-language string.


%package scheme-basic
Summary: basic scheme (plain and latex)
BuildArch: noarch
Requires: texlive-base
Requires(post,postun): coreutils
Requires: texlive-collection-basic
Requires: texlive-collection-latex

%description scheme-basic
This is the basic TeX Live scheme: it is a small set of files
sufficient to typeset plain TeX or LaTeX documents in
PostScript or PDF, using the Computer Modern fonts.  This
scheme corresponds to collection-basic and collection-latex.


%package sectsty
Provides: tex-sectsty = %{epoch}:%{source_date}-%{release}
Provides: tex-sectsty-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-sectsty-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-sectsty-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Control sectional headers
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(sectsty.sty) = %{epoch}:%{source_date}-%{release}

%description sectsty
A LaTeX2e package to help change the style of any or all of
LaTeX's sectional headers in the article, book, or report
classes. Examples include the addition of rules above or below
a section title.


%package showexpl
Provides: tex-showexpl = %{epoch}:%{source_date}-%{release}
Provides: tex-showexpl-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-showexpl-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-showexpl-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Typesetting LaTeX source code
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(attachfile.sty)
Requires: tex(listings.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(graphicx.sty)
Requires: tex(varwidth.sty)
Provides: tex(showexpl.sty) = %{epoch}:%{source_date}-%{release}

%description showexpl
This package provides a way to typeset LaTeX source code and
the related result in the same document.


%package soul
Provides: tex-soul = %{epoch}:%{source_date}-%{release}
Provides: tex-soul-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-soul-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-soul-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Hyphenation for letterspacing, underlining, and more
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(soul.sty) = %{epoch}:%{source_date}-%{release}

%description soul
Provides hyphenatable spacing out (letterspacing), underlining,
striking out, etc., using the TeX hyphenation algorithm to find
the proper hyphens automatically. The package also provides a
mechanism that can be used to implement similar tasks, that
have to treat text syllable by syllable. This is shown in two
examples. The package itself does not support UTF-8 input in
ordinary (PDF)LaTeX; some UTF-8 support is offered by package
soulutf8


%package stmaryrd
Provides: tex-stmaryrd = %{epoch}:%{source_date}-%{release}
Provides: tex-stmaryrd-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-stmaryrd-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-stmaryrd-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: St Mary Road symbols for theoretical computer science
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(stmaryrd.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary5.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary6.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary7.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmary9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(Ustmry.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(stmaryrd.sty) = %{epoch}:%{source_date}-%{release}

%description stmaryrd
The fonts were originally distributed as MetaFont sources only,
but Adobe Type 1 versions are also now available. Macro support
is provided for use under LaTeX; the package supports the
"only" option (provided by the somedefs package) to restrict
what is loaded, for those who don't need the whole font.


%package subfigure
Provides: tex-subfigure = %{epoch}:%{source_date}-%{release}
Provides: tex-subfigure-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-subfigure-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-subfigure-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Deprecated: Figures divided into subfigures
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(subfigure.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(subfigure.sty) = %{epoch}:%{source_date}-%{release}

%description subfigure
Provides support for the manipulation and reference of small or
'sub' figures and tables within a single figure or table
environment. It is convenient to use this package when your
subfigures are to be separately captioned, referenced, or are
to be included in the List-of-Figures. A new \subfigure command
is introduced which can be used inside a figure environment for
each subfigure. An optional first argument is used as the
caption for that subfigure. This package is now obsolescent:
new users should use subfig instead.


%package svn-prov
Provides: tex-svn-prov = %{epoch}:%{source_date}-%{release}
Provides: tex-svn-prov-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-svn-prov-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-svn-prov-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Subversion variants of \Provides... macros
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(svn-prov.sty) = %{epoch}:%{source_date}-%{release}

%description svn-prov
The package introduces Subversion variants of the standard
LaTeX macros \ProvidesPackage, \ProvidesClass and \ProvidesFile
where the file name and date is extracted from Subversion Id
keywords. The file name may also be given explicitly as an
optional argument.


%package t2
Provides: tex-t2 = %{epoch}:%{source_date}-%{release}
Provides: tex-t2-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-t2-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-t2-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Support for using T2 encoding
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(amssymb.sty)
Requires: tex(enumerate.sty)
Provides: tex(t2a-mod1.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2a-mod2.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2a.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2b.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2c.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(x2.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(alias-cmc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(alias-wncy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(cyralias.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(fnstcorr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(citehack.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathtext.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(misccorr.sty) = %{epoch}:%{source_date}-%{release}

%description t2
The T2 bundle provides a variety of separate support functions,
for using Cyrillic characters in LaTeX: - the mathtext package,
for using Cyrillic letters 'transparently' in formulae - the
citehack package, for using Cyrillic (or indeed any non-ascii)
characters in citation keys; - support for Cyrillic in BibTeX;
- support for Cyrillic in Makeindex; and - various items of
font support.

%package textpos
Provides: tex-textpos = %{epoch}:%{source_date}-%{release}
Provides: tex-textpos-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-textpos-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-textpos-doc < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Place boxes at arbitrary positions on the LaTeX page
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(everyshi.sty)
Provides: tex(textpos.sty) = %{epoch}:%{source_date}-%{release}

%description textpos
A package to facilitate placement of boxes at absolute
positions on the LaTeX page. There are several reasons why this
might be useful, an important one being to help the creation of
large-format conference posters.


%package threeparttable
Provides: tex-threeparttable = %{epoch}:%{source_date}-%{release}
Provides: tex-threeparttable-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-threeparttable-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-threeparttable-doc < %{tl_epoch}:%{source_date}
License: Threeparttable
Summary: Tables with captions and notes all the same width
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(3parttable.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(threeparttable.sty) = %{epoch}:%{source_date}-%{release}

%description threeparttable
Provides a scheme for tables that have a structured note
section, after the caption. This scheme provides an answer to
the old problem of putting footnotes in tables -- by making
footnotes entirely unnecessary. Note that a threeparttable is
not a float of itself; but you can place it in a table or a
table* environment, if necessary.


%package titlesec
Provides: tex-titlesec = %{epoch}:%{source_date}-%{release}
Provides: tex-titlesec-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-titlesec-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-titlesec-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Select alternative section titles
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(titleps.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(titlesec.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(titletoc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttlkeys.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ttlps.def) = %{epoch}:%{source_date}-%{release}

%description titlesec
A package providing an interface to sectioning commands for
selection from various title styles. E.g., marginal titles and
to change the font of all headings with a single command, also
providing simple one-step page styles. Also includes a package
to change the page styles when there are floats in a page. You
may assign headers/footers to individual floats, too.


%package titling
Provides: tex-titling = %{epoch}:%{source_date}-%{release}
Provides: tex-titling-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-titling-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-titling-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Control over the typesetting of the \maketitle command
BuildArch: noarch
Requires: texlive-base
Requires(post,postun): coreutils
Requires: tex-kpathsea
Provides: tex(titling.sty) = %{epoch}:%{source_date}-%{release}

%description titling
The titling package provides control over the typesetting of
the \maketitle command and \thanks commands, and makes the
\title, \author and \date information permanently available.
Multiple titles are allowed in a single document. New titling
elements can be added and a titlepage title can be centered on
a physical page.


%package adjustbox
Provides: tex-adjustbox = %{epoch}:%{source_date}-%{release}
Provides: tex-adjustbox-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-adjustbox-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-adjustbox-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: adjustbox package
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(xkeyval.sty)
Requires: tex(calc.sty)
Requires: tex(pgf.sty)
Requires: tex(graphicx.sty)
Requires: tex(collectbox.sty)
Requires: tex(ifoddpage.sty)
Requires: tex(varwidth.sty)
Provides: tex(adjcalc.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(adjustbox.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(tc-dvips.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tc-pdftex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tc-pgf.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tc-xetex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(trimclip.sty) = %{epoch}:%{source_date}-%{release}

%description adjustbox
adjustbox package


%package tocloft
Provides: tex-tocloft = %{epoch}:%{source_date}-%{release}
Provides: tex-tocloft-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tocloft-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tocloft-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Control table of contents, figures, etc
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(tocloft.sty) = %{epoch}:%{source_date}-%{release}

%description tocloft
Provides control over the typography of the Table of Contents,
List of Figures and List of Tables, and the ability to create
new `List of ...'. The ToC \parskip can be changed.


%package type1cm
Provides: tex-type1cm = %{epoch}:%{source_date}-%{release}
Provides: tex-type1cm-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-type1cm-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-type1cm-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Arbitrary size font selection in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(type1cm.sty) = %{epoch}:%{source_date}-%{release}

%description type1cm
LaTeX, by default, restricts the sizes at which you can use its
default computer modern fonts, to a fixed set of discrete sizes
(effectively, a set specified by Knuth). The type1cm package
removes this restriction; this is particularly useful when
using scalable versions of the cm fonts (Bakoma, or the
versions from BSR/Y&Y, or True Type versions from Kinch, PCTeX,
etc.). In fact, since modern distributions will automatically
generate any bitmap font you might need, type1cm has wider
application than just those using scaleable versions of the
fonts. Note that the LaTeX distribution now contains a package
fix-cm, which performs the task of type1cm, as well as doing
the same job for T1- and TS1-encoded ec fonts.


%package ucs
Provides: tex-ucs = %{epoch}:%{source_date}-%{release}
Provides: tex-ucs-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ucs-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ucs-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extended UTF-8 input encoding support for LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(graphicx.sty)
Requires: tex(hyperref.sty)
Requires: tex(keyval.sty)
Requires: tex(fontenc.sty)
Provides: tex(uni-0.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-1.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-100.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-101.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-102.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-103.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-104.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-105.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-106.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-107.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-108.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-109.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-110.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-111.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-112.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-113.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-114.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-115.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-116.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-117.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-118.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-119.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-12.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-120.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-121.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-122.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-123.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-124.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-125.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-126.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-127.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-128.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-129.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-130.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-131.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-132.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-133.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-134.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-135.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-136.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-137.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-138.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-139.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-14.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-140.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-141.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-142.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-143.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-144.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-145.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-146.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-147.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-148.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-149.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-150.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-151.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-152.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-153.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-154.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-155.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-156.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-157.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-158.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-159.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-167.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-172.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-173.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-174.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-175.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-176.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-177.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-178.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-179.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-18.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-180.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-181.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-182.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-183.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-184.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-185.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-186.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-187.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-188.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-189.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-19.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-190.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-191.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-192.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-193.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-194.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-195.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-196.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-197.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-198.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-199.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-2.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-200.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-201.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-202.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-203.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-204.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-205.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-206.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-207.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-208.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-209.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-210.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-211.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-212.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-213.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-214.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-215.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-24.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-248.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-249.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-250.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-251.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-254.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-255.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-29.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-3.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-30.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-31.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-32.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-33.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-34.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-35.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-3584.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-36.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-37.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-38.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-39.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-4.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-40.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-42.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-44.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-46.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-465.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-468.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-469.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-47.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-470.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-471.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-48.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-49.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-497.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-498.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-5.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-50.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-51.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-760.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-761.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-762.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-78.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-79.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-80.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-81.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-82.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-83.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-84.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-85.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-86.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-87.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-88.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-89.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-9.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-90.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-91.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-92.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-93.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-94.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-95.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-96.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-97.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-98.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-99.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uni-global.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(uninames.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucsencs.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucshyper.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(ucsutils.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(utf8x.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(autofe.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(c00enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(c10enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(c40enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(c42enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(c61enc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(cenccmn.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(cp1252.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(ldvarial.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ldvc2000.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ldvenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(letc2000.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(letenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(letgfzem.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(letjiret.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lklenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(lklkli.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltaarial.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltac2000.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltaenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltgc2000.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltgenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltlcmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltlenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltwdsnol.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltwdsque.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltwdssin.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ltwenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(lucarial.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lucc2000.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(lucenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkrenc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkrezra.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkrhadas.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkromega.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkrrashi.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2dcmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(t2denc.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(tengwarDS.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(xscmr.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(xsenc.def) = %{epoch}:%{source_date}-%{release}

%description ucs
The bundle provides the ucs package, and utf8x.def, together
with a large number of support files. The utf8x.def definition
file for use with inputenc covers a wider range of Unicode
characters than does utf8.def in the LaTeX distribution. The
package provides facilities for efficient use of its large sets
of Unicode characters. Glyph production may be controlled by
various options, which permits use of non-ASCII characters when
coding mathematical formulae. Note that the bundle previously
had an alias "unicode"; that alias has now been withdrawn, and
no package of that name now exists.


%package ulem
Provides: tex-ulem = %{epoch}:%{source_date}-%{release}
Provides: tex-ulem-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ulem-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ulem-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-framed
Summary: Package for underlining
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(ulem.sty) = %{epoch}:%{source_date}-%{release}

%description ulem
The package provides an \ul (underline) command which will
break over line ends; this technique may be used to replace \em
(both in that form and as the \emph command), so as to make
output look as if it comes from a typewriter. The package also
offers double and wavy underlining, and striking out (line
through words) and crossing out (/// over words). The package
works with both Plain TeX and LaTeX.


%package unicode-math
Provides: tex-unicode-math = %{epoch}:%{source_date}-%{release}
Provides: tex-unicode-math-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-unicode-math-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-unicode-math-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Unicode mathematics support for XeTeX and LuaTeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex-fontspec
Requires: tex(lualatex-math.sty)
Requires: tex(luatexbase.sty)
Requires: tex(luaotfload.sty)
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(l3keys2e.sty)
Requires: tex(fontspec.sty)
Requires: tex(catchfile.sty)
Requires: tex(fix-cm.sty)
Requires: tex(filehook.sty)
Provides: tex(unicode-math-luatex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(unicode-math-table.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(unicode-math-xetex.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(unicode-math.sty) = %{epoch}:%{source_date}-%{release}

%description unicode-math
The current release of this package typesets mathematics with
unicode input and using OpenType maths fonts. (There is little
compatibility with older maths packages.) XeTeX support is well
tested, though LuaTeX support less so. The package can typeset
using STIX fonts, the XITS development of those fonts, the
Asana-Math fonts, the Latin Modern Math, and the TeX Gyre Math
font familiess, as well as the commercial Cambria Math fonts.
There is no support for extra alphabets in the Unicode 'private
use area'. The package relies on recent versions of the
fontspec package and the l3kernel and l3packages bundles.


%package varwidth
Provides: tex-varwidth = %{epoch}:%{source_date}-%{release}
Provides: tex-varwidth-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-varwidth-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-varwidth-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A variable-width minipage
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(varwidth.sty) = %{epoch}:%{source_date}-%{release}

%description varwidth
The varwidth environment is superficially similar to minipage,
but the specified width is just a maximum value -- the box may
get a narrower "natural" width.


%package was
Provides: tex-was = %{epoch}:%{source_date}-%{release}
Provides: tex-was-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-was-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-was-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A collection of small packages by Walter Schmidt
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(fixmath.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(gensymb.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(icomma.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(upgreek.sty) = %{epoch}:%{source_date}-%{release}

%description was
A bundle of packages that arise in the author's area of
interest: - compliance of maths typesetting with ISO standards;
- symbols that work in both maths and text modes; - commas for
both decimal separator and maths; and - upright Greek letters
in maths.


%package wrapfig
Provides: tex-wrapfig = %{epoch}:%{source_date}-%{release}
Provides: tex-wrapfig-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-wrapfig-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-wrapfig-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Produces figures which text can flow around
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(wrapfig.sty) = %{epoch}:%{source_date}-%{release}

%description wrapfig
Allows figures or tables to have text wrapped around them. Does
not work in combination with list environments, but can be used
in a parbox or minipage, and in twocolumn format. Supports the
float package.


%package xifthen
Provides: tex-xifthen = %{epoch}:%{source_date}-%{release}
Provides: tex-xifthen-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xifthen-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xifthen-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Extended conditional commands
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Requires: tex(etex.sty)
Requires: tex(calc.sty)
Requires: tex(ifthen.sty)
Requires: tex(ifmtarg.sty)
Provides: tex(xifthen.sty) = %{epoch}:%{source_date}-%{release}

%description xifthen
This package extends the ifthen package by implementing new
commands to go within the first argument of \ifthenelse: to
test whether a string is void or not, if a command is defined
or equivalent to another. The package also enables use of
complex expressions as introduced by the package calc, together
with the ability of defining new commands to handle complex
tests. The package requires e-TeX features.


%package xstring
Provides: tex-xstring = %{epoch}:%{source_date}-%{release}
Provides: tex-xstring-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xstring-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xstring-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: String manipulation for (La)TeX
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(xstring.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(xstring.tex) = %{epoch}:%{source_date}-%{release}

%description xstring
The package provides macros for manipulating strings -- testing
a string's contents, extracting substrings, substitution of
substrings and providing numbers such as string length,
position of, or number of recurrences of, a substring. The
package works equally in Plain TeX and LaTeX (though e-TeX is
always required). The strings to be processed may contain
(expandable) macros.


%package xtab
Provides: tex-xtab = %{epoch}:%{source_date}-%{release}
Provides: tex-xtab-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-xtab-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-xtab-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Break tables across pages
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(xtab.sty) = %{epoch}:%{source_date}-%{release}

%description xtab
Xtab is an extended and somewhat improved version of
supertabular; it provides tables that break across pages.


%package metapost
Provides: tex-metapost = %{epoch}:%{source_date}-%{release}
Provides: texlive-metapost-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-metapost-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-metapost-bin < %{tl_epoch}:%{source_date}
Provides: texlive-metapost-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-metapost-doc < %{tl_epoch}:%{source_date}
Provides: tex-metapost-examples-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-metapost-examples-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-metapost-examples-doc < %{tl_epoch}:%{source_date}
License: LGPL-2.1-or-later
Summary: A development of Metafont for creating graphics
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires: texlive-lib = %{epoch}:%{version}-%{release}
Provides: tex(freeeuro.afm) = %{epoch}:%{source_date}-%{release}
Provides: tex(psyrgo.afm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpzdr-reversed.afm) = %{epoch}:%{source_date}-%{release}
Provides: tex(groff.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(troff-updmap.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(troff.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(freeeuro.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagd8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagdo8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagk8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pagko8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkd8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkdi8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkl8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pbkli8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrb8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrbo8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrr8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pcrro8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvb8gn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvbo8gn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvr8gn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(phvro8gn.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncb8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncbi8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncr8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pncri8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplb8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplbi8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplr8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pplri8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(psyrgo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmb8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmbi8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmr8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(ptmri8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(pzcmi8g.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(zpzdr-reversed.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(freeeuro.pfa) = %{epoch}:%{source_date}-%{release}
Provides: tex(mfplain.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(trfonts.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mproof.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mpsproof.tex) = %{epoch}:%{source_date}-%{release}

%description metapost
MetaPost uses a language based on that of Metafont to produce
precise technical illustrations. Its output is scalable
PostScript or SVG, rather than the bitmaps Metafont creates.


%package collection-metapost
Summary: MetaPost (and Metafont) drawing packages
BuildArch: noarch
Requires: texlive-base
Requires(post,postun): coreutils
Requires: tex-automata
Requires: tex-bbcard
Requires: tex-blockdraw_mp
Requires: tex-bpolynomial
Requires: tex-cmarrows
Requires: tex-drv
Requires: tex-dviincl
Requires: tex-emp
Requires: tex-epsincl
Requires: tex-expressg
Requires: tex-exteps
Requires: tex-featpost
Requires: tex-feynmf
Requires: tex-feynmp-auto
Requires: tex-garrigues
Requires: tex-gmp
Requires: tex-hatching
Requires: tex-latexmp
Requires: tex-metago
Requires: tex-metaobj
Requires: tex-metaplot
Requires: tex-metapost
Requires: tex-metauml
Requires: tex-mfpic
Requires: tex-mfpic4ode
Requires: tex-mp3d
Requires: tex-mpcolornames
Requires: tex-mpattern
Requires: tex-mpgraphics
Requires: tex-piechartmp
Requires: tex-roex
Requires: tex-slideshow
Requires: tex-splines
Requires: tex-suanpan
Requires: tex-textpath
Requires: tex-threeddice
Requires: texlive-collection-basic

%description collection-metapost
collection-metapost package


%package graphics-def
Provides: tex-graphics-def = %{epoch}:%{source_date}-%{release}
Provides: tex-dvipdfmx-def = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvipdfmx-def = %{epoch}:%{source_date}-%{release}
Provides: tex-dvisvgm-def = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvisvgm-def = %{epoch}:%{source_date}-%{release}
Provides: tex-pdftex-def = %{epoch}:%{source_date}-%{release}
Provides: tex-xetex-def = %{epoch}:%{source_date}-%{release}
Provides: %{name}-pdftex-def = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-pdftex-def <= 6:svn22653.0.06d
Obsoletes: %{name}-dvipdfmx-def <= 6:svn15878.0
Obsoletes: %{name}-dvisvgm-def < %{tl_epoch}:%{source_date}
Obsoletes: %{name}-luatex-def < %{tl_epoch}:%{source_date}
Obsoletes: %{name}-xetex-def <= 6:svn29154.0.95
License: LPPL-1.3c
Summary: Colour and graphics option files
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex-kpathsea
Requires: texlive-epstopdf-pkg
Provides: texlive-xetex-def = %{epoch}:%{source_date}-%{release}
Provides: texlive-luatex-def = %{epoch}:%{source_date}-%{release}
Provides: tex(dvipdfmx.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvips.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(dvisvgm.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(pdftex.def) = %{epoch}:%{source_date}-%{release}
Provides: tex(xetex.def) = %{epoch}:%{source_date}-%{release}

%description graphics-def
This bundle is a combined distribution consisting of dvips.def,
pdftex.def, luatex.def, xetex.def, dvipdfmx.def, and
dvisvgm.def driver option files for the LaTeX graphics and
color packages. It is hoped that by combining their source
repositories at https://github.com/latex3/graphics-def it will
be easier to coordinate updates.

%package tex-ini-files
Provides: tex-tex-ini-files = %{epoch}:%{source_date}-%{release}
Provides: tex-tex-ini-files-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tex-ini-files-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tex-ini-files-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Model TeX format creation files
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(pdftexconfig.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatexconfig.tex) = %{epoch}:%{source_date}-%{release}

%description tex-ini-files
This bundle provides a collection of model .ini files for
creating TeX formats. These files are commonly used to
introduced distribution-dependent variations in formats. They
are also used to allow existing format source files to be used
with newer engines, for example to adapt the plain e-TeX source
file to work with XeTeX and LuaTeX.


%package texlive-common-doc
Summary: Documentation for texlive-common
Provides: tex-texlive-common-doc = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description texlive-common-doc
Documentation for texlive-common


%package texlive-en
Provides: tex-texlive-en = %{epoch}:%{source_date}-%{release}
Provides: tex-texlive-en-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-texlive-en-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-texlive-en-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: TeX Live manual (English)
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires(post,postun): /sbin/install-info

%description texlive-en
texlive-en package

%preun texlive-en
if [ "$1" == "0" ]; then
  /sbin/install-info --delete %{_infodir}/tlbuild.info %{_infodir}/dir 2>/dev/null || :
fi

%package texlive-msg-translations
Provides: tex-texlive-msg-translations = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: translations of the TeX Live installer and TeX Live Manager
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea


%description texlive-msg-translations
This package contains the translated messages of the TeX Live
installer and TeX Live Manager.  For information on creating or
updating translations, see
http://tug.org/texlive/doc.html#install-tl-xlate.


%package texlive-scripts
Provides: tex-texlive-scripts = %{epoch}:%{source_date}-%{release}
Provides: texlive-texlive-scripts-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-texlive-scripts-bin < 7:20170520
License: LPPL-1.3c
Summary: TeX Live infrastructure programs
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea = %{epoch}:%{source_date}-%{release}
Requires: tex-texlive.infra
Provides: texlive-tetex = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-tetex < 7:20200327

%description texlive-scripts
Includes install-tl, tl-portable, rungs, etc.; not needed for
tlmgr to run but still ours.  Not included in tlcritical.


%package texlive-scripts-extra
Provides: tex-texlive-scripts-extra = %{epoch}:%{source_date}-%{release}
Provides: texlive-texlive-scripts-extra-bin = %{epoch}:%{source_date}-%{release}
License: GPL-1.0-or-later AND LPPL-1.3c AND LicenseRef-Fedora-Public-Domain
Summary: TeX Live scripts
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-texlive.infra
Obsoletes: texlive-texconfig < 7:20200327
Obsoletes: texlive-pstools < 7:20200327
Obsoletes: texlive-pdftools < 7:20200327
BuildArch: noarch

%description texlive-scripts-extra
Miscellaneous scripts maintained as part of TeX Live, but not important for
the infrastructure. Thus, this is not part of scheme-infraonly or tlcritical,
just a normal package.


%package trimspaces
Provides: tex-trimspaces = %{epoch}:%{source_date}-%{release}
Provides: tex-trimspaces-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-trimspaces-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-trimspaces-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Trim spaces around an argument or within a macro
BuildArch: noarch
Requires: texlive-base
Requires: tex-kpathsea
Provides: tex(trimspaces.sty) = %{epoch}:%{source_date}-%{release}

%description trimspaces
A very short package that allows you to expandably remove
spaces around a token list (commands are provided to remove
spaces before, spaces after, or both); or to remove surrounding
spaces within a macro definition, or to define space-stripped
macros.


%package unicode-data
Provides: tex-unicode-data = %{epoch}:%{source_date}-%{release}
Provides: tex-unicode-data-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-unicode-data-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-unicode-data-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c AND Unicode-DFS-2015
Summary: Unicode data and loaders for TeX
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(load-unicode-math-classes.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(load-unicode-data.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(load-unicode-xetex-classes.tex) = %{epoch}:%{source_date}-%{release}

%description unicode-data
This bundle provides generic access to Unicode Consortium data
for TeX use. It contains a set of text files provided by the
Unicode Consortium which are currently all from Unicode 8.0.0,
with the exception of MathClass.txt which is not currently part
of the Unicode Character Database. Accompanying these source
data are generic TeX loader files allowing this data to be used
as part of TeX runs, in particular in building format files.
Currently there are two loader files: one for general character
set up and one for initialising XeTeX character classes as has
been carried out to date by unicode-letters.tex. The source
data are distributed in accordance with the license stipulated
by the Unicode Consortium. The bundle as a whole is co-
ordinated by the LaTeX3 Project as a general resource for TeX
users.


%package xmltexconfig
Provides: tex-xmltexconfig = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: xmltexconfig package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea

%description xmltexconfig
xmltexconfig package


%package lualibs
Provides: tex-lualibs = %{epoch}:%{source_date}-%{release}
Provides: tex-lualibs-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lualibs-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lualibs-doc < %{tl_epoch}:%{source_date}
License: GPL-2.0-or-later
Summary: Additional Lua functions for LuaTeX macro programmers
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea

%description lualibs
Lualibs is a collection of Lua modules useful for general
programming. The bundle is based on lua modules shipped with
ConTeXt, and are made available in this bundle for use
independent of ConTeXt.


%package import
Provides: tex-import = %{epoch}:%{source_date}-%{release}
Provides: tex-import-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-import-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-import-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Establish input relative to a directory
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(import.sty) = %{epoch}:%{source_date}-%{release}

%description import
The commands \import{full_path}{file} and
\subimport{path_extension}{file} set up input through standard
LaTeX mechanisms (\input, \include and \includegraphics) to
load files relative to the \import-ed directory. There are also
\includefrom, \subincludefrom, and * variants of the commands.


%package tabu
Provides: tex-tabu = %{epoch}:%{source_date}-%{release}
Provides: tex-tabu-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tabu-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tabu-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Flexible LaTeX tabulars
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(array.sty)
Requires: tex(varwidth.sty)
Requires: tex(delarray.sty)
Requires: tex(linegoal.sty)
Provides: tex(tabu.sty) = %{epoch}:%{source_date}-%{release}

%description tabu
The package provides an environment, tabu, which will make any
sort of tabular (that doesn't need to split across pages), and
an environment longtabu which provides the facilities of tabu
in a modified longtable environment. (Note that this latter
offers an enhancement of ltxtable.) The package requires the
array package, and needs e-TeX to run (since array.sty is
present in every conforming distribution of LaTeX, and since
every publicly available LaTeX format is built using e-TeX, the
requirements are provided by default on any reasonable system).
The package also requires xcolor for coloured rules in tables,
and colortbl for coloured cells. The longtabu environment
further requires that longtable be loaded. The package itself
does not load any of these packages for the user. The tabu
environment may be used in place of tabular, tabular* and
tabularx environments, as well as the array environment in
maths mode. It overloads tabularx's X-column specification,
allowing a width specification, alignment (l, r, c and j) and
column type indication (p, m and b). \begin{tabu} to <dimen>
specifies a target width, and \begin{tabu} spread <dimen>
enlarges the environment's "natural" width.


%package linegoal
Provides: tex-linegoal = %{epoch}:%{source_date}-%{release}
Provides: tex-linegoal-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-linegoal-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-linegoal-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: A "dimen" that returns the space left on the line
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(etex.sty)
Requires: tex(zref.sty)
Requires: tex(zref-savepos.sty)
Provides: tex(linegoal.sty) = %{epoch}:%{source_date}-%{release}

%description linegoal
The linegoal package provides a macro \linegoal to be used with
\setlength: \setlength<some dimen>\linegoal will set <some
dimen> to the horizontal length of the remainder of the line.
This is achieved using the \pdfsavepos primitive of pdftex,
through the zref-savepos package. Example: Some text:
\begin{tabularx}\linegoal{|l|X|} \hline one & two \\ three &
four \\\hline \end{tabularx} will position the table after the
initial text, and make the table fill the rest of the line.


%package graphics-cfg
Provides: tex-graphics-cfg = %{epoch}:%{source_date}-%{release}
Provides: tex-graphics-cfg-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-graphics-cfg-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-graphics-cfg-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: Sample configuration files for LaTeX color and graphics
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(color.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(graphics.cfg) = %{epoch}:%{source_date}-%{release}

%description graphics-cfg
This bundle includes color.cfg and graphics.cfg files that set
default "driver" options for the color and graphics packages.
It contains support for defaulting the new LuaTeX option which
was added to graphics and color in the 2016-02-01 release. The
LuaTeX option is only used for LuaTeX versions from 0.87, older
versions use the pdfTeX option as before.


%package wasy
Provides: tex-wasy = %{epoch}:%{source_date}-%{release}
Provides: tex-wasy-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-wasy-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-wasy-doc < %{tl_epoch}:%{source_date}
License: LicenseRef-Fedora-Public-Domain
Summary: The wasy fonts (Waldi symbol fonts)
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(wasy10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasy5.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasy6.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasy7.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasy8.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasy9.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasyb10.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(wasyfont.tex) = %{epoch}:%{source_date}-%{release}

%description wasy
These are the wasy (Waldi symbol) fonts, second release. This
bundle presents the fonts in Metafont format, but they are also
available in Adobe Type 1 format. Support under LaTeX is
provided by the wasysym package.


%package ltabptch
Provides: tex-ltabptch = %{epoch}:%{source_date}-%{release}
Provides: tex-ltabptch-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ltabptch-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ltabptch-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Bug fix for longtable
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(longtable.sty)
Provides: tex(ltabptch.sty) = %{epoch}:%{source_date}-%{release}

%description ltabptch
A patch for LaTeX bugs tools/3180 and tools/3480. The patch
applies to version 4.11 of longtable.


%package manfnt-font
Provides: tex-manfnt-font = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: manfnt-font package
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Provides: tex(manfnt.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(manfnt.pfb) = %{epoch}:%{source_date}-%{release}

%description manfnt-font
manfnt-font package


%package finstrut
Provides: tex-finstrut = %{epoch}:%{source_date}-%{release}
Provides: tex-finstrut-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-finstrut-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-finstrut-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Adjust behaviour of the ends of footnotes
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(finstrut.sty) = %{epoch}:%{source_date}-%{release}

%description finstrut
The LaTeX internal command \@finalstrut is used automatically
used at the end of footnote texts to insert a strut to avoid
mis-spacing of multiple footnotes. Unfortunately the command
can cause a blank line at the end of a footnote. The package
provides a solution to this problem.


%package lineno
Provides: tex-lineno = %{epoch}:%{source_date}-%{release}
Provides: tex-lineno-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-lineno-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-lineno-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Line numbers on paragraphs
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(longtable.sty)
Requires: tex(ltabptch.sty)
Requires: tex(finstrut.sty)
Provides: tex(ednmath0.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(edtable.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fnlineno.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(lineno.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(vplref.sty) = %{epoch}:%{source_date}-%{release}

%description lineno
Adds line numbers to selected paragraphs with reference
possible through the LaTeX \ref and \pageref cross reference
mechanism. Line numbering may be extended to footnote lines,
using the fnlineno package.

%package breqn
Provides: tex-breqn = %{epoch}:%{source_date}-%{release}
Provides: tex-breqn-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-breqn-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-breqn-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Automatic line breaking of displayed equations
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(expl3.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Provides: tex(breqn.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(flexisym.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathstyle.sty) = %{epoch}:%{source_date}-%{release}

%description breqn
The package provides solutions to a number of common
difficulties in writing displayed equations and getting high-
quality output. For example, it is a well-known inconvenience
that if an equation must be broken into more than one line,
'left...right' constructs cannot span lines. The breqn package
makes them work as one would expect whether or not there is an
intervening line break. The single most ambitious goal of the
package, however, is to support automatic linebreaking of
displayed equations. Such linebreaking cannot be done without
substantial changes under the hood in the way formulae are
processed; the code must be watched carefully, keeping an eye
on possible glitches. The bundle also contains the flexisym and
mathstyle packages, which are both designated as support for
breqn.


%package mathtools
Provides: tex-mathtools = %{epoch}:%{source_date}-%{release}
Provides: tex-mathtools-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mathtools-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mathtools-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Mathematical tools to use with amsmath
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(mathtools.sty)
Requires: tex(keyval.sty)
Requires: tex(calc.sty)
Requires: tex(amsmath.sty)
Requires: tex(graphicx.sty)
Provides: tex(empheq.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mathtools.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(mhsetup.sty) = %{epoch}:%{source_date}-%{release}

%description mathtools
Mathtools provides a series of packages designed to enhance the
appearance of documents containing a lot of mathematics. The
main backbone is amsmath, so those unfamiliar with this
required part of the LaTeX system will probably not find the
packages very useful. Mathtools provides many useful tools for
mathematical typesetting. It is based on amsmath and fixes
various deficiencies of amsmath and standard LaTeX. It
provides: Extensible symbols, such as brackets, arrows,
harpoons, etc.; Various symbols such as \coloneqq (:=); Easy
creation of new tag forms; Showing equation numbers only for
referenced equations; Extensible arrows, harpoons and
hookarrows; Starred versions of the amsmath matrix environments
for specifying the column alignment; More building blocks:
multlined, cases-like environments, new gathered environments;
Maths versions of \makebox, \llap, \rlap etc.; Cramped math
styles; and more... Mathtools requires mhsetup.


%package mflogo-font
Provides: tex-mflogo-font = %{epoch}:%{source_date}-%{release}
Provides: tex-mflogo-font-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-mflogo-font-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-mflogo-font-doc < %{tl_epoch}:%{source_date}
License: Knuth-CTAN
Summary: Metafont logo font
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Provides: tex(mflogo.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(logo10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logo8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logo9.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logobf10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logod10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logosl10.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logosl8.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(logosl9.pfb) = %{epoch}:%{source_date}-%{release}

%description mflogo-font
These fonts were created in Metafont by Knuth, for his own
publications. At some stage, the letters 'P' and 'S' were
added, so that the MetaPost logo could also be expressed. The
fonts were originally issued (of course) as Metafont source;
they have since been autotraced and reissued in Adobe Type 1
format by Taco Hoekwater.

%package capt-of
Provides: tex-capt-of = %{epoch}:%{source_date}-%{release}
Provides: tex-capt-of-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-capt-of-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-capt-of-doc < %{tl_epoch}:%{source_date} 
License: LPPL-1.3c
Summary: Captions on more than floats
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(capt-of.sty) = %{epoch}:%{source_date}-%{release}

%description capt-of
Defines a command \captionof for putting a caption to something
that's not a float. Note that the caption package includes a
\captionof command that is an extension of that provided by
this package.


%package eqparbox
Provides: tex-eqparbox = %{epoch}:%{source_date}-%{release}
Provides: tex-eqparbox-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-eqparbox-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-eqparbox-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Create equal-widthed parboxes
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(array.sty)
Requires: tex(environ.sty)
Provides: tex(eqparbox.sty) = %{epoch}:%{source_date}-%{release}

%description eqparbox
LaTeX users sometimes need to ensure that two or more blocks of
text occupy the same amount of horizontal space on the page. To
that end, the eqparbox package defines a new command,
\eqparbox, which works just like \parbox, except that instead
of specifying a width, one specifies a tag. All eqparboxes with
the same tag--regardless of where they are in the document--
will stretch to fit the widest eqparbox with that tag. This
simple, equal-width mechanism can be used for a variety of
alignment purposes, as is evidenced by the examples in
eqparbox's documentation. Various derivatives of \eqparbox are
also provided.


%package needspace
Provides: tex-needspace = %{epoch}:%{source_date}-%{release}
Provides: tex-needspace-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-needspace-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-needspace-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Insert pagebreak if not enough space
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(needspace.sty) = %{epoch}:%{source_date}-%{release}

%description needspace
Provides commands to disable pagebreaking within a given
vertical space. If there is not enough space between the
command and the bottom of the page, a new page will be started.


%package tabulary
Provides: tex-tabulary = %{epoch}:%{source_date}-%{release}
Provides: tex-tabulary-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-tabulary-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-tabulary-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Tabular with variable width columns balanced
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(array.sty)
Provides: tex(tabulary.sty) = %{epoch}:%{source_date}-%{release}

%description tabulary
The package defines a tabular*-like environment, tabulary,
taking a 'total width' argument as well as the column
specifications. The environment uses column types L, C, R and J
for variable width columns (\raggedright', \centering,
\raggedleft, and normally justified). In contrast to tabularx's
X columns, the width of each column is weighted according to
the natural width of the widest cell in the column.


%package upquote
Provides: tex-upquote = %{epoch}:%{source_date}-%{release}
Provides: tex-upquote-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-upquote-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-upquote-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Show "realistic" quotes in verbatim
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: tex(textcomp.sty)
Provides: tex(upquote.sty) = %{epoch}:%{source_date}-%{release}

%description upquote
Typewriter-style fonts are best for program listings, but
Computer Modern Typewriter prints ` and ' as bent opening and
closing single quotes. Other fonts, and most programming
languages, print ` as a grave accent and ' upright; ' is used
both to open and to close quoted strings. The package switches
the typewriter font to Computer Modern Typewriter in OT1
encoding, and modifies the behaviour of verbatim, verbatim*,
\verb, and \verb* to print in the "` and ' way". It does
thisregardless of other fonts or encodings in use, so long as
the package is loaded after the other fonts were. The package
does not affect \tt, \texttt, etc.

%package anyfontsize
Provides: tex-anyfontsize = %{epoch}:%{source_date}-%{release}
Provides: tex-anyfontsize-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-anyfontsize-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-anyfontsize-doc < %{tl_epoch}:%{source_date} 
License: LPPL-1.3c
Summary: Select any font size in LaTeX
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(anyfontsize.sty) = %{epoch}:%{source_date}-%{release}

%description anyfontsize
The package allows the to user select any font size (via e.g.
\fontsize{...}{...}\selectfont), even those sizes that are not
listed in the .fd file. If such a size is requested, LaTeX will
search for and select the nearest listed size; anyfontsize will
then scale the font to the size actually requested. Similar
functionality is available for the CM family, for the EC
family, or for either computer modern encoding; the present
package generalises the facility.

%package collection-htmlxml
Summary: HTML/SGML/XML support
BuildArch: noarch
Requires: texlive-base
Requires: texlive-collection-basic
Requires: texlive-collection-fontsrecommended
Requires: texlive-collection-latex
Requires: tex-classpack
Requires: tex-jadetex
Requires: tex-passivetex
Requires: tex-tex4ht
Requires: tex-xmltex
Requires: tex-xmltexconfig

%description collection-htmlxml
Packages to convert LaTeX to XML/HTML, and typeset XML/SGML.


%package classpack
Provides: tex-classpack = %{epoch}:%{source_date}-%{release}
Provides: tex-classpack-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-classpack-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-classpack-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: XML mastering for LaTeX classes and packages
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(classpack.sty) = %{epoch}:%{source_date}-%{release}

%description classpack
The package provides an experiment in using XML (specifically
DocBook 5) to mark up and maintain LaTeX classes and packages.
XSLT 2 styleheets generate the .dtx and .ins distribution files
expected by end users.


%package latex2man
Provides: tex-latex2man = %{epoch}:%{source_date}-%{release}
Provides: tex-latex2man-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-latex2man-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-latex2man-doc < %{tl_epoch}:%{source_date}
Provides: %{name}-latex2man-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-latex2man-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-latex2man-bin < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Translate LaTeX-based manual pages into Unix man format
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires(post,postun): /sbin/install-info
Requires: tex(fancyheadings.sty)
Requires: tex(fancyhdr.sty)
Provides: tex(latex2man.cfg) = %{epoch}:%{source_date}-%{release}
Provides: tex(latex2man.sty) = %{epoch}:%{source_date}-%{release}

%description latex2man
A tool to translate UNIX manual pages written with LaTeX into a
man-page format understood by the Unix man(1) command.
Alternatively HTML or TexInfo code can be produced. Output of
parts of the text may be supressed using the conditional text
feature.

%package ctablestack
Provides: tex-ctablestack = %{epoch}:%{source_date}-%{release}
Provides: tex-ctablestack-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-ctablestack-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-ctablestack-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Catcode table stable support
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(ctablestack.sty) = %{epoch}:%{source_date}-%{release}

%description ctablestack
This package provides a method for defining category code table
stacks in LuaTeX. It builds on code provided by the 2015/10/01
release of LaTeX2e (also available as ltluatex.sty for plain
users). It is required by the luatexbase package (v1.0 onward)
which uses ctablestack to provide a back-compatibility form of
this concept.


%package luatex85
Provides: tex-luatex85 = %{epoch}:%{source_date}-%{release}
Provides: tex-luatex85-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-luatex85-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-luatex85-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: pdfTeX aliases for LuaTeX
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(luatex85.sty) = %{epoch}:%{source_date}-%{release}

%description luatex85
The package provides emulation of pdfTeX primitives for LuaTeX
v0.85+.


%package dvisvgm
Provides: tex-dvisvgm = %{epoch}:%{source_date}-%{release}
Provides: dvisvgm = %{epoch}:%{source_date}-%{release}
Provides: %{name}-dvisvgm-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-dvisvgm-bin < %{tl_epoch}:%{source_date}
Obsoletes: dvisvgm < %{tl_epoch}:%{source_date}
License: GPL-1.0-or-later
Summary: Convert DVI files to Scalable Vector Graphics format (SVG)
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description dvisvgm
Dvisvgm is a command line utility that converts TeX DVI files
to the XML-based Scalable Vector Graphics (SVG) format. It
provides full font support including virtual fonts, font maps,
and sub-fonts. If necessary, dvisvgm vectorizes Metafont's
bitmap output in order to always create lossless scalable
output. The embedded SVG fonts can optionally be replaced with
graphics paths so that applications that don't support SVG
fonts are enabled to render the graphics properly. Besides many
other features, dvisvgm also supports color, emTeX, tpic, PDF
mapfile and PostScript specials. Users will need a working TeX
installation including the kpathsea library. For more detailed
information, see the project page.


%package babel-english
Provides: tex-babel-english = %{epoch}:%{source_date}-%{release}
Provides: tex-babel-english-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-babel-english-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-babel-english-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Babel support for English
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(english.ldf) = %{epoch}:%{source_date}-%{release}

%description babel-english
The package provides the language definition file for support
of English in babel. Care is taken to select british
hyphenation patterns for British English and Australian text,
and default ('american') patterns for Canadian and USA text.


%package awesomebox
Provides: tex-awesomebox = %{epoch}:%{source_date}-%{release}
License: WTFPL
Summary: raw admonition blocks in your documents, illustrated with FontAwesome icons
BuildArch: noarch
Requires: texlive-base
Provides: tex(awesomebox.sty) = %{epoch}:%{source_date}-%{release}
Requires: tex-fontawesome
Requires: tex(ifxetex.sty) = %{epoch}:%{source_date}-%{release}
Requires: tex(ifluatex.sty) = %{epoch}:%{source_date}-%{release}
Requires: tex(xltxtra.sty) = %{epoch}:%{source_date}-%{release}
Requires: tex(xcolor.sty) = %{epoch}:%{source_date}-%{release}
Requires: tex(tabularx.sty) = %{epoch}:%{source_date}-%{release}

%description awesomebox
Awesome Boxes is all about drawing admonition blocks around
text to inform or alert readers about something particular. The
specific aim of this package is to use FontAwesome icons to
ease the illustration of these blocks. This package requires
FontAwesome and XeLaTeX or LuaLaTeX.


%package fontawesome
Provides: tex-fontawesome = %{epoch}:%{source_date}-%{release}
Provides: tex-fontawesome-doc = %{epoch}:%{source_date}-%{release}
Provides: %{name}-fontawesome-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: %{name}-fontawesome-doc < %{tl_epoch}:%{source_date}
License: LPPL-1.3c
Summary: Font containing web-related icons
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires: tex(ifxetex.sty)
Requires: tex(ifluatex.sty)
Provides: tex(fontawesomeone.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesomethree.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesometwo.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesome.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(FontAwesome.otf) = %{epoch}:%{source_date}-%{release}
Provides: tex(FontAwesome--fontawesomeone.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(FontAwesome--fontawesomethree.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(FontAwesome--fontawesometwo.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(FontAwesome.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesome.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesomesymbols-generic.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesomesymbols-pdftex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(fontawesomesymbols-xeluatex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ufontawesomeone.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ufontawesomethree.fd) = %{epoch}:%{source_date}-%{release}
Provides: tex(ufontawesometwo.fd) = %{epoch}:%{source_date}-%{release}

%description fontawesome
The package offers access to the large number of web-related
icons provided by the included font. The package requires the
package, fontspec, if run with XeTeX or LuaTeX.

%package pst-tools
Provides: tex-pst-tools = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: PStricks support functions
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pstricks.sty)
Provides: tex(pst-tools.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-tools.sty) = %{epoch}:%{source_date}-%{release}

%description pst-tools
The package provides helper functions for other PSTricks
related packages.

%package pst-arrow
Summary: special arrows for PSTricks
License: LPPL-1.3c
BuildArch: noarch
Requires: texlive-base texlive-kpathsea
Provides: tex(pst-arrow.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(pst-arrow.sty) = %{epoch}:%{source_date}-%{release}

%description pst-arrow
This package has all the code from the package pstricks-add
which was related to arrows, like multiple arrows and so on.

%package context
Provides: tex-context = %{epoch}:%{source_date}-%{release}
Provides: texlive-context-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-context-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-context-bin < 7:20170520
Provides: tex-context-doc = %{epoch}:%{source_date}-%{release}
Provides: texlive-context-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-context-doc < 7:20170520
License: GPL-1.0-or-later OR LPPL-1.3c
Summary: The ConTeXt macro package
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-tetex
Requires(post,postun): coreutils
Requires: texlive-metapost
Requires: texlive-pdftex
Requires: texlive-xetex
Requires: texlive-luatex
Requires: texlive-lm
Requires: texlive-lm-math
Requires: texlive-amsfonts
Requires: texlive-manfnt-font
Requires: texlive-mflogo-font
Requires: texlive-stmaryrd
Requires: texlive-mptopdf
Requires: tex(pstricks.sty)
Requires: tex(pst-plot.sty)
Provides: tex(notepad++.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(texworks-setup.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(tools.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(TeXworks.ini) = %{epoch}:%{source_date}-%{release}
Provides: tex(scite-context-readme.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(type-buy.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(type-fsf.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(type-ghz.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(type-tmf.dat) = %{epoch}:%{source_date}-%{release}
Provides: tex(contnav.afm) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmin.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmit.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmitt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmrm.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmsc.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(cmtt.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-2004.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(q-8r.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(teff-trinite.enc) = %{epoch}:%{source_date}-%{release}
Provides: tex(contnav.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(8r-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(ec-os-public-lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkiv-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkiv-px.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(mkiv-tx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-adobe-euro.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-ams-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-ams-cmr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-ams-euler.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-context-symbol.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-dummy.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-empty.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-micropress-informal.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-public-csr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-public-lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-public-plr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-public-vnr.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-vogel-symbol.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-wasy.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-youngryu-px.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(original-youngryu-tx.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(qx-os-public-lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(t5-os-public-lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-base.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(texnansi-os-public-lm.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(tlig.map) = %{epoch}:%{source_date}-%{release}
Provides: tex(contnav.tfm) = %{epoch}:%{source_date}-%{release}
Provides: tex(contnav.pfb) = %{epoch}:%{source_date}-%{release}
Provides: tex(bidi-symbols.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(demo-symbols.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(export-example.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-cweb.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-datastrc.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-educat.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-format.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-layout.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-narrowtt.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-newmat.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-pictex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-streams.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-subsub.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(metatex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-arrange.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-combine.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-common.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-copy.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-ideas.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-listing.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-markdown.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-precache.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-select.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-sql.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-timing.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mtx-context-xml.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-abr-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-abr-02.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-abr-03.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-abr-04.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-cdr-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-faq-00.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-faq-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-faq-02.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-faq-03.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-mag-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-00.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-02.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-03.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-04.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-05.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-06.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-07.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-08.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-09.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-10.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-11.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-12.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-13.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-14.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-15.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-16.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-18.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-19.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-22.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-23.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-26.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-27.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-50.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-61.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-62.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-63.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-64.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-66.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-67.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-68.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-93.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-pre-96.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(s-ptj-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(status-mkiv.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(supp-mis.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(supp-mpe.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(supp-pdf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(x-dir-01.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-ams.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-apa-de.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-apa-fr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-apa-it.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-apa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-aps.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-num-fr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-num.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bibl-ssa.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(mag-0000.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(setup-qr.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(aesop-de.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(bryson.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(cervantes-es.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(darwin.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(davis.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(dawkins.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(demo-mps.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(demo-tex.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(demo-xml.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(douglas.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(hawking.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(khatt-ar.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(khatt-en.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(knuth.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(linden.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(lorem.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(materie.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(montgomery.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(quevedo-es.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(reich.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(sample.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(samples.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(thuan.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(tufte.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(ward.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(weisman.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(zapf.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(context-test.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-basics.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-fonts.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-languages.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-math.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-mplib.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-plain.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-preprocessor-test.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-preprocessor.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-swiglib-test.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-swiglib.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(luatex-test.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-de.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-en.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-nl.tex) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-de.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-en.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-ch-nl.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(m-pictex.sty) = %{epoch}:%{source_date}-%{release}
# shell and lua
BuildArch: noarch

%description context
A full featured, parameter driven macro package, which fully
supports advanced interactive documents. See the ConTeXt garden
for a wealth of support information.

%package obsolete
Summary: This package handles obsolete texlive subpackages
BuildArch: noarch
License: LicenseRef-Fedora-Public-Domain
Provides: texlive-wasy2-ps = %{epoch}:%{source_date}-%{release}.obsolete
Obsoletes: texlive-wasy2-ps <= %{tl_epoch}:%{source_date}
Provides: texlive-wasy2-ps-doc = %{epoch}:%{source_date}-%{release}.obsolete
Obsoletes: texlive-wasy2-ps-doc <= %{tl_epoch}:%{source_date}
Provides: texlive-tetex = 7:20190410.obsolete
Provides: texlive-tetex-bin = 7:20190410.obsolete
Provides: tex-tetex = 7:20190410.obsolete
Obsoletes: texlive-tetex <= 7:20190410
Obsoletes: texlive-tetex-bin <= 7:20190410
Obsoletes: tex-tetex <= 7:20190410
Provides: texlive-texconfig = 7:20190410.obsolete
Provides: tex-texconfig = 7:20190410.obsolete
Provides: texlive-texconfig-bin = 7:20190410.obsolete
Obsoletes: texlive-texconfig <= 7:20190410
Obsoletes: tex-texconfig <= 7:20190410
Obsoletes: texlive-texconfig-bin <= 7:20190410

%description obsolete
This package is a metapackage which handles obsolete texlive subpackages.
It does not contain the contents of the packages that it obsoletes.


%package grfext
Summary: Manipulate the graphics package's list of extensions
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(grfext.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description grfext
This package provides macros for adding to, and reordering the
list of graphics file extensions recognised by package
graphics.


%package auxhook
Summary: Hooks for auxiliary files
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(auxhook.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description auxhook
This package auxhook provides hooks for adding stuff at the
begin of .aux files.


%package grffile
Summary: Extended file name support for graphics (legacy package)
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(grffile-2017-06-30.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(grffile.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description grffile
The original package extended the file name processing of
package graphics to support a larger range of file names. The
base LaTeX code now supports multiple dots and spaces, and this
package by default is a stub that just loads graphicx. However,
\usepackage{grffile}[=v1] may be used to access version 1(.18)
of the package if that is needed.


%package kvoptions
Summary: Key value format for package options
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(kvoptions-patch.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(kvoptions.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(example-mycolorsetup.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description kvoptions
This package offers support for package authors who want to use
options in key-value format for their package options.


%package infwarerr
Summary: Complete set of information/warning/error message macros
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(infwarerr.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description infwarerr
This package provides a complete set of macros for information,
warning and error messages. Under LaTeX, the commands are
wrappers for the corresponding LaTeX commands; under Plain TeX
they are available as complete implementations.


%package pdftexcmds
Summary: LuaTeX support for pdfTeX utility functions
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(pdftexcmds.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description pdftexcmds
LuaTeX provides most of the commands of pdfTeX 1.40. However, a
number of utility functions are not available. This package
tries to fill the gap and implements some of the missing
primitives using Lua.


%package intcalc
Summary: Expandable arithmetic operations with integers
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(intcalc.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description intcalc
This package provides expandable arithmetic operations with
integers, using the e-TeX extension \numexpr if it is
available.


%package etexcmds
Summary: Avoid name clashes with e-TeX commands
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(etexcmds.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description etexcmds
New primitive commands are introduced in e-TeX; sometimes the
names collide with existing macros. This package solves the
name clashes by adding a prefix to e-TeX's commands. For
example, eTeX's \unexpanded is provided as \etex@unexpanded.


%package zref
Summary: A new reference scheme for LaTeX
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(zref-abspage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-abspos.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-base.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-counter.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-dotfill.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-env.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-hyperref.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-lastpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-marks.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-nextpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-pageattr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-pagelayout.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-perpage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-runs.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-savepos.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-thepage.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-titleref.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-totpages.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-user.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref-xr.sty) = %{epoch}:%{source_date}-%{release}
Provides: tex(zref.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description zref
This package offers a means to remove the limitation, of only
two properties, that is inherent in the way LaTeX's reference
system works. The package implements an extensible referencing
system, where properties may be defined and used in the course
of a document. It provides an interface for macro programmers
to access the new reference scheme and some modules that use
it. Modules available are: zref-user, use zref for
"traditional" labels and references; zref-abspage, retrieve
absolute page numbers (physical pages, as opposed to the
'logical' page number that is normally typeset when a page
number is requested; zref-lastpage, provide a zref-label for
the last page of the document; zref-nextpage, provide the page
number of the next page of the document; zref-totpages, provide
the total number of pages in the document; zref-pagelayout,
provide the page layout parameters of a each page (which may
then be printed at the end of the document); zref-perpage, make
a counter reset for each new page; zref-titleref, make section
title or caption text available through the reference system;
zref-savepos, make positions on a page available; zref-dotfill,
controlled dot-filling; zref-env, record the latest
environment's name and the line it started on; and zref-xr,
provide the facilities of the xr and xr-hyper packages.

%package wasy-type1
Summary: Type 1 versions of wasy fonts
License: LicenseRef-Fedora-Public-Domain
Requires: texlive-base texlive-kpathsea
Requires: texlive-wasy
Provides: tex(wasy.map) = %{tl_version}
BuildArch: noarch

%description wasy-type1
Converted (Adobe Type 1) outlines of the wasy fonts.

%package atbegshi
Summary: Execute stuff at \shipout time
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(atbegshi.sty) = %{tl_version}
BuildArch: noarch

%description atbegshi
This package is a modern reimplementation of package everyshi,
providing various commands to be executed before a \shipout
command. It makes use of e-TeX's facilities if they are
available. The package may be used either with LaTeX or with
plain TeX.

%package ltxcmds
Summary: Some LaTeX kernel commands for general use
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(ltxcmds.sty) = %{tl_version}
BuildArch: noarch

%description ltxcmds
This package exports some utility macros from the LaTeX kernel
into a separate namespace and also makes them available for
other formats such as plain TeX.

%package gettitlestring
Summary: Clean up title references
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(gettitlestring.sty) = %{tl_version}
BuildArch: noarch

%description gettitlestring
Cleans up the title string (removing \label commands) for
packages (such as nameref) that typeset such strings.

%package hobsub
Summary: Construct package bundles
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(hobsub-generic.sty) = %{tl_version}
Provides: tex(hobsub-hyperref.sty) = %{tl_version}
Provides: tex(hobsub.sty) = %{tl_version}
BuildArch: noarch

%description hobsub
Heiko Oberdiek's hobsub package (and hobsub-hyperref and
hobsub-generic packages) defined a mechanism for concatenating
multiple files into a single file for faster loading. The
disadvantage is that it introduces hard dependencies between
the source files that are included and complicates distribution
and updates. It was principally used with hyperref but is not
currently used in any standard packages in TeX Live. The
packages are still distributed as simple stubs that reference
the included packages via \RequirePackage rather than copying
their source. The documented source of the original packages is
available at github, but is not distributed to CTAN.

%package hycolor
Summary: Implements colour for packages hyperref and bookmark
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(hycolor.sty) = %{tl_version}
Provides: tex(xcolor-patch.sty) = %{tl_version}
BuildArch: noarch

%description hycolor
This package provides the code for the color option that is
used by packages hyperref and bookmark. It is not intended as
package for the user.

%package kvdefinekeys
Summary: Define keys for use in the kvsetkeys package
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(kvdefinekeys.sty) = %{tl_version}
BuildArch: noarch

%description kvdefinekeys
The package provides a macro \kv@define@key (analogous to
keyval's \define@key, to define keys for use by kvsetkeys.

%package kvsetkeys
Summary: Key value parser with default handler support
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(kvsetkeys.sty) = %{tl_version}
BuildArch: noarch

%description kvsetkeys
This package provides \kvsetkeys, a variant of package keyval's
\setkeys. It allows the user to specify a handler that deals
with unknown options. Active commas and equal signs may be used
(e.g. see babel's shorthands) and only one level of curly
braces are removed from the values.

%package letltxmacro
Summary: Let assignment for LaTeX macros
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(letltxmacro.sty) = %{tl_version}
BuildArch: noarch

%description letltxmacro
TeX's \let assignment does not work for LaTeX macros with
optional arguments or for macros that are defined as robust
macros by \DeclareRobustCommand. This package defines
\LetLtxMacro that also takes care of the involved internal
macros.

%package pdfescape
Summary: Implements pdfTeX's escape features using TeX or e-TeX
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(pdfescape.sty) = %{tl_version}
BuildArch: noarch

%description pdfescape
This package implements pdfTeX's escape features
(\pdfescapehex, \pdfunescapehex, \pdfescapename,
\pdfescapestring) using TeX or e-TeX.

%package refcount
Summary: Counter operations with label references
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(refcount.sty) = %{tl_version}
BuildArch: noarch

%description refcount
Provides commands \setcounterref and \addtocounterref which use
the section (or whatever) number from the reference as the
value to put into the counter, as in: ...\label{sec:foo} ...
\setcounterref{foonum}{sec:foo} Commands \setcounterpageref and
\addtocounterpageref do the corresponding thing with the page
reference of the label. No .ins file is distributed; process
the .dtx with plain TeX to create one.

%package colorprofiles
Summary: Collection of free ICC profiles
License: LPPL-1.3c AND MIT AND LicenseRef-Fedora-Public-Domain AND Zlib
Requires: texlive-base texlive-kpathsea
Provides: tex(FOGRA39L_coated.icc) = %{tl_version}
Provides: tex(colorprofiles.sty) = %{tl_version}
Provides: tex(colorprofiles.tex) = %{tl_version}
Provides: tex(sRGB.icc) = %{tl_version}
BuildArch: noarch

%description colorprofiles
This package collects free ICC profiles that can be used by
color profile aware applications/tools like the pdfx package,
as well as TeX and LaTeX packages to access them.

%package hyphenex
Provides: tex-hyphenex = %{tl_version}
License: LicenseRef-Fedora-Public-Domain
Summary: US English hyphenation exceptions file
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ushyphex.tex) = %{tl_version}
BuildArch: noarch

%description hyphenex
Exceptions for American English hyphenation patterns are
occasionally published in the TeX User Group journal TUGboat.
This bundle provides alternative Perl and Bourne shell scripts
to convert the source of such an article into an exceptions
file, together with a recent copy of the article and machine-
readable files.

%package ifplatform
Provides: tex-ifplatform = %{tl_version}
License: LPPL-1.3c
Summary: Conditionals to test which platform is being used
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(pdftexcmds.sty)
Requires: tex(catchfile.sty)
Requires: tex(ifluatex.sty)
Provides: tex(ifplatform.sty) = %{tl_version}
BuildArch: noarch

%description ifplatform
This package uses the (La)TeX extension -shell-escape to
establish whether the document is being processed on a Windows
or on a Unix-like system (Mac OS X, Linux, etc.), or on Cygwin
(Unix environment over a windows system). Booleans provided
are: \ifwindows, \iflinux, \ifmacosx and \ifcygwin. The package
also preserves the output of uname on a Unix-like system, which
may be used to distinguish between various classes of Unix
systems.

%package luahbtex
Provides: tex-luahbtex = %{epoch}:%{source_date}-%{release}
Provides: texlive-luahbtex-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-luahbtex-bin = %{epoch}:%{source_date}-%{release}
License: GPL-2.0-or-later
Summary: LuaTeX with HarfBuzz library for glyph shaping
Requires: texlive-base
Requires: texlive-kpathsea
Requires: texlive-luatex
Requires: texlive-cm
Requires: texlive-etex
Requires: texlive-hyphen-base
Requires: texlive-knuth-lib
Requires: texlive-plain
Requires: texlive-tex-ini-files
Requires: texlive-unicode-data
Requires: texlive-hyph-utf8
Requires: texlive-lib = %{epoch}:%{version}-%{release}

%description luahbtex
LuaTeX with HarfBuzz library for glyph shaping.

%package modes
Summary: A collection of Metafont mode_def's
License: LicenseRef-Fedora-Public-Domain
Requires: texlive-base texlive-kpathsea
BuildArch: noarch

%description modes
The modes file collects all known Metafont modes for printing
or display devices, of whatever printing technology. Special
provision is made for write-white printers, and a 'landscape'
mode is available, for making suitable fonts for printers with
pixels whose aspect is non-square. The file also provides
definitions that make \specials identifying the mode in
Metafont's GF output, and put coding information and other
Xerox-world information in the TFM file.

%package bitset
Summary: Handle bit-vector datatype
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Requires: texlive-bigintcalc
Provides: tex(bitset.sty) = %{tl_version}
BuildArch: noarch

%description bitset
This package defines and implements the data type bit set, a
vector of bits. The size of the vector may grow dynamically.
Individual bits can be manipulated.

%package rerunfilecheck
Summary: Checksum based rerun checks on auxiliary files
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Requires: texlive-atveryend
Requires: texlive-uniquecounter
Provides: tex(rerunfilecheck.sty) = %{tl_version}
BuildArch: noarch

%description rerunfilecheck
The package provides additional rerun warnings if some
auxiliary files have changed. It is based on MD5 checksum,
provided by pdfTeX.

%package stringenc
Summary: Converting a string between different encodings
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(se-ascii-print.def) = %{tl_version}
Provides: tex(se-ascii.def) = %{tl_version}
Provides: tex(se-clean7bit.def) = %{tl_version}
Provides: tex(se-cp1250.def) = %{tl_version}
Provides: tex(se-cp1251.def) = %{tl_version}
Provides: tex(se-cp1252.def) = %{tl_version}
Provides: tex(se-cp1257.def) = %{tl_version}
Provides: tex(se-cp437.def) = %{tl_version}
Provides: tex(se-cp850.def) = %{tl_version}
Provides: tex(se-cp852.def) = %{tl_version}
Provides: tex(se-cp855.def) = %{tl_version}
Provides: tex(se-cp858.def) = %{tl_version}
Provides: tex(se-cp865.def) = %{tl_version}
Provides: tex(se-cp866.def) = %{tl_version}
Provides: tex(se-dec-mcs.def) = %{tl_version}
Provides: tex(se-iso-8859-1.def) = %{tl_version}
Provides: tex(se-iso-8859-10.def) = %{tl_version}
Provides: tex(se-iso-8859-11.def) = %{tl_version}
Provides: tex(se-iso-8859-13.def) = %{tl_version}
Provides: tex(se-iso-8859-14.def) = %{tl_version}
Provides: tex(se-iso-8859-15.def) = %{tl_version}
Provides: tex(se-iso-8859-16.def) = %{tl_version}
Provides: tex(se-iso-8859-2.def) = %{tl_version}
Provides: tex(se-iso-8859-3.def) = %{tl_version}
Provides: tex(se-iso-8859-4.def) = %{tl_version}
Provides: tex(se-iso-8859-5.def) = %{tl_version}
Provides: tex(se-iso-8859-6.def) = %{tl_version}
Provides: tex(se-iso-8859-7.def) = %{tl_version}
Provides: tex(se-iso-8859-8.def) = %{tl_version}
Provides: tex(se-iso-8859-9.def) = %{tl_version}
Provides: tex(se-koi8-r.def) = %{tl_version}
Provides: tex(se-mac-centeuro.def) = %{tl_version}
Provides: tex(se-mac-cyrillic.def) = %{tl_version}
Provides: tex(se-mac-roman.def) = %{tl_version}
Provides: tex(se-nextstep.def) = %{tl_version}
Provides: tex(se-pdfdoc.def) = %{tl_version}
Provides: tex(se-utf16le.def) = %{tl_version}
Provides: tex(se-utf32be.def) = %{tl_version}
Provides: tex(se-utf32le.def) = %{tl_version}
Provides: tex(se-utf8.def) = %{tl_version}
Provides: tex(stringenc.sty) = %{tl_version}
BuildArch: noarch

%description stringenc
This package provides \StringEncodingConvert for converting a
string between different encodings. Both LaTeX and plain-TeX
are supported.

%package bookmark
Summary: A new bookmark (outline) organization for hyperref
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(bkm-dvipdfm.def) = %{tl_version}
Provides: tex(bkm-dvips.def) = %{tl_version}
Provides: tex(bkm-dvipsone.def) = %{tl_version}
Provides: tex(bkm-pdftex.def) = %{tl_version}
Provides: tex(bkm-textures.def) = %{tl_version}
Provides: tex(bkm-vtex.def) = %{tl_version}
Provides: tex(bookmark.sty) = %{tl_version}
BuildArch: noarch

%description bookmark
This package implements a new bookmark (outline) organization
for package hyperref. Bookmark properties such as style and
color can now be set. Other action types are available (URI,
GoToR, Named). The bookmarks are generated in the first compile
run. Package hyperref uses two runs.

%package alphalph
Summary: Convert numbers to letters
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(alphalph.sty) = %{tl_version}
BuildArch: noarch

%description alphalph
Provides commands \alphalph and \AlphAlph. They are like
\number but the expansion consists of lowercase and uppercase
letters respectively (1 to a, 26 to z, 27 to aa, 52 to zz, 53
to ba, 702 to zz, 703 to aaa, etc.). Can be used as a
replacement for LaTeX's \@alph and \@Alph macros.

%package hologo
Summary: A collection of logos with bookmark support
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(hologo.sty) = %{tl_version}
BuildArch: noarch

%description hologo
The package defines a single command \hologo, whose argument is
the usual case-confused ASCII version of the logo. The command
is bookmark-enabled, so that every logo becomes available in
bookmarks without further work.

%package pdfcolmk
Summary: Improved colour support under pdfTeX (legacy stub)
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(pdfcolmk.sty) = %{tl_version}
BuildArch: noarch

%description pdfcolmk
The package used to provide macros that emulated the 'colour
stack' functionality of dvips. The colour stack deals with
colour manipulations when asynchronous events (like
page-breaking) occur. At the time the package was written,
pdfTeX did not (yet) have such a stack, though dvips had had
one for a long time. This package was an experimental solution
to the problem, and worked best with pdfeTeX. For current
releases of pdfTeX (later than version 1.40.0, released in
2007), this package is not needed, since "real" colour stacks
are available. The present pdfcolmk is therefore just an empty
stub that does nothing at all, just in case there are still
documents that reference it. The documented source of the
original package is still available at the github repository.

%package sansmathaccent
Provides: tex-sansmathaccent = %{tl_version}
License: LPPL-1.3c
Summary: Correct placement of accents in sans-serif maths
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(filehook.sty)
Provides: tex(sansmathaccent.map) = %{tl_version}
Provides: tex(ot1mathkerncmss.fd) = %{tl_version}
Provides: tex(sansmathaccent.sty) = %{tl_version}
BuildArch: noarch

%description sansmathaccent
Sans serif maths (produced by the beamer class or the sfmath
package) often has accents positioned incorrectly. This package
fixes the positioning of such accents when the default font
(cmssi) is used for sans serif maths. It will have no effect if
used in a document that does not use the beamer class or the
sfmath package.

%package minitoc
Provides: tex-minitoc = %{tl_version}
License: LPPL-1.3c
Summary: Produce a table of contents for each chapter, part or section
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(mtcpatchmem.sty)
Requires: tex(flafter.sty)
Requires: tex(placeins.sty)
Requires: tex(notoccite.sty)
Provides: tex(minitoc.sty) = %{tl_version}
Provides: tex(mtcmess.sty) = %{tl_version}
Provides: tex(mtcoff.sty) = %{tl_version}
Provides: tex(mtcpatchmem.sty) = %{tl_version}
BuildArch: noarch

%description minitoc
The minitoc package allows you to add mini-tables-of-contents
(minitocs) at the beginning of every chapter, part or section.
There is also provision for mini-lists of figures and of
tables. At the part level, they are parttocs, partlofs and
partlots. If the type of document does not use chapters, the
basic provision is section level secttocs, sectlofs and
sectlots. The package has provision for language-specific
configuration of its own "fixed names", using .mld files
(analagous to babel .ldf files that do that job for LaTeX"s own
fixed names).

%package notoccite
Provides: tex-notoccite = %{tl_version}
License: LicenseRef-Fedora-Public-Domain
Summary: Prevent trouble from citations in table of contents, etc
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(notoccite.sty) = %{tl_version}
BuildArch: noarch

%description notoccite
If you have \cite commands in \section-like commands, or in
\caption, the citation will also appear in the table of
contents, or list of whatever. If you are also using an unsrt-
like bibliography style, these citations will come at the very
start of the bibliography, which is confusing. This package
suppresses the effect.

%package catchfile
Summary: Catch an external file into a macro
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(catchfile.sty) = %{tl_version}
Requires: tex(infwarerr.sty)
Requires: tex(ltxcmds.sty)
Requires: tex(etexcmds.sty)
BuildArch: noarch

%description catchfile
This package catches the contents of a file and puts it in a
macro. It requires e-TeX. Both LaTeX and plain TeX are
supported.

%package atveryend
Summary: Hooks at the very end of a document
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(atveryend.sty) = %{tl_version}
BuildArch: noarch

%description atveryend
This LaTeX packages provides two hooks for \end{document} that
are executed after the hook of \AtEndDocument:
\AfterLastShipout can be used for code that is to be executed
right after the last \clearpage before the `.aux' file is
closed. \AtVeryEndDocument is used for code after closing and
final reading of the `.aux' file.

%package uniquecounter
Summary: Provides unlimited unique counter
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(uniquecounter.sty) = %{tl_version}
BuildArch: noarch

%description uniquecounter
This package provides a kind of counter that provides unique
number values. Several counters can be created with different
names. The numeric values are not limited.

%package attachfile2
Provides: tex-attachfile2 = %{epoch}:%{source_date}-%{release}
Provides: tex-attachfile2-bin = %{epoch}:%{source_date}-%{release}
Provides: texlive-attachfile2-bin = %{epoch}:%{source_date}-%{release}
License: LPPL-1.3c
Summary: Attach files into PDF
Requires: texlive-base
Requires: texlive-kpathsea
Provides: tex(attachfile2.sty) = %{epoch}:%{source_date}-%{release}
BuildArch: noarch

%description attachfile2
This package can be used to attach files to a PDF document. It
is a further development of Scott Pakin's package attachfile
for pdfTeX. Apart from bug fixes, this package adds support for
dvips, some new options, and gets and writes meta information
data about the attached files.

%package translator
Summary: Easy translation of strings in LaTeX
License: LPPL-1.3c OR GPL-1.0-or-later
Requires: texlive-base texlive-kpathsea
Requires: tex(keyval.sty)
Provides: tex(translator.sty) = %{tl_version}
BuildArch: noarch

%description translator
This LaTeX package provides a flexible mechanism for
translating individual words into different languages. For
example, it can be used to translate a word like "figure" into,
say, the German word "Abbildung". Such a translation mechanism
is useful when the author of some package would like to
localize the package such that texts are correctly translated
into the language preferred by the user. This package is not
intended to be used to automatically translate more than a few
words.

%package bigintcalc
Summary: Integer calculations on very large numbers
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(bigintcalc.sty) = %{tl_version}
BuildArch: noarch

%description bigintcalc
This package provides expandable arithmetic operations with big
integers that can exceed TeX's number limits.

%package l3backend
Summary: LaTeX3 backend drivers
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(l3backend-dvipdfmx.def) = %{tl_version}
Provides: tex(l3backend-dvips.def) = %{tl_version}
Provides: tex(l3backend-dvisvgm.def) = %{tl_version}
Provides: tex(l3backend-pdfmode.def) = %{tl_version}
Provides: tex(l3backend-xdvipdfmx.def) = %{tl_version}
BuildArch: noarch

%description l3backend
This package forms parts of expl3, and contains the code used
to interface with backends (drivers) across the expl3 codebase.
The functions here are defined differently depending on the
engine in use. As such, these are distributed separately from
l3kernel to allow this code to be updated on an independent
schedule.

%package dehyph
Summary: German hyphenation patterns for traditional orthography
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(dehyphn.tex) = %{tl_version}
Provides: tex(dehypht.tex) = %{tl_version}
Provides: tex(dehyphtex.tex) = %{tl_version}
BuildArch: noarch

%description dehyph
The package provides older hyphenation patterns for the German
language. Please note that by default only pdfLaTeX uses these
patterns (mainly for backwards compatibility). The older
packages ghyphen and gnhyph are now bundled together with
dehyph, and are no longer be updated. Both XeLaTeX and LuaLaTeX
use the current German hyphenation patterns taken from
Hyphenation patterns in UTF-8, and using the Experimental
hyphenation patterns for the German language package it is
possible to make pdfLaTeX use the new German patterns as well.

%package latexbug
Summary: Bug-classification for LaTeX related bugs
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(latexbug.sty) = %{tl_version}
BuildArch: noarch

%description latexbug
The package is written in order to help identifying the
rightful addressee for a bug report. The LaTeX team asks that
it will be loaded in any test file that is intended to be sent
to the LaTeX bug database as part of a bug report.

%package footnotehyper
Provides: tex-footnotehyper = %{tl_version}
License: LPPL-1.3c
Summary: hyperref aware footnote.sty
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(footnotehyper.sty) = %{tl_version}
BuildArch: noarch

%description footnotehyper
The footnote package by Mark Wooding dates back to 1997 and has
not been made hyperref compatible. The aim of the present
package is to do that.

%package epstopdf-pkg
Summary: Call epstopdf "on the fly"
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(epstopdf-base.sty) = %{tl_version}
Provides: tex(epstopdf.sty) = %{tl_version}
BuildArch: noarch

%description epstopdf-pkg
The package adds support for EPS files in the graphicx package
when running under pdfTeX. If an EPS graphic is detected, the
package spawns a process to convert the EPS to PDF, using the
script epstopdf. This of course requires that shell escape is
enabled for the pdfTeX run.

%package lwarp
Provides: tex-lwarp = %{epoch}:%{source_date}-%{release}
Provides: texlive-lwarp-bin = %{epoch}:%{source_date}-%{release}
Provides: tex-lwarp-bin = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-lwarp-bin < 7:20170520
Provides: tex-lwarp-doc = %{epoch}:%{source_date}-%{release}
Provides: texlive-lwarp-doc = %{epoch}:%{source_date}-%{release}
Obsoletes: texlive-lwarp-doc < 7:20170520
License: LPPL-1.3c
Summary: Converts LaTeX to HTML
Requires: texlive-base
Requires: texlive-kpathsea
BuildArch: noarch

%description lwarp
The package causes LaTeX to directly produce HTML5 output,
using external utility programs only for the final conversion
of text and images. Math may be represented by SVG files or
MathJax. Documents may be produced by LaTeX, LuaLaTeX, or
XeLaTeX. A texlua script removes the need for system utilities
such as make and gawk, and also supports xindy and latexmk.
Configuration is automatic at the first manual compile. Print
and HTML versions of each document may coexist, each with its
own set of auxiliary files. Support files are self-generated on
request. Assistance is provided for HTML import into EPUB
conversion software and word processors.

%package newfloat
Summary: Define new floating environments
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(newfloat.sty) = %{tl_version}
BuildArch: noarch

%description newfloat
The package offers the command \DeclareFloatingEnvironment,
which the user may use to define new floating environments
which behave like the LaTeX standard foating environments
figure and table.

%package pdflscape
Summary: Make landscape pages display as landscape
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(pdflscape.sty) = %{tl_version}
BuildArch: noarch

%description pdflscape
The package adds PDF support to the landscape environment of
package lscape, by setting the PDF /Rotate page attribute.
Pages with this attribute will be displayed in landscape
orientation by conforming PDF viewers.

%package ragged2e
Summary: Alternative versions of "ragged"-type commands
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(ragged2e.sty) = %{tl_version}
BuildArch: noarch

%description ragged2e
The package defines new commands \Centering, \RaggedLeft, and
\RaggedRight and new environments Center, FlushLeft, and
FlushRight, which set ragged text and are easily configurable
to allow hyphenation (the corresponding commands in LaTeX, all
of whose names are lower-case, prevent hyphenation altogether).

%package ucharcat
Provides: tex-ucharcat = %{tl_version}
License: LPPL-1.3c
Summary: Implementation of the (new in 2015) XeTeX \Ucharcat command in lua, for LuaTeX
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(ucharcat.sty) = %{tl_version}
BuildArch: noarch

%description ucharcat
The package implements the \Ucharcat command for LuaLaTeX.
\Ucharcat is a new primitive in XeTeX, an extension of the
existing \Uchar command, that allows the specification of the
catcode as well as character code of the character token being
constructed.

%package etoc
Provides: tex-etoc = %{tl_version}
License: LPPL-1.3c
Summary: Completely customisable TOCs
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(multicol.sty)
Provides: tex(etoc.sty) = %{tl_version}
BuildArch: noarch

%description etoc
The package gives the user complete control of how the entries
of the table of contents should be constituted from the name,
number, and page number of each sectioning unit. The layout is
controlled by the definition of 'line styles' for each
sectioning level used in the document. The package provides its
own custom line styles (which may be used as examples), and
continues to support the standard formatting inherited from the
LaTeX document classes, but the package can also allow the user
to delegate the details to packages dealing with list making
environments (such as enumitem). The package's default global
style typesets tables of contents in a multi-column format,
with either a standard heading, or a ruled title (optionally
with a frame around the table). The \tableofcontents command
may be used arbitrarily many times in the same document, while
\localtableofcontents provides a 'local' table of contents.

%package hanging
Provides: tex-hanging = %{tl_version}
License: LPPL-1.3c
Summary: Hanging paragraphs
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(hanging.sty) = %{tl_version}

%description hanging
The hanging package facilitates the typesetting of hanging
paragraphs. The package also enables typesetting with hanging
punctuation, by making punctuation characters active. This
facility is best suppressed (it can interfere with other
packages) -- there are package options for suppressing each
individual punctuation character. 'Real' attempts at hanging
punction should nowadays use the microtype package, which takes
advantage of the support offered in recent versions of pdfTeX.

%package newunicodechar
Provides: tex-newunicodechar = %{tl_version}
License: LPPL-1.3c
Summary: Definitions of the meaning of Unicode characters
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(newunicodechar.sty) = %{tl_version}

%description newunicodechar
The package provides a friendly interface for defining the
meaning of Unicode characters. The document should be processed
by (pdf)LaTeX with the unicode option of inputenc or inputenx,
or by XeLaTeX/LuaLaTeX. The command provided is
\newunicodechar{<char>}{<code>} where <char> is a directly-
typed Unicode character, and <code> is its replacement.

%package stackengine
Provides: tex-stackengine = %{tl_version}
License: LPPL-1.3c
Summary: Highly customised stacking of objects, insets, baseline changes, etc
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: texlive-listofitems
Requires: tex(etoolbox.sty)
Provides: tex(stackengine.sty) = %{tl_version}

%description stackengine
The package provides a versatile way to stack objects
vertically in a variety of customizable ways. A number of
useful macros are provided, all of which make use of the
stackengine core.

%package listofitems
Summary: Grab items in lists using user-specified sep char
BuildArch: noarch
License: LPPL-1.3c
Requires: texlive-base, texlive-kpathsea
Provides: tex(listofitems.sty) = %{tl_version}
Provides: tex(listofitems.tex) = %{tl_version}
Provides: tex(listofitemsold.tex) = %{tl_version}

%description listofitems
This simple package is designed to read a list of items whose
parsing character may be selected by the user. Once the list is
read, its items are stored in a structure that behaves as a
dimensioned array. As such, it becomes very easy to access an
item in the list by its number. For example, if the list is
stored in the macro \foo, the item #3 is designated by \foo[3].
A component may, in turn, be a list with a parsing delimiter
different from the parent list, paving the way for nesting and
employing a syntax reminiscent of an array of several
dimensions of the type \foo[3,2] to access the item #2 of the
list contained within the item #3 of the top-tier list.

%package gnu-freefont
Provides: tex-gnu-freefont = %{tl_version}
BuildArch: noarch
License: GPL-3.0-or-later
Summary: A Unicode font, with rather wide coverage
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(FreeMono.otf) = %{tl_version}
Provides: tex(FreeMonoBold.otf) = %{tl_version}
Provides: tex(FreeMonoBoldOblique.otf) = %{tl_version}
Provides: tex(FreeMonoOblique.otf) = %{tl_version}
Provides: tex(FreeSans.otf) = %{tl_version}
Provides: tex(FreeSansBold.otf) = %{tl_version}
Provides: tex(FreeSansBoldOblique.otf) = %{tl_version}
Provides: tex(FreeSansOblique.otf) = %{tl_version}
Provides: tex(FreeSerif.otf) = %{tl_version}
Provides: tex(FreeSerifBold.otf) = %{tl_version}
Provides: tex(FreeSerifBoldItalic.otf) = %{tl_version}
Provides: tex(FreeSerifItalic.otf) = %{tl_version}
Provides: tex(FreeMono.ttf) = %{tl_version}
Provides: tex(FreeMonoBold.ttf) = %{tl_version}
Provides: tex(FreeMonoBoldOblique.ttf) = %{tl_version}
Provides: tex(FreeMonoOblique.ttf) = %{tl_version}
Provides: tex(FreeSans.ttf) = %{tl_version}
Provides: tex(FreeSansBold.ttf) = %{tl_version}
Provides: tex(FreeSansBoldOblique.ttf) = %{tl_version}
Provides: tex(FreeSansOblique.ttf) = %{tl_version}
Provides: tex(FreeSerif.ttf) = %{tl_version}
Provides: tex(FreeSerifBold.ttf) = %{tl_version}
Provides: tex(FreeSerifBoldItalic.ttf) = %{tl_version}
Provides: tex(FreeSerifItalic.ttf) = %{tl_version}

%description gnu-freefont
The package provides a set of outline (i.e. OpenType) fonts
covering as much as possible of the Unicode character set. The
set consists of three typefaces: one monospaced and two
proportional (one with uniform and one with modulated stroke).

%package acronym
Provides: tex-acronym = %{tl_version}
License: LPPL-1.3c
Summary: Expand acronyms at least once
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(suffix.sty)
Requires: tex(xstring.sty)
Requires: tex(relsize.sty)
Provides: tex(acronym.sty) = %{tl_version}

%description acronym
This package ensures that all acronyms used in the text are
spelled out in full at least once. It also provides an
environment to build a list of acronyms used. The package is
compatible with pdf bookmarks. The package requires the suffix
package, which in turn requires that it runs under e-TeX.

%package relsize
Provides: tex-relsize = %{tl_version}
License: LicenseRef-Fedora-Public-Domain
Summary: Set the font size relative to the current font size
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(relsize.sty) = %{tl_version}

%description relsize
The basic command of the package is \relsize, whose argument is
a number of \magsteps to change size; from this are defined
commands \larger, \smaller, \textlarger, etc.

%package sfmath
Provides: tex-sfmath = %{tl_version}
License: LPPL-1.3c
Summary: Sans-serif mathematics
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Provides: tex(sfmath.sty) = %{tl_version}

%description sfmath
sfmath is a simple package for sans serif maths in documents.
After including the package, all maths of the current document
is displayed with sans serif fonts.

%package xpatch
Provides: tex-xpatch = %{tl_version}
License: LPPL-1.3c
Summary: Extending etoolbox patching commands
BuildArch: noarch
Requires: texlive-base
Requires: texlive-kpathsea-bin, tex-kpathsea
Requires: tex(expl3.sty)
Requires: tex(xparse.sty)
Requires: tex(etoolbox.sty)
Provides: tex(xpatch.sty) = %{tl_version}

%description xpatch
The package generalises the macro patching commands provided by
Philipp Lehmann's etoolbox.


%package hypdoc
Summary: Hyper extensions for doc.sty
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(hypdoc.sty) = %{tl_version}
BuildArch: noarch

%description hypdoc
This package adds hypertext features to the package doc that is
used in the documentation system of LaTeX2e. Bookmarks are
added and references are linked as far as possible.


%package pdfcol
Summary: Macros for maintaining colour stacks under pdfTeX
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Provides: tex(pdfcol.sty) = %{tl_version}
BuildArch: noarch

%description pdfcol
Since version 1.40 pdfTeX supports colour stacks. The driver
file pdftex.def for package color defines and uses a main
colour stack since version v0.04b. This package is intended for
package writers. It defines macros for setting and maintaining
new colour stacks.


%package hopatch
Summary: Load patches for packages
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Requires: tex(ltxcmds.sty)
Provides: tex(hopatch-2016-05-16.sty) = %{tl_version}
Provides: tex(hopatch.sty) = %{tl_version}
BuildArch: noarch

%description hopatch
Hopatch provides a command with which the user may register of
patch code for a particular package. Hopatch will apply the
patch immediately, if the relevant package has already been
loaded; otherwise it will store the patch until the package

%package lua-uni-algos
Summary: Unicode algorithms for LuaTeX
License: LPPL-1.3c
Requires: texlive-base texlive-kpathsea
Requires: texlive-unicode-data
Requires: texlive-luatex
BuildArch: noarch

%description lua-uni-algos
Lua code working with Unicode data has to deal with quite some
challenges. For example there are many canonically equivalent
sequences which should be treated in the same way, and even
identifying a single character becomes quite different once you
have to deal with all kinds of combining characters, emoji
sequences and syllables in different scripts. Therefore
lua-uni-algos wants to build a collection of small libraries
implementing algorithms to deal with lots of the details in
Unicode, such that authors of LuaTeX packages can focus on
their actual functionality instead of having to fight against
the peculiarities of Unicode. Given that this package provides
Lua modules, it is only useful in Lua(HB)TeX. Additionally, it
expects an up-to-date version of the unicode-data package to be
present. This package is intended for package authors only; no
user-level functionality provided.

%prep
%setup -q -c -T
xz -dc %{SOURCE0} | tar x
[ -e %{source_name} ] && mv %{source_name} source

%patch -P1 -p0
%patch -P2 -p1 -b .format
%patch -P5 -p0
%patch -P8 -p1 -b .texinfo-fix
%patch -P17 -p1 -b .annocheck 
%patch -P30 -p1 -b .out_of_memory
%patch -P32 -p1 -b .configure-no-GfxFont-decRefCnt
%patch -P37 -p1 -b .libpaper2
%patch -P44 -p1 -b .pdf-header-order-fix
%patch -P47 -p1 -b .gcc-14-typecast
%patch -P48 -p1 -b .gcc-14-typefixes
%patch -P50 -p1 -b .luatex-CVE-2023-32700

# Setup copies of the licenses
for l in `unxz -c %{SOURCE3} | tar t`; do
ln -s %{_texdir}/licenses/$l $l
done

# Disable broken tests
# updmap-cmdline-test.pl is not useful and it will fail because it finds the system perl bits instead of the local copy
sed -i 's|TESTS = tests/updmap-cmdline-test.pl||g' source/texk/texlive/Makefile.in
sed -i 's|TESTS = tests/updmap-cmdline-test.pl||g' source/texk/texlive/Makefile.am
# bibtex8 fails on x86_64 and i686, but not really. I think this test might also be using the older system bits
sed -i 's|bibtex8_tests = tests/bibtex8.test|bibtex8_tests =|g' source/texk/bibtex-x/Makefile.in
sed -i 's|bibtex8_tests = tests/bibtex8.test|bibtex8_tests =|g' source/texk/bibtex-x/Makefile.am
# wcfname.test
sed -i 's|eptexdir/wcfname.test||g' source/texk/web2c/eptexdir/am/eptex.am
sed -i 's|eptexdir/wcfname.test||g' source/texk/web2c/Makefile.in

# Value here is "16" not "15" because we have a source0 at index 1.
# Source15 at index 16 is our first "normal" noarch source file.
# Also, this macro has to be here, not at the top, or it will not evaluate properly. :P
%global mysources %{lua: for index,value in ipairs(sources) do if index >= 16 then print(value.." ") end end}

%build

export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Werror=format-security"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Werror=format-security"

# use system icu
rm -rf libs/icu/

cd source
PREF=`pwd`/inst
mkdir -p work
%global _configure ../configure
cd work
%configure \
--prefix=$PREF --datadir=$PREF --libdir=$PREF/lib --includedir=$PREF/include --datarootdir=$PREF/share --mandir=$PREF/share/man \
--infodir=$PREF/share/info --exec_prefix=$PREF --bindir=$PREF/bin \
--with-system-zlib --with-system-libpng --with-system-gd --with-system-teckit \
--with-system-freetype2 --with-system-zziplib --with-system-cairo --with-system-icu \
--with-system-harfbuzz --with-system-graphite2 --with-system-libgs --with-system-pixman \
--with-system-libpaper --with-system-potrace --with-pic --with-xdvi-x-toolkit=xaw --with-system-mpfr \
--with-system-gmp --enable-shared --enable-compiler-warnings=max --without-cxx-runtime-hack \
--disable-native-texlive-build --disable-t1utils --disable-t1lib --disable-psutils --disable-biber \
--disable-ptexenc --disable-largefile \
%ifarch aarch64 %{power64} s390 s390x
--disable-luajittex --disable-mfluajit --disable-luajithbtex --disable-mfluajit-nowin \
%endif
--disable-xindy --disable-xindy-docs --disable-xindy-rules \
--disable-rpath

# disable rpath
for i in `find . -name libtool`; do
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' $i
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' $i
done

%make_build world STRIPPROG=/bin/true STRIP=/bin/true

%install
# make directories
mkdir -p %{buildroot}%{_texdir}/../texmf
mkdir -p %{buildroot}%{_texdir}/texmf-config/web2c
mkdir -p %{buildroot}%{_texmf_var}
mkdir -p %{buildroot}%{_texdir}/texmf-dist
mkdir -p %{buildroot}%{_texdir}/texmf-local

# make symlinks
pushd %{buildroot}%{_texdir}/texmf-config/web2c
ln -s ../../texmf-dist/web2c/updmap.cfg updmap.cfg
popd

# make compatibility symlink
pushd %{buildroot}%{_datadir}
mkdir -p texlive/texmf-local/texmf-compat
ln -s texlive/texmf-local/texmf-compat texmf
popd

# install binaries
mkdir -p %{buildroot}%{_bindir}
rm -f source/inst/bin/man
cp -a source/inst/bin/* %{buildroot}%{_bindir}

# install libs
mkdir -p %{buildroot}%{_libdir}
cp -d source/inst/lib/*.so* %{buildroot}%{_libdir}
cp -a source/inst/lib/pkgconfig %{buildroot}%{_libdir}

# install includes
mkdir -p %{buildroot}%{_includedir}
cp -r source/inst/include/* %{buildroot}%{_includedir}

# install shared files
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_texdir}
pushd source/inst/share
cp -a info %{buildroot}%{_datadir}/
cp -a man %{buildroot}%{_datadir}/
cp -a texmf-dist %{buildroot}%{_texdir}/
popd

# relocate binaries to %%{_bindir} and fix relative symlinks
pushd %{buildroot}%{_bindir}
for i in `find . -type l`; do
if [ "`readlink $i | grep '..' | wc -l`" == "1" ]; then
l=`readlink $i | sed s,.*texmf,/usr/share/texlive/texmf,`
rm -f $i
ln -s $l $i
fi
done
popd

# drop i386-linux packages so we need to make symlinks manuall
# luatex
%ifnarch aarch64 %{mips} %{power64} s390 s390x
pushd %{buildroot}%{_bindir}
for f in texluajit texluajitc ; do
 ln -fs luajittex $f
done
popd
%endif

# make a mtxrun stub
pushd %{buildroot}%{_bindir}
rm -f mtxrun
cat > mtxrun << EOF
#!/bin/sh
env LUATEXDIR=/usr/share/texlive/texmf-dist/scripts/context/lua luatex --luaonly mtxrun.lua "\$@"
EOF
chmod 0755 mtxrun
popd

# fix context
pushd %{buildroot}%{_bindir}
rm -f context
cat > context << EOF
#!/bin/sh
export TEXMF=/usr/share/texlive/texmf-dist;
export TEXMFCNF=/usr/share/texlive/texmf-dist/web2c;
export TEXMFCACHE=\$HOME/.cache/texlive;
%{_bindir}/mtxrun --script context "\$@"
EOF
chmod 0755 context
popd

# Fix pkgconfig files
for file in $(find %{buildroot}%{_libdir}/pkgconfig/ -type f -name '*.pc')
do sed -i 's|%{_builddir}/%{name}-%{source_date}/source/inst|/usr|g' $file
   sed -i 's|/usr/lib|%{_libdir}|g' $file
done

# attachfile2
xz -dc %{SOURCE28} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE29} | tar x -C %{buildroot}%{_texdir}/
#
xz -dc %{SOURCE100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE109} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE110} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE113} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE116} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE117} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE118} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# drop arabxetex
#xz -dc %{SOURCE120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE121} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE124} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE125} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE126} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE128} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE129} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE130} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE131} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE132} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE134} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE135} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE136} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE137} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE139} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE140} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE142} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE143} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE145} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE146} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE147} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE148} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE150} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE151} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE152} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE153} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE154} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE155} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE157} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE163} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE164} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE165} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE167} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE168} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE170} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE171} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE173} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE174} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE176} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE177} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE179} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE180} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE182} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE183} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE184} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE185} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE186} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE187} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE188} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE189} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE191} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE192} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE193} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE195} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE198} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE200} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE201} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE202} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE203} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE204} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE205} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE206} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE207} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE208} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE209} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE210} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE211} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE212} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE215} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE216} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE217} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE219} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE220} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE221} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE222} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE223} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE224} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE225} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE226} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE227} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE228} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE229} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE230} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE232} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE239} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE240} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE241} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE242} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE243} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE244} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE245} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE246} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE247} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE248} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE250} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE251} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE253} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE254} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE255} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE258} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE259} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE262} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE263} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE264} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE265} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE266} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE267} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE268} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE271} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE272} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE273} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE275} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE276} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE277} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE279} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE280} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE281} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE282} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE284} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE285} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE287} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE288} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE289} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE290} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE291} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE292} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE293} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE294} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE297} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE298} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE299} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE300} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE301} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE302} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE303} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE304} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE305} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE308} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE310} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE311} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE312} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE313} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE315} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE316} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE318} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE319} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE320} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE321} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE322} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE323} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE324} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE325} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE326} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE327} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE329} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE330} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE331} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE332} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE334} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE335} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE337} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE338} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE340} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE341} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE345} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE346} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE347} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE349} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE350} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE351} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE352} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE354} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE355} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE358} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE360} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE361} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE363} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE364} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE366} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE367} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE369} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE370} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE372} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE373} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE375} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE376} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE377} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE378} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE380} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE381} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE383} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE384} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE385} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE386} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE387} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE388} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE390} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE391} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE393} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE394} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE396} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE397} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE399} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE400} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE402} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE403} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE404} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE405} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE407} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE408} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE409} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE410} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE411} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE413} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE414} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE416} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE417} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE419} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE420} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE422} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE423} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE425} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE426} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE428} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE429} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE434} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE435} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE437} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE438} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE440} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE441} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE443} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE444} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE445} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE446} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE448} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE449} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE450} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE451} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE453} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE454} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE459} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE460} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE461} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE462} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE463} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE464} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE465} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE466} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE467} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE468} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE469} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE470} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE472} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE473} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE475} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE476} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE477} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE478} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE480} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE481} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE482} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE483} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE484} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE485} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE487} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE488} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE490} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE491} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE493} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE494} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE495} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE496} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE497} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE498} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE500} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE501} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE503} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE504} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE505} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE506} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE508} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE509} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE510} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE511} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE512} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE513} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE515} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE516} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE517} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE518} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE519} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE520} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE521} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE522} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE524} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE525} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE526} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE527} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE528} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE530} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE531} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE532} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE533} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# drop xetex-tibetan
#xz -dc %{SOURCE534} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#xz -dc %{SOURCE535} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE536} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE537} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE538} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE539} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE541} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE542} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE543} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE544} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE545} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE546} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE548} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE549} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE551} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE552} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE554} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE555} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE556} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE557} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE558} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE559} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE560} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE561} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE562} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE563} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE564} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE565} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE566} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE567} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE569} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE570} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE572} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE573} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE575} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE576} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE577} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE579} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE580} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE581} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE582} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE587} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE588} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE590} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE591} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE592} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE593} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE594} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE595} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE597} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE598} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE600} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE601} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE603} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE604} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE606} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE607} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE609} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE610} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE612} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE613} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE618} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE619} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE621} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE622} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE624} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE625} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE626} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE627} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE629} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE632} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE634} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE635} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE637} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE638} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE639} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE640} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE642} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE643} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE645} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE646} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE648} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE649} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE654} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE655} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE658} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE659} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE660} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE662} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE663} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE665} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE666} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE668} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE669} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE671} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE672} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE673} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE674} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE676} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE677} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE679} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE680} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE682} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE683} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE685} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE686} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE688} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE689} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE691} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE692} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE694} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE695} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE697} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE698} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE700} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE701} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE703} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE704} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE706} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE707} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE708} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE709} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE711} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE712} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE713} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE714} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE715} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE718} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE719} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE721} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE722} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE723} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE724} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE725} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE729} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE730} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE731} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# metapost
xz -dc %{SOURCE742} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE743} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# titling
xz -dc %{SOURCE746} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# adjustbox
xz -dc %{SOURCE749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ifoddpage
xz -dc %{SOURCE752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# collectbox
xz -dc %{SOURCE755} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# environ
xz -dc %{SOURCE758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# gnu-freefont
xz -dc %{SOURCE1885} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE1886} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hyphenex
xz -dc %{SOURCE1571} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# sansmathaccent
xz -dc %{SOURCE2046} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE2047} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# etoc
xz -dc %{SOURCE3896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE3897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hanging
xz -dc %{SOURCE4235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ifplatform
xz -dc %{SOURCE4295} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4296} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# newunicodechar
xz -dc %{SOURCE4756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# minitoc
xz -dc %{SOURCE4630} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# drop minitoc.doc due to bad cc-by-nc-sa-1.0/2.0, rejected license
# xz -dc %{SOURCE4631} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# notoccite
xz -dc %{SOURCE4805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE4806} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# stackengine
xz -dc %{SOURCE5306} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5307} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ucharcat
xz -dc %{SOURCE5821} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5822} | tar x -C %{buildroot}%{_texdir}/texmf-dist
#
xz -dc %{SOURCE6002} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6018} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6023} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6026} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6028} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# scheme-basic
xz -dc %{SOURCE6034} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# knuth-lib
xz -dc %{SOURCE6035} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# knuth-local
xz -dc %{SOURCE6036} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# tex-ini-files
xz -dc %{SOURCE6037} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# tex-ini-files.doc
xz -dc %{SOURCE6038} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# texlive-common.doc
xz -dc %{SOURCE6039} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# texlive-en.doc
xz -dc %{SOURCE6043} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# texlive-msg-translations
xz -dc %{SOURCE6044} | tar x -C %{buildroot}%{_texdir}
# texlive-scripts
xz -dc %{SOURCE6045} | tar x -C %{buildroot}%{_texdir}
# texlive-scripts.doc
xz -dc %{SOURCE6046} | tar x -C %{buildroot}%{_texdir}
# texlive-scripts-extra.doc
xz -dc %{SOURCE6047} | tar x -C %{buildroot}%{_texdir}
# texlive-scripts-extra
xz -dc %{SOURCE6048} | tar x -C %{buildroot}%{_texdir}
# trimspaces
xz -dc %{SOURCE6049} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# trimspaces.doc
xz -dc %{SOURCE6050} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# unicode-data
xz -dc %{SOURCE6051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# unicode-data.doc
xz -dc %{SOURCE6052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xmltexconfig
xz -dc %{SOURCE6054} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# graphics-def
xz -dc %{SOURCE6055} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# lualibs
xz -dc %{SOURCE6056} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6057} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# import
xz -dc %{SOURCE6059} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6060} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# tabu
xz -dc %{SOURCE6061} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6062} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# linegoal
xz -dc %{SOURCE6064} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6065} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# graphics-cfg
xz -dc %{SOURCE6067} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ltabptch
xz -dc %{SOURCE6071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# manfnt-font
xz -dc %{SOURCE6073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# finstrut
xz -dc %{SOURCE6074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6075} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# lineno
xz -dc %{SOURCE6077} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6078} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# breqn 
xz -dc %{SOURCE6080} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6081} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# mathtools
xz -dc %{SOURCE6083} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6084} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# mflogo-font
xz -dc %{SOURCE6086} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6087} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# capt-of
xz -dc %{SOURCE6088} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6089} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# eqparbox
xz -dc %{SOURCE6091} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6092} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# needspace
xz -dc %{SOURCE6094} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6095} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# tabulary
xz -dc %{SOURCE6097} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6098} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# upquote
xz -dc %{SOURCE6100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6101} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# anyfontsize
xz -dc %{SOURCE6103} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6104} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# classpack 
xz -dc %{SOURCE6106} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6107} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# latex2man
xz -dc %{SOURCE6109} | tar x -C %{buildroot}%{_texdir}
xz -dc %{SOURCE6110} | tar x -C %{buildroot}%{_texdir}
# ctablestack
xz -dc %{SOURCE6111} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6112} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# luatex85
xz -dc %{SOURCE6114} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6115} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# dvisvgm
xz -dc %{SOURCE6117} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE6118} | tar x -C %{buildroot}%{_texdir}/
# babel-english
xz -dc %{SOURCE6119} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6120} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# awesomebox
xz -dc %{SOURCE6122} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6123} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# fontAwesome
xz -dc %{SOURCE6156} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6157} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pst-tools
xz -dc %{SOURCE6158} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6159} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pst-arrow
xz -dc %{SOURCE6160} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE6161} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# context
xz -dc %{SOURCE6255} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE6256} | tar x -C %{buildroot}%{_texdir}/
# footnotehyper
xz -dc %{SOURCE7342} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7343} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# listofitems
xz -dc %{SOURCE7615} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7616} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# latexbug
xz -dc %{SOURCE7818} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE7819} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# translator
xz -dc %{SOURCE8032} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8033} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# colorprofiles
xz -dc %{SOURCE8455} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8456} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ragged2e
xz -dc %{SOURCE8651} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8652} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# dehyph
xz -dc %{SOURCE8726} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# l3backend
xz -dc %{SOURCE8727} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8728} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# atbegshi
xz -dc %{SOURCE8733} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8734} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# atveryend
xz -dc %{SOURCE8735} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8736} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# auxhook
xz -dc %{SOURCE8737} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8738} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# bigintcalc
xz -dc %{SOURCE8739} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8740} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# bitset
xz -dc %{SOURCE8741} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8742} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# etexcmds
xz -dc %{SOURCE8743} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8744} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hycolor 
xz -dc %{SOURCE8745} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8746} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# infwarerr
xz -dc %{SOURCE8747} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8748} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# intcalc
xz -dc %{SOURCE8749} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8750} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# kvdefinekeys
xz -dc %{SOURCE8751} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8752} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# kvoptions
xz -dc %{SOURCE8753} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8754} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# kvsetkeys
xz -dc %{SOURCE8755} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8756} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# letltxmacro
xz -dc %{SOURCE8757} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8758} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# ltxcmds
xz -dc %{SOURCE8759} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8760} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pdfescape
xz -dc %{SOURCE8761} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8762} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pdftexcmds
xz -dc %{SOURCE8763} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8764} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# rerunfilecheck
xz -dc %{SOURCE8765} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8766} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# uniquecounter
xz -dc %{SOURCE8767} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8768} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# modes
xz -dc %{SOURCE8771} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8772} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# grfext
xz -dc %{SOURCE8773} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8774} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# grffile
xz -dc %{SOURCE8775} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8776} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# alphalph
xz -dc %{SOURCE8787} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8788} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# bookmark
xz -dc %{SOURCE8815} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8816} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# epstopdf-pkg
xz -dc %{SOURCE8855} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8856} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# gettitlestring
xz -dc %{SOURCE8881} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8882} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hobsub
xz -dc %{SOURCE8895} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8896} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hologo
xz -dc %{SOURCE8897} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8898} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# newfloat
xz -dc %{SOURCE8954} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8955} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pdfcolmk
xz -dc %{SOURCE8966} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8967} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pdflscape
xz -dc %{SOURCE8968} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE8969} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# wasy-type1
xz -dc %{SOURCE9051} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9052} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# zref
xz -dc %{SOURCE9067} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9068} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# refcount
xz -dc %{SOURCE9069} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9070} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# stringenc
xz -dc %{SOURCE9071} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9072} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# catchfile
xz -dc %{SOURCE9073} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9074} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hopatch
xz -dc %{SOURCE9235} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9236} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# lua-uni-algos
xz -dc %{SOURCE9269} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9270} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# hypdoc
xz -dc %{SOURCE9656} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9657} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# pdfcol
xz -dc %{SOURCE9804} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE9805} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# luahbtex
xz -dc %{SOURCE10000} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE10001} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# lwarp
xz -dc %{SOURCE10002} | tar x -C %{buildroot}%{_texdir}/
xz -dc %{SOURCE10003} | tar x -C %{buildroot}%{_texdir}/
# acronym
xz -dc %{SOURCE10004} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE10005} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# relsize
xz -dc %{SOURCE5099} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5100} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# sfmath
xz -dc %{SOURCE5197} | tar x -C %{buildroot}%{_texdir}/texmf-dist
# xpatch
xz -dc %{SOURCE5716} | tar x -C %{buildroot}%{_texdir}/texmf-dist
xz -dc %{SOURCE5717} | tar x -C %{buildroot}%{_texdir}/texmf-dist

# Patches to component tarballs
pushd %{buildroot}%{_texdir}/texmf-dist
# neuter tlmgr a bit
patch -p1 < %{_sourcedir}/texlive-20190410-tlmgr-ignore-warning.patch

# Fix texmfcnf.lua
patch -p1 < %{_sourcedir}/texlive-fedora-texmfcnf.lua.patch

# Fix interpreter on perl scripts
patch -p1 < %{_sourcedir}/texlive-base-20230311-fix-scripts.patch
popd

# We want the texmf.cnf we patched, not the vanilla one from the kpathsea.tar.xz
cp -a source/texk/kpathsea/texmf.cnf %{buildroot}%{_texdir}/texmf-dist/web2c/texmf.cnf

# Apply fixes
# We do it here because this is the first time we have the complete tree.
# bz1384067
sed -i 's|\\sc |\\scshape |g' %{buildroot}%{_texdir}/texmf-dist/bibtex/bst/base/acm.bst
sed -i 's|\\sc |\\scshape |g' %{buildroot}%{_texdir}/texmf-dist/bibtex/bst/base/siam.bst

# disable all hyphenations
cp -f %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.us %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat

# disable all hyphenations
cp -f %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.us.def %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.def

# config files in /etc symlinked
mkdir -p %{buildroot}%{_sysconfdir}/texlive/web2c
mkdir -p %{buildroot}%{_sysconfdir}/texlive/dvips/config
mkdir -p %{buildroot}%{_sysconfdir}/texlive/tex/generic/config

for i in mktex.cnf texmfcnf.lua texmf.cnf updmap.cfg; do
 mv %{buildroot}%{_texdir}/texmf-dist/web2c/$i %{buildroot}%{_sysconfdir}/texlive/web2c/
 ln -s %{_sysconfdir}/texlive/web2c/$i %{buildroot}%{_texdir}/texmf-dist/web2c/$i
done

# configure texmf-local - make it visible to kpathsea
sed -i -e 's|^TEXMFLOCAL.*|TEXMFLOCAL = $TEXMFROOT/texmf-local//|' %{buildroot}%{_sysconfdir}/texlive/web2c/texmf.cnf

mv %{buildroot}%{_texdir}/texmf-dist/dvips/config/config.ps %{buildroot}%{_sysconfdir}/texlive/dvips/config/
ln -s %{_sysconfdir}/texlive/dvips/config/config.ps %{buildroot}%{_texdir}/texmf-dist/dvips/config/config.ps

# Move the stock fmtutil.cnf under /etc and make sure everything is commented out
mv %{buildroot}%{usr_fmtutil_cnf} %{buildroot}%{etc_fmtutil_cnf}
sed -i '/^[a-z].*$/s/^/\#\!\ /' %{buildroot}%{_sysconfdir}/texlive/web2c/fmtutil.cnf

# Split the stock texmf.cnf file:
# * Look for lines like "# from foo:" and use those as the names of the files
#   we generate.
# * Take the text starting at "# from foo:" and ending just before the next
#   line containing just '#' (or EOF).
# * remove '#!'
# * Add a single line containing '#' to the beginning
# * Stuff that into a file named "foo" in %%_texdir/fmtutil.cnf.d
#
# This is a bit fragile as the precise format of the stock fmtutil.cnf file
# could change.
# The leading '#' and the "# from foo:" line are added to the output only to
# match the existing format of the file, just in case some tool cares.
mkdir %{buildroot}%{_texdir}/fmtutil.cnf.d
for i in $(grep '^# from .*:$' %{buildroot}%{etc_fmtutil_cnf}|sed 's/^# from //; s/:$//'); do
    echo "#" > %{buildroot}%{fmtutil_cnf_d}/$i
    sed -n "s/^#! //; /^# from $i:\$/,/^#\$/{/^#\$/!p}" %{buildroot}%{etc_fmtutil_cnf} >> %{buildroot}%{fmtutil_cnf_d}/$i
done

# Install the fmtutil.cnf generation script
install -D -p -m 755 -t %{buildroot}%{_sbindir} %{SOURCE4}

mv %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat %{buildroot}%{_sysconfdir}/texlive/tex/generic/config/
ln -s %{_sysconfdir}/texlive/tex/generic/config/language.dat %{buildroot}%{_texdir}/texmf-dist/tex/generic/config/language.dat

# create macro file for building texlive
mkdir -p %{buildroot}%{_rpmmacrodir}
cp -a %{SOURCE1} %{buildroot}%{_rpmmacrodir}/macros.texlive

# install texlive.tlpdb
cp %{SOURCE2} %{buildroot}%{_texdir}/
# make a symlink so texdoc is happy
pushd %{buildroot}%{_texdir}/tlpkg
ln -s ../texlive.tlpdb .
popd

# install licenses
mkdir -p %{buildroot}%{_texdir}/licenses
pushd %{buildroot}%{_texdir}/licenses
xz -dc %{SOURCE3} | tar x
popd

# nuke useless tlmgr packaging stuff and doc droppings
rm -f %{buildroot}/%{_texdir}/install-tl
rm -rf %{buildroot}%{_texdir}/tlpkg/gpg/
rm -rf %{buildroot}%{_texdir}/tlpkg/tltcl/
rm -rf %{buildroot}%{_texdir}/tlpkg/tlpobj/
rm -rf %{buildroot}%{_texdir}/texmf-dist/tlpkg/tlpobj/
# texconfig needs tlmgr.pl
# We're only including what it needs, no more.
# rm -f %{buildroot}%{_texdir}/texmf-dist/doc/man/man1/tlmgr.1
# rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tlmgr.pl
# rm -f %{buildroot}%{_bindir}/tlmgr
# rm -f %{buildroot}%{_texdir}/tlpkg/installer/config.guess
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tlmgr.pl.orig
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tl-errmess.vbs
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tlmgrgui.pl
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/uninstall-win32.pl
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/uninstall-windows.pl
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/uninstq.vbs
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/tlcockpit/tlcockpit.sh
rm -f %{buildroot}%{_texdir}/texmf-dist/scripts/tlshell/tlshell.tcl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/COPYING.MinGW-runtime.txt
rm -rf %{buildroot}%{_texdir}/tlpkg/installer/curl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/ctan-mirrors.pl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/install-menu-extl.pl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/install-menu-perltk.pl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/install-menu-text.pl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/install-menu-wizard.pl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/install-tl-gui.tcl
rm -f %{buildroot}%{_texdir}/tlpkg/installer/texlive.png
rm -f %{buildroot}%{_bindir}/tlcockpit
rm -f %{buildroot}%{_bindir}/tlshell
rm -rf %{buildroot}%{_datadir}/info/dir
rm -rf %{buildroot}%{_texdir}/readme-txt.dir/README.*
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/*.pdf
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/*.pdf
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/man/man*/Makefile
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/info/dir
# nuke unwanted ptexenc devel files
rm -rf %{buildroot}%{_includedir}/ptexenc
# nuke context windows files
rm -f %{buildroot}/%{_texdir}/texmf-dist/scripts/context/stubs/mswin/*
rm -f %{buildroot}/%{_texdir}/texmf-dist/scripts/context/stubs/win64/*
rm -f %{buildroot}/%{_texdir}/texmf-dist/scripts/context/stubs/source/*

# not sure why this is here
rm -rf %{buildroot}%{_texdir}/texmf-dist/source

# patch etex
pushd %{buildroot}%{_texdir}/texmf-dist/tex/plain/etex/
patch -p0 < %{_sourcedir}/etex-addlanguage-fix-bz1215257.patch
popd

# fixed mangling shebang, inconsistent use of tabs and spaces and python syntax
pushd  %{buildroot}%{_texdir}/texmf-dist/
patch -p0 < %{_sourcedir}/texlive-2017-xepersian-python.patch
patch -p0 < %{_sourcedir}/texlive-2021-py3-and-pep8.patch
popd

# Patch tabu
pushd %{buildroot}%{_texdir}/texmf-dist/tex/latex/tabu/
patch -p0 < %{_sourcedir}/tabu-update-to-git-930bc77.patch
popd

# drop for minimal installation
for f in a2ping a5toa4 adhocfilelist afm2afm afm2pl aleph amstex arara arlatex authorindex autoinst \
  autosp bbl2bib bbox bg5+latex bg5+pdflatex bg5conv bg5latex bg5pdflatex bibdoiadd bibexport bibexport.sh \
  bibmradd bibtex8 bibtexu bibzbladd bundledoc cachepic cef5conv cef5latex cef5pdflatex cefconv ceflatex \
  cefpdflatex cefsconv cefslatex cefspdflatex cfftot1 checkcites checklistings chktex chkweb cjk-gs-integrate \
  convbkmk cslatex csplain ctangle ctanify ctanupload ctie cweave de-macro depythontex \
  detex devnag deweb diadia disdvi dosepsbin dt2dv dtxgen dv2dt dvi2tty dviasm dvibook dviconcat dvicopy \
  dvidvi dvihp dvilj dvilj2p dvilj4 dvilj4l dvilj6 dvipos dviselect dvitodvi dvitype ebong eplain \
  epspdf epspdftk eptex euptex exceltex extconv fig4latex findhyph fontinst fragmaster gbklatex gbkpdflatex \
  getmapdl gregorio hbf2gf installfont-tl jamo-normalize kanji-config-updmap kanji-config-updmap-sys \
  kanji-config-updmap-user kanji-fontmap-creator komkindex lacheck lamed latex-git-log latex-papersize \
  latex2nemeth latexdiff latexdiff-vc latexfileversion latexindent latexpand latexrevise lily-glyph-commands \
  lily-image-commands lily-rebuild-pdfs listbib listings-ext.sh lollipop ltx2crossrefxml ltxfileinfo ltximg \
  lua2dox_filter m-tx mag make4ht makedtx makeglossaries makeglossaries-lite makejvf \
  match_parens mathspic mendex mex mf2pt1 mflua mflua-nowin mfluajit mfluajit-nowin mkgrkindex mkjobtexmf \
  mkpic mkt1font mllatex mltex mmafm mmpfb msxlint multibibliography musixflx musixtex \
  odvicopy odvitype ofm2opl omfonts opl2ofm ot2kpx otangle otfinfo otftotfm otp2ocp outocp ovf2ovp ovp2ovf \
  patgen pbibtex pdf180 pdf270 pdf90 pdfannotextractor pdfbook pdfbook1 pdfclose pdfcrop pdfcslatex \
  pdfcsplain pdfflip pdfjam pdfjam-pocketmod pdfjam-slides3up pdfjam-slides6up pdfjoin pdflatexpicscale pdfmex \
  pdfnup pdfopen pdfpun pdftosrc pdfxup pdvitomp pdvitype pedigree perltex pfarrei pfb2pfa pk2bm pkfix \
  pkfix-helper platex pmpost pmxab pmxchords pn2pdf pooltype ppltotf prepmx ps2eps ps2pk ps4pdf \
  pst2pdf ptex ptex2pdf ptftopl purifyeps pygmentex pythontex rpdfcrop rubibtex rubikrotation \
  rumakeindex scor2prt sjisconv sjislatex sjispdflatex splitindex srcredact sty2dtx svn-multi \
  synctex t1dotlessj t1lint t1rawafm t1reencode t1testpage tangle tex4ebook texcount texdef texdiff \
  texdirflatten texdoc texdoctk texfot texliveonfly texloganalyser texmfstart texosquery texosquery-jre5 \
  texosquery-jre8 texsis tie tpic2pdftex ttf2afm ttf2kotexfont ttf2pk ttf2tfm ttfdump ttftotype42 \
  typeoutfileinfo ulqda upbibtex updvitomp updvitype uplatex upmendex upmpost uppltotf uptex uptftopl \
  urlbst utf8mex vlna vpe vpl2ovp vpl2vpl weave wofm2opl wopl2ofm wovf2ovp wovp2ovf yplan \
  axohelp bib2gls biburl2doi convertgls2bib ctan-o-mat dviinfox jfmutil l3build latexdef tex2aspc \
  tlcockpit tlshell wordcount accfonts crossrefware fontools getmap glossaries installfont kotex-utils \
  lilyglyphs listings-ext lua2dox pax pedigree-perl petri-nets pst-pdf \
  ptex-fontmaps rubik fontinst.sh optex rubibtex.sh rumakeindex.sh ruby \
  chkdvifont chklref cllualatex cluttex clxelatex ctanbib ctwill ctwill-refsort ctwill-twinx \
  dvispc ketcindy pamphletangler pdfbook2 pdftex-quiet platex-dev \
  r-pmpost r-upmpost texplate uplatex-dev webquiz xindex \
  albatross bibcop citeproc-lua digestif git-latexdiff hilatex hishrink histretch hitex \
  hyperxmp-add-bytecount llmk luafindfont optexcount gpagelayoutapi gspix gtexaccents \
  gtexlogfilter gtexlogsieve gtextestvis gtikztosvg gtwill gxelatex-unsafe gxetex-unsafe \
  gxml2pmx pagelayoutapi spix texaccents texlogfilter texlogsieve textestvis tikztosvg \
  twill xml2pmx ; do
   rm -f %{buildroot}%{_bindir}/$f
   rm -f %{buildroot}%{_mandir}/man*/$f.*
   rm -f %{buildroot}%{fmtutil_cnf_d}/$f
   rm -rf %{buildroot}%{_texdir}/texmf-dist/scripts/$f
   rm -rf %{buildroot}%{_texdir}/texmf-dist/scripts/context/ruby
   rm -rf %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/$f
done

rm -rf %{buildroot}%{_texdir}/texmf-dist/ttf2pk \
       %{buildroot}%{_texdir}/texmf-dist/chktex \
       %{buildroot}%{_texdir}/texmf-dist/hbf2gf \
       %{buildroot}%{_mandir}/man1/cweb.1* \
       %{buildroot}%{_texdir}/texmf-dist/doc/chktex \
       %{buildroot}%{_texdir}/texmf-dist/doc/bibtex8 \
       %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr-general-options.png \
       %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr-gui.png \
       %{buildroot}%{_texdir}/texmf-dist/doc/texlive/texlive-common/tlmgr-paper-options.png \
       %{buildroot}%{_texdir}/texmf-dist/fonts/*/ttf2pk \
       %{buildroot}%{_texdir}/texmf-dist/scripts/chklref \
       %{buildroot}%{_texdir}/texmf-dist/scripts/clojure-pamphlet \
       %{buildroot}%{_texdir}/texmf-dist/scripts/cluttex \
       %{buildroot}%{_texdir}/texmf-dist/scripts/ctanbib \
       %{buildroot}%{_texdir}/texmf-dist/scripts/ketcindy \
       %{buildroot}%{_texdir}/texmf-dist/scripts/pdfbook2 \
       %{buildroot}%{_texdir}/texmf-dist/scripts/pdftex-quiet \
       %{buildroot}%{_texdir}/texmf-dist/scripts/pgf \
       %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tl-errmess.vbs \
       %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/tlmgr.pl.orig \
       %{buildroot}%{_texdir}/texmf-dist/scripts/texlive/uninstq.vbs \
       %{buildroot}%{_texdir}/texmf-dist/scripts/texplate \
       %{buildroot}%{_texdir}/texmf-dist/scripts/webquiz \
       %{buildroot}%{_texdir}/texmf-dist/scripts/xindex \
       %{buildroot}%{_texdir}/texmf-dist/doc/bibtexu \
       %{buildroot}%{_texdir}/texmf-dist/scripts/citation-style-language \
       %{buildroot}%{_texdir}/texmf-dist/scripts/hyperxmp \
       %{buildroot}%{_texdir}/texmf-dist/scripts/light-latex-make \
       %{buildroot}%{_texdir}/texmf-dist/scripts/pagelayout \
       %{buildroot}%{_texdir}/texmf-dist/tex/generic/babel/locale/ar

pushd %{buildroot}%{_texdir}
# ALWAYS NUKE THIS IF IT IS HERE.
rm -rf texmf-var
# AND NOW WE MAKE THE SYMLINK.
ln -s %{_texmf_var} texmf-var
popd

# sync built/distro binaries
pushd %{buildroot}%{_bindir}
[ ! -e mfplain ] && ln -s mpost mfplain
[ ! -e texlua ] && ln -s luatex texlua
[ ! -e texluac ] && ln -s luatex texluac

# remove latexmk
# This lives in the "latexmk" package in Fedora.
rm -f latexmk
rm -rf %{buildroot}%{_texdir}/texmf-dist/scripts/latexmk
rm -f %{buildroot}%{_datadir}/texlive/texmf-dist/doc/man/man1/latexmk.*

# Fix symlinks for helper scripts
rm -rf mktexmf
ln -s /usr/share/texlive/texmf-dist/scripts/texlive/mktexmf mktexmf
popd


# Move docs
mkdir -p %{buildroot}%{_datadir}/
mkdir -p %{buildroot}%{_infodir}/
cp -R %{buildroot}%{_texdir}/texmf-dist/doc/man %{buildroot}%{_datadir}/
find %{buildroot}%{_texdir}/texmf-dist/doc/man -type f | xargs rm -f
mv %{buildroot}%{_texdir}/texmf-dist/doc/info/* %{buildroot}%{_infodir}/

# Remove cjk-gs-integrate files
# Yes, we probably should remove the source, but there is a possibility that we will
# re-add this subpackage at some point.
rm -rf %{buildroot}%{_bindir}/cjk-gs-integrate
rm -rf %{buildroot}%{_texdir}/texmf-dist/scripts/cjk-gs-integrate
rm -rf %{buildroot}%{_texdir}/texmf-dist/doc/fonts/cjk-gs-integrate
rm -rf %{buildroot}%{_texdir}/texmf-dist/fonts/misc/cjk-gs-integrate

# disable all formats
sed -i '/^[a-z].*$/s/^/\#\!\ /' %{buildroot}%{_sysconfdir}/texlive/web2c/fmtutil.cnf

# add reference to support old texmf tree
sed -i -e 's|^TEXMFLOCAL.*|TEXMFLOCAL = $TEXMFROOT/texmf-local//|' %{buildroot}/%{_sysconfdir}/texlive/web2c/texmf.cnf

# Make this perl module show up in @INC
mkdir -p %{buildroot}%{_datadir}/perl5
ln -s %{_texdir}/tlpkg/TeXLive %{buildroot}%{_datadir}/perl5/TeXLive

rm -f %{buildroot}%{_mandir}/man1/texmfstart*

# gnu-freefont
mkdir -p %{buildroot}%{_datadir}/fonts
pushd %{buildroot}%{_datadir}/fonts
ln -s ../texlive/texmf-dist/fonts/opentype/public/gnu-freefont .
popd

# install AppStream metadata
mkdir -p %{buildroot}%{_datadir}/appdata/
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/appdata/

# Some (most) of the binaries are ending up with RPATH despite our best efforts.
for i in afm2pl afm2tfm aleph bibtex bibtex8 bibtexu chkdvifont chktex ctie ctangle ctwill ctwill-refsort \
         ctwill-twinx cweave detex disdvi dt2dv dv2dt dvi2tty dvibook dviconcat dvicopy dvilj dvilj2p dvilj4 \
         dvilj4l dvipng dvipos dvips dviselect dvispc dvisvgm dvitodvi dvitype eptex euptex gftodvi gftopk \
         gftype gregorio gsftopk hbf2gf kpsewhich luahbtex luatex mag makeindex makejvf mendex mf mflua mft \
         mf-nowin mpost otftotfm msxlint odvicopy odvitype omfonts otangle otp2ocp outocp patgen pbibtex pdftex \
         pdftosrc pktogf pdvitype pfb2pfa pk2bm pktype pltotf pmpost pooltype ppltotf ps2pk ptex ptftopl synctex \
         t4ht tangle tex tex4ht tftopl tie tl-epsffit tl-psbook tl-psnup tl-psresize tl-psselect tl-pstops \
         ttf2afm ttf2pk ttf2tfm ttfdump upbibtex updvitype upmendex upmpost uppltotf uptex uptftopl vftovp \
         vptovf weave wofm2opl wopl2ofm wovf2ovp wovp2ovf xdvi-xaw xdvipdfmx xetex luajithbtex luajittex mfluajit \
         pstops psselect hitex psbook psnup epsffit twill psresize; do
   if [ -f %{buildroot}%{_bindir}/$i ] ; then
      chrpath --delete %{buildroot}%{_bindir}/$i
   fi
done

# And remove the rpath from this library.
chrpath --delete %{buildroot}%{_libdir}/libptexenc.so.*

# This map file provided by texlive-scripts is not useful and confuses lots of things when it ends up in pdftex.map
# Renaming it should prevent it from being included
mv %{buildroot}%{_texdir}/texmf-dist/fonts/map/dvips/tetex/dvipdfm35.map %{buildroot}%{_texdir}/texmf-dist/fonts/map/dvips/tetex/dvipdfm35.oldmap

# SCRIPTLETS
%pretrans base -p <lua>
path = "/usr/share/texmf"
st = posix.stat(path)
if st and st.type == "directory" then
  status = os.rename(path, path .. ".rpmmoved")
  if not status then
    suffix = 0
    while not status do
      suffix = suffix + 1
      status = os.rename(path .. ".rpmmoved", path .. ".rpmmoved." .. suffix)
    end
    os.rename(path, path .. ".rpmmoved")
  end
end

%pre base
rm -rf %{_texdir}/texmf-var
rm -rf %{_texmf_var}/*
:

%posttrans base
if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
[ -x /sbin/restorecon ] && /sbin/restorecon -R %{_texmf_var}/
fi
:

%transfiletriggerin context -- %{_texdir}
export TEXMFLOCAL=/usr/share/texlive/texmf-local
%{_bindir}/mtxrun --generate &> /dev/null || :

%transfiletriggerin kpathsea -- %{_texdir}
# Commented lines are DEBUG mode
# touch /usr/share/texlive/kpathsea.log
# /usr/share/texlive/texmf-dist/scripts/texlive/mktexlsr --version 2>&1 | tee -a /usr/share/texlive/kpathsea.log || :
# /usr/share/texlive/texmf-dist/scripts/texlive/mktexlsr --verbose 2>&1 | tee -a /usr/share/texlive/kpathsea.log || :
# /usr/bin/sh -x %{_bindir}/texhash 2>&1 | tee -a /usr/share/texlive/kpathsea.log || :
/usr/share/texlive/texmf-dist/scripts/texlive/mktexlsr 2> /dev/null || :
export TEXMF=/usr/share/texlive/texmf-dist
export TEXMFCNF=/usr/share/texlive/texmf-dist/web2c
export TEXMFCACHE=/var/lib/texmf
# %{_bindir}/fmtutil-sys --all 2>&1 | tee -a /usr/share/texlive/kpathsea.log || :
%{_bindir}/fmtutil-sys --all &> /dev/null || :

%transfiletriggerpostun kpathsea -- %{_texdir}
/usr/share/texlive/texmf-dist/scripts/texlive/mktexlsr 2> /dev/null || :

%transfiletriggerin kpathsea -- %{_texdir}/texmf-dist/fonts/map/dvips/
# MixedMap list, from directory with _EVERY_ tex subpackage unpacked: for i in `grep -r "addMixedMap" tlpkg/ |cut -d ":" -f 2- | sort -n | uniq | cut -d " " -f 3`; do printf "$i|"; done
# Map list, from directory with _EVERY_ tex subpackage unpacked: for i in `grep -r "addMap" tlpkg/ |cut -d ":" -f 2- | sort -n | uniq | cut -d " " -f 3`; do printf "$i|"; done
# NO OTHER MAPS SHOULD BE ADDED. That road leads to madness.
list=`grep "\.map" | sort -n | uniq`
while read -r line; do
        [ -z "$line" ] && continue
        shortfile=`basename "$line"`
        if `echo $shortfile | grep -Eq 'allrunes.map|arabtex.map|arss.map|artm.map|bbold.map|cbgreek-full.map|ccpl.map|cmextra.map|cmll.map|cm.map|cm-super-t1.map|cm-super-t2a.map|cm-super-t2b.map|cm-super-t2c.map|cm-super-ts1.map|cm-super-x2.map|cmtext-bsr-interpolated.map|cmupint.map|cyrillic.map|esint.map|ethiop.map|eurosym.map|hfbright.map|iby.map|latxfont.map|lxfonts.map|manfnt.map|mflogo.map|mongolian.map|musix.map|pigpen.map|plother.map|pltext.map|rsfs.map|semaf.map|stmaryrd.map|symbols.map|tipa.map|trajan.map|vnrother.map|vnrtext.map|wasy.map|xypic.map|yhmath.map'`; then
                %{_bindir}/updmap-sys --nomkmap --enable MixedMap=$shortfile >/dev/null 2>&1 || :
        else
                if `echo $shortfile | grep -Eq 'accanthis.map|Acorn.map|aesupp.map|Alegreya.map|AlgolRevived.map|almendra.map|AnnSton.map|AnonymousPro.map|antt.map|ap.map|arabi.map|archaicprw.map|arev.map|arevvn.map|arimo.map|ArrowsADF.map|ArtNouvc.map|ArtNouv.map|ascii.map|ascmac.map|aspectratio.map|atkinson.map|augie.map|auncial.map|aurical.map|Baskervaldx.map|BaskervilleF.map|belleek.map|bera.map|beuron.map|bguq.map|bitter.map|bkaiu.map|boondox.map|bsmiu.map|BulletsADF.map|burmese.map|cabin.map|caladea.map|calligra.map|cantarell.map|carlito.map|Carrickc.map|CascadiaCodThree.map|ccicons.map|charter.map|chartervn.map|chemarrow.map|cherokee.map|Chivo.map|cinzel.map|cjhebrew.map|Clara.map|ClearSans.map|clm.map|cmathbb.map|cmbrightvn.map|cmcyr.map|cmexb.map|cmin.map|cm-lgc.map|cmsrb.map|Cochineal.map|Coelacanth.map|comfortaa.map|ComicNeueAngular.map|ComicNeue.map|concretevn.map|CormorantGaramond.map|countriesofeurope.map|CourierOneZeroPitch.map|crimson.map|CrimsonPro.map|cs-charter.map|csfonts.map|cuprum.map|cyklop.map|dad.map|dante.map|dejavu-type1.map|dgj.map|dictsym.map|dmj.map|Domitian.map|droidsans.map|droidsansmono.map|droidserif.map|DSSerif.map|dstroke.map|dutchcal.map|EBGaramond.map|EBGaramond-Maths.map|Eichenla.map|EileenBl.map|Eileen.map|Elzevier.map|epigrafica.map|epiolmec.map|erewhon.map|esrelation.map|ESSTIX.map|esvect.map|ETbb.map|fbb.map|fdsymbol.map|fetamont.map|fge.map|fira.map|foekfont.map|fonetika.map|fontawesome5.map|fontawesome.map|forum.map|fourier.map|fourier-utopia-expert.map|fpls.map|frcursive.map|GaramondLibre.map|garuda-c90.map|gbsnu.map|gentium-type1.map|gfsartemisia.map|gfsbaskerville.map|gfsbodoni.map|gfscomplutum.map|gfsdidot.map|gfsneohellenic.map|gfsporson.map|gfssolomos.map|gillius.map|gkaiu.map|go.map|GotIn.map|GoudyIn.map|gptimes.map|grotesqvn.map|Gudea.map|hacm.map|Heuristica.map|HindMadurai.map|ibarra.map|icelandic.map|imfellEnglish.map|InriaSans.map|InriaSerif.map|Inter.map|ipaex-type1.map|iwona.map|josefin.map|Junicode.map|kerkis.map|Kinigcap.map|knitfont.map|Konanur.map|kpfonts.map|Kramer.map|kurier.map|l7x-urwvn.map|lato.map|libertinegc.map|libertine.map|libertinus.map|libertinust1math.map|LibreBaskerville.map|LibreBodoni.map|LibreCaslon.map|LibreFranklin.map|linearA.map|LinguisticsPro.map|lm.map|LobsterTwo.map|Magra.map|marcellus.map|marvosym.map|mathabx.map|mc2j.map|mcj.map|mdbch.map|mdgreek.map|mdici.map|mdpgd.map|mdpus.map|mdput.map|mdsymbol.map|mdugm.map|merriweather.map|miama.map|mintspirit.map|mlm.map|MnSymbol.map|Montserrat.map|MorrisIn.map|mr2j.map|mrj.map|mxedruli.map|nanumfonts.map|nectec.map|newpx.map|newtx.map|newtxsf.map|newtxtt.map|nf.map|niceframe.map|nimbus15.map|norasi-c90.map|noto.map|NotoMath.map|Nouveaud.map|oasy.map|ocrb.map|oinuit.map|OldStandard.map|omega.map|opensans.map|OrnementsADF.map|overlock.map|paratype-type1.map|pazo.map|pbsi.map|phaistos.map|PlayfairDisplay.map|plex.map|plimsoll.map|PoiretOne.map|prodint.map|pxfonts.map|pxtx.map|qag.map|qbk.map|qcr.map|qcs.map|qhv.map|qpl.map|qtm.map|quattrocento.map|qzc.map|Raleway.map|recycle.map|roboto.map|rojud.map|Romantik.map|Rosario.map|Rothdn.map|RoyalIn.map|rsfso.map|Sanremo.map|sansmathaccent.map|sansmathfonts.map|scanpages.map|ScholaX.map|sipa.map|SkakNew.map|skt.map|SourceCodePro.map|SourceSansPro.map|SourceSerifPro.map|spectral.map|sqrcaps.map|Starburst.map|starfont.map|STEPGreekTest.map|STEP.map|SticksTooText.map|stix2.map|stix.map|superiors.map|svrsymbols.map|syriac.map|tabvar.map|tempora.map|tfrupee.map|TheanoDidot.map|TheanoModern.map|TheanoOldStyle.map|tinos.map|tlwg.map|txfonts.map|txttvn.map|TXUprCal.map|Typocaps.map|uag.map|uaq.map|ubk.map|ucr.map|ugq.map|uhv.map|umj.map|unc.map|universalis.map|upl.map|urwvn.map|usy.map|utm.map|utopia.map|uzc.map|uzd.map|vntopia.map|XCharter.map|ybd.map|ybv.map|yes.map|yfrak.map|yly.map|yrd.map|yv1.map|yv2.map|yv3.map|yvo.map|yvt.map|Zallman.map|Zeroswald.map|zi4.map'`; then
                        %{_bindir}/updmap-sys --nomkmap --enable Map=$shortfile >/dev/null 2>&1 || :
                fi
        fi
done <<< "$list"
# With the demise of updmap-map, we need to make system maps here.
# %{_bindir}/updmap-sys --quiet --nomkmap >/dev/null || :
yes | %{_bindir}/updmap-sys --quiet --syncwithtrees >/dev/null 2>&1 || :
%{_bindir}/updmap-sys --quiet --force 2>&1 || :

%transfiletriggerpostun kpathsea -- %{_texdir}/texmf-dist/fonts/map/dvips/
# I am not sure we need to do this, but it is not harmful.
# TODO: see if we can safely remove everything above the updmap-sys calls
list=`grep "\.map" | sort -n | uniq`
while read -r line; do
        [ -z "$line" ] && continue
        shortfile=`basename "$line"`
        if `echo $shortfile | grep -Eq 'allrunes.map|arabtex.map|arss.map|artm.map|bbold.map|cbgreek-full.map|ccpl.map|cmextra.map|cmll.map|cm.map|cm-super-t1.map|cm-super-t2a.map|cm-super-t2b.map|cm-super-t2c.map|cm-super-ts1.map|cm-super-x2.map|cmtext-bsr-interpolated.map|cmupint.map|cyrillic.map|esint.map|ethiop.map|eurosym.map|hfbright.map|iby.map|latxfont.map|lxfonts.map|manfnt.map|mflogo.map|mongolian.map|musix.map|pigpen.map|plother.map|pltext.map|rsfs.map|semaf.map|stmaryrd.map|symbols.map|tipa.map|trajan.map|vnrother.map|vnrtext.map|wasy.map|xypic.map|yhmath.map'`; then
                %{_bindir}/updmap-sys --nomkmap --disable MixedMap=$shortfile >/dev/null 2>&1 || :
        else
                if `echo $shortfile | grep -Eq 'accanthis.map|Acorn.map|aesupp.map|Alegreya.map|AlgolRevived.map|almendra.map|AnnSton.map|AnonymousPro.map|antt.map|ap.map|arabi.map|archaicprw.map|arev.map|arevvn.map|arimo.map|ArrowsADF.map|ArtNouvc.map|ArtNouv.map|ascii.map|ascmac.map|aspectratio.map|atkinson.map|augie.map|auncial.map|aurical.map|Baskervaldx.map|BaskervilleF.map|belleek.map|bera.map|beuron.map|bguq.map|bitter.map|bkaiu.map|boondox.map|bsmiu.map|BulletsADF.map|burmese.map|cabin.map|caladea.map|calligra.map|cantarell.map|carlito.map|Carrickc.map|CascadiaCodThree.map|ccicons.map|charter.map|chartervn.map|chemarrow.map|cherokee.map|Chivo.map|cinzel.map|cjhebrew.map|Clara.map|ClearSans.map|clm.map|cmathbb.map|cmbrightvn.map|cmcyr.map|cmexb.map|cmin.map|cm-lgc.map|cmsrb.map|Cochineal.map|Coelacanth.map|comfortaa.map|ComicNeueAngular.map|ComicNeue.map|concretevn.map|CormorantGaramond.map|countriesofeurope.map|CourierOneZeroPitch.map|crimson.map|CrimsonPro.map|cs-charter.map|csfonts.map|cuprum.map|cyklop.map|dad.map|dante.map|dejavu-type1.map|dgj.map|dictsym.map|dmj.map|Domitian.map|droidsans.map|droidsansmono.map|droidserif.map|DSSerif.map|dstroke.map|dutchcal.map|EBGaramond.map|EBGaramond-Maths.map|Eichenla.map|EileenBl.map|Eileen.map|Elzevier.map|epigrafica.map|epiolmec.map|erewhon.map|esrelation.map|ESSTIX.map|esvect.map|ETbb.map|fbb.map|fdsymbol.map|fetamont.map|fge.map|fira.map|foekfont.map|fonetika.map|fontawesome5.map|fontawesome.map|forum.map|fourier.map|fourier-utopia-expert.map|fpls.map|frcursive.map|GaramondLibre.map|garuda-c90.map|gbsnu.map|gentium-type1.map|gfsartemisia.map|gfsbaskerville.map|gfsbodoni.map|gfscomplutum.map|gfsdidot.map|gfsneohellenic.map|gfsporson.map|gfssolomos.map|gillius.map|gkaiu.map|go.map|GotIn.map|GoudyIn.map|gptimes.map|grotesqvn.map|Gudea.map|hacm.map|Heuristica.map|HindMadurai.map|ibarra.map|icelandic.map|imfellEnglish.map|InriaSans.map|InriaSerif.map|Inter.map|ipaex-type1.map|iwona.map|josefin.map|Junicode.map|kerkis.map|Kinigcap.map|knitfont.map|Konanur.map|kpfonts.map|Kramer.map|kurier.map|l7x-urwvn.map|lato.map|libertinegc.map|libertine.map|libertinus.map|libertinust1math.map|LibreBaskerville.map|LibreBodoni.map|LibreCaslon.map|LibreFranklin.map|linearA.map|LinguisticsPro.map|lm.map|LobsterTwo.map|Magra.map|marcellus.map|marvosym.map|mathabx.map|mc2j.map|mcj.map|mdbch.map|mdgreek.map|mdici.map|mdpgd.map|mdpus.map|mdput.map|mdsymbol.map|mdugm.map|merriweather.map|miama.map|mintspirit.map|mlm.map|MnSymbol.map|Montserrat.map|MorrisIn.map|mr2j.map|mrj.map|mxedruli.map|nanumfonts.map|nectec.map|newpx.map|newtx.map|newtxsf.map|newtxtt.map|nf.map|niceframe.map|nimbus15.map|norasi-c90.map|noto.map|NotoMath.map|Nouveaud.map|oasy.map|ocrb.map|oinuit.map|OldStandard.map|omega.map|opensans.map|OrnementsADF.map|overlock.map|paratype-type1.map|pazo.map|pbsi.map|phaistos.map|PlayfairDisplay.map|plex.map|plimsoll.map|PoiretOne.map|prodint.map|pxfonts.map|pxtx.map|qag.map|qbk.map|qcr.map|qcs.map|qhv.map|qpl.map|qtm.map|quattrocento.map|qzc.map|Raleway.map|recycle.map|roboto.map|rojud.map|Romantik.map|Rosario.map|Rothdn.map|RoyalIn.map|rsfso.map|Sanremo.map|sansmathaccent.map|sansmathfonts.map|scanpages.map|ScholaX.map|sipa.map|SkakNew.map|skt.map|SourceCodePro.map|SourceSansPro.map|SourceSerifPro.map|spectral.map|sqrcaps.map|Starburst.map|starfont.map|STEPGreekTest.map|STEP.map|SticksTooText.map|stix2.map|stix.map|superiors.map|svrsymbols.map|syriac.map|tabvar.map|tempora.map|tfrupee.map|TheanoDidot.map|TheanoModern.map|TheanoOldStyle.map|tinos.map|tlwg.map|txfonts.map|txttvn.map|TXUprCal.map|Typocaps.map|uag.map|uaq.map|ubk.map|ucr.map|ugq.map|uhv.map|umj.map|unc.map|universalis.map|upl.map|urwvn.map|usy.map|utm.map|utopia.map|uzc.map|uzd.map|vntopia.map|XCharter.map|ybd.map|ybv.map|yes.map|yfrak.map|yly.map|yrd.map|yv1.map|yv2.map|yv3.map|yvo.map|yvt.map|Zallman.map|Zeroswald.map|zi4.map'`; then
                        %{_bindir}/updmap-sys --nomkmap --disable Map=$shortfile >/dev/null 2>&1 || :
                fi
        fi
done <<< "$list"
# With the demise of updmap-map, we need to make system maps here.
# %{_bindir}/updmap-sys --quiet --nomkmap >/dev/null || :
yes | %{_bindir}/updmap-sys --quiet --syncwithtrees >/dev/null 2>&1 || :
%{_bindir}/updmap-sys --quiet --force 2>&1 || :

%transfiletriggerin kpathsea -P 2000000 -- %{_texdir}/fmtutil.cnf.d/
%{_sbindir}/generate-fmtutilcnf %{_texdir}

%transfiletriggerpostun kpathsea -P 2000000 -- %{_texdir}/fmtutil.cnf.d/
%{_sbindir}/generate-fmtutilcnf %{_texdir}

%files

%files base
%{_texdir}/licenses/
%{_texdir}/texlive.tlpdb
%{_texdir}/tlpkg/texlive.tlpdb
%{_rpmmacrodir}/macros.texlive
# Mostly we own directories.
%dir %{_sysconfdir}/texlive
%dir %{_sysconfdir}/texlive/dvips
%dir %{_sysconfdir}/texlive/dvips/config
%dir %{_sysconfdir}/texlive/tex
%dir %{_sysconfdir}/texlive/tex/generic
%dir %{_sysconfdir}/texlive/tex/generic/config
%dir %{_sysconfdir}/texlive/web2c
%dir %{_texdir}
%dir %{_texdir}/texmf-dist
%dir %{_texdir}/texmf-dist/bibtex/
%dir %{_texdir}/texmf-dist/bibtex/csf
%dir %{_texdir}/texmf-dist/bibtex/csf/base
%dir %{_texdir}/texmf-dist/doc
%dir %{_texdir}/texmf-dist/doc/info
%dir %{_texdir}/texmf-dist/doc/man
%dir %{_texdir}/texmf-dist/doc/man/man1
%dir %{_texdir}/texmf-dist/doc/man/man5
%dir %{_texdir}/texmf-dist/dvips
%dir %{_texdir}/texmf-dist/dvips/config
%dir %{_texdir}/texmf-dist/fonts
%dir %{_texdir}/texmf-dist/fonts/cmap
%dir %{_texdir}/texmf-dist/fonts/enc
%dir %{_texdir}/texmf-dist/fonts/enc/dvips
%dir %{_texdir}/texmf-dist/fonts/map
%dir %{_texdir}/texmf-dist/fonts/map/dvips
%dir %{_texdir}/texmf-dist/fonts/map/glyphlist
%dir %{_texdir}/texmf-dist/fonts/sfd
%dir %{_texdir}/texmf-dist/scripts
%dir %{_texdir}/texmf-dist/scripts/texlive
# %%dir %%{_texdir}/texmf-dist/source
# %%dir %%{_texdir}/texmf-dist/source/fonts
# %%dir %%{_texdir}/texmf-dist/source/fonts/zhmetrics
%dir %{_texdir}/texmf-dist/tex
%dir %{_texdir}/texmf-dist/tex/generic
%dir %{_texdir}/texmf-dist/tex/generic/bibtex
%dir %{_texdir}/texmf-dist/tex/generic/config
%dir %{_texdir}/texmf-dist/tex/latex
%dir %{_texdir}/texmf-dist/tex/lualatex
%dir %{_texdir}/texmf-dist/tex/luatex
%dir %{_texdir}/texmf-dist/tex/xelatex
%dir %{_texdir}/texmf-dist/web2c
%dir %{_texmf_var}
%doc %{_texdir}/doc.html
%{_texdir}/texmf-var
%{_texdir}/texmf-local/
%{_datadir}/texmf
%ghost %{_datadir}/texmf.rpmmoved

%files ae
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/tfm/public/ae/
%{_texdir}/texmf-dist/fonts/vf/public/ae/
%{_texdir}/texmf-dist/tex/latex/ae/
%doc %{_texdir}/texmf-dist/doc/fonts/ae/

%files algorithms
%license lgpl2.1.txt
%{_texdir}/texmf-dist/tex/latex/algorithms/
%doc %{_texdir}/texmf-dist/doc/latex/algorithms/

%files amscls
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/amscls/
%{_texdir}/texmf-dist/tex/latex/amscls/
%doc %{_texdir}/texmf-dist/doc/latex/amscls/

%files amsfonts
%license ofl.txt
%{_texdir}/texmf-dist/fonts/afm/public/amsfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/amsfonts/
%{_texdir}/texmf-dist/fonts/source/public/amsfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/amsfonts/
%{_texdir}/texmf-dist/fonts/type1/public/amsfonts/
%{_texdir}/texmf-dist/tex/latex/amsfonts/
%{_texdir}/texmf-dist/tex/plain/amsfonts/
%doc %{_texdir}/texmf-dist/doc/fonts/amsfonts/

%files amsmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/amsmath/
%doc %{_texdir}/texmf-dist/doc/latex/amsmath/

%files anysize
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/anysize/
%doc %{_texdir}/texmf-dist/doc/latex/anysize/

%files appendix
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/appendix/
%doc %{_texdir}/texmf-dist/doc/latex/appendix/

%if 0
%files arabxetex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/arabxetex/
%{_texdir}/texmf-dist/tex/xelatex/arabxetex/
%doc %{_texdir}/texmf-dist/doc/xelatex/arabxetex/
%endif

%files arphic
%license other-free.txt
%{_texdir}/texmf-dist/dvips/arphic/
%{_texdir}/texmf-dist/fonts/afm/arphic/
%{_texdir}/texmf-dist/fonts/map/dvips/arphic/
%{_texdir}/texmf-dist/fonts/tfm/arphic/
%{_texdir}/texmf-dist/fonts/type1/arphic/
%{_texdir}/texmf-dist/fonts/vf/arphic/
%doc %{_texdir}/texmf-dist/doc/fonts/arphic/

%files attachfile
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/attachfile/
%doc %{_texdir}/texmf-dist/doc/latex/attachfile/

%files avantgar
%license gpl.txt
%{_texdir}/texmf-dist/dvips/avantgar/
%{_texdir}/texmf-dist/fonts/afm/adobe/avantgar/
%{_texdir}/texmf-dist/fonts/afm/urw/avantgar/
%{_texdir}/texmf-dist/fonts/map/dvips/avantgar/
%{_texdir}/texmf-dist/fonts/tfm/adobe/avantgar
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/avantgar/
%{_texdir}/texmf-dist/fonts/type1/urw/avantgar/
%{_texdir}/texmf-dist/fonts/vf/adobe/avantgar/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/avantgar/
%{_texdir}/texmf-dist/tex/latex/avantgar/

%files babelbib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/babelbib/
%{_texdir}/texmf-dist/tex/latex/babelbib/
%doc %{_texdir}/texmf-dist/doc/bibtex/babelbib/

%files babel
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/babel/
%{_texdir}/texmf-dist/tex/generic/babel/
%doc %{_texdir}/texmf-dist/doc/latex/babel/

%files beamer
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/beamer/
%doc %{_texdir}/texmf-dist/doc/latex/beamer/

%files pgf
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/context/third/pgf/
%{_texdir}/texmf-dist/tex/generic/pgf/
%{_texdir}/texmf-dist/tex/latex/pgf/
%{_texdir}/texmf-dist/tex/plain/pgf/
%doc %{_texdir}/texmf-dist/doc/generic/pgf/

%files xkeyval
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xkeyval/
%{_texdir}/texmf-dist/tex/latex/xkeyval/
%doc %{_texdir}/texmf-dist/doc/latex/xkeyval/

%files xcolor
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/xcolor/
%{_texdir}/texmf-dist/tex/latex/xcolor/
%doc %{_texdir}/texmf-dist/doc/latex/xcolor/

%files bera
%{_texdir}/texmf-dist/fonts/afm/public/bera/
%{_texdir}/texmf-dist/fonts/map/dvips/bera/
%{_texdir}/texmf-dist/fonts/tfm/public/bera/
%{_texdir}/texmf-dist/fonts/type1/public/bera/
%{_texdir}/texmf-dist/fonts/vf/public/bera/
%{_texdir}/texmf-dist/tex/latex/bera/
%doc %{_texdir}/texmf-dist/doc/fonts/bera/

%files beton
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/beton/
%doc %{_texdir}/texmf-dist/doc/latex/beton/

%files bibtex
%license knuth.txt
%{_texdir}/texmf-dist/bibtex/
%{_mandir}/man1/bibtex.1*
%doc %{_texdir}/texmf-dist/doc/bibtex/
%{_texdir}/texmf-dist/tex/generic/bibtex/
%{_bindir}/bibtex

%files kpathsea
%license lgpl2.1.txt
%{_bindir}/kpseaccess
%{_bindir}/kpsereadlink
%{_bindir}/kpsestat
%{_bindir}/kpsewhich
%{_bindir}/mkocp
%{_bindir}/mkofm
%{_bindir}/mktexfmt
%{_bindir}/texhash
%{_sbindir}/generate-fmtutilcnf
%{_mandir}/man1/kpseaccess.1*
%{_mandir}/man1/kpsereadlink.1*
%{_mandir}/man1/kpsestat.1*
%{_mandir}/man1/kpsewhich.1*
%{_mandir}/man1/mkocp.1*
%{_mandir}/man1/mkofm.1*
%{_mandir}/man1/mktexfmt.1*
%{_mandir}/man1/texhash.1*
%{_mandir}/man5/fmtutil.cnf.5*
%{_infodir}/kpathsea.info*
%{_infodir}/web2c.info*
%{_texdir}/texmf-dist/web2c/amiga-pl.tcx
%{_texdir}/texmf-dist/web2c/cp1250cs.tcx
%{_texdir}/texmf-dist/web2c/cp1250pl.tcx
%{_texdir}/texmf-dist/web2c/cp1250t1.tcx
%{_texdir}/texmf-dist/web2c/cp227.tcx
%{_texdir}/texmf-dist/web2c/cp852-cs.tcx
%{_texdir}/texmf-dist/web2c/cp852-pl.tcx
%{_texdir}/texmf-dist/web2c/cp8bit.tcx
%{_texdir}/texmf-dist/web2c/empty.tcx
%config(noreplace) %{_sysconfdir}/texlive/web2c/fmtutil.cnf
%ghost %{_texdir}/texmf-dist/web2c/fmtutil.cnf
%{_texdir}/texmf-dist/web2c/il1-t1.tcx
%{_texdir}/texmf-dist/web2c/il2-cs.tcx
%{_texdir}/texmf-dist/web2c/il2-pl.tcx
%{_texdir}/texmf-dist/web2c/il2-t1.tcx
%{_texdir}/texmf-dist/web2c/kam-cs.tcx
%{_texdir}/texmf-dist/web2c/kam-t1.tcx
%{_texdir}/texmf-dist/web2c/macce-pl.tcx
%{_texdir}/texmf-dist/web2c/macce-t1.tcx
%{_texdir}/texmf-dist/web2c/maz-pl.tcx
%config(noreplace) %{_sysconfdir}/texlive/web2c/mktex.cnf
%{_texdir}/texmf-dist/web2c/mktex.cnf
%{_texdir}/texmf-dist/web2c/mktex.opt
%{_texdir}/texmf-dist/web2c/mktexdir
%{_texdir}/texmf-dist/web2c/mktexdir.opt
%{_texdir}/texmf-dist/web2c/mktexnam
%{_texdir}/texmf-dist/web2c/mktexnam.opt
%{_texdir}/texmf-dist/web2c/mktexupd
%{_texdir}/texmf-dist/web2c/natural.tcx
%{_texdir}/texmf-dist/web2c/tcvn-t5.tcx
%config(noreplace) %{_sysconfdir}/texlive/web2c/texmf.cnf
%{_texdir}/texmf-dist/web2c/texmf.cnf
%{_texdir}/texmf-dist/web2c/viscii-t5.tcx
%dir %{fmtutil_cnf_d}
%doc %{_texdir}/texmf-dist/doc/kpathsea/
%doc %{_texdir}/texmf-dist/doc/web2c/

%files bibtopic
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/bibtopic/
%doc %{_texdir}/texmf-dist/doc/latex/bibtopic/

%files bidi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/bidi/
%doc %{_texdir}/texmf-dist/doc/xelatex/bidi/

%files bigfoot
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/bigfoot/
%doc %{_texdir}/texmf-dist/doc/latex/bigfoot/

%files bookman
%license gpl.txt
%{_texdir}/texmf-dist/dvips/bookman/
%{_texdir}/texmf-dist/fonts/afm/adobe/bookman/
%{_texdir}/texmf-dist/fonts/afm/urw/bookman/
%{_texdir}/texmf-dist/fonts/map/dvips/bookman/
%{_texdir}/texmf-dist/fonts/tfm/adobe/bookman/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/bookman/
%{_texdir}/texmf-dist/fonts/type1/urw/bookman/
%{_texdir}/texmf-dist/fonts/vf/adobe/bookman/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/bookman/
%{_texdir}/texmf-dist/tex/latex/bookman/

%files booktabs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/booktabs/
%doc %{_texdir}/texmf-dist/doc/latex/booktabs/

%files breakurl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/breakurl/
%doc %{_texdir}/texmf-dist/doc/latex/breakurl/

%files caption
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/caption/
%doc %{_texdir}/texmf-dist/doc/latex/caption/

%files carlisle
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/carlisle/
%doc %{_texdir}/texmf-dist/doc/latex/carlisle/

%files changebar
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/changebar/
%doc %{_texdir}/texmf-dist/doc/latex/changebar/

%files changepage
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/changepage/
%doc %{_texdir}/texmf-dist/doc/latex/changepage/

%files charter
%{_texdir}/texmf-dist/fonts/afm/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/tfm/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/type1/bitstrea/charter/
%{_texdir}/texmf-dist/fonts/vf/bitstrea/charter/
%doc %{_texdir}/texmf-dist/doc/fonts/charter/

%files chngcntr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/chngcntr/
%doc %{_texdir}/texmf-dist/doc/latex/chngcntr/

%files cite
%{_texdir}/texmf-dist/tex/latex/cite/
%doc %{_texdir}/texmf-dist/doc/latex/cite/

%if 0
%files cjk
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/cjk/
%doc %{_texdir}/texmf-dist/doc/latex/cjk/
%endif

%files cns
%{_texdir}/texmf-dist/fonts/misc/cns/
%{_texdir}/texmf-dist/fonts/tfm/cns/
%doc %{_texdir}/texmf-dist/doc/fonts/cns/

%files garuda-c90
%{_texdir}/texmf-dist/dvips/garuda-c90/
%{_texdir}/texmf-dist/fonts/map/dvips/garuda-c90/
%{_texdir}/texmf-dist/fonts/tfm/public/garuda-c90/

%files norasi-c90
%{_texdir}/texmf-dist/dvips/norasi-c90/
%{_texdir}/texmf-dist/fonts/map/dvips/norasi-c90/
%{_texdir}/texmf-dist/fonts/tfm/public/norasi-c90/

%files fonts-tlwg
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/enc/dvips/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/map/dvips/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/opentype/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/tfm/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/type1/public/fonts-tlwg/
%{_texdir}/texmf-dist/fonts/vf/public/fonts-tlwg/
%{_texdir}/texmf-dist/tex/latex/fonts-tlwg/
%doc %{_texdir}/texmf-dist/doc/fonts/fonts-tlwg/

%files uhc
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/uhc/
%{_texdir}/texmf-dist/fonts/afm/uhc/
%{_texdir}/texmf-dist/fonts/map/dvips/uhc/
%{_texdir}/texmf-dist/fonts/tfm/uhc/
%{_texdir}/texmf-dist/fonts/type1/uhc/
%{_texdir}/texmf-dist/fonts/vf/uhc/
%doc %{_texdir}/texmf-dist/doc/fonts/uhc/

%files wadalab
%{_texdir}/texmf-dist/fonts/afm/wadalab/
%{_texdir}/texmf-dist/fonts/map/dvips/wadalab/
%{_texdir}/texmf-dist/fonts/tfm/wadalab/
%{_texdir}/texmf-dist/fonts/type1/wadalab/
%{_texdir}/texmf-dist/fonts/vf/wadalab/
%doc %{_texdir}/texmf-dist/doc/fonts/wadalab/

%files cmap
%{_texdir}/texmf-dist/tex/latex/cmap/
%doc %{_texdir}/texmf-dist/doc/latex/cmap/

%files cmextra
%{_texdir}/texmf-dist/fonts/source/public/cmextra/
%{_texdir}/texmf-dist/fonts/tfm/public/cmextra/

%files cm-lgc
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/enc/dvips/cm-lgc/
%{_texdir}/texmf-dist/fonts/map/dvips/cm-lgc/
%{_texdir}/texmf-dist/fonts/ofm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/ovf/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/tfm/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/type1/public/cm-lgc/
%{_texdir}/texmf-dist/fonts/vf/public/cm-lgc/
%{_texdir}/texmf-dist/tex/latex/cm-lgc/
%doc %{_texdir}/texmf-dist/doc/fonts/cm-lgc/

%files cm-super
%license gpl.txt
%{_texdir}/texmf-dist/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/afm/public/cm-super/
%{_texdir}/texmf-dist/fonts/enc/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/map/dvips/cm-super/
%{_texdir}/texmf-dist/fonts/map/vtex/cm-super/
%{_texdir}/texmf-dist/fonts/type1/public/cm-super/
%{_texdir}/texmf-dist/tex/latex/cm-super/
%doc %{_texdir}/texmf-dist/doc/fonts/cm-super/

%files cm
%license knuth.txt
%{_texdir}/texmf-dist/fonts/map/dvips/cm/
%{_texdir}/texmf-dist/fonts/pk/ljfour/public/cm/
%{_texdir}/texmf-dist/fonts/source/public/cm/
%{_texdir}/texmf-dist/fonts/tfm/public/cm/
%doc %{_texdir}/texmf-dist/doc/fonts/cm/

%files collection-basic

%files dvipdfmx
%license gpl.txt
%{_bindir}/dvipdfm
%{_bindir}/dvipdfmx
%{_bindir}/dvipdft
%{_bindir}/ebb
%{_bindir}/extractbb
%{_mandir}/man1/dvipdfm.1*
%{_mandir}/man1/dvipdfmx.1*
%{_mandir}/man1/dvipdft.1*
%{_mandir}/man1/ebb.1*
%{_mandir}/man1/extractbb.1*
%{_mandir}/man1/xdvipdfmx.1*
%{_texdir}/texmf-dist/dvipdfmx/
%{_texdir}/texmf-dist/fonts/cmap/dvipdfmx/
%{_texdir}/texmf-dist/fonts/map/dvipdfmx/
%{_texdir}/tlpkg/tlpostcode/dvipdfmx.pl
%doc %{_texdir}/texmf-dist/doc/dvipdfm/
%doc %{_texdir}/texmf-dist/doc/dvipdfmx/

%files glyphlist
%{_texdir}/texmf-dist/fonts/map/glyphlist/

%files dvips
%license gpl.txt
%{_bindir}/afm2tfm
%{_bindir}/dvips
%{_mandir}/man1/afm2tfm.1*
%{_mandir}/man1/dvips.1*
%{_infodir}/dvips.info*
%{_texdir}/texmf-dist/dvips/base/
%{_texdir}/texmf-dist/dvips/config/alt-rule.pro
%{_texdir}/texmf-dist/dvips/config/canonex.cfg
%{_texdir}/texmf-dist/dvips/config/config.bakoma
%{_texdir}/texmf-dist/dvips/config/config.canonex
%{_texdir}/texmf-dist/dvips/config/config.cx
%{_texdir}/texmf-dist/dvips/config/config.deskjet
%{_texdir}/texmf-dist/dvips/config/config.dvired
%{_texdir}/texmf-dist/dvips/config/config.epson
%{_texdir}/texmf-dist/dvips/config/config.ibmvga
%{_texdir}/texmf-dist/dvips/config/config.ljfour
%{_texdir}/texmf-dist/dvips/config/config.luc
%{_texdir}/texmf-dist/dvips/config/config.mbn
%{_texdir}/texmf-dist/dvips/config/config.mga
%{_texdir}/texmf-dist/dvips/config/config.mirrorprint
%{_texdir}/texmf-dist/dvips/config/config.ot2
%config(noreplace) %{_sysconfdir}/texlive/dvips/config/config.ps
%{_texdir}/texmf-dist/dvips/config/config.ps
%{_texdir}/texmf-dist/dvips/config/config.qms
%{_texdir}/texmf-dist/dvips/config/config.toshiba
%{_texdir}/texmf-dist/dvips/config/config.unms
%{_texdir}/texmf-dist/dvips/config/config.xyp
%{_texdir}/texmf-dist/dvips/config/cx.cfg
%{_texdir}/texmf-dist/dvips/config/deskjet.cfg
%{_texdir}/texmf-dist/dvips/config/dfaxhigh.cfg
%{_texdir}/texmf-dist/dvips/config/dvired.cfg
%{_texdir}/texmf-dist/dvips/config/epson.cfg
%{_texdir}/texmf-dist/dvips/config/ibmvga.cfg
%{_texdir}/texmf-dist/dvips/config/ljfour.cfg
%{_texdir}/texmf-dist/dvips/config/qms.cfg
%{_texdir}/texmf-dist/dvips/config/toshiba.cfg
%{_texdir}/texmf-dist/fonts/enc/dvips/base/
%dir %{_texdir}/texmf-dist/fonts/map/dvips/
%{_texdir}/texmf-dist/tex/generic/dvips/
%doc %{_texdir}/texmf-dist/doc/dvips/

%files enctex
%license gpl.txt
%{_texdir}/texmf-dist/tex/generic/enctex/
%doc %{_texdir}/texmf-dist/doc/generic/enctex/

%files etex
%license knuth.txt
%{_mandir}/man1/etex.1*
%{_texdir}/texmf-dist/fonts/source/public/etex/
%{_texdir}/texmf-dist/fonts/tfm/public/etex/
%{_texdir}/texmf-dist/tex/plain/etex/
%doc %{_texdir}/texmf-dist/doc/etex/base/

%files etex-pkg
%{_texdir}/texmf-dist/tex/latex/etex-pkg/
%doc %{_texdir}/texmf-dist/doc/latex/etex-pkg/

%files gsftopk
%license gpl.txt
%{_bindir}/gsftopk
%{_mandir}/man1/gsftopk.1*
%{_texdir}/texmf-dist/dvips/gsftopk/

%files hyph-utf8
%{_texdir}/texmf-dist/tex/generic/hyph-utf8/
%{_texdir}/texmf-dist/tex/luatex/hyph-utf8/
%doc %{_texdir}/texmf-dist/doc/generic/hyph-utf8/
%doc %{_texdir}/texmf-dist/doc/luatex/hyph-utf8/

%files hyphen-base
%{_texdir}/texmf-dist/tex/generic/hyphen/dumyhyph.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/hyphen.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/hypht1.tex
%{_texdir}/texmf-dist/tex/generic/hyphen/zerohyph.tex
%config(noreplace) %{_sysconfdir}/texlive/tex/generic/config/language.dat
%{_texdir}/texmf-dist/tex/generic/config/language.dat
%{_texdir}/texmf-dist/tex/generic/config/language.dat.lua
%{_texdir}/texmf-dist/tex/generic/config/language.def
%{_texdir}/texmf-dist/tex/generic/config/language.us
%{_texdir}/texmf-dist/tex/generic/config/language.us.def
%{_texdir}/texmf-dist/tex/generic/config/language.us.lua

%files lua-alt-getopt
%{_texdir}/texmf-dist/scripts/lua-alt-getopt/
%doc %{_texdir}/texmf-dist/doc/support/lua-alt-getopt/

%files luajittex
%license gpl2.txt
%ifnarch aarch64 %{mips} %{power64} s390 s390x
%{_bindir}/luajittex
%{_bindir}/luajithbtex
%{_bindir}/texluajit
%{_bindir}/texluajitc
%endif
%{_mandir}/man1/luajittex.1*
%{fmtutil_cnf_d}/luajittex

%files luatex
%license gpl2.txt
%{_bindir}/dviluatex
%{_bindir}/dvilualatex-dev
%{_bindir}/luacsplain
%{_bindir}/luatex
%{_bindir}/texlua
%{_bindir}/texluac
%{_mandir}/man1/dvilualatex-dev.1*
%{_mandir}/man1/dviluatex.1*
%{_mandir}/man1/luatex.1*
%{_mandir}/man1/texlua.1*
%{_mandir}/man1/texluac.1*
%{_sysconfdir}/texlive/web2c/texmfcnf.lua
%{_texdir}/texmf-dist/tex/generic/config/luatex-unicode-letters.tex
%{_texdir}/texmf-dist/tex/generic/config/luatexiniconfig.tex
%{_texdir}/texmf-dist/web2c/texmfcnf.lua
%{fmtutil_cnf_d}/luatex
%doc %{_texdir}/texmf-dist/doc/luatex/base/

%files makeindex
%{_bindir}/makeindex
%{_bindir}/mkindex
%{_mandir}/man1/makeindex.1*
%{_mandir}/man1/mkindex.1*
%exclude %{_texdir}/texmf-dist/makeindex/latex/
%{_texdir}/texmf-dist/makeindex/
%{_texdir}/texmf-dist/tex/plain/makeindex/
%doc %{_texdir}/texmf-dist/doc/support/makeindex/

%files metafont
%license knuth.txt
%{_bindir}/inimf
%{_bindir}/mf
%{_bindir}/mf-nowin
%{_mandir}/man1/inimf.1.*
%{_mandir}/man1/mf-nowin.1*
%{_mandir}/man1/mf.1*
%{_texdir}/texmf-dist/metafont/
%{fmtutil_cnf_d}/metafont

%files mflogo
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/mflogo/
%{_texdir}/texmf-dist/fonts/tfm/public/mflogo/
%{_texdir}/texmf-dist/tex/latex/mflogo/
%doc %{_texdir}/texmf-dist/doc/latex/mflogo/

%files mfware
%license knuth.txt
%{_bindir}/gftodvi
%{_bindir}/gftopk
%{_bindir}/gftype
%{_bindir}/mft
%{_bindir}/pktogf
%{_bindir}/pktype
%{_mandir}/man1/gftodvi.1*
%{_mandir}/man1/gftopk.1*
%{_mandir}/man1/gftype.1*
%{_mandir}/man1/mft.1*
%{_mandir}/man1/pktogf.1*
%{_mandir}/man1/pktype.1*
%{_texdir}/texmf-dist/mft/

%files pdftex
%license gpl.txt
%{_bindir}/etex
%{_bindir}/latex-dev
%{_bindir}/pdfetex
%{_bindir}/pdflatex-dev
%{_bindir}/pdftex
%{_bindir}/simpdftex
%{_mandir}/man1/latex-dev.1*
%{_mandir}/man1/pdfetex.1*
%{_mandir}/man1/pdflatex-dev.1*
%{_mandir}/man1/pdftex.1*
%{_texdir}/texmf-dist/fonts/map/dvips/dummy-space/dummy-space.map
%{_texdir}/texmf-dist/fonts/tfm/public/pdftex/
%{_texdir}/texmf-dist/fonts/type1/public/pdftex/
%{_texdir}/texmf-dist/scripts/simpdftex/simpdftex
%{_texdir}/texmf-dist/tex/generic/config/pdftex-dvi.tex
%{_texdir}/texmf-dist/tex/generic/pdftex/
%{fmtutil_cnf_d}/latex-bin-dev
%{fmtutil_cnf_d}/pdftex
%doc %{_texdir}/texmf-dist/doc/pdftex/

%files plain
%license knuth.txt
%{_texdir}/texmf-dist/makeindex/plain/
%dir %{_texdir}/texmf-dist/tex/plain/
%{_texdir}/texmf-dist/tex/plain/base/
%{_texdir}/texmf-dist/tex/plain/config/

%files tex
%license knuth.txt
%{_mandir}/man1/initex.1*
%{_mandir}/man1/tex.1*
%{_bindir}/initex
%{_bindir}/tex
%{fmtutil_cnf_d}/tex

%files texlive.infra
%license lppl1.txt
%{_bindir}/tlmgr
%{_texdir}/texmf-dist/web2c/fmtutil-hdr.cnf
%{_texdir}/texmf-dist/web2c/updmap-hdr.cfg
%{_texdir}/LICENSE.CTAN
%{_texdir}/LICENSE.TL
%{_texdir}/README
%{_texdir}/README.usergroups
%{_texdir}/index.html
%{_texdir}/readme-html.dir/readme.cs.html
%{_texdir}/readme-html.dir/readme.de.html
%{_texdir}/readme-html.dir/readme.en.html
%{_texdir}/readme-html.dir/readme.es.html
%{_texdir}/readme-html.dir/readme.fr.html
%{_texdir}/readme-html.dir/readme.it.html
%{_texdir}/readme-html.dir/readme.ja.html
%{_texdir}/readme-html.dir/readme.pl.html
%{_texdir}/readme-html.dir/readme.pt-br.html
%{_texdir}/readme-html.dir/readme.ru.html
%{_texdir}/readme-html.dir/readme.sk.html
%{_texdir}/readme-html.dir/readme.sr.html
%{_texdir}/readme-html.dir/readme.vi.html
%{_texdir}/readme-html.dir/readme.zh-cn.html
%{_texdir}/release-texlive.txt
%{_texdir}/texmf-dist/scripts/texlive/tlmgr.pl
%{_texdir}/tlpkg/installer/config.guess
%{_texdir}/tlpkg/TeXLive/TLConfFile.pm
%{_texdir}/tlpkg/TeXLive/TLConfig.pm
%{_texdir}/tlpkg/TeXLive/TLCrypto.pm
%{_texdir}/tlpkg/TeXLive/TLDownload.pm
%{_texdir}/tlpkg/TeXLive/TLPDB.pm
%{_texdir}/tlpkg/TeXLive/TLPOBJ.pm
%{_texdir}/tlpkg/TeXLive/TLPSRC.pm
%{_texdir}/tlpkg/TeXLive/TLPaper.pm
%{_texdir}/tlpkg/TeXLive/TLTREE.pm
%{_texdir}/tlpkg/TeXLive/TLUtils.pm
%{_texdir}/tlpkg/TeXLive/TLWinGoo.pm
%{_texdir}/tlpkg/TeXLive/TeXCatalogue.pm
%{_texdir}/tlpkg/TeXLive/trans.pl
%{_datadir}/perl5/TeXLive
%{_mandir}/man1/tlmgr.1*
%doc %{_texdir}/texmf-dist/scripts/texlive/NEWS
%doc %{_texdir}/tlpkg/README

%files xdvi
%{_bindir}/xdvi
%{_bindir}/xdvi-xaw
%{_mandir}/man1/xdvi.1*
%{_texdir}/texmf-dist/dvips/xdvi/
%{_texdir}/texmf-dist/xdvi/

%files collection-fontsrecommended

%files courier
%license gpl.txt
%{_texdir}/texmf-dist/dvips/courier/
%{_texdir}/texmf-dist/fonts/afm/adobe/courier/
%{_texdir}/texmf-dist/fonts/afm/urw/courier/
%{_texdir}/texmf-dist/fonts/map/dvips/courier/
%{_texdir}/texmf-dist/fonts/tfm/adobe/courier/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/courier/
%{_texdir}/texmf-dist/fonts/type1/adobe/courier/
%{_texdir}/texmf-dist/fonts/type1/urw/courier/
%{_texdir}/texmf-dist/fonts/vf/adobe/courier/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/courier/
%{_texdir}/texmf-dist/tex/latex/courier/

%files euro
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/euro/
%doc %{_texdir}/texmf-dist/doc/latex/euro/

%files eurosym
%{_texdir}/texmf-dist/fonts/map/dvips/eurosym/
%{_texdir}/texmf-dist/fonts/source/public/eurosym/
%{_texdir}/texmf-dist/fonts/tfm/public/eurosym/
%{_texdir}/texmf-dist/fonts/type1/public/eurosym/
%{_texdir}/texmf-dist/tex/latex/eurosym/
%doc %{_texdir}/texmf-dist/doc/fonts/eurosym/

%files fpl
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/fpl/
%{_texdir}/texmf-dist/fonts/type1/public/fpl/
%doc %{_texdir}/texmf-dist/doc/fonts/fpl/

%files helvetic
%license gpl.txt
%{_texdir}/texmf-dist/dvips/helvetic/config.uhv
%{_texdir}/texmf-dist/fonts/afm/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/afm/urw/helvetic/
%{_texdir}/texmf-dist/fonts/map/dvips/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/monotype/helvetic/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/helvetic/
%{_texdir}/texmf-dist/fonts/type1/urw/helvetic/
%{_texdir}/texmf-dist/fonts/vf/adobe/helvetic/
%{_texdir}/texmf-dist/fonts/vf/monotype/helvetic/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/helvetic/
%{_texdir}/texmf-dist/tex/latex/helvetic/

%files lm
%license gfsl.txt
%{_texdir}/texmf-dist/fonts/afm/public/lm/
%{_texdir}/texmf-dist/fonts/enc/dvips/lm/
%{_texdir}/texmf-dist/fonts/map/dvipdfm/lm/
%{_texdir}/texmf-dist/fonts/map/dvips/lm/
%{_texdir}/texmf-dist/fonts/opentype/public/lm/
%{_texdir}/texmf-dist/fonts/tfm/public/lm/
%{_texdir}/texmf-dist/fonts/type1/public/lm/
%{_texdir}/texmf-dist/tex/latex/lm/
%doc %{_texdir}/texmf-dist/doc/fonts/lm/

%files lm-math
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/opentype/public/lm-math/
%doc %{_texdir}/texmf-dist/doc/fonts/lm-math/

%files marvosym
%license ofl.txt
%{_texdir}/texmf-dist/fonts/afm/public/marvosym/
%{_texdir}/texmf-dist/fonts/map/dvips/marvosym/
%{_texdir}/texmf-dist/fonts/tfm/public/marvosym/
%{_texdir}/texmf-dist/fonts/truetype/public/marvosym/
%{_texdir}/texmf-dist/fonts/type1/public/marvosym/
%{_texdir}/texmf-dist/tex/latex/marvosym/
%doc %{_texdir}/texmf-dist/doc/fonts/marvosym/

%files mathpazo
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/mathpazo/
%{_texdir}/texmf-dist/fonts/tfm/public/mathpazo/
%{_texdir}/texmf-dist/fonts/type1/public/mathpazo/
%{_texdir}/texmf-dist/fonts/vf/public/mathpazo/
%doc %{_texdir}/texmf-dist/doc/latex/mathpazo/

%files ncntrsbk
%license gpl.txt
%{_texdir}/texmf-dist/dvips/ncntrsbk/
%{_texdir}/texmf-dist/fonts/afm/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/afm/urw/ncntrsbk/
%{_texdir}/texmf-dist/fonts/map/dvips/ncntrsbk/
%{_texdir}/texmf-dist/fonts/tfm/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/ncntrsbk/
%{_texdir}/texmf-dist/fonts/type1/urw/ncntrsbk/
%{_texdir}/texmf-dist/fonts/vf/adobe/ncntrsbk/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/ncntrsbk/
%{_texdir}/texmf-dist/tex/latex/ncntrsbk/

%files palatino
%license gpl.txt
%{_texdir}/texmf-dist/dvips/palatino/
%{_texdir}/texmf-dist/fonts/afm/adobe/palatino/
%{_texdir}/texmf-dist/fonts/afm/urw/palatino/
%{_texdir}/texmf-dist/fonts/map/dvips/palatino/
%{_texdir}/texmf-dist/fonts/tfm/adobe/palatino/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/palatino/
%{_texdir}/texmf-dist/fonts/type1/urw/palatino/
%{_texdir}/texmf-dist/fonts/vf/adobe/palatino/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/palatino/
%{_texdir}/texmf-dist/tex/latex/palatino/

%files pxfonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/pxfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/pxfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/pxfonts/
%{_texdir}/texmf-dist/fonts/type1/public/pxfonts/
%{_texdir}/texmf-dist/fonts/vf/public/pxfonts/
%{_texdir}/texmf-dist/tex/latex/pxfonts/
%doc %{_texdir}/texmf-dist/doc/fonts/pxfonts/

%files rsfs
%{_texdir}/texmf-dist/fonts/afm/public/rsfs/
%{_texdir}/texmf-dist/fonts/map/dvips/rsfs/
%{_texdir}/texmf-dist/fonts/source/public/rsfs/
%{_texdir}/texmf-dist/fonts/tfm/public/rsfs/
%{_texdir}/texmf-dist/fonts/type1/public/rsfs/
%{_texdir}/texmf-dist/tex/plain/rsfs/
%doc %{_texdir}/texmf-dist/doc/fonts/rsfs/

%files symbol
%license gpl.txt
%{_texdir}/texmf-dist/dvips/symbol/
%{_texdir}/texmf-dist/fonts/afm/adobe/symbol/
%{_texdir}/texmf-dist/fonts/afm/urw/symbol/
%{_texdir}/texmf-dist/fonts/map/dvips/symbol/
%{_texdir}/texmf-dist/fonts/tfm/adobe/symbol/
%{_texdir}/texmf-dist/fonts/tfm/monotype/symbol/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/symbol/
%{_texdir}/texmf-dist/fonts/type1/urw/symbol/
%{_texdir}/texmf-dist/tex/latex/symbol

%files tex-gyre
%license gfsl.txt
%{_texdir}/texmf-dist/fonts/afm/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/enc/dvips/tex-gyre/
%{_texdir}/texmf-dist/fonts/map/dvips/tex-gyre/
%{_texdir}/texmf-dist/fonts/opentype/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/tfm/public/tex-gyre/
%{_texdir}/texmf-dist/fonts/type1/public/tex-gyre/
%{_texdir}/texmf-dist/tex/latex/tex-gyre/
%doc %{_texdir}/texmf-dist/doc/fonts/tex-gyre/

%files tex-gyre-math
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/opentype/public/tex-gyre-math/
%doc %{_texdir}/texmf-dist/doc/fonts/tex-gyre-math/

%files times
%license gpl.txt
%{_texdir}/texmf-dist/dvips/times/
%{_texdir}/texmf-dist/fonts/afm/adobe/times/
%{_texdir}/texmf-dist/fonts/afm/urw/times/
%{_texdir}/texmf-dist/fonts/map/dvips/times/
%{_texdir}/texmf-dist/fonts/tfm/adobe/times/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/times/
%{_texdir}/texmf-dist/fonts/type1/urw/times/
%{_texdir}/texmf-dist/fonts/vf/adobe/times/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/times/
%{_texdir}/texmf-dist/tex/latex/times/

%files tipa
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/tipa/
%{_texdir}/texmf-dist/fonts/source/public/tipa/
%{_texdir}/texmf-dist/fonts/tfm/public/tipa/
%{_texdir}/texmf-dist/fonts/type1/public/tipa/
%{_texdir}/texmf-dist/tex/latex/tipa/
%doc %{_texdir}/texmf-dist/doc/fonts/tipa/

%files txfonts
%license gpl.txt
%{_texdir}/texmf-dist/fonts/afm/public/txfonts/
%{_texdir}/texmf-dist/fonts/enc/dvips/txfonts/
%{_texdir}/texmf-dist/fonts/map/dvips/txfonts/
%{_texdir}/texmf-dist/fonts/tfm/public/txfonts/
%{_texdir}/texmf-dist/fonts/type1/public/txfonts/
%{_texdir}/texmf-dist/fonts/vf/public/txfonts/
%{_texdir}/texmf-dist/tex/latex/txfonts/
%doc %{_texdir}/texmf-dist/doc/fonts/txfonts/

%files utopia
%{_texdir}/texmf-dist/fonts/afm/adobe/utopia/
%{_texdir}/texmf-dist/fonts/tfm/adobe/utopia/
%{_texdir}/texmf-dist/fonts/type1/adobe/utopia/
%{_texdir}/texmf-dist/fonts/vf/adobe/utopia/
%doc %{_texdir}/texmf-dist/doc/fonts/utopia/

%files wasy
%license pd.txt
%{_texdir}/texmf-dist/fonts/source/public/wasy/
%{_texdir}/texmf-dist/fonts/tfm/public/wasy/
%{_texdir}/texmf-dist/tex/plain/wasy/
%doc %{_texdir}/texmf-dist/doc/fonts/wasy/

%files wasysym
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wasysym/
%doc %{_texdir}/texmf-dist/doc/latex/wasysym/

%files zapfchan
%license gpl.txt
%{_texdir}/texmf-dist/dvips/zapfchan/
%{_texdir}/texmf-dist/fonts/afm/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/afm/urw/zapfchan/
%{_texdir}/texmf-dist/fonts/map/dvips/zapfchan/
%{_texdir}/texmf-dist/fonts/tfm/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/zapfchan/
%{_texdir}/texmf-dist/fonts/type1/urw/zapfchan/
%{_texdir}/texmf-dist/fonts/vf/adobe/zapfchan/
%{_texdir}/texmf-dist/fonts/vf/urw35vf/zapfchan/
%{_texdir}/texmf-dist/tex/latex/zapfchan/

%files zapfding
%license gpl.txt
%{_texdir}/texmf-dist/dvips/zapfding/
%{_texdir}/texmf-dist/fonts/afm/adobe/zapfding/
%{_texdir}/texmf-dist/fonts/afm/urw/zapfding/
%{_texdir}/texmf-dist/fonts/map/dvips/zapfding/
%{_texdir}/texmf-dist/fonts/tfm/adobe/zapfding/
%{_texdir}/texmf-dist/fonts/tfm/urw35vf/zapfding/
%{_texdir}/texmf-dist/fonts/type1/urw/zapfding/
%{_texdir}/texmf-dist/tex/latex/zapfding/

%files jadetex
%{_bindir}/jadetex
%{_bindir}/pdfjadetex
%{_mandir}/man1/jadetex.1*
%{_mandir}/man1/pdfjadetex.1*
%{_texdir}/texmf-dist/tex/jadetex/
%{fmtutil_cnf_d}/jadetex
%doc %{_texdir}/texmf-dist/doc/otherformats/jadetex/

%files latexconfig
%{_texdir}/texmf-dist/tex/latex/latexconfig/

%files latex-fonts
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/source/public/latex-fonts/
%{_texdir}/texmf-dist/fonts/tfm/public/latex-fonts/
%doc %{_texdir}/texmf-dist/doc/fonts/latex-fonts/

%files passivetex
%license other-free.txt
%{_texdir}/texmf-dist/tex/xmltex/passivetex/

%files tex4ht
%license lppl1.txt
%{_bindir}/ht
%{_bindir}/htcontext
%{_bindir}/htlatex
%{_bindir}/htmex
%{_bindir}/httex
%{_bindir}/httexi
%{_bindir}/htxelatex
%{_bindir}/htxetex
%{_bindir}/mk4ht
%{_bindir}/t4ht
%{_bindir}/tex4ht
%{_bindir}/xhlatex
%{_texdir}/texmf-dist/scripts/tex4ht/
%{_texdir}/texmf-dist/tex/generic/tex4ht/
%{_texdir}/texmf-dist/tex4ht/
%doc %{_texdir}/texmf-dist/doc/generic/tex4ht/

%files xmltex
%license lppl1.txt
%{_bindir}/pdfxmltex
%{_bindir}/xmltex
%{_texdir}/texmf-dist/tex/xmltex/
%{fmtutil_cnf_d}/xmltex
%doc %{_texdir}/texmf-dist/doc/otherformats/xmltex/

%files collection-latex

%files colortbl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/colortbl/
%doc %{_texdir}/texmf-dist/doc/latex/colortbl/

%files fancyhdr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fancyhdr/
%doc %{_texdir}/texmf-dist/doc/latex/fancyhdr/

%files fix2col
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fix2col/
%doc %{_texdir}/texmf-dist/doc/latex/fix2col/

%files geometry
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/geometry/
%doc %{_texdir}/texmf-dist/doc/latex/geometry/

%files graphics
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/graphics/
%doc %{_texdir}/texmf-dist/doc/latex/graphics/

%files hyperref
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/hyperref/
%doc %{_texdir}/texmf-dist/doc/latex/hyperref/

%files latex
%license lppl1.3.txt
%{_bindir}/dvilualatex
%{_bindir}/latex
%{_bindir}/lualatex
%{_bindir}/pdflatex
%{_mandir}/man1/latex.1*
%{_mandir}/man1/pdflatex.1*
%{_texdir}/texmf-dist/makeindex/latex/
%{_texdir}/texmf-dist/tex/latex/base/
%{fmtutil_cnf_d}/latex-bin
%doc %{_texdir}/texmf-dist/doc/latex/base/

%files ltxmisc
%license collection.txt
%{_texdir}/texmf-dist/tex/latex/ltxmisc/

%files mfnfss
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/mfnfss/
%doc %{_texdir}/texmf-dist/doc/latex/mfnfss/

%files mptopdf
%license lppl1.txt
%{_bindir}/mptopdf
%{_mandir}/man1/mptopdf.1*
%{_texdir}/texmf-dist/scripts/context/perl/mptopdf.pl
%{_texdir}/texmf-dist/tex/context/base/mkii/supp-mis.mkii
%{_texdir}/texmf-dist/tex/context/base/mkii/supp-mpe.mkii
%{_texdir}/texmf-dist/tex/context/base/mkii/supp-pdf.mkii
%{_texdir}/texmf-dist/tex/context/base/mkii/syst-tex.mkii
%{_texdir}/texmf-dist/tex/generic/context/mptopdf/
%doc %{_texdir}/texmf-dist/doc/context/scripts/mkii/mptopdf.man
%{fmtutil_cnf_d}/mptopdf

%files natbib
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bst/natbib/
%{_texdir}/texmf-dist/tex/latex/natbib/
%doc %{_texdir}/texmf-dist/doc/latex/natbib/

%files oberdiek
%license lppl1.txt
%{_texdir}/texmf-dist/bibtex/bib/oberdiek/
%{_texdir}/texmf-dist/tex/generic/oberdiek/
%{_texdir}/texmf-dist/tex/latex/oberdiek/
%doc %{_texdir}/texmf-dist/doc/latex/oberdiek/

%files pslatex
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/pslatex/
%{_texdir}/texmf-dist/fonts/tfm/public/pslatex/
%{_texdir}/texmf-dist/fonts/vf/public/pslatex/
%{_texdir}/texmf-dist/tex/latex/pslatex/

%files psnfss
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/map/dvips/psnfss/
%{_texdir}/texmf-dist/tex/latex/psnfss/
%doc %{_texdir}/texmf-dist/doc/latex/psnfss/

%files pspicture
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pspicture/
%{_texdir}/texmf-dist/tex/latex/pspicture/
%doc %{_texdir}/texmf-dist/doc/latex/pspicture/

%files tools
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tools/
%doc %{_texdir}/texmf-dist/doc/latex/tools/

%files collection-latexrecommended

%files crop
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/crop/
%doc %{_texdir}/texmf-dist/doc/latex/crop/

%files ctable
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ctable/
%doc %{_texdir}/texmf-dist/doc/latex/ctable/

%files ec
%{_texdir}/texmf-dist/fonts/source/jknappen/ec/
%{_texdir}/texmf-dist/fonts/tfm/jknappen/ec/
%doc %{_texdir}/texmf-dist/doc/fonts/ec/

%files eso-pic
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/eso-pic/
%doc %{_texdir}/texmf-dist/doc/latex/eso-pic/

%files euler
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/euler/
%doc %{_texdir}/texmf-dist/doc/latex/euler/

%files extsizes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/extsizes/
%doc %{_texdir}/texmf-dist/doc/latex/extsizes/

%files fancybox
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/fancybox/
%doc %{_texdir}/texmf-dist/doc/latex/fancybox/

%files fancyref
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/fancyref/
%doc %{_texdir}/texmf-dist/doc/latex/fancyref/

%files fancyvrb
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fancyvrb/
%doc %{_texdir}/texmf-dist/doc/latex/fancyvrb/

%files float
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/float/
%doc %{_texdir}/texmf-dist/doc/latex/float/

%files fontspec
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fontspec/
%doc %{_texdir}/texmf-dist/doc/latex/fontspec/

%files kastrup
%{_texdir}/texmf-dist/tex/generic/kastrup/
%doc %{_texdir}/texmf-dist/doc/generic/kastrup/

%files fp
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/fp/
%{_texdir}/texmf-dist/tex/plain/fp/
%doc %{_texdir}/texmf-dist/doc/latex/fp/

%files index
%{_texdir}/texmf-dist/bibtex/bst/index/
%{_texdir}/texmf-dist/makeindex/index/
%{_texdir}/texmf-dist/tex/latex/index/
%doc %{_texdir}/texmf-dist/doc/latex/index/

%files jknapltx
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/jknapltx/
%doc %{_texdir}/texmf-dist/doc/latex/jknapltx/

%files koma-script
%license lppl1.txt
%doc %{_texdir}/texmf-dist/doc/latex/koma-script/
%{_texdir}/texmf-dist/tex/latex/koma-script/

%files l3kernel
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3kernel/
%doc %{_texdir}/texmf-dist/doc/latex/l3kernel/

%files l3packages
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3packages/
%doc %{_texdir}/texmf-dist/doc/latex/l3packages/

%files l3experimental
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/l3experimental/
%doc %{_texdir}/texmf-dist/doc/latex/l3experimental/

%files listings
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/listings/
%doc %{_texdir}/texmf-dist/doc/latex/listings/

%files mdwtools
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mdwtools/
%doc %{_texdir}/texmf-dist/doc/latex/mdwtools/

%files memoir
%license lppl1.txt
%{_texdir}/texmf-dist/makeindex/memoir/
%{_texdir}/texmf-dist/tex/latex/memoir/
%doc %{_texdir}/texmf-dist/doc/latex/memoir/

%files metalogo
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/metalogo/
%doc %{_texdir}/texmf-dist/doc/latex/metalogo/

%files microtype
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/microtype/
%doc %{_texdir}/texmf-dist/doc/latex/microtype/

%files ms
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ms/
%doc %{_texdir}/texmf-dist/doc/latex/ms/

%files ntgclass
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ntgclass/
%doc %{_texdir}/texmf-dist/doc/latex/ntgclass/

%files parskip
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/parskip/
%doc %{_texdir}/texmf-dist/doc/latex/parskip/

%files pdfpages
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/pdfpages/
%doc %{_texdir}/texmf-dist/doc/latex/pdfpages/

%files powerdot
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/powerdot/
%doc %{_texdir}/texmf-dist/doc/latex/powerdot/

%files psfrag
%{_texdir}/texmf-dist/dvips/psfrag/
%{_texdir}/texmf-dist/tex/latex/psfrag/
%doc %{_texdir}/texmf-dist/doc/latex/psfrag/

%files rcs
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/rcs/
%doc %{_texdir}/texmf-dist/doc/latex/rcs/

%files sansmath
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/sansmath/
%doc %{_texdir}/texmf-dist/doc/latex/sansmath/

%files section
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/section/
%doc %{_texdir}/texmf-dist/doc/latex/section/

%files seminar
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/seminar/
%doc %{_texdir}/texmf-dist/doc/latex/seminar/

%files sepnum
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sepnum/
%doc %{_texdir}/texmf-dist/doc/latex/sepnum/

%files setspace
%{_texdir}/texmf-dist/tex/latex/setspace/
%doc %{_texdir}/texmf-dist/doc/latex/setspace/

%files subfig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfig/
%doc %{_texdir}/texmf-dist/doc/latex/subfig/

%files textcase
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/textcase/
%doc %{_texdir}/texmf-dist/doc/latex/textcase/

%files thumbpdf
%license lppl1.txt
%{_bindir}/thumbpdf
%{_mandir}/man1/thumbpdf.1*
%{_texdir}/texmf-dist/scripts/thumbpdf/
%{_texdir}/texmf-dist/tex/generic/thumbpdf/
%doc %{_texdir}/texmf-dist/doc/generic/thumbpdf/

%files typehtml
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/typehtml/
%doc %{_texdir}/texmf-dist/doc/latex/typehtml/

%files underscore
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/underscore/
%doc %{_texdir}/texmf-dist/doc/latex/underscore/

%files url
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/url/
%doc %{_texdir}/texmf-dist/doc/latex/url/

%files collection-xetex

%files euenc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/euenc/
%doc %{_texdir}/texmf-dist/doc/latex/euenc/

%files fixlatvian
%license lppl1.3.txt
%{_texdir}/texmf-dist/makeindex/fixlatvian/
%{_texdir}/texmf-dist/tex/xelatex/fixlatvian/
%doc %{_texdir}/texmf-dist/doc/xelatex/fixlatvian/

%files fontbook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/fontbook/
%doc %{_texdir}/texmf-dist/doc/xelatex/fontbook/

%files fontwrap
%license gpl.txt
%{_texdir}/texmf-dist/tex/xelatex/fontwrap/
%doc %{_texdir}/texmf-dist/doc/xelatex/fontwrap/

%files mathspec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/mathspec/
%doc %{_texdir}/texmf-dist/doc/xelatex/mathspec/

%files philokalia
%{_texdir}/texmf-dist/fonts/opentype/public/philokalia/
%{_texdir}/texmf-dist/tex/xelatex/philokalia/
%doc %{_texdir}/texmf-dist/doc/xelatex/philokalia/

%files polyglossia
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/polyglossia/
%{_texdir}/texmf-dist/tex/latex/polyglossia/
%doc %{_texdir}/texmf-dist/doc/latex/polyglossia/

%files ptext
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/xelatex/ptext/
%doc %{_texdir}/texmf-dist/doc/xelatex/ptext/

%files realscripts
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/realscripts/
%doc %{_texdir}/texmf-dist/doc/latex/realscripts/

%files ucharclasses
%license pd.txt
%{_texdir}/texmf-dist/tex/xelatex/ucharclasses/
%doc %{_texdir}/texmf-dist/doc/xelatex/ucharclasses/

%files unisugar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/unisugar/
%doc %{_texdir}/texmf-dist/doc/xelatex/unisugar/

%if 0
%files xecjk
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/xecjk/
%doc %{_texdir}/texmf-dist/doc/xelatex/xecjk/
%endif

%files xecolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xecolor/
%doc %{_texdir}/texmf-dist/doc/xelatex/xecolor/

%files xecyr
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/xecyr/
%doc %{_texdir}/texmf-dist/doc/xelatex/xecyr/

%files xeindex
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/xeindex/
%doc %{_texdir}/texmf-dist/doc/xelatex/xeindex/

%files xepersian
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xepersian/
%{_texdir}/texmf-dist/tex/xelatex/xepersian/
%doc %{_texdir}/texmf-dist/doc/xelatex/xepersian/

%files xesearch
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xetex/xesearch/t-xesearch.tex
%{_texdir}/texmf-dist/tex/xetex/xesearch/xesearch.sty
%doc %{_texdir}/texmf-dist/doc/xetex/xesearch/

%files xetex
%license other-free.txt
%{_bindir}/xdvipdfmx
%{_bindir}/xelatex
%{_bindir}/xelatex-dev
%{_bindir}/xelatex-unsafe
%{_bindir}/xetex
%{_bindir}/xetex-unsafe
%{_mandir}/man1/xelatex.1*
%{_mandir}/man1/xelatex-dev.1*
%{_mandir}/man1/xelatex-unsafe.1*
%{_mandir}/man1/xetex.1*
%{_mandir}/man1/xetex-unsafe.1*
%{_texdir}/tlpkg/tlpostcode/xetex.pl
%{_texdir}/texmf-dist/fonts/misc/xetex/
%{fmtutil_cnf_d}/xelatex-dev
%{fmtutil_cnf_d}/xetex
%doc %{_texdir}/texmf-dist/doc/xetex/

%files xetexconfig
%{_texdir}/texmf-dist/tex/xelatex/xetexconfig/

%files xetex-itrans
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xetex-itrans/
%doc %{_texdir}/texmf-dist/doc/xelatex/xetex-itrans/

%files xetex-pstricks
%license pd.txt
%{_texdir}/texmf-dist/tex/xelatex/xetex-pstricks/
%{_texdir}/texmf-dist/tex/xetex/xetex-pstricks/
%doc %{_texdir}/texmf-dist/doc/xetex/xetex-pstricks/

%if 0
%files xetex-tibetan
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/xetex-tibetan/
%doc %{_texdir}/texmf-dist/doc/xetex/xetex-tibetan/
%endif

%files xetexfontinfo
%license apache2.txt
%{_texdir}/texmf-dist/tex/xetex/xetexfontinfo/
%doc %{_texdir}/texmf-dist/doc/xetex/xetexfontinfo/

%files xltxtra
%license lppl1.txt
%{_texdir}/texmf-dist/tex/xelatex/xltxtra/
%doc %{_texdir}/texmf-dist/doc/xelatex/xltxtra/

%files xunicode
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/xelatex/xunicode/
%doc %{_texdir}/texmf-dist/doc/xelatex/xunicode/

%files csquotes
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/csquotes/
%doc %{_texdir}/texmf-dist/doc/latex/csquotes/

%files currfile
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/currfile/
%doc %{_texdir}/texmf-dist/doc/latex/currfile/

%files datetime
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/datetime/
%doc %{_texdir}/texmf-dist/doc/latex/datetime/

%files fmtcount
%license lppl1.3.txt
%{_texdir}/texmf-dist/scripts/fmtcount/
%{_texdir}/texmf-dist/tex/latex/fmtcount/
%doc %{_texdir}/texmf-dist/doc/latex/fmtcount/

%files dvipng
%license lgpl2.1.txt
%{_bindir}/dvigif
%{_bindir}/dvipng
%{_mandir}/man1/dvigif.1*
%{_mandir}/man1/dvipng.1*
%{_infodir}/dvipng.info*
%doc %{_texdir}/texmf-dist/doc/dvipng/

%files eepic
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/eepic/
%doc %{_texdir}/texmf-dist/doc/latex/eepic/

%files enumitem
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/enumitem/
%doc %{_texdir}/texmf-dist/doc/latex/enumitem/

%files epsf
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/epsf/
%doc %{_texdir}/texmf-dist/doc/generic/epsf/

%files epstopdf
%{_bindir}/epstopdf
%{_bindir}/repstopdf
%{_mandir}/man1/epstopdf.1*
%{_mandir}/man1/repstopdf.1*
%{_texdir}/texmf-dist/scripts/epstopdf/
%doc %{_texdir}/texmf-dist/doc/support/epstopdf/

%files etoolbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/etoolbox/
%doc %{_texdir}/texmf-dist/doc/latex/etoolbox/

%files filecontents
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/filecontents/
%doc %{_texdir}/texmf-dist/doc/latex/filecontents/

%files filehook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/filehook/
%doc %{_texdir}/texmf-dist/doc/latex/filehook/

%files fncychap
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/fncychap/
%doc %{_texdir}/texmf-dist/doc/latex/fncychap/

%files fontware
%license lppl1.txt
%{_bindir}/pltotf
%{_bindir}/tftopl
%{_bindir}/vftovp
%{_bindir}/vptovf
%{_mandir}/man1/pltotf.1*
%{_mandir}/man1/tftopl.1*
%{_mandir}/man1/vftovp.1*
%{_mandir}/man1/vptovf.1*

%files footmisc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/footmisc/
%doc %{_texdir}/texmf-dist/doc/latex/footmisc/

%files framed
%{_texdir}/texmf-dist/tex/latex/framed/
%doc %{_texdir}/texmf-dist/doc/latex/framed/

%files hyphenat
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hyphenat/
%doc %{_texdir}/texmf-dist/doc/latex/hyphenat/

%files ifmtarg
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifmtarg/
%doc %{_texdir}/texmf-dist/doc/latex/ifmtarg/

%files iftex
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/iftex/
%doc %{_texdir}/texmf-dist/doc/generic/iftex/

%files kerkis
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/kerkis/
%{_texdir}/texmf-dist/fonts/enc/dvips/kerkis/
%{_texdir}/texmf-dist/fonts/map/dvips/kerkis/
%{_texdir}/texmf-dist/fonts/opentype/public/kerkis/
%{_texdir}/texmf-dist/fonts/tfm/public/kerkis/
%{_texdir}/texmf-dist/fonts/type1/public/kerkis/
%{_texdir}/texmf-dist/fonts/vf/public/kerkis/
%{_texdir}/texmf-dist/tex/latex/kerkis/
%doc %{_texdir}/texmf-dist/doc/fonts/kerkis/

%files lastpage
%license gpl2.txt
%{_texdir}/texmf-dist/tex/latex/lastpage/
%doc %{_texdir}/texmf-dist/doc/latex/lastpage/

%files lettrine
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lettrine/
%doc %{_texdir}/texmf-dist/doc/latex/lettrine/

%files lualatex-math
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/lualatex/lualatex-math/
%doc %{_texdir}/texmf-dist/doc/lualatex/lualatex-math/

%files luaotfload
%license gpl2.txt
%{_bindir}/luaotfload-tool
%{_mandir}/man1/luaotfload-tool.1*
%{_mandir}/man5/luaotfload.conf.5*
%{_texdir}/texmf-dist/scripts/luaotfload/
%{_texdir}/texmf-dist/tex/luatex/luaotfload/
%doc %{_texdir}/texmf-dist/doc/luatex/luaotfload/

%files luatexbase
%license pd.txt
%{_texdir}/texmf-dist/tex/luatex/luatexbase/
%doc %{_texdir}/texmf-dist/doc/luatex/luatexbase/

%files makecmds
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/makecmds/
%doc %{_texdir}/texmf-dist/doc/latex/makecmds/

%files marginnote
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/marginnote/
%doc %{_texdir}/texmf-dist/doc/latex/marginnote/

%files mnsymbol
%license pd.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/mnsymbol/
%{_texdir}/texmf-dist/fonts/map/dvips/mnsymbol/
%{_texdir}/texmf-dist/fonts/map/vtex/mnsymbol/
%{_texdir}/texmf-dist/fonts/opentype/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/source/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/tfm/public/mnsymbol/
%{_texdir}/texmf-dist/fonts/type1/public/mnsymbol/
%{_texdir}/texmf-dist/tex/latex/mnsymbol/
%doc %{_texdir}/texmf-dist/doc/latex/mnsymbol/

%files mparhack
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/mparhack/
%doc %{_texdir}/texmf-dist/doc/latex/mparhack/

%files multido
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/multido/
%{_texdir}/texmf-dist/tex/latex/multido/
%doc %{_texdir}/texmf-dist/doc/generic/multido/

%files multirow
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/multirow/
%doc %{_texdir}/texmf-dist/doc/latex/multirow/

%files ncctools
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ncctools/
%doc %{_texdir}/texmf-dist/doc/latex/ncctools/

%files overpic
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/overpic/
%doc %{_texdir}/texmf-dist/doc/latex/overpic/

%files paralist
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/paralist/
%doc %{_texdir}/texmf-dist/doc/latex/paralist/

%files parallel
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/parallel/
%doc %{_texdir}/texmf-dist/doc/latex/parallel/

%files placeins
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/placeins/
%doc %{_texdir}/texmf-dist/doc/latex/placeins/

%files preprint
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/preprint/
%doc %{_texdir}/texmf-dist/doc/latex/preprint/

%files pst-3d
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-3d/
%{_texdir}/texmf-dist/tex/generic/pst-3d/
%{_texdir}/texmf-dist/tex/latex/pst-3d/
%doc %{_texdir}/texmf-dist/doc/generic/pst-3d/

%files pst-blur
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-blur/
%{_texdir}/texmf-dist/tex/generic/pst-blur/
%{_texdir}/texmf-dist/tex/latex/pst-blur/
%doc %{_texdir}/texmf-dist/doc/generic/pst-blur/

%files pst-coil
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-coil/
%{_texdir}/texmf-dist/tex/generic/pst-coil/
%{_texdir}/texmf-dist/tex/latex/pst-coil/
%doc %{_texdir}/texmf-dist/doc/generic/pst-coil/

%files pst-eps
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-eps/
%{_texdir}/texmf-dist/tex/latex/pst-eps/
%doc %{_texdir}/texmf-dist/doc/generic/pst-eps/

%files pst-fill
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-fill/
%{_texdir}/texmf-dist/tex/latex/pst-fill/
%doc %{_texdir}/texmf-dist/doc/generic/pst-fill/

%files pst-grad
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-grad/
%{_texdir}/texmf-dist/tex/generic/pst-grad/
%{_texdir}/texmf-dist/tex/latex/pst-grad/
%doc %{_texdir}/texmf-dist/doc/generic/pst-grad/

%files pst-math
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-math/
%{_texdir}/texmf-dist/tex/generic/pst-math/
%{_texdir}/texmf-dist/tex/latex/pst-math/
%doc %{_texdir}/texmf-dist/doc/generic/pst-math/

%files pst-node
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-node/
%{_texdir}/texmf-dist/tex/generic/pst-node/
%{_texdir}/texmf-dist/tex/latex/pst-node/
%doc %{_texdir}/texmf-dist/doc/generic/pst-node/

%files pst-plot
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-plot/
%{_texdir}/texmf-dist/tex/latex/pst-plot/
%doc %{_texdir}/texmf-dist/doc/generic/pst-plot/

%files pstricks-add
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pstricks-add/
%{_texdir}/texmf-dist/tex/generic/pstricks-add/
%{_texdir}/texmf-dist/tex/latex/pstricks-add/
%doc %{_texdir}/texmf-dist/doc/generic/pstricks-add/

%files pstricks
%license lppl1.3.txt
%{_texdir}/texmf-dist/dvips/pstricks/
%{_texdir}/texmf-dist/tex/generic/pstricks/
%{_texdir}/texmf-dist/tex/latex/pstricks/
%doc %{_texdir}/texmf-dist/doc/generic/pstricks/

%files pst-slpe
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-slpe/
%{_texdir}/texmf-dist/tex/generic/pst-slpe/
%{_texdir}/texmf-dist/tex/latex/pst-slpe/
%doc %{_texdir}/texmf-dist/doc/generic/pst-slpe/

%files pst-text
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-text/
%{_texdir}/texmf-dist/tex/generic/pst-text/
%{_texdir}/texmf-dist/tex/latex/pst-text/
%doc %{_texdir}/texmf-dist/doc/generic/pst-text/

%files pst-tree
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/pst-tree/
%{_texdir}/texmf-dist/tex/latex/pst-tree/
%doc %{_texdir}/texmf-dist/doc/generic/pst-tree/

%files qstest
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/qstest/
%doc %{_texdir}/texmf-dist/doc/latex/qstest/

%files sauerj
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sauerj/
%doc %{_texdir}/texmf-dist/doc/latex/sauerj/

%files scheme-basic

%files sectsty
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sectsty/
%doc %{_texdir}/texmf-dist/doc/latex/sectsty/

%files showexpl
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/showexpl/
%doc %{_texdir}/texmf-dist/doc/latex/showexpl/

%files soul
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/soul
%doc %{_texdir}/texmf-dist/doc/generic/soul/

%files stmaryrd
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/afm/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/map/dvips/stmaryrd/
%{_texdir}/texmf-dist/fonts/source/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/tfm/public/stmaryrd/
%{_texdir}/texmf-dist/fonts/type1/public/stmaryrd/
%{_texdir}/texmf-dist/tex/latex/stmaryrd/
%doc %{_texdir}/texmf-dist/doc/fonts/stmaryrd/

%files subfigure
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/subfigure/
%doc %{_texdir}/texmf-dist/doc/latex/subfigure/

%files svn-prov
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/svn-prov/
%doc %{_texdir}/texmf-dist/doc/latex/svn-prov/

%files t2
%license lppl1.txt
%{_texdir}/texmf-dist/fonts/enc/t2/
%{_texdir}/texmf-dist/tex/generic/t2/
%{_texdir}/texmf-dist/tex/latex/t2/
%doc %{_texdir}/texmf-dist/doc/generic/t2/

%files textpos
%license gpl.txt
%{_texdir}/texmf-dist/tex/latex/textpos/
%doc %{_texdir}/texmf-dist/doc/latex/textpos/

%files threeparttable
%{_texdir}/texmf-dist/tex/latex/threeparttable/
%doc %{_texdir}/texmf-dist/doc/latex/threeparttable/

%files titlesec
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/titlesec/
%doc %{_texdir}/texmf-dist/doc/latex/titlesec/

%files titling
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/titling/
%doc %{_texdir}/texmf-dist/doc/latex/titling/

%files tocloft
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tocloft/
%doc %{_texdir}/texmf-dist/doc/latex/tocloft/

%files type1cm
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/type1cm/
%doc %{_texdir}/texmf-dist/doc/latex/type1cm/

%files ucs
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/ucs/
%{_texdir}/texmf-dist/tex/latex/ucs/
%doc %{_texdir}/texmf-dist/doc/latex/ucs/

%files ulem
%{_texdir}/texmf-dist/tex/generic/ulem/
%doc %{_texdir}/texmf-dist/doc/generic/ulem/

%files unicode-math
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/unicode-math/
%doc %{_texdir}/texmf-dist/doc/latex/unicode-math/

%files varwidth
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/varwidth/
%doc %{_texdir}/texmf-dist/doc/latex/varwidth/

%files was
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/was/
%doc %{_texdir}/texmf-dist/doc/latex/was/

%files wrapfig
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/wrapfig/
%doc %{_texdir}/texmf-dist/doc/latex/wrapfig/

%files xifthen
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xifthen/
%doc %{_texdir}/texmf-dist/doc/latex/xifthen/

%files xstring
%license lppl1.txt
%{_texdir}/texmf-dist/tex/generic/xstring/
%doc %{_texdir}/texmf-dist/doc/generic/xstring/

%files xtab
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/xtab/
%doc %{_texdir}/texmf-dist/doc/latex/xtab/


%files lib
%{_libdir}/*.so.*
%dir %{_texdir}/texmf-config
%dir %{_texdir}/texmf-config/web2c
%attr(0644, root, root) %verify(not md5 size mtime) %ghost %{_texdir}/texmf-config/ls-R
%attr(0644, root, root) %verify(not md5 size mtime) %ghost %{_texdir}/texmf-dist/ls-R
%attr(0644, root, root) %verify(not md5 size mtime) %ghost %{_texdir}/texmf-local/ls-R


%files lib-devel
%dir %{_includedir}/kpathsea
%{_includedir}/kpathsea/*
%{_includedir}/synctex/
%{_includedir}/texlua53/
%ifnarch aarch64 %{mips} %{power64} s390 s390x
%{_includedir}/texluajit/
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files metapost
%license lgpl2.1.txt
%{_bindir}/dvitomp
%{_bindir}/mfplain
%{_bindir}/mpost
%{_bindir}/r-mpost
%{_mandir}/man1/dvitomp.1*
%{_mandir}/man1/mpost.1*
%{_texdir}/texmf-dist/fonts/afm/metapost/
%{_texdir}/texmf-dist/fonts/enc/dvips/metapost/
%{_texdir}/texmf-dist/fonts/map/dvips/metapost/
%{_texdir}/texmf-dist/fonts/tfm/metapost/
%{_texdir}/texmf-dist/fonts/type1/metapost/
%exclude %{_texdir}/texmf-dist/metapost/context/
%{_texdir}/texmf-dist/metapost/
%{_texdir}/texmf-dist/tex/generic/metapost/
%doc %{_texdir}/texmf-dist/doc/metapost/

%files adjustbox
%{_texdir}/texmf-dist/tex/latex/adjustbox/
%doc %{_texdir}/texmf-dist/doc/latex/adjustbox/

%files collectbox
%{_texdir}/texmf-dist/tex/latex/collectbox/
%doc %{_texdir}/texmf-dist/doc/latex/collectbox/


%files environ
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/environ/
%doc %{_texdir}/texmf-dist/doc/latex/environ/

%files ifoddpage
%{_texdir}/texmf-dist/tex/latex/ifoddpage/
%doc %{_texdir}/texmf-dist/doc/latex/ifoddpage/

%files graphics-def
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/graphics-def/

%files knuth-lib
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/knuth-lib/
%{_texdir}/texmf-dist/fonts/tfm/public/knuth-lib/
%{_texdir}/texmf-dist/tex/generic/knuth-lib/
%{_texdir}/texmf-dist/tex/plain/knuth-lib/

%files knuth-local
%license knuth.txt
%{_texdir}/texmf-dist/fonts/source/public/knuth-local/
%{_texdir}/texmf-dist/fonts/tfm/public/knuth-local/
%{_texdir}/texmf-dist/mft/knuth-local/
%{_texdir}/texmf-dist/tex/plain/knuth-local/

%files tex-ini-files
%license pd.txt
%{_texdir}/texmf-dist/tex/generic/tex-ini-files/
%doc %{_texdir}/texmf-dist/doc/generic/tex-ini-files/

%files texlive-common-doc
%doc %{_texdir}/texmf-dist/doc/texlive/index.html
%doc %{_texdir}/texmf-dist/doc/texlive/install-tl.html
%doc %{_texdir}/texmf-dist/doc/texlive/tlmgr.html
%doc %{_texdir}/texmf-dist/doc/texlive/texlive-common/

%files texlive-en
%{_infodir}/tlbuild.info*
%doc %{_texdir}/texmf-dist/doc/texlive/texlive-en/
%doc %{_texdir}/texmf-dist/doc/texlive/tlbuild/tlbuild.html
%doc %{_texdir}/texmf-dist/doc/texlive/tlbuild/tlbuild.pdf

%files texlive-msg-translations
%{_texdir}/tlpkg/translations/

%files texlive-scripts
%license lppl1.txt
%{_bindir}/fmtutil
%{_bindir}/fmtutil-sys
%{_bindir}/fmtutil-user
%{_bindir}/mktexlsr
%{_bindir}/mktexmf
%{_bindir}/mktexpk
%{_bindir}/mktextfm
%{_bindir}/updmap
%{_bindir}/updmap-sys
%{_bindir}/updmap-user
%{_bindir}/rungs
%{_mandir}/man1/fmtutil.1*
%{_mandir}/man1/fmtutil-sys.1*
%{_mandir}/man1/fmtutil-user.1*
%{_mandir}/man1/install-tl.1*
%{_mandir}/man1/mktexlsr.1*
%{_mandir}/man1/mktexmf.1*
%{_mandir}/man1/mktexpk.1*
%{_mandir}/man1/mktextfm.1*
%{_mandir}/man1/updmap.1*
%{_mandir}/man1/updmap-sys.1*
%{_mandir}/man1/updmap-user.1*
%{_mandir}/man5/updmap.cfg.5*
%{_texdir}/texmf-config/web2c/updmap.cfg
%config(noreplace) %{_sysconfdir}/texlive/web2c/updmap.cfg
%{_texdir}/texmf-dist/dvips/tetex/
%{_texdir}/texmf-dist/fonts/enc/dvips/tetex/
%{_texdir}/texmf-dist/fonts/map/dvips/tetex/
%{_texdir}/texmf-dist/scripts/texlive/fmtutil-sys.sh
%{_texdir}/texmf-dist/scripts/texlive/fmtutil-user.sh
%{_texdir}/texmf-dist/scripts/texlive/fmtutil.pl
%{_texdir}/texmf-dist/scripts/texlive/mktexlsr*
%{_texdir}/texmf-dist/scripts/texlive/mktexmf
%{_texdir}/texmf-dist/scripts/texlive/mktexpk
%{_texdir}/texmf-dist/scripts/texlive/mktextfm
%{_texdir}/texmf-dist/scripts/texlive/rungs.lua
%{_texdir}/texmf-dist/scripts/texlive/updmap-sys.sh
%{_texdir}/texmf-dist/scripts/texlive/updmap-user.sh
%{_texdir}/texmf-dist/scripts/texlive/updmap.pl
%{_texdir}/texmf-dist/web2c/updmap.cfg

%files texlive-scripts-extra
%license gpl.txt
%license lppl1.txt
%{_bindir}/allcm
%{_bindir}/allec
%{_bindir}/allneeded
%{_bindir}/dvi2fax
%{_bindir}/dvired
%{_bindir}/e2pall
%{_bindir}/kpsepath
%{_bindir}/kpsetool
%{_bindir}/kpsewhere
%{_bindir}/kpsexpand
%{_bindir}/ps2frag
%{_bindir}/pslatex
%{_bindir}/texconfig-dialog
%{_bindir}/texconfig-sys
%{_bindir}/texconfig
%{_bindir}/texlinks
%{_mandir}/man1/allcm.1*
%{_mandir}/man1/allec.1*
%{_mandir}/man1/allneeded.1*
%{_mandir}/man1/dvi2fax.1*
%{_mandir}/man1/dvired.1*
%{_mandir}/man1/e2pall.1*
%{_mandir}/man1/kpsepath.1*
%{_mandir}/man1/kpsetool.1*
%{_mandir}/man1/kpsewhere.1*
%{_mandir}/man1/kpsexpand.1*
%{_mandir}/man1/ps2frag.1*
%{_mandir}/man1/pslatex.1*
%{_mandir}/man1/texconfig-sys.1*
%{_mandir}/man1/texconfig.1*
%{_mandir}/man1/texlinks.1*
%{_texdir}/texmf-dist/texconfig/
%{_texdir}/texmf-dist/scripts/texlive-extra/

%files trimspaces
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/trimspaces/
%doc %{_texdir}/texmf-dist/doc/latex/trimspaces/

%files unicode-data
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/unicode-data/
%doc %{_texdir}/texmf-dist/doc/generic/unicode-data/

%files xmltexconfig
%{_texdir}/texmf-dist/tex/xmltex/xmltexconfig/

%files lualibs
%license gpl2.txt
%{_texdir}/texmf-dist/tex/luatex/lualibs/
%doc %{_texdir}/texmf-dist/doc/luatex/lualibs/

%files import
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/import/
%doc %{_texdir}/texmf-dist/doc/latex/import/

%files tabu
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/tabu/
%doc %{_texdir}/texmf-dist/doc/latex/tabu/

%files linegoal
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/linegoal/
%doc %{_texdir}/texmf-dist/doc/latex/linegoal/

%files graphics-cfg
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/graphics-cfg/
%doc %{_texdir}/texmf-dist/doc/latex/graphics-cfg/

%files ltabptch
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ltabptch/
%doc %{_texdir}/texmf-dist/doc/latex/ltabptch/

%files manfnt-font
%{_texdir}/texmf-dist/fonts/afm/hoekwater/manfnt-font/
%{_texdir}/texmf-dist/fonts/map/dvips/manfnt-font/
%{_texdir}/texmf-dist/fonts/type1/hoekwater/manfnt-font/

%files finstrut
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/finstrut/
%doc %{_texdir}/texmf-dist/doc/latex/finstrut/

%files lineno
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/lineno/
%doc %{_texdir}/texmf-dist/doc/latex/lineno/

%files breqn
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/breqn/
%doc %{_texdir}/texmf-dist/doc/latex/breqn/

%files mathtools
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/mathtools/
%doc %{_texdir}/texmf-dist/doc/latex/mathtools/

%files mflogo-font
%license knuth.txt
%{_texdir}/texmf-dist/fonts/afm/hoekwater/mflogo-font/
%{_texdir}/texmf-dist/fonts/map/dvips/mflogo-font/
%{_texdir}/texmf-dist/fonts/type1/hoekwater/mflogo-font/
%doc %{_texdir}/texmf-dist/doc/fonts/mflogo-font/

%files capt-of
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/capt-of/
%doc %{_texdir}/texmf-dist/doc/latex/capt-of/

%files eqparbox
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/eqparbox/
%doc %{_texdir}/texmf-dist/doc/latex/eqparbox/

%files needspace
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/needspace/
%doc %{_texdir}/texmf-dist/doc/latex/needspace/

%files tabulary
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/tabulary/
%doc %{_texdir}/texmf-dist/doc/latex/tabulary/

%files upquote
%license lppl1.2.txt
%{_texdir}/texmf-dist/tex/latex/upquote/
%doc %{_texdir}/texmf-dist/doc/latex/upquote/

%files anyfontsize
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/anyfontsize/
%doc %{_texdir}/texmf-dist/doc/latex/anyfontsize/

%files collection-htmlxml

%files classpack
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/classpack/
%doc %{_texdir}/texmf-dist/doc/support/classpack/

%files latex2man
%license lppl1.txt
%{_bindir}/latex2man
%{_mandir}/man1/latex2man.1*
%{_infodir}/latex2man.info*
%{_texdir}/texmf-dist/scripts/latex2man/
%{_texdir}/texmf-dist/tex/latex/latex2man/
%doc %{_texdir}/texmf-dist/doc/support/latex2man/

%files ctablestack
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/luatex/ctablestack/
%doc %{_texdir}/texmf-dist/doc/luatex/ctablestack/

%files luatex85
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/luatex85/
%doc %{_texdir}/texmf-dist/doc/generic/luatex85/

%files dvisvgm
%license gpl.txt
%{_bindir}/dvisvgm
%{_mandir}/man1/dvisvgm.1*

%files babel-english
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/babel-english/
%doc %{_texdir}/texmf-dist/doc/generic/babel-english/

%files awesomebox
%license other-free.txt
%{_texdir}/texmf-dist/tex/latex/awesomebox/
%doc %{_texdir}/texmf-dist/doc/latex/awesomebox/

%files fontawesome
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/enc/dvips/fontawesome/
%{_texdir}/texmf-dist/fonts/map/dvips/fontawesome/
%{_texdir}/texmf-dist/fonts/opentype/public/fontawesome/
%{_texdir}/texmf-dist/fonts/tfm/public/fontawesome/
%{_texdir}/texmf-dist/fonts/type1/public/fontawesome/
%{_texdir}/texmf-dist/tex/latex/fontawesome/
%doc %{_texdir}/texmf-dist/doc/fonts/fontawesome/

%files pst-tools
%license lppl1.txt
%{_texdir}/texmf-dist/dvips/pst-tools/
%{_texdir}/texmf-dist/tex/generic/pst-tools/
%{_texdir}/texmf-dist/tex/latex/pst-tools/
%doc %{_texdir}/texmf-dist/doc/generic/pst-tools/

%files pst-arrow
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/pst-arrow/
%{_texdir}/texmf-dist/tex/generic/pst-arrow/
%{_texdir}/texmf-dist/tex/latex/pst-arrow/

%files context
%{_bindir}/context
# %%{_bindir}/contextjit
# %%{_bindir}/luatools
%{_bindir}/mtxrun
# %%{_bindir}/mtxrunjit
# %%{_bindir}/texexec
%{_mandir}/man1/context.1*
# %%{_mandir}/man1/luatools.1*
%{_mandir}/man1/mtx-babel.1*
%{_mandir}/man1/mtx-base.1*
%{_mandir}/man1/mtx-bibtex.1*
%{_mandir}/man1/mtx-cache.1*
%{_mandir}/man1/mtx-chars.1*
%{_mandir}/man1/mtx-check.1*
%{_mandir}/man1/mtx-colors.1*
%{_mandir}/man1/mtx-context.1*
%{_mandir}/man1/mtx-dvi.1*
%{_mandir}/man1/mtx-epub.1*
%{_mandir}/man1/mtx-evohome.1*
%{_mandir}/man1/mtx-fcd.1*
%{_mandir}/man1/mtx-flac.1*
%{_mandir}/man1/mtx-fonts.1*
%{_mandir}/man1/mtx-grep.1*
%{_mandir}/man1/mtx-interface.1*
%{_mandir}/man1/mtx-metapost.1*
# %%{_mandir}/man1/mtx-metatex.1*
%{_mandir}/man1/mtx-modules.1*
%{_mandir}/man1/mtx-package.1*
%{_mandir}/man1/mtx-patterns.1*
%{_mandir}/man1/mtx-pdf.1*
%{_mandir}/man1/mtx-plain.1*
%{_mandir}/man1/mtx-profile.1*
%{_mandir}/man1/mtx-rsync.1*
%{_mandir}/man1/mtx-scite.1*
%{_mandir}/man1/mtx-server.1*
%{_mandir}/man1/mtx-spell.1*
%{_mandir}/man1/mtx-texworks.1*
%{_mandir}/man1/mtx-timing.1*
%{_mandir}/man1/mtx-tools.1*
%{_mandir}/man1/mtx-unicode.1*
%{_mandir}/man1/mtx-unzip.1*
%{_mandir}/man1/mtx-update.1*
%{_mandir}/man1/mtx-vscode.1*
%{_mandir}/man1/mtx-watch.1*
%{_mandir}/man1/mtx-youless.1*
%{_mandir}/man1/mtxrun.1*
# %%{_mandir}/man1/texexec.1*
%{_texdir}/texmf-dist/bibtex/bst/context/
%exclude %{_texdir}/texmf-dist/tex/context/third/pgf
%exclude %{_texdir}/texmf-dist/scripts/context/perl/mptopdf.pl
%{_texdir}/texmf-dist/context/
%{_texdir}/texmf-dist/fonts/afm/hoekwater/context/contnav.afm
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-CNS1-4.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-GB1-4.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-Identity-0.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-Japan1-5.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-Japan1-6.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-Japan2-0.cidmap
%{_texdir}/texmf-dist/fonts/cid/fontforge/Adobe-Korea1-2.cidmap
# %%{_texdir}/texmf-dist/fonts/enc/dvips/context/
# %%{_texdir}/texmf-dist/fonts/map/dvips/context/
# %%{_texdir}/texmf-dist/fonts/map/luatex/context/
# %%{_texdir}/texmf-dist/fonts/map/pdftex/context/
%{_texdir}/texmf-dist/fonts/misc/xetex/fontmapping/context/
%{_texdir}/texmf-dist/fonts/tfm/hoekwater/context/
%{_texdir}/texmf-dist/fonts/type1/hoekwater/context/
%{_texdir}/texmf-dist/metapost/context/
%{_texdir}/texmf-dist/scripts/context/
%{_texdir}/texmf-dist/tex/context/
%{_texdir}/texmf-dist/tex/generic/context/
# %%{_texdir}/texmf-dist/tex/latex/context/
# %%{fmtutil_cnf_d}/context
# move to texlive-extentions in EPEL
%exclude %{_texdir}/texmf-dist/doc/context/

%files auxhook
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/auxhook
%doc %{_texdir}/texmf-dist/doc/latex/auxhook

%files etexcmds
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/etexcmds
%doc %{_texdir}/texmf-dist/doc/latex/etexcmds

%files infwarerr
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/infwarerr
%doc %{_texdir}/texmf-dist/doc/latex/infwarerr

%files intcalc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/intcalc
%doc %{_texdir}/texmf-dist/doc/latex/intcalc

%files kvoptions
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kvoptions
%doc %{_texdir}/texmf-dist/doc/latex/kvoptions

%files pdftexcmds
%license lppl1.3c.txt
%{_texdir}/texmf-dist/tex/generic/pdftexcmds
%doc %{_texdir}/texmf-dist/doc/generic/pdftexcmds

%files grfext
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/grfext
%{_texdir}/texmf-dist/tex/latex/grfext

%files grffile
%license lppl1.3c.txt
%doc %{_texdir}/texmf-dist/doc/latex/grffile
%{_texdir}/texmf-dist/tex/latex/grffile

%files zref
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/zref
%{_texdir}/texmf-dist/tex/latex/zref

%files wasy-type1
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/fonts/wasy-type1
%{_texdir}/texmf-dist/fonts/afm/public/wasy-type1
%{_texdir}/texmf-dist/fonts/map/dvips/wasy-type1
%{_texdir}/texmf-dist/fonts/type1/public/wasy-type1

%files atbegshi
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/atbegshi
%doc %{_texdir}/texmf-dist/doc/latex/atbegshi

%files ltxcmds
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/ltxcmds
%doc %{_texdir}/texmf-dist/doc/generic/ltxcmds

%files gettitlestring
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/gettitlestring
%{_texdir}/texmf-dist/tex/generic/gettitlestring

%files hobsub
%license lppl1.3c.txt
%doc %{_texdir}/texmf-dist/doc/latex/hobsub
%{_texdir}/texmf-dist/tex/latex/hobsub

%files hycolor
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hycolor
%doc %{_texdir}/texmf-dist/doc/latex/hycolor

%files kvdefinekeys
%license lppl1.3c.txt
%{_texdir}/texmf-dist/tex/generic/kvdefinekeys
%doc %{_texdir}/texmf-dist/doc/latex/kvdefinekeys

%files kvsetkeys
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/kvsetkeys
%doc %{_texdir}/texmf-dist/doc/latex/kvsetkeys

%files letltxmacro
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/letltxmacro
%doc %{_texdir}/texmf-dist/doc/latex/letltxmacro

%files pdfescape
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/pdfescape
%doc %{_texdir}/texmf-dist/doc/latex/pdfescape

%files refcount
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/refcount
%{_texdir}/texmf-dist/tex/latex/refcount

%files colorprofiles
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/generic/colorprofiles
%{_texdir}/texmf-dist/tex/generic/colorprofiles

%files hyphenex
%{_texdir}/texmf-dist/tex/generic/hyphenex/

%files ifplatform
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ifplatform/
%doc %{_texdir}/texmf-dist/doc/latex/ifplatform/

%files luahbtex
%license gpl2.txt
%{_bindir}/luahbtex
%{_bindir}/lualatex-dev
%{_mandir}/man1/luahbtex.1*
%{_mandir}/man1/lualatex-dev.1*
%{fmtutil_cnf_d}/luahbtex

%files modes
%license pd.txt
%doc %{_texdir}/texmf-dist/doc/fonts/modes
%{_texdir}/texmf-dist/fonts/source/public/modes

%files bitset
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/bitset
%doc %{_texdir}/texmf-dist/doc/latex/bitset

%files rerunfilecheck
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/rerunfilecheck
%doc %{_texdir}/texmf-dist/doc/latex/rerunfilecheck

%files stringenc
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/stringenc
%{_texdir}/texmf-dist/tex/generic/stringenc

%files bookmark
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/bookmark
%{_texdir}/texmf-dist/tex/latex/bookmark

%files alphalph
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/alphalph
%{_texdir}/texmf-dist/tex/generic/alphalph

%files hologo
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/generic/hologo
%{_texdir}/texmf-dist/tex/generic/hologo

%files pdfcolmk
%license lppl1.3c.txt
%doc %{_texdir}/texmf-dist/doc/latex/pdfcolmk
%{_texdir}/texmf-dist/tex/latex/pdfcolmk

%files sansmathaccent
%license lppl1.3.txt
%{_texdir}/texmf-dist/fonts/map/dvips/sansmathaccent/
%{_texdir}/texmf-dist/fonts/tfm/public/sansmathaccent/
%{_texdir}/texmf-dist/fonts/vf/public/sansmathaccent/
%{_texdir}/texmf-dist/tex/latex/sansmathaccent/
%doc %{_texdir}/texmf-dist/doc/fonts/sansmathaccent/

%files minitoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/minitoc/
# drop minitoc/minitoc.dtx due to bad license
# %%doc %%{_texdir}/texmf-dist/doc/latex/minitoc/

%files notoccite
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/notoccite/
%doc %{_texdir}/texmf-dist/doc/latex/notoccite/

%files catchfile
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/catchfile
%{_texdir}/texmf-dist/tex/generic/catchfile

%files atveryend
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/atveryend
%doc %{_texdir}/texmf-dist/doc/latex/atveryend

%files uniquecounter
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/uniquecounter
%doc %{_texdir}/texmf-dist/doc/latex/uniquecounter

%files attachfile2
%license lppl1.3.txt
%{_bindir}/pdfatfi
%{_mandir}/man1/pdfatfi.1*
%{_texdir}/texmf-dist/scripts/attachfile2/
%{_texdir}/texmf-dist/tex/latex/attachfile2/
%doc %{_texdir}/texmf-dist/doc/latex/attachfile2/

%files translator
%license lppl1.3.txt
%license gpl.txt
%doc %{_texdir}/texmf-dist/doc/latex/translator/
%{_texdir}/texmf-dist/tex/latex/translator/

%files bigintcalc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/bigintcalc
%doc %{_texdir}/texmf-dist/doc/latex/bigintcalc

%files l3backend
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/l3backend/
%{_texdir}/texmf-dist/dvips/l3backend/
%{_texdir}/texmf-dist/tex/latex/l3backend/

%files dehyph
%license lppl.txt
%{_texdir}/texmf-dist/tex/generic/dehyph/

%files latexbug
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/latexbug/
%{_texdir}/texmf-dist/tex/latex/latexbug/

%files footnotehyper
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/footnotehyper/
%{_texdir}/texmf-dist/tex/latex/footnotehyper/

%files epstopdf-pkg
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/epstopdf-pkg
%{_texdir}/texmf-dist/tex/latex/epstopdf-pkg

%files lwarp
%license lppl1.3.txt
%{_bindir}/lwarpmk
%{_texdir}/texmf-dist/scripts/lwarp
%{_texdir}/texmf-dist/tex/latex/lwarp
%doc %{_texdir}/texmf-dist/doc/latex/lwarp

%files newfloat
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/newfloat
%{_texdir}/texmf-dist/tex/latex/newfloat

%files pdflscape
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/pdflscape
%{_texdir}/texmf-dist/tex/latex/pdflscape

%files ragged2e
%license lppl.txt
%doc %{_texdir}/texmf-dist/doc/latex/ragged2e
%{_texdir}/texmf-dist/tex/latex/ragged2e

%files ucharcat
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/ucharcat/
%doc %{_texdir}/texmf-dist/doc/latex/ucharcat/

%files etoc
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/etoc/
%doc %{_texdir}/texmf-dist/doc/latex/etoc/

%files hanging
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/hanging/
%doc %{_texdir}/texmf-dist/doc/latex/hanging/

%files newunicodechar
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/newunicodechar/
%doc %{_texdir}/texmf-dist/doc/latex/newunicodechar/

%files stackengine
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/stackengine/
%doc %{_texdir}/texmf-dist/doc/latex/stackengine/

%files listofitems
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/generic/listofitems/
%doc %{_texdir}/texmf-dist/doc/generic/listofitems/

%files obsolete
# a metapackage

%files gnu-freefont
%license gpl3.txt
%{_datadir}/fonts/gnu-freefont
%{_datadir}/appdata/gnu-freefont.metainfo.xml
%{_texdir}/texmf-dist/fonts/opentype/public/gnu-freefont/
%{_texdir}/texmf-dist/fonts/truetype/public/gnu-freefont/
%doc %{_texdir}/texmf-dist/doc/fonts/gnu-freefont/

%files acronym
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/acronym/
%doc %{_texdir}/texmf-dist/doc/latex/acronym/

%files relsize
%license pd.txt
%{_texdir}/texmf-dist/tex/latex/relsize/
%doc %{_texdir}/texmf-dist/doc/latex/relsize/

%files sfmath
%license lppl1.txt
%{_texdir}/texmf-dist/tex/latex/sfmath/

%files xpatch
%license lppl1.3.txt
%{_texdir}/texmf-dist/tex/latex/xpatch/
%doc %{_texdir}/texmf-dist/doc/latex/xpatch/

%files hypdoc
%license lppl1.3c.txt
%doc %{_texdir}/texmf-dist/doc/latex/hypdoc
%{_texdir}/texmf-dist/tex/latex/hypdoc

%files pdfcol
%license lppl1.3c.txt
%doc %{_texdir}/texmf-dist/doc/latex/pdfcol
%{_texdir}/texmf-dist/tex/latex/pdfcol

%files hopatch
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/latex/hopatch
%{_texdir}/texmf-dist/tex/latex/hopatch

%files lua-uni-algos
%license lppl1.3.txt
%doc %{_texdir}/texmf-dist/doc/luatex/lua-uni-algos
%{_texdir}/texmf-dist/tex/luatex/lua-uni-algos

%changelog
* Tue Jul 02 2024 Than Ngo <than@redhat.com> - 12:20230311-19
- Resolves: RHEL-45900, convert license to SPDX

* Wed Jun 26 2024 Than Ngo <than@redhat.com> - 12:20230311-18
- Fixed eufm font mapping
- Added missing license and fixed file list in texlive-plain
Related: RHEL-34826

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 12:20230311-17
- Bump release for June 2024 mass rebuild

* Sat Jun 22 2024 Than Ngo <than@redhat.com> - 12:20230311-16
- disable Build in parallel due to random build error
Related: RHEL-34826

* Fri Jun 21 2024 Than Ngo <than@redhat.com> - 12:20230311-15
- add missing lua-uni-algos and dependency in texlive-luaotfload
Related: RHEL-34826

* Mon Jun 10 2024 Than Ngo <than@redhat.com> - 12:20230311-14
- texlive should use it's own xpdf based library
- fixed rpminspect issues
- fixed source urls
Related: RHEL-34826

* Mon Jun 03 2024 Than Ngo <than@redhat.com> - 12:20230311-13
- Resolves: RHEL-34826, rebuilt against new xpdf

* Fri Feb 02 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 12:20230311-12
- Rebuilt for ICU 74

* Wed Aug 09 2023 Than Ngo <than@redhat.com> - 12:20230311-11
- cleanup deps

* Fri Jul 28 2023 Than Ngo <than@redhat.com> - 12:20230311-10
- remove LPPL-1.3 as it is not recognized by SPDX

* Fri Jul 14 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 12:20230311-9
- Rebuilt for ICU 73.2

* Wed Jul 05 2023 Than Ngo <than@redhat.com> - 12:20230311-8
- fix mtxrun stub
- patch texmfcnf.lua
- fix mptopdf.pl and thumbpdf.pl to have proper interpreter lines

* Tue Jun 27 2023 Than Ngo <than@redhat.com> - 12:20230311-7
- fix deps, hopatch.sty was moved from oberdiek into seperates packages

* Tue Jun 27 2023 Than Ngo <than@redhat.com> - 12:20230311-6
- fix deps, hypdoc.sty and pdfcol.sty were moved from oberdiek into seperates packages

* Tue Jun 20 2023 Than Ngo <than@redhat.com> - 12:20230311-5
- remove arabxetex from ELN
- fix luatex security, CVE-2023-32700

* Tue Jun 20 2023 Than Ngo <than@redhat.com> - 12:20230311-4
- updated scriptlet to generate system TL font maps
- drop tibetan

* Tue Jun 06 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 12:20230311-3
- Remove unnecessary dependency on fontawesome-fonts

* Tue May 30 2023 Than Ngo <than@redhat.com> - 12:20230311-2
- migrated to SPDX licenses

* Sun May 28 2023 Than Ngo <than@redhat.com> - 12:20230311-1
- update to texlive-2023

* Mon Feb 14 2022 Than Ngo <than@redhat.com> - 9:20200406-25
- Resolves: #2031879, fix invalid symlink to mktexmf

* Sun Dec 12 2021 Than Ngo <than@redhat.com> - 9:20200406-24
- Related: #2014453, fixed dependencies 

* Tue Oct 19 2021 Than Ngo <than@redhat.com> - 9:20200406-23
- Resolves: #2014453, runtime requirement on python-unversioned-command

* Tue Aug 10 2021 Mohan Boddu <mboddu@redhat.com> - 9:20200406-22
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Mon Jul 05 2021 Than Ngo <than@redhat.com> - 9:20200406-21
- Related: #1960650, updated create-clean-texlive.sh, dropped ps2pk

* Tue Jun 22 2021 Mohan Boddu <mboddu@redhat.com> - 9:20200406-20
- Rebuilt for RHEL 9 BETA for openssl 3.0
  Related: rhbz#1971065

* Sun Jun 20 2021 Than Ngo <than@redhat.com> - 9:20200327-19
- Related: #1960650, add create-clean-texlive.sh to generate clean tarball from released build tarballs, update URLs

* Fri May 28 2021 Than Ngo <than@redhat.com> - 9:20200327-18
- Related: #1960650 - fixed license tags and rpath issue

* Tue May 25 2021 Than Ngo <than@redhat.com> - 9:20200327-17
- Resolves: #1960650 - Texlive is missing xpatch.sty

* Tue May 18 2021 Than Ngo <than@redhat.com> - 9:20200327-16
- Related: #1958286, Rebuild Texlive due to API/ABI change in poppler

* Mon May 10 2021 Than Ngo <than@redhat.com> - 9:20200327-15
- Resolves: #1958286, Rebuild Texlive due to API/ABI change in poppler

* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 9:20200327-14
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Fri Feb 12 2021 Than Ngo <than@redhat.com> - 9:20200327-13
- built sfmath as noarch

* Thu Feb 11 2021 Than Ngo <than@redhat.com> - 9:20200327-12
- add missing sfmath

* Tue Feb 09 2021 Than Ngo <than@redhat.com> - 9:20200327-11
- updated latex source - htlatex command can't find latex2e-first-aid-for-external-files.ltx file
- dropped latex-bin

* Mon Feb 08 2021 Than Ngo <than@redhat.com> - 9:20200327-10
- Fixed scriptlet failure

* Mon Feb 01 2021 Than Ngo <than@redhat.com> - 9:20200327-9
- Resolves: #1923259, add missing acronym and relsize

* Mon Jan 25 2021 Than Ngo <than@redhat.com> - 9:20200327-8
- Resolves: #1919975, Fix paths in pkgconfig files

* Tue Jan 19 2021 Troy Dawson <tdawson@redhat.com> - 9:20200327-7
- Rebuild for poppler 21.01.0

* Thu Jan 14 2021 Than Ngo <than@redhat.com> - 9:20200327-5
- Fixed bz#1915756 - multilib issue

* Tue Jan 12 2021 Than Ngo <than@redhat.com> - 9:20200327-4
- Fixed bz#1910000, add missing gnu-freefont

* Sun Dec 06 2020 Than Ngo <than@redhat.com> - 9:20200327-3
- Resolves: #1899651, #1899631, added tex(preview.sty) need by latex2html and texi2html

* Thu Nov 19 2020 Than Ngo <than@redhat.com> - 9:20200327-2
- moved texlive.tlpdb.xz to lookaside cache
- updated source url
- cleaned up scriptlets and rpm file lists
- fixed luatex issue found by tier1 test
- added obsolete metapackage to handle obsolete texlive subpackages

* Wed Nov 18 2020 Than Ngo <than@redhat.com> - 9:20200327-1
- update to 20200327

* Wed Jun 03 2020 Than Ngo <than@redhat.com> - 7:20180414-17
- Related: #1829136, fix for tps-rpmtest

* Wed May 06 2020 Than Ngo <than@redhat.com> - 7:20180414-16
- Resolves: #1829136, add missing pst-tools, pst-arrow and fix the dependency issue

* Mon Apr 06 2020 Than Ngo <than@redhat.com> - 7:20180414-15
- Resolves: #1796238, add missing tlmgr

* Fri Jun 28 2019 Marek Kasik <mkasik@redhat.com> - 7:20180414-14
- Rebuild due to soname bump in poppler-0.66.0-21
- Resolves: #1715843

* Fri Jan 18 2019 Than Ngo <than@redhat.com> - 7:20180414-13
- Resolves: #1665917, annocheck distro flag failures

* Thu Nov 08 2018 Than Ngo <than@redhat.com> - 7:20180414-12
- texconfig is needed in texconfig-sys, added Requirement texlive-texconfig
- multilib issue detected by rpmdiff
- drop obsoleted patch for poppler-0.58
- XML validity issue
  Related: #1602712

* Fri Oct 05 2018 Than Ngo <than@redhat.com> - 7:20180414-11
- Resolves: #1602712, review covscan

* Thu Sep 27 2018 Than Ngo <than@redhat.com> - 7:20180414-10
- Resolves: #1632804, CVE-2018-17407

* Fri Sep 21 2018 Than Ngo <than@redhat.com> - 7:20180414-9
- Fixed #1624178, another annocheck distro flag failures

* Wed Sep 12 2018 Than Ngo <than@redhat.com> - 7:20180414-8
- Fixed #1624178 annocheck distro flag failures

* Tue Jul 31 2018 Than Ngo <than@redhat.com> - 7:20180414-7
- fixed VerifyTest

* Thu Jul 12 2018 Marek Kasik <mkasik@redhat.com> - 7:20180414-6
- Rebuild for poppler-0.66.0
- Backport required fixes

* Wed Jul 11 2018 Than Ngo <than@redhat.com> - 7:20180414-5
- fixed trigger error

* Mon Jul 09 2018 Than Ngo <than@redhat.com> - 7:20180414-4
- adjust python3 shebang to make it point at #!%%{_python3}

* Thu Jul 05 2018 Than Ngo <than@redhat.com> - 7:20180414-3
- fixed source url 

* Mon Jun 18 2018 Than Ngo <than@redhat.com> - 7:20180414-2
- fixed tetex-dvips dependency

* Tue May 29 2018 Than Ngo <than@redhat.com> - 7:20180414-1
- update to 2018

* Tue May 29 2018 Than Ngo <than@redhat.com> - 7:20170524-11                                                           
- add Provides: tetex-latex to the latex subpackage

* Mon May 28 2018 Than Ngo <than@redhat.com> - 7:20170524-10
- rebuild against new poppler

* Mon May 07 2018 Than Ngo <than@redhat.com> - 7:20170524-9
- fixed FTBFS in rhel8 mass rebuild, mangling shebang
- added python3 support

* Tue Mar 27 2018 Than Ngo <than@redhat.com> - 7:20170524-8
- cleanup
- disabled t1lib

* Wed Mar 07 2018 Than Ngo <than@redhat.com> - 7:20170524-7
- fixed conflicting requests: texlive-collection-basic, fontawesome

* Sun Jan 28 2018 Than Ngo <than@redhat.com> - 7:20170524-6
- fix wrong provides tex(english.ldf)
- add babel-english. add fontawesome, awesomebox
- add reference to support old texmf tree
- fix build issue, not found html.sty and texinfo.tex

* Sun Jan 28 2018 Than Ngo <than@redhat.com> - 7:20170524-5
- fix typo in pdflatex which causes several build failures

* Fri Jan 26 2018 Than Ngo <than@redhat.com> - 7:20170524-4
- add ctablestack, luatex85, dvisvgm
- add provide tetex-dvips
- fix changelog

* Fri Jan 26 2018 Than Ngo <than@redhat.com> - 7:20170524-3
- add anyfontsize, classpack, collection-htmlxml, latex2man
- add provide tetex-tex4ht, jadetex, tetex-tex4ht, texlive-collection-htmlxml, tex(anyfontsize.sty), texlive-latex2man

* Thu Jan 25 2018 Than Ngo <than@redhat.com> - 7:20170524-2
- add capt-of, eqparbox, needspace, tabulary, upquote which are needed
  to build krb5

* Sun Jan 21 2018 Than Ngo <than@redhat.com> - 7:20170524-1
- update to TeX Live 2017
- merge spot's changes

* Mon Sep 21 2015 Than Ngo <than@redhat.com> - 2:2012-38.20130427_r30134
- Resolves: bz#1198299, directory not owned by any package issue

* Thu Sep 17 2015 Than Ngo <than@redhat.com> - 2:2012-37.20130427_r30134
- Resolves: bz#1198299, add texlive-adjustbox

* Tue Jun 09 2015 Than Ngo <than@redhat.com> - 2:2012-36.20130427_r30134
- fix rpath issue in mpost (rpmdiff)

* Mon Jun 08 2015 Than Ngo <than@redhat.com> - 2:2012-35.20130427_r30134
- Resolves: bz#948318, wrong selinux context

* Thu Apr 23 2015 Than Ngo <than@redhat.com> - 2:2012-34.20130427_r30134
- Resolves: bz#1064453, add missing texlive-metapost and groff.enc
  Resolves: bz#948532, add missing manpages for pdfxmltex, xmltex
  Resolves: bz#1213886, tex4ht-bin requires latex
  Resolves: bz#1217556, port for poppler-0.26.5
  Resolves: bz#1035679, scriptlet errors when installing texlive packages
  Resolves: bz#1184987, add texlive-titling

* Tue Aug 19 2014 Than Ngo <than@redhat.com> - 2:2012-33.20130427_r30134
- Resolves: bz#1125696

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 2:2012-32.20130427_r30134
- Mass rebuild 2014-01-24

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 2:2012-31.20130427_r30134
- Mass rebuild 2013-12-27

* Wed Nov 20 2013 Than Ngo <than@redhat.com> - 2:2012-30.20130427_r30134
- bz#1035679, Scriptlet errors

* Wed Nov 20 2013 Than Ngo <than@redhat.com> - 2:2012-29.20130427_r30134
- fix issue in RPath

* Wed Nov 13 2013 Than Ngo <than@redhat.com> - 2:2012-28.20130427_r30134
- fix multilib issue 
- fix RPM requirement
- fix issue in RPath
- fix issue in XML validity

* Wed Aug 14 2013 Than Ngo <than@redhat.com> - 2:2012-27-20130427
- compile sources with -fno-strict-overflow
- fix file permission

* Wed Aug 14 2013 Than Ngo <than@redhat.com> - 2:2012-26-20130427
- do not mark symlinks as %dir

* Tue Jun 25 2013 Marek Kasik <mkasik@redhat.com> - 2012-25.1-20130427
- Rebuild (poppler-0.22.5)

* Fri Jun 21 2013 Than Ngo <than@redhat.com> - 2012-25-20130427
- add missing dvipng

* Wed Jun 19 2013 Than Ngo <than@redhat.com> - 2012-24-20130427
- add missing fncychap, fontware, framed, sectsty, threeparttable, tocloft
wrapfig, xtab

* Fri Jun 14 2013 Than Ngo <than@redhat.com> - 2012-23-20130427
- adapt for rhel

* Mon Apr 29 2013 Tom Callaway <spot@fedoraproject.org> - 2012-22-20130427
- obsolete/provide ctan-musixtex-fonts and tex-musixtex

* Sat Apr 27 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-21-20130427
- add missing shebang to context script
- mark language.dat as config file (#929367)
- add scripts for checking out sources and CTAN archives

* Wed Mar 27 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-20-20130321
- bring chkweb back to life
- fix context script (#924918)
- prefer scripts installed from sources than from CTAN
- BR: ghostscript-devel because of dvisvgm (#924662)

* Tue Mar 19 2013 Jindrich Novy <novyjindrich@gmail.com> - 2012-19-20130318
- fix wrapper for context, remove chkweb man page (#910952)

* Mon Mar 11 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 2012-18-20130310
- Remove %%config from %%{_sysconfdir}/rpm/macros.*
(https://fedorahosted.org/fpc/ticket/259).

* Fri Mar  8 2013 Jindrich Novy <jnovy@redhat.com> 2012-17-20130310
- run updmap-sys --syncwithtrees posttrans (#915086)
- don't conflict with other packages (#913678)
- obsolete tex-cm-lgc (#907728)
- obsolete tex-kerkis (#907726)
- fix clashes with xmltex (#877690)
- use fedora latexmk instead of texlive latexmk (#914689)
- fix broken symlinks in /usr/bin (#910952)
- fmtutil doesn't print jadetex errors any more (#875266)
- fix post scriptlets

* Tue Feb  5 2013 Jindrich Novy <jnovy@redhat.com> 2012-16-20130205
- fix symlinks pointing to system utilities (#907643)
- add BR: texinfo because of makeinfo

* Mon Jan 28 2013 Jindrich Novy <jnovy@redhat.com> 2012-15-20130131
- enlarge tex(latex) dependency set, introduce tex(latex-base) (#904147)
- fix post-scriptlets (#875257)
- ship macros.texlive (#885762)
- depend directly on texlive-kpathsea-lib
- disable rpath

* Fri Jan 18 2013 Marek Kasik <mkasik@redhat.com> 2012-14-20130102
- Rebuild (poppler-0.22.0)

* Fri Jan 11 2013 Jindrich Novy <jnovy@redhat.com> 2012-13-20130102
- make dvips require latex-fonts (#879661)

* Mon Jan  7 2013 Jindrich Novy <jnovy@redhat.com> 2012-12-20130102
- fix dependencies and upgrade path (#892054, #891709)
- do not ship windows and other unneeded files

* Wed Jan  2 2013 Jindrich Novy <jnovy@redhat.com> 2012-11-20130102
- sync with CTAN
- added new buildrequires
- don't use texlive's psutils
- don't obsolete latexmk (#868996)

* Thu Dec  6 2012 Jindrich Novy <jnovy@redhat.com> 2012-10-20121205
- sync with CTAN
- compile also C++ sources with -fno-strict-aliasing
- ship adhocfilelist
- fix changelog dates

* Tue Nov 20 2012 Jindrich Novy <jnovy@redhat.com> 2012-9-20121120
- obsolete metapost-metauml (#573863)
- update BR perl-MD5 to perl(Digest::MD5) - required for updmap
- remove redundant posttrans executions in texlive-base (#865650)
- own ls-R in texmf-local directory

* Wed Nov 14 2012 Jindrich Novy <jnovy@redhat.com> 2012-8-20121115
- prevent sed from being verbose in install log when uninstalling
- be sure the old /usr/share/texmf tree is indexed and searched by
kpathsea (#876710)
- drop patch to fix build for dvisvgm, it is now applied upstream
- fix dependencies in texlive and texlive-base subpackages (#875364)

* Sat Nov 10 2012 Jindrich Novy <jnovy@redhat.com> 2012-7-20121107
- run mtxrun only once per transaction (#865650), this considerably
speeds up installation time

* Wed Nov  7 2012 Jindrich Novy <jnovy@redhat.com> 2012-6-20121107
- use -std=c++11 for all C++ apps in texlive to avoid symbol problems
(thanks to Jakub Jelinek)

* Sun Nov  4 2012 Jindrich Novy <jnovy@redhat.com> 2012-5-20121024
- don't conflict with latexmk (#868996)
- unify versioning for both binary and noarch subpackages
- remove lcdf-typetools hack for s390(x)

* Wed Oct 24 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20121024
- sync with upstream - fixes problem lcdf-typetools tests
- disable largefile support to fix pdflatex on 32bit arches (#872231)
- put compatibility TEXMF tree reference into texm-local instead
symlinking it to /usr/share/texmf directly

* Fri Oct 19 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20121019
- sync with upstream sources
- make /usr/share/texmf visible to kpathsea, make texmf-local
pointing to it (#867656, #864875)
- fix versioning of binary packages

* Tue Oct  9 2012 Jindrich Novy <jnovy@redhat.com> 2012-3-20120926
- obsolete chktex (#864211)
- make config.ps a config file (#441171)
- fix post/postun scriptlet dependencies
- all subpackages now have %%dist tag

* Sat Oct  6 2012 Jindrich Novy <jnovy@redhat.com> 2012-2-20120926
- drop relase subpackage (no more needed as TL is now in Fedora)
- fix -doc dependencies
- remove (not-built) asymtote from source tarball
- undefined catalogue version defaults to 0
- perform automatic license audit
- include also packages not part of any scheme
- don't strip binaries so that we can generate debuginfo (#863635)
- clean up depsolver

* Wed Oct  3 2012 Jindrich Novy <jnovy@redhat.com> 2012-1-20120926
- introduce TeX Live 2012 to Fedora (#488651)
- fixes: #619481, #759534, #814880, #819157

* Thu Jun 14 2012 Jindrich Novy <jnovy@redhat.com> 2012-1-20120613
- update to 2012 final
- obsolete system latexmk
- include dvisvgm back

* Mon Apr  9 2012 Jindrich Novy <jnovy@redhat.com> 2012-0.1.20120408
- temporarily disable dvisvgm due to gcc-4.7 compilation problems

* Tue Jul 26 2011 Jindrich Novy <jnovy@redhat.com> 2011-1.20110726
- update to the official TeX Live 2011 release

* Sun Mar 13 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.2.20110313
- bump version to fix koma-skript versioning problem

* Mon Feb 28 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.1.20110227
- fix upgrade path with old TL2007 xetex, context or dvips installed
- fix package generation bug that caused some package might be missing
from the repository
(http://www.linux.cz/pipermail/texlive/2011-February/000086.html)
- fix upstream source URLs

* Tue Jan 25 2011 Jindrich Novy <jnovy@redhat.com> 2011-0.1.20110120
- bump release to 2011 (we are using the 2011/dev SVN version)
- add more file virtual provides (TFM, TTF, TTC, PFA, PFB, PCF, OTF,
TEX, CNF, CFG, DEF, DAT, LDF, FD, ENC, MAP, VF, VPL, CLO, BUG, BUG2)

* Thu Dec 23 2010 Jindrich Novy <jnovy@redhat.com> 2010-14.20110105
- sync with upstream
- install texlive.tlpdb for autodep finder

* Wed Dec 15 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101215
- sync with upstream as of 15th Dec
- fix dangling symlink (thanks to Michel Alexandre Salim)

* Fri Nov 12 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101112
- temporarily disable dvi2tty because of failing test suite
- package /etc/texmf and point texmf-config there

* Fri Nov  5 2010 Jindrich Novy <jnovy@redhat.com> 2010-13.20101102
- make release package part of the main build

* Mon Oct 18 2010 Jindrich Novy <jnovy@redhat.com> 2010-12.20101016
- texlive-jadetex-bin obsoletes jadetex

* Fri Oct  8 2010 Jindrich Novy <jnovy@redhat.com> 2010-12.20101007
- fix symlinks in /usr/bin so that they are not pointing to wrong location

* Thu Oct  7 2010 Jindrich Novy <jnovy@redhat.com> 2010-11.20101007
- sync with the latest TL2010 sources
- don't make redundant copies of binaries, symlink them
- fix symlinks to perl utilities

* Wed Aug 25 2010 Jindrich Novy <jnovy@redhat.com> 2010-10.20100814
- add obsolete of dvisvgm to allow smooth updates

* Mon Aug 23 2010 Jindrich Novy <jnovy@redhat.com> 2010-9.20100814
- fix file attributes and rpmlint warnings
- define libdir when calling configure
- rebuild against new poppler

* Thu Jul 15 2010 Jindrich Novy <jnovy@redhat.com> 2010-8.20100715
- move all the licenses and base directory hierarchy to texlive-base
noarch subpackage
- add automatic licensing code

* Fri Jun  4 2010 Jindrich Novy <jnovy@redhat.com> 2010-7.20100604
- sync with upstream (introducing mptopdf)
- compile C source with -fno-strict-aliasing

* Mon May 31 2010 Jindrich Novy <jnovy@redhat.com> 2010-7.20100531
- switch to "tlpretest" source tree
- add lua and ruby dependencies to packages requiring them
- generate global package database "texlive.tlpdb" directly from
tlpobj files shipped with each package

* Wed May 19 2010 Jindrich Novy <jnovy@redhat.com> 2010-6.20100521
- disable chktex so that build passes
- fix dist tags in releases in binary packages

* Fri Apr 30 2010 Jindrich Novy <jnovy@redhat.com> 2010-5.20100430
- add dependencies resolution among biblatex files
- another %%postun scriptlets fix

* Wed Apr 21 2010 Jindrich Novy <jnovy@redhat.com> 2010-4.20100421
- add Requires(posttrans) to the main package

* Mon Apr 19 2010 Jindrich Novy <jnovy@redhat.com> 2010-3.20100419
- bump version of binaries because of the kpathsea soname increase

* Fri Apr 16 2010 Jindrich Novy <jnovy@redhat.com> 2010-0.1.20100416
- sync with upstream, remove ptex stuff for now

* Fri Apr 09 2010 Jindrich Novy <jnovy@redhat.com> 2010-0.1.20100329
- use 2010 prefix
- do not ship/build asymptote (#548761)

* Fri Mar 26 2010 Jindrich Novy <jnovy@redhat.com> 2009-3.20100326
- declare fmutil.cnf, updmap.cfg, context.cnf and texmf.cnf as config files
so that they don't get overwritten with texlive-kpathsea update
- move man and info pages to the main packages, not -doc

* Fri Feb 19 2010 Jindrich Novy <jnovy@redhat.com> 2009-3.20100219
- blacklist a4wide.sty because of bad (noinfo) license

* Tue Nov 10 2009 Jindrich Novy <jnovy@redhat.com> 2009-2
- install man and info pages into proper locations visible
by man and info
- update scriptlets
- remove xindy bits

* Mon Nov 09 2009 Jindrich Novy <jnovy@redhat.com> 2009-1
- update to oficcially released TeX Live 2009
- enable large file support

* Sun Nov 01 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.13
- remove postun scriptlet to avoid accidential removal of texmf bits
when not removing the package

* Fri Oct 23 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.12
- tighten kpathsea devel dependency

* Tue Oct 20 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.11
- fix generation of packages that ships only documentation
- fix versioning of packages without version but with revision
- fix heuristics for gathering .sty files dependencies
- include packages under GFSL license
- make files in old texmf tree from previous installs visible
- do not obsolete old kpathsea, try to coexist
- remove dvipdfm, dvipdfmx,depend of Fedora ones

* Sun Oct 18 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.10
- TL2007 compatibility fixes:
- create /usr/share/texmf symlink
- clean all in post scriptlets

* Fri Oct 02 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.9
- fix kpathsea Provides/Obsoletes

* Tue Sep 29 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.8
- sync with latest upstream

* Sat Sep 12 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.7
- make kpathsea independent on the main texlive package

* Thu Sep 10 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.6
- remove packages under GFSL non-free license (tex-gyre)

* Thu Sep  3 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.5
- fix dependencies to hyphenation packages
- fix provides/obsoletes

* Mon Aug 31 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.4
- require recommended LaTeX bits, the installation of pure
scheme-basic is too minimalistic

* Tue Aug 25 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.3
- require system psutils and t1utils and don't build the TL ones
- correctly obsolete old kpathsea
- binaries now have -bin postfix
- support for Fedora fonts

* Thu Aug 20 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.2
- add tetex-* virtual provides
- fix unversioned requires
- filter out unwanted libs and utilities from source

* Wed Aug 12 2009 Jindrich Novy <jnovy@redhat.com> 2009-0.1
- update to TeX Live 2009 - pretest

* Mon Jun 29 2009 Jindrich Novy <jnovy@redhat.com> 2008-0.2
- update to today's svn sources of binaries from upstream
- fix directory -> symlink conversion
- add ly1 (#488651)

* Thu Aug 14 2008 Jindrich Novy <jnovy@redhat.com> 2008-0.1
- initial packaging for TeX Live 2008
- wrote tl2rpm.c to autogenerate packages and post scriptlets
from TeX Live metadata
- fix kpathsea default search path
